// włączanie masek dat względem określonego przodka
function datePick(_container) {
	var $container = null;
	if(_container == null) {
		$container = $(document);
	}
	else if(_container instanceof jQuery) {
		$container = _container;
	}
	else {
		$container = $(_container);
	}
	
	// data w standardowym formacie yyyy-MM-dd
	var $_date_field = $container.find(".data");
	$_date_field.attr("size", "11");
	$($_date_field).each(function() {$(this).layoutDate();});
	$_date_field.not("[readonly]").datepicker({
  			showOn			: "both", 
  			buttonImage		: root+"/img/calendar.gif",
   			yearRange		: '-85y:+15y',
   			buttonImageOnly	: true,
   			dateFormat		: 'yy-mm-dd'
	});
	
	// data w formacie odwróconym dd-MM-yyyy
	var $_date_reverse_field = $container.find(".data_ddMMyyyy");
	$_date_reverse_field.attr("size", "11");
	$($_date_reverse_field).each(function() {$(this).layoutDateReverse();});
	$_date_reverse_field.not("[readonly]").datepicker({
  			showOn			: "both",
  			buttonImage		: root+"/img/calendar.gif",
   			yearRange		: '-85y:+15y',
   			buttonImageOnly	: true,
   			dateFormat		: 'dd-mm-yy'
	});
}

// wyłączanie masek globalnie
function unDatePick() {
	$(".data").unLayoutDate();
	$(".data").datepicker("destroy");

	$(".data_ddMMyyyy").unLayoutDateReverse();
	$(".data_ddMMyyyy").datepicker("destroy");
}
