function formatInput() {
	var cell = $(this);

	var input = $(this).find('input').eq(0);
	
	if (input.val() == '???') {
		input.css('color', 'red');
	}
	// usuwanie spacji formatowania XSL
	if(input.hasClass('liczba') || input.hasClass('doublePrecision')) {
		input.val(
			input.val().replace(/\s\s|\u00A0/g, ''));
	}
	input.focus(function() {
		$(this).css('font-weight', 'bold');
	});
	input.blur(function() {
		$(this).css('font-weight', 'normal');
	});
	input.change(function() {
		cell.css('background', '#AAEEAA');
		cell.css('font-weight', 'bold');
		if ($(this).val() == '') {
			$(this).val('X');
		}
	});
}

$(function() {
	$('.totals, .contents')
		.each(formatInput)
	;
});
