function _toggle(checked, unchecked) {
	if (checked.length == 0) {
		unchecked.attr('checked', true).trigger('change');
	} else if (unchecked.length == 0) {
		checked.attr('checked', false).trigger('change');
	} else if (checked.length >= unchecked.length) {
		unchecked.attr('checked', true).trigger('change');
	} else {
		checked.attr('checked', false).trigger('change');
	}
}

function toggle(list) {
	var checked = list.filter(':checked');
	var unchecked = list.not(':checked');
	_toggle(checked, unchecked);
}

function toggleRow(table, rIndex) {
	toggle($('tr:eq('+rIndex+') :checkbox', table));
}

function toggleCol(table, cIndex) {
	toggle($('tr', table).find('td:eq('+cIndex+') :checkbox'));
}
