$.fn.extend({
	kwota: function() {
		$(this).each(function() {
			$(this).setMask({mask : '99,999 999 999 999', type : 'reverse', defaultValue: '+000', selectCharsOnFocus: true, symbol: glJednostkaMonetarna, showSymbol:true });
		});
	},
	
	unKwota: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	iban: function() {
		$(this).each(function() {
			$(this).setMask({mask : '99 9999 9999 9999 9999 9999 9999', defaultValue: '', selectCharsOnFocus: false});
		});
	},
	
	unIban: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	kwotaNR: function() {
		$(this).each(function() {
			var $kwotaField = $(this);
			
			var $checkNR = $("<input type='checkbox' name='chkb" + new Date().getTime() + "' id='" + jqEscape($kwotaField.attr("name")) + "Check'></input>");
			if($kwotaField.val() == '') {
				$checkNR.attr('checked', 'checked');
				
				$kwotaField.val('');
				$kwotaField.attr('disabled', 'disabled');
				$kwotaField.addClass('disabled');
			}

			$checkNR.on('change', function() {
				var $checkbox = $(this);
				var $input = $kwotaField;
				
				if($checkbox.is(':checked')) {
					$input.val('');
					$input.attr('disabled', 'disabled');
					$input.addClass('disabled');
				} else {
					$input.removeAttr('disabled');
					$input.removeClass('disabled');
					$input.val('0,00');
				}
			});
			
			$kwotaField.before($checkNR);
			$kwotaField.before("&nbsp;");

			$kwotaField.setMask({mask : '99,999 999 999 999', type : 'reverse', defaultValue: '+000', selectCharsOnFocus: true, symbol: glJednostkaMonetarna, showSymbol:true });
			if($kwotaField.hasClass('disabled')) {
				$kwotaField.val('');
			}
		});
	},
	
	unKwotaNR: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
// kwoty nie wymagane, co do których nie wprowadzać checkboxa wyłączającego
$.fn.extend({
	kwotaNRNChkb: function() {
		$(this).each(function() {
			var $kwotaField = $(this);
			
			$kwotaField.setMask({mask : '99,999 999 999 999', type : 'reverse', defaultValue: '+000', selectCharsOnFocus: true, symbol: glJednostkaMonetarna, showSymbol:true });
		});
	},
	
	unKwotaNRChkb: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	numberInteger: function() {
		$(this).each(function() {
			$(this).setMask({mask : '999999999999', type : 'reverse', defaultValue: '0', selectCharsOnFocus: true});
		});
	},
	
	unNumberInteger: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	numberIntegerNR: function() {
		var defaultValue = '0';
		
		$(this).each(function() {
			var $numberField = $(this);
			
			var $checkNR = $("<input type='checkbox' name='chkb" + new Date().getTime() + "' id='" + jqEscape($numberField.attr("name")) + "Check'></input>");
			if($numberField.val() == '') {
				$checkNR.attr('checked', 'checked');
				$numberField.attr('disabled', 'disabled');
				$numberField.addClass('disabled');
			}

			$checkNR.on('change', function() {
				var $checkbox = $(this);
				var $input = $numberField;
				
				if($checkbox.is(':checked')) {
					$input.val('');
					$input.attr('disabled', 'disabled');
					$input.addClass('disabled');
				} else {
					$input.removeAttr('disabled');
					$input.removeClass('disabled');
					$input.val(defaultValue);
				}
			});
			
			$numberField.before($checkNR);
			$numberField.before("&nbsp;");

			$numberField.setMask({mask : '999999999999', type : 'reverse', defaultValue: defaultValue, selectCharsOnFocus: true});
			if($numberField.hasClass('disabled')) {
				$numberField.val('');
			}
		});
	},
	
	unNumberIntegerNR: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	numberIntegerNRNChkb: function() {
		$(this).each(function() {
			var $numberField = $(this);
			
			$numberField.setMask({mask : '999999999999', type : 'reverse', defaultValue: '', selectCharsOnFocus: true});
		});
	},
	
	unNumberIntegerNRNChkb: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	doublePrecision: function() {
		$(this).each(function() {
			$(this).setMask({mask : '99,999 999 999 999', type : 'reverse', defaultValue: '+000', selectCharsOnFocus: true});
		});
	},
	
	unDoublePrecision: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	tetraPrecision: function() {
		$(this).each(function() {
			$(this).setMask({mask : '9999,999 999 999 999', type : 'reverse', defaultValue: '+00000', selectCharsOnFocus: true});
		});
	},
	
	unTetraPrecision: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	doublePrecisionNR: function() {
		$(this).each(function() {
			var $numberField = $(this);
			
			var $checkNR = $("<input type='checkbox' name='chkb" + new Date().getTime() + "' id='" + jqEscape($numberField.attr("name")) + "Check'></input>");
			if($numberField.val() == '') {
				$checkNR.attr('checked', 'checked');
				$numberField.attr('disabled', 'disabled');
				$numberField.addClass('disabled');
			}

			$checkNR.on('change', function() {
				var $checkbox = $(this);
				var $input = $numberField;
				
				if($checkbox.is(':checked')) {
					$input.val('');
					$input.attr('disabled', 'disabled');
					$input.addClass('disabled');
				} else {
					$input.removeAttr('disabled');
					$input.removeClass('disabled');
					$input.val('0,00');
				}
			});
			
			$numberField.before($checkNR);
			$numberField.before("&nbsp;");
			
			$numberField.setMask({mask : '99,999 999 999 999', type : 'reverse', defaultValue: '+000', selectCharsOnFocus: true});
		});
	},
	
	unDoublePrecisionNR: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	doublePrecisionNRNChkb: function() {
		$(this).each(function() {
			var $numberField = $(this);
			
			$numberField.setMask({mask : '99,999 999 999 999', type : 'reverse', defaultValue: '+000', selectCharsOnFocus: true});
		});
	},
	
	unDoublePrecisionNRNChkb: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	nip: function() {
		$(this).each(function() {
			$(this).setMask({mask : '999-999-99-99', defaultValue: '', selectCharsOnFocus: false});
		});
	},
	
	unNip: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	pesel: function() {
		$(this).each(function() {
			$(this).setMask({mask : '99999999999', defaultValue: '', selectCharsOnFocus: false});
		});
	},
	
	unPesel: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	regon: function() {
		$(this).each(function() {
			$(this).setMask({mask : '999999999', selectCharsOnFocus: false});
		});
	},
	
	unRegon: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	kodPocztPodp: function() {
		$(this).each(function() {
			$(this).setMask({mask : '99-999', selectCharsOnFocus: false});
		});
	},
	
	unKodPocztPodp: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	rok: function() {
		$(this).each(function() {
			$(this).setMask({mask : '9999', selectCharsOnFocus: true});
		});
	},
	
	unRok: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	layoutDate: function() {
		$(this).each(function() {
			$(this).setMask({mask : '9999-99-99', selectCharsOnFocus: true});
		});
	},
	
	unLayoutDate: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});
$.fn.extend({
	layoutDateReverse: function() {
		$(this).each(function() {
			$(this).setMask({mask : '99-99-9999', selectCharsOnFocus: true});
		});
	},
	
	unLayoutDateReverse: function() {
		$(this).each(function() {
			$(this).unsetMask();
		});
	}
});