var currentBlok = null;
var width = screen.width-10;
var height = screen.height-80;
tinyMCE.init({
	theme : "advanced",
	mode : "exact",
	elements : "tresc",
	plugins : "contextmenu,preview,table,print,searchreplace",

	theme_advanced_layout_manager : "SimpleLayout",
	theme_advanced_buttons1 : "code,|,search,replace,|,undo,redo,|,hr,removeformat,visualaid,|,tablecontrols,|,forecolor,backcolor",
	theme_advanced_buttons2 : "formatselect,fontselect,fontsizeselect,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,outdent,indent,|,sub,sup",
	theme_advanced_buttons3 : "",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "none",
	theme_advanced_resizing : true,
	language : "pl",
	width : "1100px",
	height: "500px",
	plugin_preview_width : width,
	plugin_preview_height : height,
	theme_advanced_fonts : "Arial=arial,helvetica,sans-serif;Courier New=courier new,courier,monospace;Times New Roman='Times New Roman','Times CE','Times';Verdana=Verdana",
	table_styles : "Header 1=header1;Header 2=header2;Header 3=header3",
	table_cell_styles : "Header 1=header1;Header 2=header2;Header 3=header3;Table Cell=tableCel1",
	table_row_styles : "Header 1=header1;Header 2=header2;Header 3=header3;Table Row=tableRow1",
	table_cell_limit : 100,
	table_row_limit : 100,
	table_col_limit : 5,
	setup : function(ed) {
		ed.onClick.add(function(ed, e) {
			currentBlok = 'tresc';
	    });
	}
});

function insertToTinyNCE(text){
	tinyMCE.execCommand("mceInsertContent",false,text);
}

$.fn.insertAtCaret = function (myValue) {
	return this.each(function(){
			//IE support
			if (document.selection) {
					this.focus();
					sel = document.selection.createRange();
					sel.text = myValue;
					this.focus();
			}
			//MOZILLA / NETSCAPE support
			else if (this.selectionStart || this.selectionStart == '0') {
					var startPos = this.selectionStart;
					var endPos = this.selectionEnd;
					var scrollTop = this.scrollTop;
					this.value = this.value.substring(0, startPos)+ myValue+ this.value.substring(endPos,this.value.length);
					this.focus();
					this.selectionStart = startPos + myValue.length;
					this.selectionEnd = startPos + myValue.length;
					this.scrollTop = scrollTop;
			} else {
					this.value += myValue;
					this.focus();
			}
	});
};
