/**
 * UWAGA: wymaga zaimportowania wcześniej biblioteki - utils/dateUtils.js
 *
 * Uzupełnia poszczególne pola adresu na podstawie
 * zserializowanego adresu do postaci JSON
 *
 * data - adres w postaci JSON
 * poleAdres - nazwa pola w bean`ie pod jaką występuje adres
 *
 */
function uzupelnijAdres(jsonObj, poleAdres) {
	if(jsonObj != null) {
//		var jsonObj = jQuery.parseJSON(data);
		var $elemPanstwo = $("select[name='" + poleAdres + ".panstwo']");
		
		if(jsonObj.id != null) {
			$elemPanstwo.val(jsonObj.panstwo);
			// poprawne wyświetlenie adresu
			var $elemPanstwo = $("select[name='" + poleAdres + ".panstwo']");
			poprawWidokAdresu($elemPanstwo);
			wyczyscAdres($elemPanstwo);
	
			$("input[name='" + poleAdres + ".ulica']").val(jsonObj.ulica);
			$("input[name='" + poleAdres + ".nrDomu']").val(jsonObj.nrDomu);
			$("input[name='" + poleAdres + ".nrLokalu']").val(jsonObj.nrLokalu);
			$("input[name='" + poleAdres + ".miejscowosc']").val(jsonObj.miejscowosc);
			$("input[name='" + poleAdres + ".kodPocztowy']").val(jsonObj.sformatowanyKodPocztowy);
			$("input[name='" + poleAdres + ".poczta']").val(jsonObj.poczta);
			$("select[name='" + poleAdres + ".wojewodztwo']").val(jsonObj.wojewodztwo);
			$("input[name='" + poleAdres + ".powiat']").val(jsonObj.powiat);
			$("input[name='" + poleAdres + ".gmina']").val(jsonObj.gmina);
			if(jsonObj.dataOd != null) {
				$("input[name='" + poleAdres + ".dataOd']").val(formatDate(new Date(jsonObj.dataOd), 'yyyy-MM-dd'));
			} else {
				$("input[name='" + poleAdres + ".dataOd']").val("");
			}
			if(jsonObj.dataDo != null) {
				$("input[name='" + poleAdres + ".dataDo']").val(formatDate(new Date(jsonObj.dataDo), 'yyyy-MM-dd'));
			} else {
				$("input[name='" + poleAdres + ".dataDo']").val("");
			}
			$("input[name='" + poleAdres + ".telefon']").val(jsonObj.telefon);
			$("input[name='" + poleAdres + ".fax']").val(jsonObj.fax);
		} else {
			wyczyscAdres($elemPanstwo);
		}
	}
}
