<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${fn:length(listaAdresow) == 0}">
		<div style='color:tomato;'>
			Nie odnaleziono adresów dla podanego kodu pocztowego!
		</div>
	</c:when>
	<c:otherwise>
		<div style='color:tomato; padding-left:22px;'>
			miejscowość, ulica
		</div>
		<div style='height:250px; overflow:auto;'>
			<c:set var="checkedAdres" value=""/>
			<c:if test="${fn:length(listaAdresow) == 1}">
				<c:set var="checkedAdres" value="checked"/>
			</c:if>
			<c:forEach items="${listaAdresow}" var="adres" varStatus="i">
				<input id="checkAdr_${adres.id}" type="radio" name="adresy" ${checkedAdres} value="${adres.id}"/>
				<label for="checkAdr_${adres.id}" class="cursorPointer">${adres.miejscowosc.nazwa.str}, <c:choose><c:when test="${not empty adres.ulica}">${adres.ulica.nazwa.str}</c:when><c:otherwise>-</c:otherwise></c:choose></label>
				<br/>
			</c:forEach>
		</div>
	</c:otherwise>
</c:choose>