<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				//usuwanie wstrętnego podpowiadania przez przeglądarkę
				$("[name$='user']").val('${actionBean.user}');
				$("[name$='password']").val('${actionBean.password}');
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Tworzenie kopii zapasowej bazy danych</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.db.backup.GlownaBazaBackupAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								URL
							</label>
						</div>
						<div class="input">
							<stripes:text name="url" size="100" class="required" readonly="true"/>
							<stripes:errors field="url"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								użytkownik
							</label>
						</div>
						<div class="input">
							<stripes:text name="user" size="20" class="required"/>
							<stripes:errors field="user"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								hasło
							</label>
						</div>
						<div class="input">
							<stripes:password name="password" size="20" class="required"/>
							<stripes:errors field="password"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.db.backup.ListaKopiiZapasowychAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="kopiaZapasowa" class="noLoadImage" value="Utwórz kopię"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>