<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script src="${root}/js/jquery-aa.js"></script>

<%-- nadpisywanie funkcji obsługującej response tak by uwzględnić m.in. maskowanie pól formularza --%>
<script type="text/javascript">
	AjaxAnywhere.submitAjaxAnywhereFormWithData = function(parentForm, data, refreshZones, event, method) {
		if(!data) {
			AjaxAnywhere.submitAjaxAnywhereForm(parentForm, refreshZones, event, method);
		} else {
			method = method ? method : $(parentForm).attr("method");
			
			var params = {};
			if (event) {
			    params[$(event.target).attr('name')] = $(event.target).val();
			}
			params["aazones"] =  refreshZones;
			
			$.ajax({
			    url: $(parentForm).attr("action"),
			    type: method,
			    data: $(parentForm).serialize() + (data ? '&' : '') + data + '&' + $.param(params),
			    dataType: 'xml',
			    success: this.handleSuccessfulRequest,
			    error: this.handleError
			});
		}
	};
	
	AjaxAnywhere.processXmlResponse = (function (_superProcessXmlResponse) {
		return function(request, response) {
			_superProcessXmlResponse(request, response);
			
			$(response).find("zone").each(function(i, zoneNode) {
				var id = $(zoneNode).attr("id");
				layoutFormField("#" + id);
			});
			$(response).find("exception").each(function(i, exNode) {
				var type = $(exNode).attr("type");
				var text = $(exNode).text();
				$("#global_error_zone").html(
						"<div style='text-align: left'>"
						+ "<div class='bladglobalny'><span class='imgError'/>"
						+ "<span class='daneWyroznione'>" + type + "</span>"
						+ "<div>" + text + "</div>"
						+ "</div></div>");
			});
		};
	})(AjaxAnywhere.processXmlResponse);
	
	AjaxAnywhere.handleError = (function (_superHandleError) {
		ukryjLoadImage();
		return function(request, response) {
			$("#global_error_zone").append(
					"<div style='text-align: left'>"
					+ "<div class='bladglobalny'><span class='imgError'/> HTTP " + request.status + " Błąd w przetwarzaniu żądania</div>"
					+ "</div>");
		};
	})(AjaxAnywhere.handleError);
</script>
