<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- (wprowadzone bo czasami się zapomni gdzieś usunąć logowania na konsolkę i błąd na IE8 (w niektórych wersjach) wywala) --%>
<script type="text/javascript" src="${root}/js/consolelog.js"></script>

<script type="text/javascript" src="${root}/js/jquery.cookie.js"></script>
<%--
<script type="text/javascript" src="${root}/js/tracker/userSessionListener.js"></script>
--%>

<stripes:url var="_MenuGlowneActionURL" beanclass="pl.topteam.dps.action.system.menu.MenuGlowneAction" prependContext="true" addSourcePage="false"/>
<script type="text/javascript">
	var _MenuGlowneActionURL = "${_MenuGlowneActionURL}";
</script>

<script type="text/javascript" src="${root}/js/jquery.jclock.js"></script>
<script type="text/javascript" src="${root}/js/i18n/ui.datepicker-pl.js"></script>
<script type="text/javascript" src="${root}/js/jquery.meio.mask.js"></script>
<script type="text/javascript" src="${root}/js/jquery.timers-1.2.js"></script>
<script type="text/javascript" src="${root}/js/jquery.num.js"></script>
<script type="text/javascript" src="${root}/js/jquery-myPlaceholder-plugin.js"></script>
<script type="text/javascript" src="${root}/js/jquery.flexibleArea.js"></script>
<script type="text/javascript" src="${root}/js/tooltip.js"></script>
<script type="text/javascript" src="${root}/js/jquery.blink.js"></script>

<script type="text/javascript" src="${root}/js/bootstrap/bootstrap.js"></script>

<script type="text/javascript" src="${root}/js/utils/fixnum.js"></script>
<script type="text/javascript" src="${root}/js/utils/fixnum42.js"></script>

<script type="text/javascript" src="${root}/js/utils/jqueryEscape.js"></script>
<script type="text/javascript" src="${root}/js/utils/maskDefinitions.js"></script>
<script type="text/javascript" src="${root}/js/utils/mySelect.js"></script>
<script type="text/javascript" src="${root}/js/utils/myTextValidation.js"></script>
<script type="text/javascript" src="${root}/js/utils/confirmation.js"></script>
<script type="text/javascript" src="${root}/js/utils/adres.js"></script>
<script type="text/javascript" src="${root}/js/utils/disableEnter.js"></script>
<script type="text/javascript" src="${root}/js/utils/showHide.js"></script>
<script type="text/javascript" src="${root}/js/jtip2.js"></script>

<script type="text/javascript" src="${root}/js/layoutDate.js"></script>
<script type="text/javascript" src="${root}/js/layoutScript.js"></script>

<script type="text/javascript" src="${root}/js/ddsmoothmenu.js"></script>

<script type="text/javascript" src="${root}/js/utils/widgetMieszkaniec.js"></script>
<script type="text/javascript" src="${root}/js/utils/menuGlowne.js"></script>

<script type="text/javascript" src="${root}/js/utils/biginteger.js"></script>

<script type="text/javascript" src="${root}/js/utils/trim.js"></script>
<script type="text/javascript" src="${root}/js/utils/loadImage.js"></script>
<script type="text/javascript" src="${root}/js/utils/notOnIExplorer.js"></script>

<script type="text/javascript" src="${root}/js/validation/iban.js"></script>

<%@ include file="mainMomentJS.jsp" %>
<%@ include file="mainAjaxAnywhere.jsp" %>

<!-- http://code.google.com/p/ie7-js/ -->
<!--[if lt IE 9]>
	<script type="text/javascript" src="${root}/js/ie-fix/IE9.js"></script>
<![endif]-->

<script type="text/javascript">
	$.ajaxSetup({
		beforeSend: function(jqXhr, settings) {
			<%--
				dla każdej ajaxowej akcji ustawianie parametru świadczącego o tym że jest ona wywoływana asynchronicznie;
				przydatne głównie przy obsłudze błędów
			 --%>
			jqXhr.setRequestHeader("Ajax-Async", "1");
			pokazLoadImage();
			return true;
		},
		always: function(jqXhr, textStatus) {
			return true;
		},
		complete: function(jqXHR, textStatus) {
			ukryjLoadImage();

			return true;
		},
		fail : function(jqXhr, textStatus, errorThrown) {
			ukryjLoadImage();
			if(textStatus != null && textStatus != 'abort') {
				alert("Wystąpił błąd przesyłu danych: " + textStatus + "|" + errorThrown + "|" + jqXhr.status);
			}

			return true;
		},
		done : function (data, textStatus, jqXhr) {
			ukryjLoadImage();
		}
	});
</script>
