<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<%@ include file="czlonekRodzinyHtmlHead.jsp" %>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" name="czlonekForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Dodawanie członka rodziny
					</legend>

					<c:set var="daneCzlonkaRodziny" value="1"/>
					<%@ include file="osobaDane.jsp" %>

					<div style="padding: 10px 0px 10px 10px;">
						<stripes:checkbox id="status_elemMiejZamieszkania" name="statusAdresu" onchange="showHideAdres('elemMiejZamieszkania');"/>
						<label for="status_elemMiejZamieszkania" class="cursorPointer">&nbsp;Adres jest nieznany</label>
					</div>
					<fieldset class="elemMiejZamieszkania">
						<stripes:hidden name="adres.typ" value="ZAMIESZKANIA"/>
						<legend>
							Adres&nbsp;&nbsp;&nbsp;
							<stripes:text id="adresPodp_adres" name="adresPodp_adres"
								class="kodPocztPodp" style="width: 4em;" onkeyup="adres('adres');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" name="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>
						<div style="clear: both; padding-top: 5px; padding-bottom: 10px;">
							<stripes:button onclick="podpAdres('ZAMIESZKANIA');" name="podAdrZamMieszk">Podpowiedz adres zamieszkania mieszkańca</stripes:button>
							<stripes:button onclick="podpAdres('POBYTU_STALEGO');" name="podOstAdrZameldowania">Podpowiedz ost. adres zameldowania mieszkańca</stripes:button>
							<span id="msgPodpAdres"></span>
						</div>

						<c:set var="nazwaPolaAdresu" value="adres"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="../templatePages/polaAdresuMiedzynarodowego.jsp" %>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>