<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_czlonekRodzinyURL" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_EwidencjaDanychOsobowychActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaDanychOsobowychAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_PeselActionURL" beanclass="pl.topteam.dps.action.utils.PeselAction" prependContext="true" scope="page"/>
<script type="text/javascript">
	var _PeselActionURL = "${_PeselActionURL}";
</script>

<stripes:layout-component name="htmlHead">
	<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>
	
	<script type="text/javascript" src="${root}/js/utils/pesel.js"></script>
	<script type="text/javascript" src="${root}/js/utils/daneOsobowe.js"></script>
	<script type="text/javascript" src="${root}/js/utils/dateUtils.js"></script>
	<script type="text/javascript" src="${root}/js/utils/uzupelnijAdres.js"></script>
	<script type="text/javascript" src="${root}/js/utils/showHideAdres.js"></script>
	
	<script type="text/javascript">
		function podpAdres(typ) {
			pokazLoadImage();
			var parametry = "podpowiedzAdres=" +
				"&typAdresu=" + typ;

			$("#msgPodpAdres").html("");
			$.post("${_czlonekRodzinyURL}",
				parametry,
				function(data, textStatus, xhr) {
					if(xhr.getResponseHeader('Ajax-Success')) {
						uzupelnijAdres(jQuery.parseJSON(data), "adres");
						$("#msgPodpAdres").html("<span class=\"success\">Poprawnie uzupełniono adres</span>");
					} else {
						$("#msgPodpAdres").html("<span class=\"err\">Wystąpił błąd przy pobieraniu adresu</span>");
					}

					ukryjLoadImage();
				}, "text"
			);
		}

		$(document).ready(function() {
			showHideAdres('elemMiejZamieszkania');
		});
	</script>
</stripes:layout-component>
