<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Wprowadzanie pokoi do ewidencji (krok 1 - definicja ogólna)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.PokojZakresAction" style="width: 400px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								budynek
							</label>
						</div>
						<div class="input">
							<stripes:text name="budynek" title="Budynek"/>
							<stripes:errors field="budynek"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								piętro
							</label>
						</div>
						<div class="input">
							<stripes:text name="pietro" class="numberInteger required" title="Piętro" size="8"/>
							<stripes:errors field="pietro"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								numery od
							</label>
						</div>
						<div class="input">
							<stripes:text name="nrOd" class="numberInteger required" title="Numer pokoju od" size="12"/>
							<stripes:errors field="nrOd"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								numery do
							</label>
						</div>
						<div class="input">
							<stripes:text name="nrDo" class="numberInteger required" title="Numer pokoju do" size="12"/>
							<stripes:errors field="nrDo"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								liczba miejsc
							</label>
						</div>
						<div class="input">
							<stripes:text name="liczbaMiejsc" class="numberInteger required" title="Liczba miejsc w każdym z pokoi" size="8"/>
							<stripes:errors field="liczbaMiejsc"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.ListaPokoiAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>