<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/simpleLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="edycjaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Dane jednostki<c:if test="${not empty actionBean.dpsJednostka.nazwaSkrocona}"> (${actionBean.dpsJednostka.nazwaSkrocona})</c:if></h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 25px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklDnOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneOgolne', this);">Dane jednostki</a>
						</li>
						<li>
							<a href="#" id="zaklDnGUS" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneGUS', this);">GUS - stat.</a>
						</li>
						<%--
						<li>
							<a href="#" id="zaklDnInne" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneInne', this);">Inne</a>
						</li>
						--%>
					</ul>
				</div>
				<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSuAction" style="border: 0px none;">
					<stripes:hidden name="zakladka" id="zakladka" value="${actionBean.zakladka}"/>
					<stripes:hidden name="dpsJednostka.id"/>

					<c:set var="poleDPSJednostka" value="dpsJednostka"></c:set>
					<div id="tab-container">
						<div id="daneOgolne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							
							<c:set var="definicjaDanych" value="${true}"/>
							<%@ include file="polaJednostkaDaneOgolne.jsp" %>
							<%@ include file="polaJednostkaDaneOgolneAdres.jsp" %>
						</div>
						<div id="daneGUS" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="polaJednostkaDaneGUS.jsp" %>
						</div>
						<%--
						<div id="daneInne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="polaJednostkaDaneInne.jsp" %>
						</div>
						--%>
					</div>
					<fieldset class="pelny submit">
						<div>
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
				</stripes:form>
			</div>			
		</div>
	</stripes:layout-component>
</stripes:layout-render>