<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa skrócona
		</label>
	</div>
	<div class="input">
		<stripes:text class="required" name="dpsJednostka.nazwaSkrocona" size="15"/>
		<stripes:errors field="dpsJednostka.nazwaSkrocona"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nazwa pełna
		</label>
	</div>
	<div class="input">
		<stripes:text class="required" name="dpsJednostka.nazwa" size="65"/>
		<stripes:errors field="dpsJednostka.nazwa"/>
	</div>
</div>
<c:choose>
	<c:when test="${(not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER) || (not empty definicjaDanych && definicjaDanych)}">
		<div class="row">
			<div class="label">
				<label>
					typ
				</label>
			</div>
			<div class="input">
				<stripes:select name="dpsJednostka.branch" class="required">
					<stripes:options-enumeration enum="pl.topteam.dps.enums.Branch" label="opis"/>
				</stripes:select>
				<stripes:errors field="dpsJednostka.branch"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<div class="row">
			<div class="label">
				<label>
					typ
				</label>
			</div>
			<div class="input">
				<stripes:hidden name="dpsJednostka.branch"/>
				
				<c:set var="nazwaPola" value="dpsJednostka.branch"/>
				<c:set var="wartoscZBeana" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
				${wartoscZBeana.opis}
			</div>
		</div>
	</c:otherwise>
</c:choose>
<div class="row">
	<div class="label">
		<label>
			kod KESO
		</label>
	</div>
	<div class="input">
		<stripes:text class="required" name="dpsJednostka.kodKeso" size="65"/>
		<stripes:errors field="dpsJednostka.kodKeso"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kod lokalizacji
		</label>
	</div>
	<div class="input">
		<stripes:text class="required" name="dpsJednostka.kodLokalizacji" size="65"/>
		<stripes:errors field="dpsJednostka.kodLokalizacji"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			NIP
		</label>
	</div>
	<div class="input">
		<stripes:text class="nip required" name="dpsJednostka.nip" size="20"/>
		<stripes:errors field="dpsJednostka.nip"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			REGON
		</label>
	</div>
	<div class="input">
		<stripes:text class="regon required" name="dpsJednostka.regon" size="15"/>
		<stripes:errors field="dpsJednostka.regon"/>
	</div>
</div>
