<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Dodawanie umowy z apteką</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.DodawanieUmowyAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="umowaApteka.id"/>
				<fieldset>
					<c:set var="poleUmowa" value="umowaApteka"/>
					<%@ include file="/jsp/templatePages/polaUmowaApteka.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.ListaUmowZAptekaAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>