<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="MED_U_UMOWA_APTEKA">
	<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.DodawanieEdycjaKwotyAction"
			event="dodawanie">
		<stripes:param name="kwotaUmowy.umowaId" value="${actionBean.umowaApteka.id}"/>
		Dodaj nową kwotę
	</stripes:link>
	<br/><br/>
</ttSec:secure>

<c:set var="umowaApteka" value="${actionBean.umowaApteka}"/>
<c:set var="includeKolumnyEdycji" value="${true}"/>
<%@ include file="listaKwoty.jsp" %>

<fieldset class="submit">
	<div>
		<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.ListaUmowZAptekaAction"
				event="lista">
			&laquo; Anuluj
		</stripes:link>
	</div>
</fieldset>
