<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<stripes:url var="_limitSwiadczeniaURL" beanclass="pl.topteam.dps.action.utils.LimitSwiadczenAction" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_decyzjaDzOOdplatnosciURL" beanclass="pl.topteam.ddp.action.socjalni.decyzja.oOdplatnosci.DecyzjaDzOOdplatnosciAction" prependContext="true" scope="page" addSourcePage="false"/>

<script type="text/javascript" src="${root}/js/utils/removeElem.js"></script>
<script type="text/javascript">
	// podliczanie całkowitego limitu świadczeń
	function podpowiedzCalkowityLimit(nazwaPolaDecyzja,nazwaPolaLimit){
		pokazLoadImage();
		
		// czyszczenie błędów po poprzednim wywołaniu
		$(".bladLimit").html("");

		var dataOd = $("input[name='" + jqEscape(nazwaPolaDecyzja) + ".obowiazujeOd']").val();
		if(dataOd == null || dataOd == '') {
			dataOd = $("input[name='" + jqEscape(nazwaPolaDecyzja) + ".dataWydania']").val();
		}
		$.post("${_limitSwiadczeniaURL}",
			{
				"dataOd" : dataOd,
				"dataDo" : $("input[name='" + jqEscape(nazwaPolaDecyzja) + ".obowiazujeDo']").val(),
				"okresIloscLimit" : $("input[name='" + jqEscape(nazwaPolaLimit) + ".okresIloscLimit']").val(),
				"typOkresu": $("select[name='" + jqEscape(nazwaPolaLimit) + ".okresLimit']").val()
			},
			function(data, textStatus, xhr) {
				if(xhr.getResponseHeader('Ajax-Success')) {
					var jsonObj = jQuery.parseJSON(data);

					var $poleLimit = $("input[name='" + jqEscape(nazwaPolaLimit) + ".iloscLimit']");
					$poleLimit.val(jsonObj.limit);

					// chwilowe podświetlenie (sygnał, że wstawiono nowe dane)
					$poleLimit.css('background-color', 'lightgreen');
					setTimeout(function(){$poleLimit.css('background-color', 'white');}, 80);
				} else {
					$("#" + jqEscape(nazwaPolaLimit) + "bladLimit").html(data);
				}
				
				ukryjLoadImage();
	 		}, "text"
	 	);
	}

	$(document).ready(function() {
		//dodawanie kolejnych pobieranych świadczeń
		$('#dodajPobieraneSwiad').click(function() {
			pokazLoadImage();
			
			$("#ostNrSwiad").remove();
			var parametry = "pobieraneSwiadczenie=1&" + $('input[name^=decyzjaSwiadczenieLista]').serialize() + "&_sourcePage=${ttFn:encryptForStripes('/jsp/wyjatki/validationErrors.jsp')}";
	    	$.post("${_decyzjaDzOOdplatnosciURL}",
				parametry,
				function(data, textStatus, xhr) {
		    		$("#bledySwiadczenia").html("");
		    		
					if(xhr.getResponseHeader('Ajax-Success')) {
						$("input[name='j']").remove();
						$(data).appendTo("#divPobieraneSwiadczeniaRow");
						numerKolejny = parseInt($("#ostNrSwiad").val());
	   				} else {
	   					$("#bledySwiadczenia").html(data);
					}
					
					ukryjLoadImage();
	   	 		}, "html"
		 	);
    	});
	});
</script>