<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainOczekujacyLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_ZasadyWydaniaDecyzjiKierujacejActionURL" beanclass="pl.topteam.dps.action.utils.ZasadyWydaniaDecyzjiKierujacejAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _ZasadyWydaniaDecyzjiKierujacejActionURL = "${_ZasadyWydaniaDecyzjiKierujacejActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/decyzjaKierWyborZasad.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.DecyzjaKierujacaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Decyzja kierująca (dodawanie krok 1)
					</legend>
					
					<%@ include file="dodawanieKrok1.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.ListaDecyzjiKierujacychAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
