<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.DecyzjaOOdplatnosciProjektAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Projekt decyzji o odpłatności (dodawanie krok 4-ty -> odpłatność)
					</legend>

					<div class="row">
						<div class="label">
							<label>
								dochód na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="dochod.dataOd" class="data required" readonly="true" title="Stan na dzień" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dochod.dataOd"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								kwota dochodu
							</label>
						</div>
						<div class="input">
							<stripes:text name="dochod.kwota" class="kwota required" readonly="true" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							<stripes:errors field="dochod.kwota"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								${__procent_dochodu_odplatnosc}% dochodu wynosi
							</label>
						</div>
						<div class="input">
							<stripes:text name="dochod.kwotaProcent" class="kwota required" readonly="true" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							<stripes:errors field="dochod.kwotaProcent"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							&nbsp;
						</div>
						<div class="input">
							&nbsp;
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								kwota odpłatności mieszkańca
							</label>
						</div>
						<div class="input">
							<stripes:text name="decyzjaOOdplatnosci.kwota" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							<stripes:errors field="decyzjaOOdplatnosci.kwota"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiOOdplatnosciAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
