<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="content">
	<div class="formContainer">
		<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.uchylajaca.DecyzjaUchylajacaEdycjaAction">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
			
			<stripes:hidden name="decyzjaUchylajaca.id"/>
			<stripes:hidden name="decyzjaUchylajaca.ewidencjaId"/>
			<fieldset>
				<legend>
					Decyzja uchylająca (edycja)
				</legend>
				<%@ include file="/jsp/templatePages/polaDecyzjiUchylajaca.jsp" %>
			</fieldset>

			<fieldset class="submit">
				<div>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.uchylajaca.ListaDecyzjiUchylajacychAction" class="button">
							&laquo; Anuluj
						</stripes:link>
			  		&nbsp;&nbsp;
					<stripes:submit name="zapisz" value="Zapisz"/>
				</div>
			</fieldset>
		</stripes:form>
	</div>
</stripes:layout-component>
