<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib  prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#osoba").click();
			})
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.NoweKontoAction" class="form-horizontal">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						<c:set var="_rodzajKont" value="${fn:toUpperCase(fn:substring(actionBean.konto.rodzaj.opis, 0, 1))}${fn:toLowerCase(fn:substring(actionBean.konto.rodzaj.opis, 1,fn:length(actionBean.konto.rodzaj.opis)))}"/>
						${_rodzajKont} (nowe konto)
					</legend>

					<c:set var="poleDepPKonto" value="konto"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPKonto.jsp" %>
					
					<stripes:errors field="podmiotP"/>
					<fieldset>
						<legend>Podmiot</legend>
						<c:set var="requiredClass" value="required"/>
						<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecAsOsobaPodpField.jsp" %>
					</fieldset>
					<fieldset>
						<legend>Stan początkowy</legend>
						<%@ include file="/jsp/templateBootstrapPages/polaDepPKontoInicjalizacja.jsp" %>
					</fieldset>					
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.StanBiezacyAction" class="button" event="podglad">
							<stripes:param name="zakladka" value="NOWOPRZYBYLI"/>
							<stripes:param name="rodzajKont" value="${actionBean.konto.rodzaj}"/>
							&laquo; Lista nowoprzybyłych mieszkańców
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
