<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaNowoprzybylychActionURL" beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.ListaNowoprzybylychAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/emptyLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();

			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaNowoprzybylychActionURL}",
					"listaFiltr=1&rodzajKont=${actionBean.rodzajKont}&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);

			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div id="jmesaContainer">
			<%@ include file="listaNowychFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
