<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaOperacjiAction" beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.operacja.ListaOperacjiAction" prependContext="true" scope="page" addSourcePage="false"/>

<aa:zone id="lista_operacji_zone">
<stripes:layout-render name="/jsp/layout/emptyLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function opContainerWrap() {
				$("select[name='maxRows']").parent("td").hide();
				$('#operacje_container_wrapper').height($("#listaOperacji").height() + 150);
			}
			
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaOperacjiAction}",
					"listaOperacjiFiltr=1&konto=${actionBean.konto.id}&" + parameterString,
					function(data) {
			        	$("#lista_operacji_container").html(data);
			        	opContainerWrap();
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				opContainerWrap();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<aa:zone id="global_error_zone"/>
		<div>
			<h4>Lista operacji - ${actionBean.konto.nr}
				(<c:choose><c:when test="${not empty actionBean.podmiot.osoba}">${actionBean.podmiot.osoba.nazwiskoImie}</c:when><c:otherwise>${actionBean.podmiot.instytucja.nazwa}</c:otherwise></c:choose>)
			</h4>
			<div id="lista_operacji_container">
				<c:choose>
					<c:when test="${fn:length(listaOperacji) > 0}">
						<%@ include file="listaOperacjiFiltr.jsp" %>
					</c:when>
					<c:otherwise>
						<div>Brak</div>
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
</aa:zone>
	