<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDiagnoz}" id="listaDiagnoz" var="diagnoza" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="rodzaj" property="slowoId" sortable="false" filterable="false">
				<c:set var="slowaSlownika" value="${kodRodzajuWystawianejDiagnozySlownik}"/>
				<c:set var="wartoscDoPorow" value="${diagnoza.slowoId}"/>
				<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction" event="edycja">
						<stripes:param name="diagnoza.id" value="${diagnoza.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.ListaDiagnozAction" event="usun"
							onclick="return confirmation('Czy na pewno chcesz usunąć tę diagnozę ? ')">
						<stripes:param name="diagnoza.id" value="${diagnoza.id}"></stripes:param>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/diagnoza/definicja/lista.jsp')}"/>
						<img src="${root}/img/delete.gif" border="0" title="Usuń diagnozę"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
