<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.informacjeDodatkowe.InformacjaAction"
		class="button" event="dodawanieDaneOgolne">
	Zdefiniuj nową informację
</stripes:link>

<br/><br/>
<c:choose>
	<c:when test="${fn:length(listaInformacjiDod) > 0}">
		<div id="accordion_listaSkalOcen" class="akordeon2">
			<c:forEach items="${listaInformacjiDod}" var="informacjaDod">
				<div class="akordeon2Menu ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.informacjeDodatkowe.InformacjaEdycjaAction" event="dodawanieDaneOgolne">
						<stripes:param name="informacjaDodatkowa.id" value="${informacjaDod.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace" title="Edycja danych informacji"/>
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction" event="usunInformacje"
							onclick="return confirmation('Czy na pewno chcesz usunąć tę informację ? ')">
						<stripes:param name="informacjaDodatkowa.id" value="${informacjaDod.id}"/>
						<stripes:param name="zakladka" value="zaklInfDod"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/diagnoza/definicja/podgladEdycjaDefinicji.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace" title="Usuń informację"/>
					</stripes:link>
				</div>
				<h3 id="informacjaDod_${informacjaDod.id}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.informacjeDodatkowe.InformacjaListaPolAction" event="lista"
							class="noLoadImage">
						<stripes:param name="informacjaDodatkowa.id" value="${informacjaDod.id}"/>
						${informacjaDod.nazwa}
					</stripes:link>
				</h3>
			    <div>
				</div>
			</c:forEach>
		</div>
	</c:when>
	<c:otherwise>
		<span class="warning">BRAK ZDEFINIOWANYCH INFORMACJI DODATKOWYCH</span>
	</c:otherwise>
</c:choose>
		
<fieldset class="submit">
	<div>
		<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.ListaDiagnozAction"
				class="button" event="lista">
			&laquo; Wróć do listy
		</stripes:link>
	</div>
</fieldset>
