<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPol}" id="listaPol" var="pole"
		autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable styleClass="alignCenter" style="text-align: center; width: 570px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Kolejność" property="kolejnosc">
				${pole.kolejnosc}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Nazwa" property="nazwa">
				${pole.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Typ" property="typ.opis">
				${pole.typ.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Czy<br/>wymagane?" property="wymagane">
				${(not empty pole.wymagane && pole.wymagane) ? 'TAK' : 'NIE'}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

