<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			status
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${stripes:enumName(actionBean.diagnozaRealizacja.status) == 'NIEKOMPLETNA'}">
				<span class="warning">
					${actionBean.diagnozaRealizacja.status.opis}
				</span>
			</c:when>
			<c:otherwise>
				${actionBean.diagnozaRealizacja.status.opis}
			</c:otherwise>
		</c:choose>
		<stripes:hidden name="diagnozaRealizacja.status"/>
	</div>
</div>
<div class="row">&nbsp;</div>

<c:set var="poleDiagnozaRealizacja" value="diagnozaRealizacja"/>
<%@ include file="/jsp/templatePages/polaDiagnozaRealizacja.jsp" %>

<fieldset class="submit" style="border-top: 1px solid #5F8DD3;">
	<div>
		<stripes:submit name="zapisz" value="Zapisz"/>
	</div>
</fieldset>

