<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.InformacjaDodatkowaAction" name="informacjaDodatkowaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="">
								Informacja dodatkowa
							</c:when>
							<c:otherwise>
								Edycja informacji dodatkowej
							</c:otherwise>
						</c:choose>
					</legend>

					<stripes:hidden name="informacjaDodatkowaWpis.id"/>
					<stripes:hidden name="informacjaDodatkowaWpis.informacjaDodatkowaId"/>
					<stripes:hidden name="informacjaDodatkowaWpis.pracownikId"/>
					<stripes:hidden name="diagnozaRealizacja.id"/>
					
					<div class="row">
						<div class="label">
							<label>
								data
							</label>
						</div>
						<div class="input">
							<stripes:text name="informacjaDodatkowaWpis.data" class="data required" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="informacjaDodatkowaWpis.data"/>
						</div>
					</div>
					
					<fieldset>
						<legend>
							Dane pól informacji
						</legend>

						<c:forEach items="${listaPolInformacji}" var="informacjaPole" varStatus="i">
							<stripes:hidden name="listaInformacji[${i.count - 1}].id"/>
							<%@ include file="/jsp/templatePages/polaInformacjaDodatkowa.jsp" %>
						</c:forEach>
					</fieldset>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction" event="podglad">
							<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"></stripes:param>
							<stripes:param name="zakladka" value="zaklInfDod"></stripes:param>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>