<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.OcenaWgSkaliAction" name="ocenaForm" style="width: 80%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.ocenaOsoby.id}">
								Ocena mieszkańca wg skali "${actionBean.skala.nazwa}"
							</c:when>
							<c:otherwise>
								Edycja oceny mieszkańca wg skali "${actionBean.skala.nazwa}"
							</c:otherwise>
						</c:choose>
					</legend>
					<stripes:hidden name="diagnozaRealizacja.id"/>
					<stripes:hidden name="ocenaOsoby.id"/>
					<stripes:hidden name="ocenaOsoby.skalaOcenyId"/>
					<stripes:hidden name="skala.nazwa"/>
					
					<div class="row">
						<div class="label">
							<label>
								data
							</label>
						</div>
						<div class="input">
							<stripes:text name="ocenaOsoby.data" class="data required" title="Data oceny" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="ocenaOsoby.data"/>
						</div>
					</div>
					
					<fieldset>
						<legend>
							Kryteria oceny
						</legend>					
						
						<%@ include file="/jsp/skalaOceny/realizacja/kryteriaFiltr.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction" event="podglad">
							<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"></stripes:param>
							<stripes:param name="zakladka" value="zaklSkale"></stripes:param>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>