<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<table class="table alignCenter" cellpadding="0" cellspacing="0" style="width: 90%;">
	<thead>
		<tr class="header">
			<td>Tekst</td>
			<td>Punkty</td>
			<td>Opcje</td>
		</tr>
	</thead>
	<tbody class="tbody">
		<c:forEach items="${actionBean.listaOpcji}" var="opcja" varStatus="i">
			<tr class="${(i.count + 1) % 2 == 1 ? 'odd' : 'even'} alignLeft"
					onmouseover="this.className='highlight alignLeft'" onmouseout="this.className='${(i.count + 1) % 2 == 1 ? 'odd' : 'even'} alignLeft'">
				<td>${opcja.tekst}</td>
				<td class="alignRight" style="width: 100px;">${opcja.punkty}</td>
				<td style="width: 100px;">
					<div class="ikonki">
						<a href="#" onclick="edytujOpcje(${i.count - 1});">
							<img src="${root}/img/edit.gif" class="iconspace cursorPointer" title="Edytuj opcję"/>
						</a>
						<a href="#" onclick="usunOpcje(${i.count - 1});">
							<img src="${root}/img/delete.gif" class="iconspace cursorPointer" title="Usuń opcję" />
						</a>
					</div>
				</td>
			</tr>
		</c:forEach>
	</tbody>
</table>
