<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Definicja nowej skali oceny dla diagnozy</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="skala.id"/>
				<fieldset>
					<c:set var="nazwaPolaDiagnozaSkalaOceny" value="skala.diagnozaSkalaOceny"/>
					<%@ include file="/jsp/templatePages/polaDiagnozaSkalaOceny.jsp" %>
					
					<c:set var="nazwaPolaSkala" value="skala"/>
					<c:choose>
						<c:when test="${not empty actionBean.skala.id}">
							<%-- edycja --%>
							<c:set var="typDisabled" value="${true}"/>
						</c:when>
						<c:otherwise>
							<%-- dodawanie --%>
							<c:set var="typDisabled" value="${false}"/>
						</c:otherwise>
					</c:choose>
					<%@ include file="/jsp/templatePages/polaSkaliOceny.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction"
								class="button" event="edycja">
							<stripes:param name="zakladka" value="zaklSkale"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>