<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaGrupaAction" event="dodawanie"
		class="button" title="Nowa grupa osób">
	<stripes:param name="grupaOsob.skalaOcenyId" value="${actionBean.skala.id}"/>
	Dodaj grupę
</stripes:link>

<br/><br/>
<jmesa:tableFacade items="${listaGrup}" id="listaGrup!${actionBean.skala.id}" var="grupa" limit="${wynikLimitGrupy}"
		editable="false" maxRows="${ileRekordowGrupy}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="oznaczenie" title="Oznaczenie" sortable="false" filterable="false" styleClass="alignLeft"/>
			<jmesa:htmlColumn property="zakresOd" title="Zakres od" sortable="false" filterable="false"/>
			<jmesa:htmlColumn property="zakresDo" title="Zakres do" sortable="false" filterable="false"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaGrupaCzynnosciAction" event="edycja">
						<stripes:param name="grupaOsob.id" value="${grupa.id}"/>
						<img src="${root}/img/obiekty/rootKatalog.png" class="iconspace" title="Przyporządkuj czynności katalogu usług"/>
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaGrupaCzynnosciAction" event="podglad">
						<stripes:param name="grupaOsob.id" value="${grupa.id}"/>
						<img src="${root}/img/obiekty/rootKatalogLupa.png" class="iconspace" title="Podgląd przyporządkowanych czynności katalogu usług"/>
					</stripes:link>
					
					&nbsp;&nbsp;
					
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaGrupaAction" event="edycja">
						<stripes:param name="grupaOsob.id" value="${grupa.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace" title="Edytuj grupę"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaDefinicjaPodgladAction"
							event="usunGrupe" onclick="return confirmation('Czy na pewno chcesz usunąć tę grupę ? ')">
						<stripes:param name="skala.id" value="${actionBean.skala.id}"/>
						<stripes:param name="grupaOsob.id" value="${grupa.id}"/>
						<img src="${root}/img/delete.gif" class="iconspace" title="Usuń grupę"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
