<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>

<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
<script type="text/javascript" src="${root}/js/utils/toggleSelectable.js"></script>
<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
<script type="text/javascript">
	function zmienDate() {
		$("#submitZapisz").attr('disabled', 'disabled');
		$("<input type='hidden' name='ustawWypelnione' value=''/>").appendTo("#dzienForm");
		pokazLoadImage();
		$("#dzienForm").submit();
	}
	$(document).ready(function() {
		$(".toggleSelectable:not('.dayList')").toggleSelectable({
			lassoToggle: true,
			selected: function(event, ui) {
				// zaznaczanie ukrytego checkboxa
				$(ui.selected).find("input").attr('checked', true);
			},
			unselected: function(event, ui) {
				// odznaczanie ukrytego checkboxa
				$(ui.unselected).find("input").removeAttr('checked');
			}
		});
	});
</script>
