<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

Wybór następuje poprzez zaznaczenie opcji w kolumnie "Wybierz" bądź kliknięcie na nazwę odpowiedniego pola
<br/><br/>
<stripes:button name="zaznaczWszystkie" class="noLoadImage" onclick="zaznacz('input[name$=\"wybrane\"]', true)">Zaznacz wszystkie</stripes:button>
<stripes:button name="odznaczWszystkie" class="noLoadImage" onclick="zaznacz('input[name$=\"wybrane\"]', false)">Odznacz wszystkie</stripes:button>
<br/><br/>
<jmesa:tableFacade items="${polaPredefiniowane}" id="polaPredefiniowane" var="rodzajInformacji"
		autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable styleClass="alignCenter" style="text-align: center; width: 570px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwa" property="nazwa" styleClass="alignLeft" filterable="false" sortable="false">
				<label for="cz_pred_${rodzajInformacji}" class="cursorPointer" title="Kliknij by wybrać">
					${rodzajInformacji.opis}
					<stripes:hidden name="mapaPolPredefiniowanych[${rodzajInformacji}].rodzaj" value="${rodzajInformacji}"/>
				</label>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Wybierz" property="wybrana" filterable="false" sortable="false">
				<stripes:checkbox id="cz_pred_${rodzajInformacji}" name="mapaPolPredefiniowanych[${rodzajInformacji}].wybrane" title="Czy wybrano ?"/>
				<stripes:errors field="mapaPolPredefiniowanych[${rodzajInformacji}].wybrane"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Kolejność, nazwa w raporcie" property="kolejnosc" styleClass="alignLeft nowrap" filterable="false" sortable="false">
				<stripes:text name="mapaPolPredefiniowanych[${rodzajInformacji}].kolejnosc" title="Kolejność" class="numberInteger" size="6"/>
				<stripes:text name="mapaPolPredefiniowanych[${rodzajInformacji}].nazwa" title="Nazwa" size="40"/>
				<stripes:errors field="mapaPolPredefiniowanych[${rodzajInformacji}].kolejnosc"/>
				<stripes:errors field="mapaPolPredefiniowanych[${rodzajInformacji}].nazwa"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
