<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- 
	dodatkowo dla dodawania nowego mieszkańca (nie przekształcania z osoby oczekującej)
	trzeba podać dane decyzji kierującej/postanowienia
--%>
<div style="line-height: 15px;">
	<b>Podstawa przyjęcia:</b>
	<div style="line-height: 25px;">
		<stripes:radio id="optDec" name="decyzjaPostanowienie" value="DECYZJA" onclick="przelaczDecyzjePostanowienie();" checked="checked">
		</stripes:radio>
		<label for="optDec" class="cursorPointer">decyzja kierująca / umieszczająca</label>
		<br/>
		<stripes:radio id="optPost" name="decyzjaPostanowienie" value="POSTANOWIENIE_O_UMIESZCZENIU" onclick="przelaczDecyzjePostanowienie();">
		</stripes:radio>
		<label for="optPost" class="cursorPointer">postanowienie sądu</label>
		<br/>
		<stripes:radio id="optInterwencja" name="decyzjaPostanowienie" value="PRZYJECIE_INTERWENCJA" onclick="przelaczDecyzjePostanowienie();">
		</stripes:radio>
		<label for="optInterwencja" class="cursorPointer">interwencja</label>
	</div>
</div>
<fieldset id="decKier">
	<legend>Decyzja kierująca / umieszczająca</legend>
	<%@ include file="/jsp/templatePages/polaDecyzjiKierujacej.jsp" %>
</fieldset>
<fieldset id="postSadu">
	<legend>
		Postanowienie o umieszczeniu postanowieniem sądu
	</legend>
	<c:set var="nazwaPolaPostanowienia" value="postanowienieSadu"/>
	<%@ include file="/jsp/templatePages/polaDecyzjiKierujacejPostanowienie.jsp" %>

	<fieldset>
		<legend>Postanowienie sądu</legend>
		<%-- dla ujednolicenia walidatora postanowienia (potem i tak id zostaje nadpisane) --%>
		<stripes:hidden name="decyzjaKierujaca.postanowienieSaduId" value="-1"></stripes:hidden>

		<c:set var="klasaWymagane" value="required"/>
		<c:set var="nazwaPolaPostanowienia" value="postanowienieSadu"/>
		<%@ include file="/jsp/templatePages/polaPostanowieniaSadu.jsp" %>
	</fieldset>
</fieldset>
<fieldset id="interwencja">
	<legend>
		Przyjęcie z interwencji - notka
	</legend>
	<c:set var="nazwaPolaPostanowienia" value="postanowienieSadu"/>
	<%@ include file="/jsp/templatePages/polaDecyzjiKierujacejPostanowienie.jsp" %>

	<fieldset>
		<legend>Postanowienie sądu</legend>
		<%-- dla ujednolicenia walidatora postanowienia (potem i tak id zostaje nadpisane) --%>
		<stripes:hidden name="decyzjaKierujaca.postanowienieSaduId" value="-1"></stripes:hidden>

		<c:set var="klasaWymagane" value=""/>
		<c:set var="nazwaPolaPostanowienia" value="postanowienieSadu"/>
		<%@ include file="/jsp/templatePages/polaPostanowieniaSadu.jsp" %>
	</fieldset>
</fieldset>