<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="plikiIncludeMieszkaniec.jsp" %>

		<%@ include file="dodawanieDecKierPostanowienieHead.jsp" %>
		<script type="text/javascript">
			$(document).ready(function() {
				// ustawienie adresów
				customShowHideAdres('elemAdresPobStaly');
				customShowHideAdres('elemMiejZamieszkania');
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Arkusz ewidencyjny (mieszkaniec)</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form id="arkMieszkForm" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<%@ include file="polaEwidencjiMieszkanca.jsp" %>
				
				<%@ include file="dodawanieDecKierPostanowienieContent.jsp" %>

				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
				  		<stripes:submit id="zapiszSubm" name="zapisz" value="Zapisz" style="display: none;"/>
						<stripes:button name="zapiszButton" value="Zapisz" onclick="submitForm();"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>