<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaWyprowadzkiMieszkancaAction" name="ewidencjaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${not empty actionBean.ewidencjaDps.id}">
								Edycja wpisu ewidencji wyprowadzki
								<stripes:hidden name="ewidencjaDps.id"/>
								<stripes:hidden name="ewidencjaDps.ewidPoprzedniWpisId"/>
							</c:when>
							<c:otherwise>
								Ewidencja wyprowadzki mieszkańca
							</c:otherwise>
						</c:choose>
					</legend>
					
					<c:set var="poleEwidencja" value="ewidencjaDps"/>
					<%@ include file="/jsp/templatePages/polaEwidencjaWyprowadzki.jsp" %>
					<%@ include file="/jsp/templatePages/polaEwidencjaDzienPlatny.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.HistoriaEwidencjiOsobyAction" class="button" event="historia">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
