<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>

<stripes:url var="_DowodOsobistyActionURL" beanclass="pl.topteam.dps.action.utils.DowodOsobistyAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_EwidencjaDanychOsobowychActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaDanychOsobowychAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_OrzeczenieNiepelnosprawnoscActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.OrzeczenieNiepelnosprawnoscAction" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_PeselActionURL" beanclass="pl.topteam.dps.action.utils.PeselAction" prependContext="true" scope="page"/>
<stripes:url var="_PobieraneSwiadczenieActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.PobieraneSwiadczenieAction" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_StanCywilnyActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.StanCywilnyAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_ZasadyWydaniaDecyzjiKierujacejActionURL" beanclass="pl.topteam.dps.action.utils.ZasadyWydaniaDecyzjiKierujacejAction" prependContext="true" addSourcePage="false"/>
<script type="text/javascript">
	var _DowodOsobistyActionURL = "${_DowodOsobistyActionURL}";
	var _EwidencjaDanychOsobowychActionURL = "${_EwidencjaDanychOsobowychActionURL}";
	var _PeselActionURL = "${_PeselActionURL}";
	var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
	var _StanCywilnyActionURL = "${_StanCywilnyActionURL}";
	var _ZasadyWydaniaDecyzjiKierujacejActionURL = "${_ZasadyWydaniaDecyzjiKierujacejActionURL}";
</script>

<script type="text/javascript" src="${root}/js/utils/decyzjaKierWyborZasad.js"></script>
<script type="text/javascript" src="${root}/js/utils/daneOsobowe.js"></script>
<script type="text/javascript" src="${root}/js/utils/dowodOsobisty.js"></script>
<script type="text/javascript" src="${root}/js/utils/kopiujAdres.js"></script>
<script type="text/javascript" src="${root}/js/utils/mySelect.js"></script>
<script type="text/javascript" src="${root}/js/utils/orzeczenieNiep.js"></script>
<script type="text/javascript" src="${root}/js/utils/pesel.js"></script>
<script type="text/javascript" src="${root}/js/utils/pobieraneSwiadczenieDodatek.js"></script>
<script type="text/javascript" src="${root}/js/utils/removeElem.js"></script>
<script type="text/javascript" src="${root}/js/utils/stanCywilny.js"></script>
<script type="text/javascript" src="${root}/js/utils/showHideAdres.js"></script>
<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
<script type="text/javascript">
	function customShowHideAdres(adresClass) {
		showHideAdres(adresClass);
	
		if($("input[id^='status_']").filter(":checked").length > 0) {
			$("div." + adresClass).hide();
		} else {
			$("div." + adresClass).show();
		}
	}

   	//dodawanie dodatków na świadczeniach
   	function nowyDodatekSwiadczenia(numerSwiadczenia) {
   		pokazLoadImage();
   		
		var parametry = "pobieraneSwiadczenieDodatek=1&pobieraneSwiadczenie.id=" + numerSwiadczenia + "&" +
			$("[name^='mapaDodatkow']").serialize();

    	$.post('${_PobieraneSwiadczenieActionURL}',
			parametry,
			function(data, textStatus, xhr) {
				if(xhr.getResponseHeader('Ajax-Success')) {
					$(data).appendTo("#pobSwiadczenieFields_" + numerSwiadczenia);
					
					$(".mySelect").unMySelect();
					$(".mySelect").mySelect();
					
					$(".doublePrecision").unDoublePrecision();
					$(".doublePrecision").doublePrecision();

					$(".kwota").unKwota();
					$(".kwota").kwota();

					$("#pobSwiadczenieFields_" + numerSwiadczenia)
						.find("select[name$='jednostka']")
						.each(function() {$(this).trigger('change')});
   				} else {
   					$("#bledySwiadczenia").html(data);
				}
				
				ukryjLoadImage();
   	 		}, "html"
	 	);
   	}

	$(document).ready(function() {
		//dodawanie kolejnych pobieranych świadczeń
		$('#dodajPobieraneSwiad').click(function() {
			pokazLoadImage();
			
			$("#ostNrSwiad").remove();
			var parametry = 'pobieraneSwiad=1&' + $('input[name^=listaPobierSwiadczen]').serialize();
	    	$.post('${_PobieraneSwiadczenieActionURL}',
				parametry,
				function(data, textStatus, xhr) {
					if(xhr.getResponseHeader('Ajax-Success')) {
						$("input[name='j']").remove();
						$(data).appendTo("#divPobieraneSwiadczeniaRow");
						
						numerKolejny = parseInt($("#ostNrSwiad").val()) - 1;
						
						$("#kodPobierSwiad_" + numerKolejny).mySelect();
						$("#instytucjaDop_" + numerKolejny).mySelect();
						$("#terminWyplPobierSwiad_" + numerKolejny).mySelect();
						
						$("#kwotaPobier_" + numerKolejny).kwota();
						$("#ekwiwalentPobier_" + numerKolejny).kwota();
						$("#swiadOd_" + numerKolejny).layoutDate();
						$("#swiadOd_" + numerKolejny).datepicker({
					  			showOn			: "both", 
					  			buttonImage		: "${root}/img/calendar.gif",
					   			yearRange		: '-99y:+5y',
					   			buttonImageOnly	: true
						});
						$("#swiadDo_" + numerKolejny).layoutDate();
						$("#swiadDo_" + numerKolejny).datepicker({
					  			showOn			: "both", 
					  			buttonImage		: "${root}/img/calendar.gif",
					   			yearRange		: '-0y:+15y',
					   			minDate			: '-0d',
					   			buttonImageOnly	: true
						});
	   				} else {
	   					$("#bledySwiadczenia").html(data);
					}
					
					ukryjLoadImage();
	   	 		}, "html"
		 	);
    	});
    	
    	//dodawanie kolejnych orzeczeń o niepełnosprawności
		$('#dodajOrzeczNiepelspr').click(function() {
			pokazLoadImage();
			
			$("#ostNrOrzecz").remove();
			var parametry = "orzeczenieNiepelnospr=1&" + $('input[name^=listaOrzeczONiepelnospraw]').serialize();
	    	$.post('${_OrzeczenieNiepelnosprawnoscActionURL}',
				parametry,
				function(data, textStatus, xhr) {
					if(xhr.getResponseHeader('Ajax-Success')) {
						$("input[name='i']").remove();
						$(data).appendTo("#divOrzeczNiepelnosprRow");
						
						numerKolejny = parseInt($("#ostNrOrzecz").val()) - 1;
						
						$("#niepelRodzajOrzecznictwa_" + numerKolejny).mySelect();
						$("#stopienNiepelnospr_" + numerKolejny).mySelect();
						$("#stopienNiepelnosprWydanePrzez_" + numerKolejny).mySelect();
						
						$("#data_orzeczenia_" + numerKolejny).layoutDate();
						$("#data_orzeczenia_" + numerKolejny).datepicker({
					  			showOn			: "both",
					  			buttonImage		: "${root}/img/calendar.gif",
					   			yearRange		: '-20y:+0y',
					   			buttonImageOnly	: true
						});

						$("#data_obowiazywania_" + numerKolejny).layoutDate();
						$("#data_obowiazywania_" + numerKolejny).datepicker({
					  			showOn			: "both",
					  			buttonImage		: "${root}/img/calendar.gif",
					   			yearRange		: '-20y:+0y',
					   			buttonImageOnly	: true
						});
						
						$("#wazneDo_" + numerKolejny).layoutDate();
						$("#wazneDo_" + numerKolejny).datepicker({
					  			showOn			: "both",
					  			buttonImage		: "${root}/img/calendar.gif",
					   			yearRange		: '-0y:+15y',
					   			minDate			: '-0d',
					   			buttonImageOnly	: true
						});
	   				} else {
	   					$("#bledyOrzeczenia").html(data);
					}
					
					ukryjLoadImage();
	   	 		}, "html"
		 	);
    	});
    	
    	// odpowiednie ustawienie dat dla orzeczeń o niepełnosprawności
    	$("select[name$='stopienNiepelnospraw']").each(function() {
    		/*
    		 * wygenerowanie eventu change
    		 * powoduje uruchomienie funkcji odpowiadającej za ustawienie 
    		 * prawidłowych parametrów dla daty orzeczenia
    		 */
    		$(this).change();
    	});

		// ustawienie odpowiedniego stanu cywilnego
    	wybierzSC('plecosoba', 'stanosoba');
	});
</script>
