<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zleceniodawcaActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.ZleceniodawcaAction" prependContext="true" scope="page" addSourcePage="false"/>

<script type="text/javascript">
	// pobieranie formularza wstawiania danych zleceniodawcy
	function showArkuszZleceniodawca() {
		pokazLoadImage();
		
		var $fieldsetZleceniodawca = $("#fieldsetZleceniodawca");
		$.post("${_zleceniodawcaActionURL}",
				{"daneZleceniodawcy" : 1},
				function(data, textStatus, xhr) {
					$fieldsetZleceniodawca.hide(500);
					$fieldsetZleceniodawca.html(data);

					// nowowprowadzone mySelect-y
					$fieldsetZleceniodawca.find(".mySelect").not("[readonly]").mySelect();
					// poprawki w nowowprowadzonych polach dat
					datePick("#fieldsetZleceniodawca");
					
					// stan cywilny
					wybierzSC('pleczleceniodawca', 'stanzleceniodawca');
					
					$fieldsetZleceniodawca.show(500);
					
					ukryjLoadImage();
	   	 		}, "html"
		 	);

	 	return 0;
	}

	// pobieranie formularza wybirania danych zleceniodawcy spośród osób
	function showWyborZleceniodawca() {
		pokazLoadImage();
		
		var $fieldsetZleceniodawca = $("#fieldsetZleceniodawca");
		$.post("${_zleceniodawcaActionURL}",
				{"wyborZleceniodawcy" : 1},
				function(data, textStatus, xhr) {
					$fieldsetZleceniodawca.hide(500);
					$fieldsetZleceniodawca.html(data);

					// autopodpowiedź
					$fieldsetZleceniodawca.show(500);

					// podświetalanie pola
					$("#zleceniodawca").click();
					
					ukryjLoadImage();
	   	 		}, "html"
		 	);

		return 0;
	}

	$(document).ready(function() {
		wybierzSC('pleczleceniodawca', 'stanzleceniodawca');
	});
</script>
