<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div style="padding: 10px 0px 10px 10px;">
	<stripes:checkbox id="status_elemAdresPobStaly" name="statusAdresuPobStalego" onchange="showHideAdres('elemAdresPobStaly');"/>
	<label for="status_elemAdresPobStaly" class="cursorPointer">&nbsp;Adres pobytu stałego jest nieznany</label>
</div>
<fieldset class="elemAdresPobStaly">
	<stripes:hidden name="ostPobytStaly.id"/>
	<stripes:hidden name="ostPobytStaly.typ" value="POBYTU_STALEGO"/>
	<legend>
		Adres pobytu stałego&nbsp;&nbsp;&nbsp;
		<stripes:text id="ostPobytStalyPodp_adres" name="adresPodp_ostPobytStaly" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('ostPobytStaly');"/>
		<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" title="Funkcja podpowiadania adresów">
			<img src="${root}/img/help.gif" border="0"/>
		</a>
		
		&nbsp;
		<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
		<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
		</legend>

	<c:set var="nazwaPolaAdresu" value="ostPobytStaly"/>
	<c:set var="klasaWymagane" value="required"/>
	<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
</fieldset>
