<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<legend>
	Zleceniodawca
</legend>
<stripes:form id="arkMieszkForm" beanclass="pl.topteam.fund.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaFundacjaAction" partial="true">
	<stripes:hidden name="zleceniodawcaWybor" value="${false}"/>

	<stripes:button name="showDaneZleceniodawca" class="noLoadImage" onclick="showWyborZleceniodawca();">Wybierz spośród wprowadzonych osób</stripes:button>
	<div style="height: 20px;"></div>
	
	<c:set var="poleOsoba" value="zleceniodawca"/>
	<c:set var="daneMalzonka" value="${false}"/>
	<c:set var="miejsceUrodzeniaRequired" value="${false}"/>
	<%@ include file="/jsp/templatePages/polaMieszkaniecDaneOsobowe.jsp" %>
	
	<div>
		<fieldset>
			<legend>Dowód osobisty</legend>
			
			<c:set var="poleDowodOsobisty" value="dowodOsobistyZleceniodawca"/>
			<c:set var="klasaWymagane" value=""/>
			<c:set var="dataWydaniaKlasaWymagane" value=""/>
			<%@ include file="/jsp/templatePages/polaDowodOsobisty.jsp" %>
		</fieldset>
	</div>
	<div>
		<div style="padding: 10px 0px 10px 10px;">
			<stripes:checkbox id="status_elemAdresZleceniodawca" name="statusAdresuZleceniodawca" onchange="customShowHideAdres('elemAdresZleceniodawca');"/>
			<label for="status_elemAdresZleceniodawca" class="cursorPointer">&nbsp;Adres jest nieznany</label>
		</div>
		<fieldset class="elemAdresZleceniodawca">
			<stripes:hidden name="adresZleceniodawca.id"/>
			<stripes:hidden name="adresZleceniodawca.typ" value="ZAMIESZKANIA"/>
			<legend>
				Ostatnie miejsce zamieszkania&nbsp;&nbsp;&nbsp;
				<stripes:text id="adresZleceniodawcaPodp_adres" name="adresPodp_adresZleceniodawca" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('adresZleceniodawca');"/>
				<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresyZlecniodawca" name="Funkcja podpowiadania adresów">
					<img src="${root}/img/help.gif" border="0"/>
				</a>
				
				&nbsp;
				<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
				<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
			</legend>
			
			<c:set var="nazwaPolaAdresu" value="adresZleceniodawca"/>
			<c:set var="klasaWymagane" value="required"/>
			<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
		</fieldset>
	</div>
</stripes:form>
