<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="formatkaDodawanieEdycjaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Edycja grupy pracowników '${actionBean.grupa.nazwa}'</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<%@ include file="formatkaDodawanieEdycjaZakladki.jsp" %>

				<stripes:form beanclass="pl.topteam.dps.action.administracja.grupy.GrupaEdycjaAction" style="border: 0px none;">
					<stripes:hidden name="grupa.id"></stripes:hidden>
					<%@ include file="formatkaDodawanieEdycja.jsp" %>
					
					<ttSec:secure roles="ADM_U_GRUPA_PRACOW">
						<fieldset class="pelny submit">
							<div>
								<stripes:link beanclass="pl.topteam.dps.action.administracja.grupy.ListaGrupAction" class="button" event="lista">
									&laquo; Anuluj
								</stripes:link>
						  		&nbsp;&nbsp;
								<c:choose>
									<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
										<stripes:submit name="zapisz" value="Zapisz"/>
									</c:when>
									<c:otherwise>
										<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
									</c:otherwise>
								</c:choose>
							</div>
						</fieldset>
					</ttSec:secure>
				</stripes:form>
			</div>			
		</div>
	</stripes:layout-component>
</stripes:layout-render>
