<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nazwaCzynnosciSkrocona" value="${fn:substring(czynnosc.nazwa, 0, 40)}..."/>
<c:set var="nazwaCzynnosci" value="${fn:length(czynnosc.nazwa) > 40 ? nazwaCzynnosciSkrocona : czynnosc.nazwa}"/>
<li id="czynnosc_${czynnosc.id}" class="czynnosc">
	<stripes:checkbox id="R_czynn_${czynnosc.id}" name="roleKatUslug[${czynnosc.id}]" value="R"
			class="czynnosc" title="'przeglądanie' ${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynnosc ???'}">
	</stripes:checkbox>
	&nbsp;
	<stripes:checkbox id="C_czynn_${czynnosc.id}" name="roleKatUslug[${czynnosc.id}]" value="C"
			class="czynnosc" title="'dodawanie' ${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynnosc ???'}">
	</stripes:checkbox>
<%--	&nbsp;
	<stripes:checkbox id="U_czynn_${czynnosc.id}" name="roleKatUslug[${czynnosc.id}]" value="U"
			class="czynnosc" title="'aktualizacja' ${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynnosc ???'}">
	</stripes:checkbox>
	&nbsp;
--%>
	<stripes:checkbox id="D_czynn_${czynnosc.id}" name="roleKatUslug[${czynnosc.id}]" value="D"
			class="czynnosc" title="'usuwanie' ${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynnosc ???'}">
	</stripes:checkbox>
	${not empty nazwaCzynnosci ? nazwaCzynnosci : 'Czynność ???'}
</li>
