<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Definiowanie typu informacji dodatkowej (krok - dane ogólne)</h3>
		<div class="formContainer">
			<stripes:form beanclass="${ttFn:classCanonicalName(actionBean)}">
				<stripes:hidden name="wykorzystanoPowrot"></stripes:hidden>
				<stripes:hidden name="informacjaDodatkowa.id"></stripes:hidden>
			
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<%@ include file="/jsp/templatePages/polaInfomacjaDodDefOgolne.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.definicja.ListaTypowInformacjiAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawaniePola" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>