<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainOczekujacyLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaAction" name="informacjaDodatkowaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Wstawianie nowej informacji (krok 1)
					</legend>

					<%@ include file="/jsp/informacjaDodatkowa/realizacja/dodawanieKrok1.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>