<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaAction" name="informacjaDodatkowaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Wstawianie nowej informacji (krok 2)
					</legend>
					
					<c:choose>
						<c:when test="${not empty listaPolInformacji && fn:length(listaPolInformacji) > 0}">
							<c:forEach items="${listaPolInformacji}" var="informacjaPole" varStatus="i">
								<%@ include file="/jsp/templatePages/polaInformacjaDodatkowa.jsp" %>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<%@ include file="infoBrakPol.jsp" %>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>