<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainInnaOsobaLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<stripes:link id="lnkDnOs" class="aktywny" beanclass="pl.topteam.dps.action.innaOsoba.InnaOsobaAction" event="powrotOpcje">
					Dane podstawowe
				</stripes:link>
			</div>

			<div class="form" style="width: 80%;">	
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

				<table align="center" class="daneOsoby" style="border: 0px none;">
				 	<tbody>
				 		<c:if test="${not empty rodzinaDla}">
					 		<tr>
					 			<th>
					 				zarejestrowana jako<br/>
					 				członek rodz./przyjaciel dla
					 			</th>
					 			<td style="font-size: 13px;">
					 				<c:forEach items="${rodzinaDla}" var="czlR" varStatus="i">
					 					<ttSec:secure roles="OG_R_MIESZKANIEC" defaultText="${czlR.nazwiskoImie}">
						 					<stripes:link class="decoration" beanclass="pl.topteam.dps.action.osoba.ListaOsobAction" event="podgladOsoby">
						 						<stripes:param name="osoba.id" value="${czlR.id}"></stripes:param>
							 					${czlR.nazwiskoImie}
							 				</stripes:link>
							 			</ttSec:secure>
						 				<c:if test="${i.count < fn:length(rodzinaDla)}">,<br/></c:if>
					 				</c:forEach>
					 			</td>
					 		</tr>
					 	</c:if>
						<c:if test="${not empty actionBean.osoba.telefonKom}">
							<tr>
								<th>nr tel. komórkowego</th>
								<td>${actionBean.osoba.telefonKom}</td>
							</tr>
						</c:if>
						<c:if test="${not empty actionBean.osoba.importProgram}">
							<tr>
								<th></th>
								<td></td>
							</tr>
							<tr>
								<th>status danych początkowych:</th>
								<td title="Dane osoby zostały zaimportowane z programu '${actionBean.osoba.importProgram.opis}'">
									${actionBean.osoba.importProgram.opis}
								</td>
							</tr>
						</c:if>
					</tbody>
				</table>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
