<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.InterwencjaOrganowScigAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.informacjaDodatkowaWpis.id}">
								Nowa interwencja organu ścigania
							</c:when>
							<c:otherwise>
								Edycja wpisu interwencji organu ścigania
								<stripes:hidden name="informacjaDodatkowaWpis.id"></stripes:hidden>
							</c:otherwise>
						</c:choose>
					</legend>
					<stripes:hidden name="informacjaDodatkowaWpis.informacjaDodatkowaId"></stripes:hidden>
					
					<c:forEach items="${listaPolInformacji}" var="informacjaPole" varStatus="i">
						<c:if test="${not empty actionBean.informacjaDodatkowaWpis.id}">
							<stripes:hidden name="listaInformacji[${i.count - 1}].id"/>
						</c:if>
						<%@ include file="/jsp/templatePages/polaInformacjaDodatkowa.jsp" %>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.ListaInterwencjiOrganowScigAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
