<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/katalogUslugLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.CzynnoscAction" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Dodawanie nowej czynności
					</legend>
					
					<stripes:hidden name="katUslCzynnosc.kategoriaId"/>
					<%@ include file="/jsp/templatePages/polaCzynnoscKataloguUslug.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction" class="button" event="lista">
							<stripes:param name="katUslKategoria.id" value="${actionBean.katUslCzynnosc.kategoriaId}"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
