<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/katalogUslugLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.KategoriaEdycjaAction" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						<c:set var="nazwaKategoriiSkrocona" value="${fn:substring(actionBean.katUslKategoria.nazwa, 0, 60)}..."/>
						<c:set var="nazwaKategorii" value="${fn:length(actionBean.katUslKategoria.nazwa) > 60 ? nazwaKategoriiSkrocona : actionBean.katUslKategoria.nazwa}"/>
						Edycja kategorii usług '${nazwaKategorii}'
					</legend>
					
					<stripes:hidden name="katUslKategoria.id"/>
					<stripes:hidden name="katUslKategoria.nadkategoriaId"/>
					<%@ include file="/jsp/templatePages/polaKategoriaKataloguUslug.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction" class="button" event="lista">
							<stripes:param name="katUslKategoria.id" value="${actionBean.katUslKategoria.id}"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
