<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaCzynnosci}" id="listaCzynnosci${dzienTygodnia}" var="czynnosc" editable="false" 
		view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaCzynnosci)}" >
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa czynności" sortable="false"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_D_CZYNN_${czynnosc.id}">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.ListaWpisowPracownikaAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz tę czynność?')">
							<stripes:param name="czynnoscRealizacja.czynnoscId" value="${czynnosc.id}"></stripes:param>
							<stripes:param name="czynnoscRealizacja.planWsparciaRealizacjaId" value="${realizacjaPlanu.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/katalogUslugRealizacja/listaOstTydzien.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń wpis realizacji czynności"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
