<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		<script type="text/javascript">
			function sumbitPodsumowanie() {
				pokazLoadImage();
				
				// akcja wizarda odpowiadajaca za podsumowanie oceny
				$("<input type='hidden' name='podsumowanie' value=''/>").appendTo("#kwalifikacjaForm");
				$("#kwalifikacjaForm").submit();
			}
			
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					hideWhenAdded: true,
					debugMode: false,
					selectClass : 'asmSelect'
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.KwalifikacjaAction" id="kwalifikacjaForm" style="width: 80%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.kwalifikacja.id}">
								Dodawanie nowej kwalifikacji
							</c:when>
							<c:otherwise>
								Edycja kwalifikacji
								<stripes:hidden name="kwalifikacja.id"/>
							</c:otherwise>
						</c:choose>
					</legend>
					
					<c:set var="poleKwalifikacja" value="kwalifikacja"/>
					<c:set var="poleOsobaWymaga" value="osobaWymaga"/>
					<%@ include file="/jsp/templatePages/polaKwalifikacjaPielegniarska.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.ListaKwalifikacjiAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>