<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="actionBeanAuthorizedCheck" beanclass="pl.topteam.dps.action.system.security.SecureCheckAction" prependContext="false" scope="request"/>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title>TOP - TEAM TT DPS</title>

<%@ include file="/jsp/biblioteki/base.jsp" %>
<%@ include file="/jsp/biblioteki/mainStyle.jsp" %>

<%@ include file="/jsp/biblioteki/mainBiblioteki.jsp" %>

<stripes:layout-component name="htmlHead"/>

<c:if test="${(empty WERSJA_TT_DEVELOPER || ! WERSJA_TT_DEVELOPER) && (empty sessionPracownik.czyPowrotBackspace || !sessionPracownik.czyPowrotBackspace)}">
	<script type="text/javascript">
		//nie pozwala na cofanie się za pomocą przycisku Back
		window.history.forward();
	</script>
</c:if>
<script type="text/javascript">
	function zmienRodzajDyzuruPielegniarki(formId) {
		$form = $("#" + formId);

		$.post($form.attr("action"),
			$form.serialize(),
			function(jsonObj, textStatus, xhr) {
				if(! xhr.getResponseHeader('Ajax-Success')) {
					$selectRodzaj = $form.find("select").eq(0);
					$selectRodzaj.val("");

					alert('Nie powiodła się zmiana rodzaju dyżuru');
				}
			}, "json"
		);

		return 1;
	}

	$(document).ready(function() {
		// przygotowanie strony do wyświetlenia obrazka oczekiwania
		loadImage();

		// usuwanie elementów niekompatybilnych z Internet Explorer
		notOnInternetExplorer();
		
		// jtip2
		jTip2.show = (function (_superShow) {
			return function(reference, url, settings) {
				_superShow(reference, url, settings);
				ukryjLoadImage(); // niepotrzebny loadImage bo jTip ma swój własny w ramce wyświetlany
			};
		})(jTip2.show);
		$('a.jTip').jTipOn('href');
		$('a.jTipRel').jTipOn('rel');
		/* $('input').jTipOn('rel', {
				showOn: 'focus',
				hideOn: 'blur'
			}); */

		// przesuwanie na górę strony
		$("#back-top").hide();
		$(window).scroll(function () {
			if ($(this).scrollTop() > 100) {
				$('#back-top').fadeIn();
			} else {
				$('#back-top').fadeOut();
			}
		});

		// scroll body to 0px on click
		$('#back-top a').click(function () {
			$('body,html').animate({
				scrollTop: 0
			}, 800);
			return false;
		});
	});
</script>
