<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="OG_R_AUTONUMERACJA,OG_R_INFOR_DOD_DEF,OG_R_KAT_USLUG,ADM_R_PARAM_SYS,MED_R_RAPORT_DYZ_DEF,MED_R_SKALA_OCENY,OG_R_SZABLON_WYDRUKU">
	<li>
		<a href="#">Definicje</a>
		<ul>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.ListaDiagnozAction" event="lista">
					Diagnozy
				</stripes:link>
			</li>
			<ttSec:secure roles="ADM_R_FORMAT">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.plik.format.csv.ListaFormatowAction" event="lista">
						Formaty plików (I/E)
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_INFOR_DOD_DEF">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.definicja.ListaTypowInformacjiAction" event="lista">
						Informacja dodatkowa
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_KAT_USLUG">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction" event="lista">
						Katalog usług
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="MED_R_RAPORT_DYZ_DEF">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.definicja.ListaDefinicjiAction" event="lista">
						Raport z dużyru<br/>
						pielęgniarskiego
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="MED_R_SKALA_OCENY">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.ListaSkalOcenyAction" event="lista">
						Skale oceny<br/>
						mieszkańców
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_SZABLON_WYDRUKU">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" event="lista">
						Szablony wydruku
					</stripes:link>
				</li>
			</ttSec:secure>
		</ul>
	</li>
</ttSec:secure>
