<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<c:set var="teraz" value="${ttFn:teraz()}"/>

<ttSec:secure roles="OG_R_MIESZKANIEC">
	<li>
		<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" event="lista">Mieszkańcy</stripes:link>
		<ul>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" event="lista">
					Lista
				</stripes:link>
			</li>
		
		<%-- EWIDENCJA MIESZKAŃCÓW --%>
			<ttSec:secure roles="OG_C_MIESZKANIEC,SOC_C_NALICZANIE_ODPL,OG_U_MIESZKANIEC">
				<li class="groupHeader">
					Ewidencja
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_MIESZKANIEC">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaAction" event="arkuszEwidencyjny">
						Dodaj
					</stripes:link>
				</li>
			</ttSec:secure>
		<%-- KONIEC EWIDENCJA MIESZKAŃCÓW --%>
			
		<%-- POZOSTAŁE --%>
			<ttSec:secure roles="OG_C_INTERWENCJA_ORG_SCI,OG_C_INTERWENCJA_POG_RAT,OG_C_ODWIEDZINY,OG_C_POMIAR_ALKOMATEM">
				<li class="groupHeader">
					Pozostałe
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_INTERWENCJA_ORG_SCI,OG_C_INTERWENCJA_POG_RAT">
				<li>
					<a href="#">Interwencje</a>
					<ul>
						<ttSec:secure roles="OG_C_INTERWENCJA_ORG_SCI">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.InterwencjaOrganowScigAction" event="dodawanieSzybkie">
									Organów ścigania
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="OG_C_INTERWENCJA_POG_RAT">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.InterwencjaPogotowiaRatAction" event="dodawanieSzybkie">
									Pogotowia ratunkowego
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_POMIAR_ALKOMATEM">
				<li class="last leaf">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.PomiarAlkomatemAction" event="dodawanieSzybkie">
						Pomiar alkomatem
					</stripes:link>
				</li>
			</ttSec:secure>
		<%-- KONIEC POZOSTAŁE --%>
		</ul>
	</li>
</ttSec:secure>
