<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="OG_R_OCZEKUJACY">
	<li>
		<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.ListaOczekujacychAction" event="lista">Oczekujący</stripes:link>
		<ul>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.ListaOczekujacychAction" event="lista">
					Lista
				</stripes:link>
				<ul>
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.ListaOczekujacychAction" event="lista">
							Wg ustawień indyw.
						</stripes:link>
					</li>
					<li class="groupHeader">&nbsp;</li>
					<c:forEach items="${actionBean.typyEwidencji}" var="typ">
						<c:if test="${fn:startsWith(stripes:enumName(typ), 'OSOBA_OCZEKUJACA')}">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.osoba.ListaOsobWgTypuEwidencjiAction" event="lista">
									<stripes:param name="typEwidencji" value="${stripes:enumName(typ)}"/>
									${typ.opis}
								</stripes:link>
							</li>
						</c:if>
					</c:forEach>
				</ul>
			</li>
			
		<%-- EWIDENCJA OCZEKUJĄCYCH --%>
			<ttSec:secure roles="OG_C_OCZEKUJACY">
				<li class="groupHeader">
					Ewidencja
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaOczekujacegoAction"
							event="arkuszEwidencyjny">
						Dodaj
					</stripes:link>
				</li>
			</ttSec:secure>
		<%-- KONIEC EWIDENCJA OCZEKUJĄCYCH --%>
		</ul>
	</li>
</ttSec:secure>
