<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="OG_R_FAKTURY,SOC_R_WPLATY_PLATNOSC,OG_R_PLAN_WSPARCIA_MIESZKANCA,MED_R_CZAS_PRACY_UV,MED_R_ODPADY_MEDYCZNE,MED_R_ZEBRANIE_ZTO,MED_R_ODPADY_MEDYCZNE,MED_U_ODPADY_MEDYCZNE">
	<li>
		<a href="#">Rejestry</a>
		<ul>
			<ttSec:secure roles="OG_R_FAKTURY">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.rejestr.faktury.ListaFakturAction" event="lista">
						Faktury VAT
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.rejestr.wplaty.ListaPlikowAction" event="lista">
						Import wpłat (pliki)
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.rejestr.ipwm.ListaIPWMAction" event="lista">
						IPWM
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="MED_R_CZAS_PRACY_UV">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.lampaUV.ListaCzasuPracyLampyUVAction" event="lista">
						Lampa UV
					</stripes:link>
				</li>
			</ttSec:secure>
			
			<%-- FIXME zrobić konfigurację przypomnień w oparciu o Quartza i odhaczyć ten koment (póki co zostawiam na potem)
			<ttSec:secure roles="MED_R_ODPADY_MEDYCZNE,MED_U_ODPADY_MEDYCZNE">
				<li>
					<a href="#">Odpady medyczne</a>
					<ul>
						<ttSec:secure roles="MED_U_ODPADY_MEDYCZNE">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.konfiguracja.KonfiguracjaAction" event="edycja">
									Konfiguracja przypomnień
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_R_ODPADY_MEDYCZNE">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.odbior.ListaOdpadowAction" event="lista">
									Odbiór odpadów<br/>
									medycznych
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
			--%>
			
			<ttSec:secure roles="MED_R_ODPADY_MEDYCZNE">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.odbior.ListaOdpadowAction" event="lista">
						Odbiór odpadów<br/>
						medycznych
					</stripes:link>
				</li>
			</ttSec:secure>
			
			<ttSec:secure roles="MED_R_ZEBRANIE_ZTO">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.rejestr.zebraniaZT.ListaZebranAction" event="lista">
						Zebrania ZTO
					</stripes:link>
				</li>
			</ttSec:secure>
		</ul>
	</li>
</ttSec:secure>