<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script type="text/javascript">
	$(".blink").blink({
		delay: 800
	});
</script>

<div id="menuWywiady-ajax">
	<ul>
		<ttSec:secure roles="SOC_R_WYWIADY">
			<li class="last leaf">
				<ttSec:secure roles="SOC_C_WYWIADY">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.w20120622_4.WywiadAction" event="parametry" class="optionLink">
						Cz.&nbsp;4&nbsp;<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.ListaWywiadowAction" event="lista" class="baseLink">
					Wywiady środowiskowe
				</stripes:link>
			</li>
			<%-- <ttSec:secure roles="SOC_C_WYWIADY">
				<li class="last leaf submenu">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.ListaBrakujacychWywiadowAction" event="dodawanie" class="baseLink">
						Braki/do uzupełnienia
					</stripes:link>
				</li>
			</ttSec:secure> --%>
		</ttSec:secure>
	</ul>
</div>
