<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<%-- 
	- muszą być obecne odpowiednie tabele w bazie danych,
	- pracownik musi być zalogowany
	- muszą być dla pracownika wystosowane jakieś przypomnienia
 --%>
<c:if test="${not empty TEMPORARY_TABLE_SCRIPT_EXECUTED && not empty sessionPracownik && fn:length(sessionPracownik.listaPrzypomnien) > 0}">
	<c:set var="liczbaPrzypomnien" value="0"/>

	<c:forEach items="${sessionPracownik.listaPrzypomnien}" var="pracParametr">
		<c:set var="contextInfoVar" value="L_PRZYP_PREP_${pracParametr.wartoscS}"/>
		<c:set var="liczbaPrzypomnien" value="${liczbaPrzypomnien + ttFn:contextAttribute(actionBean.context.servletContext, contextInfoVar)}"/>
	</c:forEach>

	<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.ListaPrzypomnienAction" event="lista">
		<c:choose>
			<c:when test="${liczbaPrzypomnien > 0 && not empty sessionPracownik.czyWyrozniajPrzypomnienia && sessionPracownik.czyWyrozniajPrzypomnienia}">
				<span class="err" style="font-weight: bold;">
					Lista<br/>
					przypomnień (${liczbaPrzypomnien})
				</span>
			</c:when>
			<c:otherwise>
				Lista<br/>
				przypomnień (${liczbaPrzypomnien})
			</c:otherwise>
		</c:choose>
	</stripes:link>
</c:if>
