<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-definition>
	<!DOCTYPE html>
	<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
	<html>
	<head>
		<%@ include file="headPliki.jsp" %>
	</head>
	<body>
		<div id="top">
			<%@ include file="top.jsp" %>
		</div>
	
		<div>
			<ul class="myMenu" style="list-style: none;">
				<li style="border-right: 0px none;">
					<a href="#" style="letter-spacing: 5px; font-style: italic;">Menu niedostępne w tym kontekście</a>
				</li>
			</ul>
		</div>
		<div id="loadImage"></div>
	
		<div id="content">
			<stripes:layout-component name="content"/>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</body>
	</html>
</stripes:layout-definition>