<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			postCreateMFilter = {
					'mieszkaniec' : function() {
							$("#lek").click();
						}
			};

			$(document).ready(function() {
				// automatycznie ustawiaj najpierw na mieszkańca a potem na lek
				if($("#mieszkaniecId").val() != '') {
					$("#lek").click();
				} else {
					$("#mieszkaniec").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Pobieranie leków z apteczki podręcznej</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.LekPobieranieMagazynAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>

					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/lekPodpField.jsp" %>
					
					<c:set var="poleMagazynOperacja" value="magazynOperacja"/>
					<c:set var="__magazyn_operacja_value" value="${sessionScope.__rodzajDyzuruPielegniarskiego}"/>
					<%@ include file="/jsp/templatePages/polaMagazynOperacjaDyzur.jsp" %>
				</fieldset>
				
				<%@ include file="/jsp/templatePages/podpowiedziField/kontynuujWprowadzanieFieldset.jsp" %>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.StanMagazynuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>