<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="true"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				postCreateMFilter = {
						'mieszkaniec' : function() {
								$("#lek").click();
							}
				};
				
				// automatycznie ustawiaj focus na podpowiedzi mieszkanca
				if($("#mieszkaniecId").val() != '') {
					$("#lek").click();
				} else {
					$("#mieszkaniec").click();
				}
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekPozyczkaPobranieMagazynAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Realizacja pożyczki leków od mieszkańca
					</legend>
					
					<c:set var="labelPolaMieszkaniec" value="pożyczka dla"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/lekPodpField.jsp" %>
					
					<c:set var="poleMagazynOperacja" value="magazynOperacja"/>
					<%@ include file="/jsp/templatePages/polaMagazynOperacja.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.MagazynAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
