<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkWypisane");
				});
			</script>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<c:if test="${empty najnowszaUmowaApteka}">
					<%@ include file="../umowaAptekaInfo.jsp" %>
				</c:if>
				
				<div id="jmesaContainer">
					<%@ include file="listaReceptFiltr.jsp" %>
				</div>
				<div class="listFooterText">
					<ttSec:secure roles="LK_C_RECEPTY">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.DodawanieReceptyAction" event="dodawanieKrok1">
							Wprowadź nową receptę
						</stripes:link>
					</ttSec:secure>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
