<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:forEach items="${listaUstawien}" var="ustawienie">
	<c:if test="${stripes:enumName(typUstawienia) == ustawienie.typ}">
		<c:choose>
			<c:when test="${stripes:enumName(typUstawienia) == 'RECEPTA_ODDZIAL_NFZ'}">
				<c:forEach items="${oddzialyNFZ}" var="oddzial">
					<c:if test="${stripes:enumName(oddzial) == ustawienie.wartoscS}">
						${oddzial.opis}<br/>
					</c:if>
				</c:forEach>
			</c:when>

			<c:when test="${stripes:enumName(typUstawienia) == 'RECEPTA_UPRAWNIENIE'}">
				<c:forEach items="${uprawnieniaLekow}" var="uprawnienie">
					<c:if test="${stripes:enumName(uprawnienie) == ustawienie.wartoscS}">
						${uprawnienie.name()} (${uprawnienie.opis})<br/>
					</c:if>
				</c:forEach>
			</c:when>

			<c:when test="${stripes:enumName(typUstawienia) == 'RECEPTA_CH_PRZEWLEKLE'}">
				<c:forEach items="${uprawnieniaPrzewlekle}" var="uprawnienie">
					<c:if test="${stripes:enumName(uprawnienie) == ustawienie.wartoscS}">
						${uprawnienie.name()} (${uprawnienie.opis})<br/>
					</c:if>
				</c:forEach>
			</c:when>
		</c:choose>
	</c:if>
</c:forEach>
