<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div style="text-align: left; padding-bottom: 10px;">
	Program nie wykrył wprowadzonej umowy z apteką realizującą recepty. Jeśli DPS takowej nie
	zawiera nie zwracaj uwagi na ten komunikat. W przeciwnym przypadku przed wprowadzaniem recept i faktur za pomocą opcji
	menu "System-&gt;DPS&nbsp;Jednostka-&gt;Umowy&nbsp;z&nbsp;apteką"
	<ttSec:secure roles="MED_R_UMOWA_APTEKA" defaultText=".">
		lub za pomocą przycisku
		<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.ListaUmowZAptekaAction" event="lista">
			Umowy z	apteką
		</stripes:link>
	</ttSec:secure>
</div>
