<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="../krokReceptaHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Wprowadzanie recept</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="szybkieWprowadzanieForm" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.ReceptyNaLekiAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Wprowadzanie recepty (krok 2 - wybór leków)
					</legend>
					
					<%@ include file="../krokRecepta.jsp" %>
				</fieldset>
				
				<%@ include file="/jsp/templatePages/podpowiedziField/kontynuujWprowadzanieFieldset.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
