<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/loginLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h1>Zaloguj się!</h1>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.LoginAction" method="post"
					style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>Informacja</legend>
					<div>
						<p>
						W tej chwili serwer jest zajęty przetwarzaniem danych. Spowodowane to może być np. aktualizacją oprogramowania.<br/>
						</p>
						<p class="daneWyroznione">
							Proszę poczekać chwilę i spróbować ponownie się zalogować.
						</p>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:submit name="formatka" value="Spróbuj ponownie"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
		
		<div id="bottom"></div>
		<div style="padding-top: 10px;">
			<%@ include file="loginDaneFirmy.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
