<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="linki">
	<stripes:link id="lnkDnOs" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="powrotOpcje">
		Dane podstawowe
	</stripes:link>
	<ttSec:secure roles="SOC_R_MIESZKANIEC_CZLR">
		<stripes:link id="lnkCzlRodz" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" event="lista">
			Członkowie / przyjaciele rodziny
		</stripes:link>
	</ttSec:secure>
	<stripes:link id="lnkPrzypPrac" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="historiaPrzypisanPracownikow">
		Przypisani pracownicy
	</stripes:link>
	<stripes:link id="lnkWydruki" beanclass="pl.topteam.dps.action.mieszkaniec.wydruki.WydrukInformacjiAction" event="formularz">
		Wydruki
	</stripes:link>
</div>
