<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="/jsp/mieszkaniec/opcjeDaneOsLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkWydruki");
				});
			</script>
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.wydruki.WydrukInformacjiAction" target="_blank">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/bledy/sourcePageNewWindow.jsp')}"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								szablon wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select id="szablonyWydruku" style="width:400px" class="mySelect required" name="idSzablonuWydruku" 
									title="Szablon wydruku informacji">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
							</stripes:select>
							<div style="clear: both">
								<stripes:errors field="idSzablonuWydruku"/>
							</div>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit class="noLoadImage" name="drukuj" value="Drukuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
