<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Poprawki numerów ewidencyjnych mieszkańców</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.naprawa.arisco.NaprawaNrEwidencyjnychOsobAction" style="width: 650px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<c:choose>
						<c:when test="${not empty actionBean.listaMieszkancow && fn:length(actionBean.listaMieszkancow) > 0}">
							<%@ include file="numeryEwidencyjneOsobFiltr.jsp" %>
						</c:when>
						<c:otherwise>
							<span class="success">
								Wszystkie wpisy aktualnych mieszkańców DPSu są poprawne
							</span>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>