<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Poprawki dat przyjęcia mieszkańców (pierwsze wpisy ewidencji jako mieszkaniec)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.naprawa.leki.UsuwanieNieuzywanychLekowAction" style="width: 650px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						Proszę wybrać "Usuń nieużywane" w celu wyczyszczenia listy leków z pozycji
						już nie używanych
					</div>
				</fieldset>
				<c:if test="${actionBean.liczbaUsunietych}">
					<span class="daneWyroznione success">
						Usunięto ${actionBean.liczbaUsunietych} pozycji
					</span>
				</c:if>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="usun" value="Usuń nieużywane"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>