<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
		
		<script type="text/javascript">
			// kopiowanie z górnego wiersza do bieżącego
			function kopiujZ(index) {
				if(index > 0) {
					// z wiersza wyzej
					var $wInstytucjaIdInput = $("input[name='listaSwiadczen[" + (index-1) + "].instytucjaDoplacajaca.id']");
					var $wInstytucjaNazwaInput = $("input[name='listaSwiadczen[" + (index-1) + "].instytucjaDoplacajaca.nazwa']");
					var nazwaInst = $wInstytucjaNazwaInput.val();
					
					// z wiersza aktulanego
					var $aInstytucjaIdInput = $("input[name='listaSwiadczen[" + index + "].instytucjaDoplacajaca.id']");
					var $aInstytucjaNazwaInput = $("input[name='listaSwiadczen[" + index + "].instytucjaDoplacajaca.nazwa']");
					
					// przepisywanie danych
					$aInstytucjaIdInput.val($wInstytucjaIdInput.val());
					$aInstytucjaNazwaInput.val(nazwaInst);
					// span wyświetlający dane gdy nie ma focusa
					$("#" + jqEscape("listaSwiadczen[" + index + "].instytucjaDoplacajacaSpan")).html(nazwaInst);
				}
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			Uzupełnienie danych pobieranych świadczeń
		</h3>
		<div id="jmesaContainer" class="formContainer">
			<%@ include file="formularzFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>