<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_WplataZeSwiadczeniaActionURL" beanclass="pl.topteam.dps.action.system.naprawa.pobSwiadczenie.WplataZeSwiadczeniaAction" prependContext="true" addSourcePage="false"/>

<script type="text/javascript">
	var _WplataZeSwiadczeniaActionURL = "${_WplataZeSwiadczeniaActionURL}";
</script>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/biblioteki/mainUnderscore.jsp" %>
		<%@ include file="/jsp/biblioteki/mainAngular.jsp" %>
		
		<script type="text/javascript" src="${root}/js/angular/controller/naprawy/swiadczenieWplata.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<a name="gora"></a>
		<h3>
			Uzupełnienie danych wpłat
		</h3>
		<div id="jmesaContainer" class="formContainer">
			<stripes:url beanclass="pl.topteam.dps.action.system.naprawa.pobSwiadczenie.WplataZeSwiadczeniaAction" prependContext="true" var="__naprawa_url"/>
			<%@ include file="formularzSwiadczenieWplataFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
