<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<tr ng-class="rowClass" ng-init="wplata['STATUS_OPERACJI']='OK'"
		ng-class-odd="'odd'" ng-class-even="'even'" ng-mouseover="rowClass='highlight'" ng-mouseleave="rowClass=''">
	<td>{{$index + 1}}</td>
	<td class="nowrap">
		{{wplata['DATA_WPLATY'] | date:'yyyy-MM-dd'}}
	</td>
	<td>
		{{wplata['ZA_ROK']}}/{{wplata['ZA_MIESIAC']}}
	</td>
	<td>
		{{wplata['NAZWISKO']}} {{wplata['IMIE']}}
	</td>
	<td>
		{{wplata['NAZWA']}}<br/>
		od&nbsp;{{wplata['DATA_OD'] | date:'yyyy-MM-dd'}}
	</td>
	<td class="kwotaTd">
		{{wplata['KWOTA'] | number:2}}
	</td>
	<td class="kwotaTd">
		{{wplata['KWOTA_WPLATY'] | number:2}}
	</td>
	<td>
		<div ng-show="wplata['WPLATA_SWIADCZENIE_ID'] == null" class="ikonki">
			<div ng-switch="pomijaneWplaty | contains:wplata['WPLATA_ID']">
				<%-- // POMINIETA - wpłata nie przypisana, ale oznaczona jako pominięta przez użytkownika --%>
				<div ng-switch-when="true">
					<a href="" ng-click="przywroc(wplata)" title="">
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</a>
				</div>
				<%-- NIEPRZYPISANA - wpłata nie przypisana do żadnego świadczenia --%>
				<div ng-switch-when="false">
					<a href="" ng-click="przypisz(wplata)" title="Przypisz wpłate do świadczenia">
						<img src="${root}/img/wykonaj.gif" class="iconspace"/>
					</a>
					&nbsp;&nbsp;
					<a href="" ng-click="pomin(wplata)" title="Dana wpłata nie jest na podstawie świadczenia">
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</a>
				</div>
			</div>
		</div>
		<%-- // PRZYPISANA_DO_TEGO - wpłata została przypisana do tego świadczenia --%>
		<div ng-show="wplata['WPLATA_SWIADCZENIE_ID'] != null && wplata['SWIADCZENIE_ID'] == wplata['WPLATA_SWIADCZENIE_ID']" class="ikonki">
			<a href="" ng-click="przywroc(wplata)" title="Dana wpłata jednak nie jest na podstawie świadczenia">
				<img src="${root}/img/delete.gif" class="iconspace"/>
			</a>
		</div>
		<%-- // PRZYPISANA_DO_INNEGO - wpłata została przypisana do innego świadczenia --%>
		<div ng-show="wplata['WPLATA_SWIADCZENIE_ID'] != null && wplata['SWIADCZENIE_ID'] != wplata['WPLATA_SWIADCZENIE_ID']" class="ikonki">
		</div>
	</td>
	<td>
		<div class="ikonki">
			<%--
			W:&nbsp;{{wplata['WPLATA_ID']}}<br/>
			WS:&nbsp;{{wplata['WPLATA_SWIADCZENIE_ID']}}<br/>
			S:&nbsp;{{wplata['SWIADCZENIE_ID']}}<br/>
			P:&nbsp;{{pomijaneWplaty | contains:wplata['WPLATA_ID']}}<br/>
			--%>
			<img src="${root}/img/check_16.png" ng-show="wplata['STATUS_OPERACJI'] == 'DOING'" ng-click="wplata['STATUS_OPERACJI'] = 'OK'" class="cursorPointer"/>
		</div>
	</td>
</tr>
