<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.NieobecnoscAction" name="nieobecnoscForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Dodawanie nieobecności (krok 2)
					</legend>
					
					<c:forEach items="${actionBean.listaNieobecnosci}" var="tmpNieobecnosc" varStatus="i">
						<c:set var="nazwaPolaNieobecnosci" value="listaNieobecnosci[${i.count - 1}]"/>
						<c:set var="readOnly" value="true"/>
						
						<stripes:hidden name="listaNieobecnosci[${i.count - 1}].czySzpitalna"/>
						<stripes:hidden name="listaNieobecnosci[${i.count - 1}].uwagi"/>
						<stripes:hidden name="listaNieobecnosci[${i.count - 1}].szablonWydrukuId"/>
						<c:choose>
							<c:when test="${fn:length(actionBean.listaNieobecnosci) > 1}">
								<fieldset>
									<legend>
										Nieobecność w roku <fmt:formatDate value="${tmpNieobecnosc.dataOd}" pattern="yyyy" />
									</legend>
								</fieldset>
								<%@ include file="/jsp/templatePages/polaNieobecnosci.jsp" %>
							</c:when>
							<c:otherwise>
								<%@ include file="/jsp/templatePages/polaNieobecnosci.jsp" %>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrok1" value="« Poprzedni krok"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>