<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:htmlColumn property="rodzajNieobecnosci" title="Rodzaj" sortable="false">
	<c:set var="slowaSlownika" value="${kodRodzajuNieobecnosciSlownik}"/>
	<c:set var="wartoscDoPorow" value="${nieobecnosc.rodzajNieobecnosciId}"/>
	<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>
</jmesa:htmlColumn>
<jmesa:htmlColumn property="status" title="Status" sortable="false">
	${nieobecnosc.status.opis}
</jmesa:htmlColumn>
<jmesa:htmlColumn property="daty" title="W dniach" sortable="false" styleClass="nowrap">
	<fmt:formatDate value="${nieobecnosc.dataOd}" pattern="${DATE_PATTERN}" /><br/>&#247;<br/>
	<fmt:formatDate value="${nieobecnosc.dataDo}" pattern="${DATE_PATTERN}" />
</jmesa:htmlColumn>
<jmesa:htmlColumn property="liczbaDni" title="Liczba dni" sortable="false" style="text-align: right;">
	${nieobecnosc.liczbaDni}
</jmesa:htmlColumn>
<jmesa:htmlColumn property="liczbaDniZwrot" title="Liczba dni do zwrotu" sortable="false" style="text-align: right;">
	${nieobecnosc.liczbaDniZwrot}
	<c:set var="dniWykorzystanych" value="${dniWykorzystanych + nieobecnosc.liczbaDniZwrot}"/>
</jmesa:htmlColumn>
