<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkNieobHist");
				});
			</script>
			<div class="form" align="center" style="width: 80%;">
				<stripes:messages/>
				<stripes:errors/>
				
				<div id="jmesaContainer" style="padding-top: 10px;">
					<ttSec:secure roles="ADM_R_PARAM_SYS">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction"
								title="Lista parametrów systemowych">
							Parametry systemowe
						</stripes:link>
					</ttSec:secure>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
