<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.NieobecnoscInformacjaAction" style="width: 80%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.nieobecnoscInformacja.id}">
								Dodawanie informacji o nieobecności
							</c:when>
							<c:otherwise>
								Edycja informacji o nieobecności
								<stripes:hidden name="nieobecnoscInformacja.id"/>
								<stripes:hidden name="nieobecnoscInformacja.ewidencjaDpsId"/>
								<stripes:hidden name="nieobecnoscInformacja.pracownikWprowadzilId"/>
								<stripes:errors field="nieobecnoscInformacja.pracownikWprowadzilId"/>
							</c:otherwise>
						</c:choose>
					</legend>

					<c:set var="nazwaPolaNieobecnoscInformacja" value="nieobecnoscInformacja"/>
					<%@ include file="/jsp/templatePages/polaNieobecnoscInformacjaWspolne.jsp" %>
					
					<fieldset>
						<legend>
							Szczegóły nieobecności
						</legend>
						
						<c:set var="nazwaPolaNieobecnoscInformacja" value="nieobecnoscInformacja"/>
						<%@ include file="/jsp/templatePages/polaNieobecnoscInformacjaWyjazd.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Szczegóły powrotu
						</legend>
						
						<c:set var="nazwaPolaNieobecnoscInformacja" value="nieobecnoscInformacja"/>
						<%@ include file="/jsp/templatePages/polaNieobecnoscInformacjaPowrot.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.ListaNieobecnosciAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>