<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PlatnoscListaSkladnikowOkresuInstytucjeActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresuInstytucjeAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="layoutSkladnikiOkresu.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
		</style>
		<script type="text/javascript">
			function reloadTable(id, page) {
				pokazLoadImage();
				
				$.post("${_PlatnoscListaSkladnikowOkresuInstytucjeActionURL}",
					"listaFiltr=1&rok=${actionBean.rok}&miesiac=${actionBean.miesiac}&" + id + "_p_=" + page,
					function(data) {
			        	$("#ui-tabs-" + page).html(data);
			        	
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				$("#tab-container-lex")
					.tabs({
						select: function(event, ui) {
							reloadTable("listaDoliczen", ui.index + 1);
							return true;
						}
					});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<div id="tab-container-lex" class="form" style="border: 0px none; margin: 0px auto;">
			<ul>
				<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
					<li>
						<a href="#ui-tabs-${i.count}">
							${zakres.from()}-${zakres.to()}
						</a>
					</li>
				</c:forEach>
			</ul>
			<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
				<div id="ui-tabs-${i.count}">
					<c:if test="${i.count == 1}">
						<%@ include file="platnoscListaSkladnikowOkresuIntytucjeFiltr.jsp" %>
					</c:if>
				</div>
			</c:forEach>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
