<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd nowrap" sortable="false" filterable="false">
	<fmt:formatNumber value="${doliczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
</jmesa:htmlColumn>
<jmesa:htmlColumn property="status" title="Status" styleClass="nowrap" sortable="false" filterable="false">
	<c:choose>
		<c:when test="${stripes:enumName(doliczenie.status) == 'NOWE'}">
			<span class="warning daneWyroznione">
				${doliczenie.status.opis}
			</span>
		</c:when>
		<c:otherwise>
			${doliczenie.status.opis}
		</c:otherwise>
	</c:choose>
</jmesa:htmlColumn>
