<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="jmesa">
<table class="table alignCenter" style="width: 400px;">
	<thead>
		<tr class="header">
			<td>Płatnik</td>
			<td>Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
	</thead>
	<tbody class="tbody">
		<c:set var="sumaKwot" value="0.0"/>
		
		<c:set var="rownum" value="1"/>
		<c:set var="rodzajPlatnika" value="${rodzajPlatnikow['MIESZKANIEC']}"/>
		<c:set var="naliczenie" value="${mapaDoliczen[rodzajPlatnika]}"/>
		<%@ include file="platnoscListaSkladnikowOkresuPodsumowanieFiltrWiersz.jsp" %>
		
		<c:set var="sumaKwot" value="${sumaKwot + naliczenie.kwota}"/>
		
		<c:set var="rownum" value="2"/>
		<c:set var="rodzajPlatnika" value="${rodzajPlatnikow['OSOBA']}"/>
		<c:set var="naliczenie" value="${mapaDoliczen[rodzajPlatnika]}"/>
		<%@ include file="platnoscListaSkladnikowOkresuPodsumowanieFiltrWiersz.jsp" %>
		
		<c:set var="sumaKwot" value="${sumaKwot + naliczenie.kwota}"/>
		
		<c:set var="rownum" value="3"/>
		<c:set var="rodzajPlatnika" value="${rodzajPlatnikow['INSTYTUCJA']}"/>
		<c:set var="naliczenie" value="${mapaDoliczen[rodzajPlatnika]}"/>
		<%@ include file="platnoscListaSkladnikowOkresuPodsumowanieFiltrWiersz.jsp" %>
		
		<c:set var="sumaKwot" value="${sumaKwot + naliczenie.kwota}"/>
	</tbody>
	<tbody>
		<tr class="statusBar">
			<td class="alignRight">RAZEM:</td>
			<td class="kwotaTd daneWyroznione">
				<fmt:formatNumber value="${sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</td>
		</tr>
	</tbody>
</table>
</div>
