<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.LimitAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors></stripes:errors>
				<fieldset>
					<legend>
						Limit generowanych dopłat
					</legend>
					
					<c:set var="poleDoplataLimit" value="limit"/>

					<div class="row">
						<div class="label">
							<label>
								mieszkaniec
							</label>
						</div>
						<div class="input">
							${actionBean.osoba.nazwiskoImie}
							<stripes:hidden name="limit.osobaId"/>
							<stripes:hidden name="osoba.id"/>
							<stripes:hidden name="osoba.nazwisko"/>
							<stripes:hidden name="osoba.imie"/>
							
							<stripes:errors field="limit.osobaId"/>
							<stripes:errors field="osoba.id"/>
						</div>
					</div>
					<%@ include file="/jsp/templatePages/polaDoplataLimit.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.ListaLimitowAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
