<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="linki">
	<ttSec:secure roles="SOC_R_DEC_ALIM">
		<stripes:link id="lnkDecAlim" beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.ListaDecyzjiOAlimentacjiAction" event="lista">
			Dec. o alimentacji
		</stripes:link>
	</ttSec:secure>
	<ttSec:secure roles="SOC_R_DEC_ODPL">
		<stripes:link id="lnkDecOdpl" beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiOOdplatnosciAction" event="lista">
			Dec. o odpłatności
		</stripes:link>
	</ttSec:secure>
	
	<c:if test="${stripes:enumName(dpsJednostka.branch) != 'FUNDACJA'}">
		<ttSec:secure roles="SOC_R_ODPLATNOSC">
			<stripes:link id="lnkOdplatnosci" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" event="lista"
					title="Lista odpłatności za mieszkańca">
				Kwoty płatności
			</stripes:link>
			<stripes:link id="lnkZmOdplatnosci" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.ZmianyPodgladAction" event="podglad"
					title="Wykryte zmiany w odpłatnościach">
				Stan zmian
			</stripes:link>
		</ttSec:secure>
	</c:if>
</div>
