<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczenieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="rok"/>
				<stripes:hidden name="miesiac"/>
				<fieldset>
					<legend>
						Naliczanie płatności za pobyt w DPS (krok 1-wszy: wybór okresu)
					</legend>
					
					<c:set var="nazwaPolaZadluzenie" value="naliczenie"/>
					<%@ include file="/jsp/templatePages/polaZadluzenie.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" class="button">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
