<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SumaActionURL" beanclass="pl.topteam.dps.action.utils.SumaAction" prependContext="true" scope="page"/>
<script type="text/javascript">
	var _SumaActionURL = "${_SumaActionURL}";
</script>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/sumaWartosc.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczenieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Naliczanie płatności za pobyt w DPS
						(krok 2-gi: kwoty naliczone za ${fn:toLowerCase(miesiace[actionBean.naliczenie.miesiac])} ${actionBean.naliczenie.rok})
					</legend>
					<stripes:errors field="listaSkladnikow"/>
					
					<c:set var="poleNaliczenieKwotaOnChange" value="sumaWartosc('listaSkladnikow', 'kwota');"/>
					<c:set var="__encrypted_sourcePage" value="${ttFn:encryptForStripes('/jsp/bledy/error.jsp')}"/>
					<%@ include file="listaSkladnikowEdycja.jsp" %>
					
					<div class="row">
						<div class="label"></div>
						<div class="input">
							<hr width="70%">
						</div>
					</div>
					<div class="row">
						<div class="label">
							&nbsp;
						</div>
						<div class="input">
							<stripes:text name="listaSkladnikowSuma" class="kwota nChkb" formatPattern="${DOUBLE_PRECISION_PATTERN}"
									disabled="true" style="color: black;" title="Razem" size="11" value="${sumaKwot}"/>
							<div id="listaSkladnikowSumaBledy" class="daneWyroznioneNormal"></div>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" class="button">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
