<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_D_NALICZANIE_ODPL">
	<script type="text/javascript">
		$(document).ready(function() {
			$(".cancel16").on('click', function() {$('input[name^="naliczeniaOperacja"]').attr('checked', false);});
			$(".check16").on('click', function() {$('input[name^="naliczeniaOperacja"]').attr('checked', true);});
		});
	</script>
	<jmesa:htmlColumn property="usuwanie" styleClass="alignCenter" sortable="false" filterable="false"
			title="<img class='check16 cursorPointer' src='${root}/img/check_16.png' title='Zaznacz wszystkie'/>&nbsp;&nbsp;<img class='cancel16 cursorPointer' src='${root}/img/cancel_16.png' title='Odznacz wszystkie'/>">
		<stripes:checkbox name="naliczeniaOperacja" value="${naliczenie.id}"/>
	</jmesa:htmlColumn>
</ttSec:secure>
