<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_razem" value="0.0"/>
<div class="jmesa">
<jmesa:tableFacade items="${mapaKwotPodmiot.entrySet()}" id="mapaKwotPodmiot" var="podmiotPozycja" autoFilterAndSort="false" editable="false"
		maxRows="${fn:length(mapaKwotPodmiot.keySet())}" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Płatnik" property="platnik" sortable="false" filterable="false">
				${podmiotPozycja.key.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" property="kwota" styleClass="text-right" sortable="false" filterable="false" style="width: 150px;">
				<c:set var="_razem" value="${_razem + podmiotPozycja.value}"/>
				<fmt:formatNumber value="${podmiotPozycja.value}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<table style="width: 500px;">
	<tbody class="tbody">
		<tr>
			<td colspan="4" align="right"><hr style="width: 300px;"></td>
		</tr>
		<tr>
			<td colspan="3" class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 150px;">
				<strong><fmt:formatNumber value="${_razem}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</tbody>
</table>
</div>
