<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneWydrukuURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}

			.ui-tabs-nav.ui-widget-header {
				border: 0px none;
				background: none;
			}
		</style>

		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>

		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>

		<script type="text/javascript">
			function usunL(idOsoby) {
				if(confirmation('Czy na pewno chcesz limit z listy?')) {
					$("#limitOsobaId").val(idOsoby);
					// submit formularza poprzez ajax
					$("input[name='usunLimit']").click();
				}
				return false;
			}

			function generuj() {
				pokazLoadImage();
				var $doplatyForm = $("#doplatyForm");

				$("<input type='hidden' name='generuj' value=''/>").appendTo($doplatyForm);
				$doplatyForm.submit();

				return false;
			}

			function przelaczInstytucja() {
				var $selectRodzajPlatnika = $("[name='rodzajPlatnika']");
				var $divIntytucjeAutocomplete = $("#platnikINSTYTUCJE");

				if($selectRodzajPlatnika.val() == 'INSTYTUCJE') {
					$divIntytucjeAutocomplete.show();
				}
				else {
					$divIntytucjeAutocomplete.hide();
				}
			}

			$(document).ready(function() {
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_zmienneWydrukuURL}&typAutonumeracji=NOTA_ODPLATNOSC", "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
				$("#tab-container").tabs();

				// ustawianie z parametrów
				przelaczInstytucja();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="doplatyForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.doplaty.NotaGeneratorAction" style="width: 830px;">
				<aa:zone id="doplatyGlobalErrors">
					<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				</aa:zone>
				<div id="tab-container" class="form" style="border: 0px none;">
					<ul>
						<li><a href="#ui-tabs-ograniczenia">Dane do generowania</a></li>
						<li><a href="#ui-tabs-limity">Limity</a></li>
					</ul>
					<div id="ui-tabs-ograniczenia">
						<%@ include file="generowanieOgraniczenia.jsp" %>
					</div>
					<div id="ui-tabs-limity">
						<%@ include file="generowanieLimity.jsp" %>
					</div>
				</div>
				<div class="alignCenter padding-top-10">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" class="button" event="lista">
						<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
						&laquo; Wróć do listy
					</stripes:link>
			  		&nbsp;&nbsp;
			  		<a class="button" href="#" onclick="generuj()">
						Generuj
					</a>
				</div>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
