<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<a id="lnkNotaInfo" href="#" class="aktywny">
					Informacje o notach
				</a>
			</div>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div style="text-align: left;">
				<dl>
					<dt>Dopłaty</dt>
					<dd>
						Nota służy ustaleniu płatników, którzy sumarycznie za cały okres pobytu mieszkańca posiadają zaległości.
						Jakiekolwiek nadpłaty powstałe w którymś miesiącu zostają uzwględniane na podczet niedopłat z innych miesięcy.
					</dd>
					<dt>Faktury</dt>
					<dd>
						Nota służy zebraniu wszystkich nierozliczonych faktur.
					</dd>
					<dt>Odpisy - nieobecność</dt>
					<dd>
						Nota służy zebraniu wszystkich nierozliczonych jeszcze nieobecności wprowadzonych w programie. Na jej podstawie można zrealizować zwroty kosztów.
					</dd>
					<dt>Wyrównania</dt>
					<dd>
						Nota służy celom przenoszenia zadłużenia/nadpłat pomiędzy poszczególnymi miesiącami. Np. jeśli mieszkaniec zalega w miesiącu wrześniu, a w sierpniu
						ma nadpłatę to zostaną wygenerowane wyrównania usuwające nadpłatę za sierpień i dług za wrzesień. Suma wyrównań w obrębie pojedynczego
						mieszkańca/płatnika zawsze będzie wynosić 0.
					</dd>
					<dt>Zwroty</dt>
					<dd>
						Nota służy ustaleniu płatników, którzy sumarycznie za cały okres pobytu mieszkańca posiadają nadpłatę.
						Jakiekolwiek niedopłaty powstałe w miesiącu zostają uwzględnione na podczet nadpłat z innych miesięcy. 
					</dd>
				</dl>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
