<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="listaNotURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista">
	<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
</stripes:url>

<style>
	#nota_lista_pozycji_container {
		border-right: 1px solid #5F8DD3;
		padding-left: 0px;
	}
	#nota_pozycja_body {
		overflow-x: auto;
		overflow-y: auto;
	}
	#ui-tabs-platnicy {
		float: left;
	}

	.affix-top {
		width: 450px;
	}
	.affix {
		position: fixed;
		top: 10px;
		width: 450px;
	}
	.affix-bottom {
	}

	.ui-tabs .ui-tabs-panel {
		border: 1px solid #a6c9e2;
	}
	.ui-tabs-nav.ui-widget-header {
		border: 0px none;
		background: none;
	}
	.ui-tabs .ui-tabs-panel {
		padding-left: 0px;
	}

	.formContainer {
		margin-left: 10px;
	}
	.formContainer fieldset.submit {
		border-left: none;
		border-right: none;
		border-bottom: none;
	}
</style>
<script type="text/javascript" src="${root}/js/bootstrap/affix.js"></script>
<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
<script type="text/javascript" src="${root}/js/jmesa.js"></script>
<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>

<c:choose>
	<c:when test="${not empty actionBean.context.validationErrors}">
		<script type="text/javascript">
			var _tab_container_selected = 1;
		</script>
	</c:when>
	<c:otherwise>
		<script type="text/javascript">
			var _tab_container_selected = 2;
		</script>
	</c:otherwise>
</c:choose>
<script type="text/javascript">
	$(document).ready(function() {
		$('#nota_pozycja_container').affix({
				offset: {
					top: function () {
						return $("#nota_lista_pozycji_container").offset().top;
					}
				}
			});
		$("#nota_pozycja_container").bind("DOMNodeInserted", function() {
			var npbH = $("#nota_pozycja_container").height();
			var wH = $(window).height() - 80;
			$("#nota_pozycja_body").height(Math.min(npbH, wH));
		});
		$("#tab-container").tabs({
			select: function(event, ui) {
				if(ui.index == 0) {
					location.href = "${listaNotURL}";
					return false;
				}
				return true;
			},
			selected: _tab_container_selected
		});
	});
</script>
