<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<aa:zone id="pozycja_container">
<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
<div>
	<c:choose>
		<c:when test="${not empty actionBean.notaPozycja.osoba}">
			Płatnik:<span class="daneWyroznione">${actionBean.notaPozycja.osoba.nazwiskoImie}</span>
		</c:when>
		<c:otherwise>
			Płatnik:<span class="daneWyroznione">${actionBean.notaPozycja.instytucjaDoplacajaca.nazwa}</span>
		</c:otherwise>
	</c:choose>
</div>
<hr style="width: 40%"/>
<div id="nota_pozycja_body">
	<c:forEach items="${actionBean.listaWierzycieli}" var="osoba">
		dla: <span class="daneWyroznione">${osoba.nazwiskoImie}</span>
		<c:set var="listaWyrownan" value="${actionBean.mapaWyrownan.get(osoba.id)}"/>
		<jmesa:tableFacade items="${listaWyrownan}" id="listaWyrownan" var="wyrownanie" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
				maxRows="${fn:length(listaWyrownan)}">
			<jmesa:htmlTable style="min-width: 300px; max-width: 420px;">
				<jmesa:htmlRow>
					<%--
					<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
						<jmesa:htmlColumn title="DEV" sortable="false" styleClass="nowrap">
							(WYROWNANIE_ID: ${wyrownanie.id})<br/>
							(ZADLUZENIE_POZYCJA_ID: ${wyrownanie.zadluzeniePozycjaId})
						</jmesa:htmlColumn>
					</c:if>
					--%>
					<jmesa:htmlColumn title="Za okres" property="okres" sortable="false">
						<c:set var="miesiacNumber" value="${wyrownanie.miesiac}"/>
						${wyrownanie.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn title="Wpłaty" property="wplaty" sortable="false" filterable="false">
						<c:set var="listaWplat" value="${actionBean.mapaWplat[wyrownanie.id]}"/>
						<%@ include file="listaFiltr.jsp" %>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
		<hr style="width: 80%"/>
	</c:forEach>
</div>
</aa:zone>
