<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="jmesa">
<table class="table alignCenter" style="min-width: 200px;">
	<thead>
		<tr class="header">
			<td>_</td>
			<td></td>
		</tr>
	</thead>
	<tbody class="tbody">
		<c:set var="_rowClass" value="odd"/>
		<tr class="${_rowClass}" onmouseover="this.className='highlight'" onmouseout="this.className='${_rowClass}'">
			<td>Liczba pozycji</td>
			<td class="text-right">${liczbaPozycji}</td>
		</tr>
		
		<c:set var="_rowClass" value="even"/>
		<tr class="${_rowClass}" onmouseover="this.className='highlight'" onmouseout="this.className='${_rowClass}'">
			<td>Suma pozycji [${GL_JEDNOSTKA_MONETARNA}]</td>
			<td class="text-right"><fmt:formatNumber value="${sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></td>
		</tr>
	</tbody>
</table>
</div>
