<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPozycjiNoty}" id="listaPozycjiNoty" var="notaPozycja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.FormTableView">
	<jmesa:htmlTable style="min-width: 250px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty notaPozycja.instytucjaDoplacajaca}">
						${notaPozycja.instytucjaDoplacajaca.nazwa}
					</c:when>
					<c:otherwise>
						${notaPozycja.osoba.nazwiskoImie}
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wyrownania.NotaPozycjaEdycjaAction" event="edycja"
							aa-refresh-zones="pozycja_container">
						<stripes:param name="notaPozycja" value="${notaPozycja.id}"/>
						<img src="${root}/img/lupa.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
