<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="input">
	<div class="wewTabelka">
		<div class="row">
				<div class="label">
					nr
				</div>
				<div class="input">
					${decyzjaOOdplatnosci.nr}
				</div>
		</div>
		<div class="row">
			<div class="label">
				rodzaj decyzji
			</div>
			<div class="input">
				${decyzjaOOdplatnosci.typ.opis}
			</div>
		</div>
		<c:if test="${stripes:enumName(decyzjaOOdplatnosci.typ) == 'ODPLATNOSC' || stripes:enumName(decyzjaOOdplatnosci.typ) == 'ZWOLNIENIE'}">
			<div class="row">
				<div class="label">
					kwota
				</div>
				<div class="input">
					<fmt:formatNumber value="${decyzjaOOdplatnosci.kwota != null ? decyzjaOOdplatnosci.kwota : 0.00}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</div>
			</div>
		</c:if>
		<c:if test="${stripes:enumName(decyzjaOOdplatnosci.typ) == 'ZWOLNIENIE'}">
			<div class="row">
				<div class="label">
					kwota zwolnienia
				</div>
				<div class="input">
					<fmt:formatNumber value="${decyzjaOOdplatnosci.kwotaZwolniona != null ? decyzjaOOdplatnosci.kwotaZwolniona : 0.00}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</div>
			</div>
		</c:if>
	</div>
</div>
