<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasadyZASADY_DO_2004.UstalanieOdplatnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<stripes:hidden name="odplatnosc.dataOd"/>
				<stripes:hidden name="odplatnosc.decyzjaKierujacaId"/>
				<stripes:hidden name="decyzjaOOdplatnosci.id"/>
				<fieldset>
					<legend>
						Ustalanie odpłatności za pobyt w DPS (krok 2-gi: podsumowanie)
					</legend>

					<fieldset>
						<legend>
							odpłatność mieszkańca
						</legend>
						
						<c:set var="poleOdplatnosc" value="odplMieszkanca"/>
						<%@ include file="/jsp/templatePages/polaOdplatnoscSkladnik.jsp" %>
					</fieldset>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button">
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
