<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					selectClass : 'asmSelect'
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasadyZASADY_OD_2004.UstalanieOdplatnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Ustalanie odpłatności za pobyt w DPS (krok 2-gi: instytucje dopłacające do pobytu)
					</legend>
					
					<div class="row" style="display: block; margin-top: 5px;">
						<div class="label" style="vertical-align: middle;">
							instytucje dopłacające
						</div>
						<div style="display: table-cell;">
							<stripes:select name="wybraneInstytucje[]" multiple="multiple" 
									id="selInstytucje" title="--- wybierz ---" style="min-width: 300px;">
								<stripes:options-collection collection="${listaInstytucjiDoplacajacych}" label="nazwa" value="id"/>
							</stripes:select>
							<stripes:errors field="wybraneInstytucje[]"/>
							<stripes:button name="wyb1a" class="button noLoadImage" value="Wybierz wszystkie" onclick="wybierz('selInstytucje');"/>
							&nbsp;&nbsp;&nbsp;
							<stripes:button name="wyb1b" class="button noLoadImage" value="Usuń wszystkie" onclick="wyrzuc('selInstytucje');"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button">
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok3" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
