<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneWydrukuURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/jquery.tablehover.js"></script>
		<script type="text/javascript" src="${root}/js/utils/removeElem.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$('.table').tableHover({rowClass: 'highlight'});

				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_zmienneWydrukuURL}&typAutonumeracji=PRZELEW_DRUK_TYTULEM", "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Generowanie druków przelewów</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.DrukGeneratorAction" style="width: 400px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Druki przelewów
					</legend>
					
					<div class="jmesa">
						<stripes:submit name="powrotKrok1" value="« Wróć"/>
						&nbsp;&nbsp;
						<stripes:button name="pomocZmienneWydruku" class="noLoadImage" onclick="" value="Pomoc - zmienne"/>
						<br/><br/>
						
						<%@ include file="dodawanieKrok2Lista.jsp" %>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrok1" value="« Poprzedni krok"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>