<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="sumaWplatySw" value="0.0" scope="request"/>
<c:if test="${not empty listaInstytucjiSw}">
	<c:if test="${fn:length(listaInstytucjiSw) > 0}">
		Wpłaty ze świadczeń:
		<jmesa:tableFacade items="${listaInstytucjiSw}" id="listaInstytucjiSw" var="instytucja" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaInstytucjiSw)}">
			<jmesa:htmlTable style="width: 100%;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="nazwa" title="Instytucja" sortable="false" filterable="false" styleClass="nowrap">
						${instytucja.nazwa}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" title="Kwota [${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap text-right">
						<c:set var="kwotaWplaty" value="${not empty mapaWplatInstytucjiSw[instytucja.id] ? mapaWplatInstytucjiSw[instytucja.id].kwota : 0.0}"/>
						<c:set var="sumaWplatySw" value="${sumaWplatySw + kwotaWplaty}" scope="request"/>
	
						<strong><fmt:formatNumber value="${kwotaWplaty}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:if>
	<c:if test="${fn:length(listaInstytucjiSw) > 1}">
		<c:set var="kwotaRazem" value="${sumaWplatySw}"/>
		<%@ include file="razem.jsp" %>
	</c:if>
</c:if>
