<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<table class="table" style="width: 280px;">
	<thead>
		<tr class="text-center disabled">
			<td>Saldo początkowe [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td><%@ include file="saldoPoczatkowe.jsp" %></td>
		</tr>
	</thead>
	<tbody>
		<tr class="header">
			<td>Naliczenia [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td><%@ include file="kwotyNaliczen.jsp" %></td>
		</tr>
		<tr class="header">
			<td>Faktury [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td><%@ include file="kwotyFaktury.jsp" %></td>
		</tr>
		<tr class="header">
			<td>Odpisy [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td><%@ include file="kwotyOdpisow.jsp" %></td>
		</tr>
		<tr class="header">
			<td>Wpłaty [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td><%@ include file="kwotyWplat.jsp" %></td>
		</tr>
		<tr class="header">
			<td>Zwroty [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td><%@ include file="kwotyZwrotow.jsp" %></td>
		</tr>
	</tbody>
	<tfoot>
		<tr class="text-center disabled">
			<td>Saldo końcowe [${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
		<tr>
			<td>
				<c:set var="saldoKoncowe" value="${saldoPoczatkowe + sumaNaliczenia + sumaFaktury - sumaOdpisy - sumaWplaty + sumaZwroty}" scope="request"/>
				<%@ include file="saldoKoncowe.jsp" %>
			</td>
		</tr>
	</tfoot>
</table>
