<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_winienMaListaRozliczenURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_winienMaListaRozliczenURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<a id="lnkListaNot" href="#" class="aktywny">
					Lista zestawień "winien/ma"
				</a>
			</div>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
					<div class="alignLeft">
						<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.DeveloperPogladAction" target="_blank"
								style="border: 0px none; padding-bottom: 20px;">
							Pomocnik zestawienia:<br/>
							<stripes:text name="rok" class="rok required" size="6" value="2014"/>
							&nbsp;
							<c:set var="klasaWymagane" value="required"/>
							<c:set var="poleMiesiac" value="miesiac"/>
							<c:set var="poleMiesiacValue" value="3"/>
							<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
							&nbsp;
							<c:set var="filePrefix" value="sql/reports/rozliczenie/winienMa/winienMa_"/>
							<c:set var="fileSuffix" value=".sql"/>
							<stripes:select name="plik" class="required">
								<stripes:option label="pozycje" value="${filePrefix}pozycje${fileSuffix}"/>
								<c:forEach begin="1" end="4" var="i">
									<stripes:option label="___pozycje -${i}-" value="${filePrefix}pozycje_${i}${fileSuffix}"/>
								</c:forEach>
								<stripes:option label="przypisy" value="${filePrefix}przypisy${fileSuffix}"/>
								<stripes:option label="odpisyZwroty" value="${filePrefix}odpisyZwroty${fileSuffix}"/>
								<stripes:option label="wpłaty" value="${filePrefix}wplaty${fileSuffix}"/>
							</stripes:select>
							<br/><br/>
							<c:set var="bibliotekiAutoComplete" value="false"/>
							<c:set var="styleAutoComplete" value="false"/>
							<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
							<c:set var="osobaPoleNazwa" value="mieszkaniec"/>
							<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
							<br/>
							<stripes:submit class="noLoadImage" name="generuj" value="Generuj"/>
						</stripes:form>
					</div>
				</c:if>
				
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
