<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_listaStartZadluzeniaURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.okres.ListaStartZadluzenAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/odplatnosc/layoutOdplatnosc.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_listaStartZadluzeniaURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div class="listFooterText" style="padding-bottom: 5px;">
			<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.okres.DlugStartZadluzeniaAction" event="dodawanie">
				<stripes:param name="rok" value="${actionBean.rok}"/>
				<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
				Wprowadź nowy
			</stripes:link>
		</div>
		<div id="jmesaContainer">
			<%@ include file="zadluzenieListaFiltr.jsp" %>
		</div>
		<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
		<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieLegenda.jsp" %>
	</stripes:layout-component>
</stripes:layout-render>
