<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="${actionBean.getClass().getCanonicalName()}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Rozliczenie odejścia mieszkańca</legend>
					
					<p>
						Ewidencja jest jedynie oznaczona jako rozliczona.
					</p>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ListaRozliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit disabled="disabled" name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
