<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<p>
	Poniższe kwoty stanowią PODSTAWĘ do obliczenia ostatecznej kwoty naliczenia<br/>
	za miesiąc <fmt:formatDate value="${actionBean.ewidencja.dataOd}" pattern="yyyy-MM"/>.<br/>
	Ostateczną kwotę naliczeń program obliczy wg tej podstawy oraz liczby dni jaką mieszkaniec przebywał
	w tym miesiącu.
</p>

<c:forEach items="${actionBean.listaSkladnikow}" var="odplatnoscSkladnik" varStatus="status">
	<c:set var="i" value="${status.count - 1}"/>
	<div class="row">
		<div class="label">
			<label>
				<stripes:hidden name="listaSkladnikow[${i}].id"/>
				<stripes:hidden name="listaSkladnikow[${i}].osobaId"/>
				<stripes:hidden name="listaSkladnikow[${i}].instytucjaId"/>
	
				<c:choose>
					<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
						${odplatnoscSkladnik.osoba.nazwiskoImie}
						<stripes:hidden name="listaSkladnikow[${i}].osoba.nazwisko"/>
						<stripes:hidden name="listaSkladnikow[${i}].osoba.imie"/>
					</c:when>
					<c:otherwise>
						${odplatnoscSkladnik.instytucja.nazwa}
						<stripes:hidden name="listaSkladnikow[${i}].instytucjaId"/>
						<stripes:hidden name="listaSkladnikow[${i}].instytucja.nazwa"/>
					</c:otherwise>
				</c:choose>
			</label>
		</div>
		<div class="input">
			<stripes:text name="listaSkladnikow[${i}].kwota" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
			<stripes:errors field="listaSkladnikow[${i}].kwota"/>
		</div>
	</div>
</c:forEach>
