<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ZwrotSwiadczeniaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="swiadczenieZwrot.id"/>
				<stripes:hidden name="swiadczenieZwrot.ewidencjaId"/>
				<stripes:hidden name="zwrot.id"/>
				<fieldset>
					<legend>Zwrot świadczenia do instytucji wpłacającej</legend>
					
					<div class="row">
						<div class="label">
							świadczenie
						</div>
						<div class="input">
							${actionBean.swiadczenieZwrot.swiadczenie.opis}
						
							<stripes:hidden name="swiadczenieZwrot.swiadczenie.nazwa"/>
							<stripes:hidden name="swiadczenieZwrot.swiadczenie.dataOd"/>
							<stripes:hidden name="swiadczenieZwrot.swiadczenie.dataZmiany"/>
							<stripes:hidden name="swiadczenieZwrot.swiadczenie.dataDo"/>
							<stripes:hidden name="swiadczenieZwrot.swiadczenie.kwota"/>
							
							<stripes:errors field="swiadczenieZwrot.instytucjaId"/>
						</div>
					</div>
					<c:set var="nazwaPolaZwrot" value="zwrot"/>
					<%@ include file="/jsp/templatePages/polaZwrotZeSwiadczenia.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.RozliczenieEdycjaAction" class="button" event="edycja">
							<stripes:param name="ewidencja.id" value="${actionBean.swiadczenieZwrot.ewidencjaId}"/>
							&laquo; Wróć
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
