<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Import wpłat z wyciągów bankowych</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.importy.ImportWplatCSVAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Wyciąg z konta bankowego</legend>
					
					<c:set var="dodawaniePlikCSV" value="${true}"/>
					<c:set var="nazwaPolaPlikCsv" value="plikCsv"/>
					<%@ include file="/jsp/templatePages/polaPlikCSV.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.rejestr.wplaty.ListaPlikowAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
				  		<stripes:submit name="dodawanieKrok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
