<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/jquery.tablehover.js"></script>
		<script type="text/javascript" src="${root}/js/utils/removeElem.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$('.table').tableHover({rowClass: 'highlight'});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Import wpłat z wyciągów bankowych</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.importy.ImportWplatCSVAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Wyciąg z konta bankowego</legend>
					
					<stripes:hidden name="plikCsv.formatCsvId"/>
					<stripes:hidden name="plikCsv.nazwa"/>
					<div class="jmesa">
						<stripes:errors field="plikCsv.formatCsvId"/>
						
						<%@ include file="importCSVKrok2Lista.jsp" %>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.importy.ImportWplatCSVAction" event="dodawanieKrok1" class="button">
							<stripes:param name="plikCsv.formatCsvId" value="${actionBean.plikCsv.formatCsvId}"/>
							&laquo; Wróć
						</stripes:link>
				  		&nbsp;&nbsp;
				  		<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
