<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors/>
				<stripes:hidden name="instytucjaWplata.id"/>
				<stripes:hidden name="instytucjaWplata.rok"/>
				<stripes:hidden name="instytucjaWplata.miesiac"/>
				<stripes:hidden name="instytucjaWplata.instytucjaId"/>
				<stripes:hidden name="instytucjaWplata.instytucja.id"/>
				<stripes:hidden name="instytucjaWplata.instytucja.nazwa"/>
				<fieldset>
					<legend>
						Wpłaty zarejestrowane dla instytucji dopłacającej
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								okres
							</label>
						</div>
						<div class="input">
							${actionBean.instytucjaWplata.rok} / ${actionBean.instytucjaWplata.miesiac}
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								instytucja
							</label>
						</div>
						<div class="input">
							${actionBean.instytucjaWplata.instytucja.nazwa}
						</div>
					</div>
					
					<fieldset>
						<%@ include file="edycjaListaFiltr.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
