<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SumaActionURL" beanclass="pl.topteam.dps.action.utils.SumaAction" prependContext="true" scope="page" addSourcePage="false"/>

<table class="alignCenter" style="width: 500px;">
	<tbody class="tbody">
		<tr>
			<td colspan="3" align="right"><hr style="width: 400px;"></hr></td>
		</tr>
		<tr>
			<td colspan="2" class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 120px;">
				<aa:zone id="suma_wplat_zone">
					<strong><fmt:formatNumber value="${actionBean.sumaWplat}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;
				</aa:zone>
			</td>
		</tr>
	</tbody>
</table>

<stripes:submit name="odswiezSumeWplat" aa-refresh-zones="suma_wplat_zone" value="Odśwież" style="display: none;"/>
<script>
	$(document).ready(function() {
		$("[name^='rejestrujWplate'], [name$='kwota']").on('change', function() {
			$("[name='odswiezSumeWplat']").click();
		})
	})
</script>
