<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaZwrotowSwiadczenia}" id="listaZwrotowSwiadczenia" var="swiadczenieZwrot" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaZwrotowSwiadczenia)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="padding-top-10 alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="instytucja" title="Instytucja" sortable="false" filterable="false">
				${swiadczenieZwrot.instytucja.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Ze świadczenia" sortable="false" filterable="false">
				${swiadczenieZwrot.swiadczenie.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" styleClass="text-right" title="Kwota zwrotu<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${swiadczenieZwrot.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
				
				<c:set var="_sumaKwot" value="${_sumaKwot + swiadczenieZwrot.kwota}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<table class="alignCenter" style="width: 500px;">
	<tbody class="tbody">
		<tr>
			<td colspan="3" align="right"><hr style="width: 400px;"/></td>
		</tr>
		<tr>
			<td colspan="2" class="text-right" style="padding-right: 5px;">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 100px;">
				<strong><fmt:formatNumber value="${_sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</tbody>
</table>
