<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div style="margin-bottom: 10px;">
	<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
</div>
<jmesa:tableFacade items="${listaOsob}" id="listaOsob" var="osoba" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione">
				<stripes:link beanclass="pl.topteam.dps.action.osoba.ListaOsobAction" event="podgladOsoby">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${osoba.nazwisko}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione">
				<stripes:link beanclass="pl.topteam.dps.action.osoba.ListaOsobAction" event="podgladOsoby">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${osoba.imie}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.osoba.ListaOsobAction" event="podgladOsoby">
						<stripes:param name="osoba.id" value="${osoba.id}"/>
						<img src="${root}/img/lupa.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
