<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:catch var="e">
	<jsp:include page="/jsp/parametrSystemowy/opisy/parametr_${stripes:enumName(actionBean.parametrSystemowy.typ)}.jsp"/>
</c:catch>
<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER && not empty e}">
	<h1 class="tytH1">Wystapił błąd systemu</h1>
	<h2 class="tytH2">Komunikat</h2>
	<p>
		<c:choose>
			<c:when test="${not empty e.message}">
				${e.message}
			</c:when>
			<c:otherwise>
				${e}
			</c:otherwise>
		</c:choose>
	</p>
	<h2 class="tytH2">Przyczyna</h2>
	<pre>
		<c:choose>
			<c:when test="${not empty e.cause}">
				${e.message}
			</c:when>
			<c:otherwise>
				${e}
			</c:otherwise>
		</c:choose>
	</pre>
	<h2 class="tytH2">Stos wywołań</h2>
	<p>
		<c:forEach items="${e.stackTrace}" var="st" begin="0" end="5">
			${st}<br/>
		</c:forEach>
		...
	</p>
</c:if>
