<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nazwaCzynnosciSkrocona" value="${fn:substring(czynnosc.nazwa, 0, liczbaZnakowCzynnosc)}..."/>
<c:set var="nazwaCzynnosci" value="${fn:length(czynnosc.nazwa) > liczbaZnakowCzynnosc ? nazwaCzynnosciSkrocona : czynnosc.nazwa}"/>
<li id="czynnosc_${czynnosc.id}" class="czynnosc">
	<stripes:checkbox id="T_czynn_${czynnosc.id}" name="mapaCzynnosci[${czynnosc.id}]" value="true"
			class="czynnosc" title="${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynnosc ???'}">
	</stripes:checkbox>
	<label for="T_czynn_${czynnosc.id}" class="cursorPointer" title="${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynność ???'}">
		${not empty nazwaCzynnosci ? nazwaCzynnosci : 'Czynność ???'}
	</label>
</li>
