<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkPlan");
				});
			</script>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
				<%-- można dodawać tylko jeśli nie ma żadnych planów --%>
				<c:if test="${fn:length(listaPlanow) == 0}">
					<ttSec:secure roles="OG_C_PLAN_WSPARCIA_MIESZKANCA">
						<div class="listFooterText">
							<stripes:link class="button" beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaAction" event="dodawanieKrok1">
								Dodaj nowy plan
							</stripes:link>
						</div>
					</ttSec:secure>
				</c:if>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
