<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZaplanowanychPlanow}" id="listaZaplanowanychPlanow" var="plan"
		view="pl.topteam.utils.jmesa.view.SimpleTableView" exportTypes="" autoFilterAndSort="false"
		editable="false" maxRows="${fn:length(listaZaplanowanychPlanow) > 0 ? fn:length(listaZaplanowanychPlanow) : 1}">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 85%;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwiskoImie" title="Osoba" styleClass="daneWyroznione alignLeft">
				${plan.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_C_PLAN_WSPARCIA_MIESZKANCA">
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaAction" event="dodawanieKrok1">
							<stripes:param name="zebranieWykonano.zebranieZtoId" value="${plan.zebranieZtoId}"/>
							<stripes:param name="zebraniePlan.ewidencjaId" value="${plan.ewidencjaId}"/>
							<img src="${root}/img/wykonaj.gif" class="iconspace" title="Utwórz plan dla ${plan.osoba.nazwiskoImie}"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
