<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="poleZebranieZTO" value="zebranie"/>
<c:choose>
	<c:when test="${not empty actionBean.zebranie.zrealizowano && actionBean.zebranie.zrealizowano}">
		<stripes:hidden name="${poleZebranieZTO}.dataPlan"/>
		<stripes:hidden name="${poleZebranieZTO}.godzinaPlan"/>
		<stripes:hidden name="${poleZebranieZTO}.miejscePlan"/>
		<stripes:hidden name="${poleZebranieZTO}.szablonWydrukuId"/>
		
		<%@ include file="/jsp/templatePages/polaZebranieZTO.jsp" %>
	</c:when>
	<c:otherwise>
		<%@ include file="/jsp/templatePages/polaZebranieZTO.jsp" %>
		<div class="row">
			<div class="label"></div>
			<div class="input"></div>
		</div>
		<%@ include file="/jsp/templatePages/polaZebraniePlanowaneZTO.jsp" %>
	</c:otherwise>
</c:choose>

<fieldset>
	<legend>
		<c:choose>
			<c:when test="${not empty actionBean.zebranie.zrealizowano && actionBean.zebranie.zrealizowano}">
				Pracownicy, którzy wzięli udział
			</c:when>
			<c:otherwise>
				Pracownicy, którzy wezmą udział
			</c:otherwise>
		</c:choose>
	</legend>
	
	<div class="row">
		<div class="label">
		</div>
		<div class="input">
			<stripes:select name="pracownicy[]" multiple="multiple" 
					id="selPracownicy" title="${OPCJA_WYBIERZ}">
				<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
			</stripes:select>
			<stripes:errors field="pracownicy[]"/>
		</div>
	</div>
</fieldset>
