<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<stripes:url var="_pobieraneSwiadczenieURL" beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.PobieraneSwiadczenieAction" prependContext="true" scope="page" addSourcePage="false"/>
	<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
	<script type="text/javascript">
		var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
	</script>
		
	<script type="text/javascript" src="${root}/js/utils/removeElem.js"></script>
	<script type="text/javascript" src="${root}/js/utils/pobieraneSwiadczenieDodatek.js"></script>
	<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	
	<script type="text/javascript">
		function wylaczEkwiwalenty() {
			$("select[name$='.jednostka']").each(function(){
				wylaczEkwiwalent(this);
			});
		}
	
    	//dodawanie dodatków na świadczeniach
    	function nowyDodatekSwiadczenia(numerSwiadczenia) {
    		pokazLoadImage();
    		
			var parametry = "pobieraneSwiadczenieDodatek=1&pobieraneSwiadczenie.id=" + numerSwiadczenia + "&" +
				$("[name^='listaDodatkow']").serialize();

	    	$.post("${_pobieraneSwiadczenieURL}",
				parametry,
				function(data, textStatus, xhr) {
					if(xhr.getResponseHeader('Ajax-Success')) {
						$(data).appendTo("#pobSwiadczenieFields_" + numerSwiadczenia);
						
						$(".mySelect").unMySelect();
						$(".mySelect").mySelect();

						$(".doublePrecision").unDoublePrecision();
						$(".doublePrecision").doublePrecision();
						
						$(".kwota").unKwota();
						$(".kwota").kwota();
						
						wylaczEkwiwalenty();
	   				} else {
	   					$("#bledySwiadczenia").html(data);
					}
					
					ukryjLoadImage();
	   	 		}, "html"
		 	);
    	}
    	
    	$(document).ready(function() {
			wylaczEkwiwalenty();
		});
    </script>
</stripes:layout-component>
