<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/simpleLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				//usuwanie wstrętnego podpowiadania przez przeglądarkę
				$("[name$='stareHaslo']").val('${actionBean.pracownik.stareHaslo}');
				$("[name$='haslo.str']").val('${actionBean.pracownik.haslo.str}');
				$("[name$='powtHaslo']").val('${actionBean.pracownik.powtHaslo}');
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Zmiana hasła</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.PolitykaBezpieczenstwaAction" style="width: 550px;" onkeypress="return event.keyCode != 13;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="pracownik.id"/>
				<fieldset>
					<fieldset>
						<legend>Komunikat</legend>
						<p>
							Administrator odpowiedzialny za bezpieczeństwo systemów informatycznych w DPS
							zmienił domyślne ustawienia polityki bezpieczeństwa.
						</p>
						<p>
							Widzisz ten ekran, ponieważ wg wew. ustaleń DPS wymagana jest okresowa zmiana hasła!<br/>
							Nowe hasło możesz wygenerować za pomocą odpowiedniego przycisku. To hasło gwarantuje zgodność
							z narzuconymi wymaganiami.
						</p>
					</fieldset>
					<fieldset>
						<legend>
							Twoje dane
						</legend>
					
						<c:set var="nazwaPolaPracownika" value="pracownik"/>
						<%@ include file="/jsp/templatePages/polaPracownikaPracownik.jsp" %>
						<br/>
						<stripes:submit name="generujHaslo" value="Wygeneruj nowe hasło"/>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>