<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
	<script type="text/javascript">
		var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
	</script>
	
	<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
</stripes:layout-component>

<stripes:layout-component name="content">
	<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
	<div class="formContainer">
		<stripes:form beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.PostanowienieSaduAction" name="postanowienieForm">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
			<fieldset>
				<legend>
					<c:choose>
						<c:when test="${not empty actionBean.postanowienieSadu.id}">
							Edycja postanowienia sądu
							<stripes:hidden name="postanowienieSadu.id"/>
							<stripes:hidden name="postanowienieSadu.osobaId"/>
						</c:when>
						<c:otherwise>
							Wstawianie nowego postanowienia sądu
						</c:otherwise>
					</c:choose>
				</legend>
				
				<c:set var="klasaWymagane" value="required"/>
				<c:set var="nazwaPolaPostanowienia" value="postanowienieSadu"/>
				<%@ include file="/jsp/templatePages/polaPostanowieniaSadu.jsp" %>
			</fieldset>
			
			<fieldset class="submit">
				<div>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.ListaPostanowienSadowychAction" class="button" event="lista">
						&laquo; Anuluj
					</stripes:link>
			  		&nbsp;&nbsp;
					<stripes:submit name="zapisz" value="Zapisz"/>
				</div>
			</fieldset>
		</stripes:form>
	</div>
</stripes:layout-component>
