<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				setTimeout(function() {
					//usuwanie wstrętnego podpowiadania przez przeglądarkę
					$("[name$='login']").val('${actionBean.pracownik.login}');
					$("[name$='haslo.str']").val('${actionBean.pracownik.haslo.str}');
					$("[name$='powtHaslo']").val('${actionBean.pracownik.powtHaslo}');
				}, 500);
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Dodawanie pracownika</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.pracownicy.PracownikAction" style="width: 600px;" autocomplete="off">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
	
				<c:set var="nazwaPolaPracownika" value="pracownik"/>
				<c:set var="kolekcjaGrup" value="listaGrup"/>
				<fieldset>
					<c:set var="disabled" value="disabled"/>
					<%@ include file="/jsp/templatePages/polaPracownikaAdmin.jsp" %>
					
					<br/>
					<stripes:submit name="generujHaslo" value="Wygeneruj nowe hasło"/>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.ListaPracownikowAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
