<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="typUstawienia" value="${mapaTypowUstawien['UMOWZLIW_POWROT_BACKSPACE']}"/>
<c:set var="wartosciUstawienia" value="${actionBean.mapaParametrow[typUstawienia]}"/>

<div class="row">
	<div class="label">
		<label>
			czy&nbsp;umożliwiać<br/>
			cofanie&nbsp;stron
		</label>
	</div>
	<div class="input">
		<stripes:select name="mapaParametrow['UMOWZLIW_POWROT_BACKSPACE']" value="${wartosciUstawienia[0]}"
				title="czy stosować blokowanie wstecznego przechodzenia pomiędzy stronami">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.ProstyPrzelacznik" label="opis"/>
		</stripes:select>
		<stripes:errors field="mapaParametrow['UMOWZLIW_POWROT_BACKSPACE']"/>
	</div>
</div>
