<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${stripes:enumName(dpsJednostka.branch) == 'DOM_POMOCY'}">
	<c:set var="typUstawienia" value="${mapaTypowUstawien['DYZUR_PIELEGNIARSKI']}"/>
	<c:set var="wartosciUstawienia" value="${actionBean.mapaParametrow[typUstawienia]}"/>

	<div class="row">
		<div class="label">
			<label>
				dyżur&nbsp;pielęgniarski
			</label>
		</div>
		<div class="input">
			<stripes:select name="mapaParametrow['DYZUR_PIELEGNIARSKI']" value="${wartosciUstawienia[0]}">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<stripes:options-enumeration enum="pl.topteam.dps.enums.ProstyPrzelacznik" label="opis"/>
			</stripes:select>
			<stripes:errors field="mapaParametrow['DYZUR_PIELEGNIARSKI']"/>
		</div>
	</div>
</c:if>
