<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="typUstawienia" value="${mapaTypowUstawien['WYROZNIAJ_PRZYPOMNIENIA']}"/>
<c:set var="wartosciUstawienia" value="${actionBean.mapaParametrow[typUstawienia]}"/>

<div class="row">
	<div class="label">
		<label>
			czy wyróżnić kolorem<br/>
			odnośnik do listy przypomnień
		</label>
	</div>
	<div class="input">
		<stripes:select name="mapaParametrow['WYROZNIAJ_PRZYPOMNIENIA']" value="${wartosciUstawienia[0]}"
				title="czy wyróżnić kolorem odnośnik do listy przypomnień">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.ProstyPrzelacznik" label="opis"/>
		</stripes:select>
		<stripes:errors field="mapaParametrow['WYROZNIAJ_PRZYPOMNIENIA']"/>
	</div>
</div>
