<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${fn:length(typEwidencjiMieszkanca) > 0}">
	<h4>Lista mieszkańców (menu: Mieszkańcy -&gt; Lista)</h4>
	<stripes:button name="zaznaczWsz" onclick="tgsWybierzWszystkieZListy('listaOsob${typUstawienia}');" class="noLoadImage">
		Zaznacz wszystkie
	</stripes:button>
	<stripes:button name="odznaczWsz" onclick="tgsUsunWszystkieZListy('listaOsob${typUstawienia}');" class="noLoadImage">
		Odznacz wszystkie
	</stripes:button>
	<br/><br/>
	<ul id="listaOsob${typUstawienia}" class="toggleSelectable">
		<c:forEach items="${typEwidencjiMieszkanca}" var="ewidMieszkanca" varStatus="i">
			<li class="ui-widget-content ${wartosciUstawienia.contains(ewidMieszkanca.name()) ? 'ui-toggleSelected' : ''}">
				${ewidMieszkanca.opis}
				<stripes:checkbox name="mapaParametrow[${typUstawienia}]" value="${ewidMieszkanca}" class="checkbox"></stripes:checkbox>
			</li>
		</c:forEach>
	</ul>
</c:if>
