<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="typUstawienia" value="${mapaTypowUstawien['TYPY_PRZYPOMNIEN']}"/>
<c:set var="wartosciUstawienia" value="${actionBean.mapaParametrow[typUstawienia]}"/>

<stripes:button name="zaznaczWsz" class="noLoadImage" onclick="tgsWybierzWszystkieZListy('listaCzynnosci${typUstawienia}1');tgsWybierzWszystkieZListy('listaCzynnosci${typUstawienia}2');">
	Zaznacz wszystkie
</stripes:button>
<stripes:button name="odznaczWsz" class="noLoadImage" onclick="tgsUsunWszystkieZListy('listaCzynnosci${typUstawienia}1');tgsUsunWszystkieZListy('listaCzynnosci${typUstawienia}2');">
	Odznacz wszystkie
</stripes:button>
<br/><br/>
<ul id="listaCzynnosci${typUstawienia}1" class="toggleSelectable">
	<c:forEach items="${typPrzypomnienia}" var="przypomnienie">
		<li class="ui-widget-content ${wartosciUstawienia.contains(przypomnienie.name()) ? 'ui-toggleSelected' : ''}">
			${przypomnienie.opis}
			<stripes:checkbox name="mapaParametrow[${typUstawienia}]" value="${przypomnienie}" class="checkbox"></stripes:checkbox>
		</li>
	</c:forEach>
</ul>
<c:if test="${not empty listaInformacjiDodatkowych && fn:length(listaInformacjiDodatkowych) > 0}">
	<c:set var="typPrzypomnienia" value="${typPrzypomnieniaInformacjaDodatkowa}"/>
	<br/><br/>
	Przypomnienia z informacji dodatkowych:
	<ul id="listaCzynnosci${typUstawienia}2" class="toggleSelectable">
		<c:forEach items="${listaInformacjiDodatkowych}" var="informacjaDodatkowa">
			<c:set var="paramValue" value="INFORMACJA_DODATKOWA_${informacjaDodatkowa.id}" scope="page"/>
			<li class="ui-widget-content ${wartosciUstawienia.contains(paramValue) ? 'ui-toggleSelected' : ''}">
				${informacjaDodatkowa.nazwa}
				<stripes:checkbox name="mapaParametrow[${typUstawienia}]" value="${paramValue}" class="checkbox"></stripes:checkbox>
			</li>
		</c:forEach>
	</ul>
</c:if>
