<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="typUstawienia" value="${mapaTypowUstawien['RAPORTY_WIDOCZNE']}"/>
<c:set var="wartosciUstawienia" value="${actionBean.mapaParametrow[typUstawienia]}"/>

<c:set var="raportRodz" value="${mapaRodzajowRaportu[raportRodzStr]}"/>

<stripes:button name="zaznaczWsz" onclick="tgsWybierzWszystkieZListy('raportyWidoczne${typUstawienia}${raportRodzStr}');" class="noLoadImage">
	Zaznacz wszystkie
</stripes:button>
<stripes:button name="odznaczWsz" onclick="tgsUsunWszystkieZListy('raportyWidoczne${typUstawienia}${raportRodzStr}');" class="noLoadImage">
	Odznacz wszystkie
</stripes:button>
<br/><br/>
<ul id="raportyWidoczne${typUstawienia}${raportRodzStr}" class="toggleSelectable">
	<c:forEach items="${mapaTypuRaportow[raportRodz]}" var="raportTyp">
		<li class="ui-widget-content ${wartosciUstawienia.contains(raportTyp.name()) ? 'ui-toggleSelected' : ''}">
			${raportTyp.opis}
			<stripes:checkbox name="mapaParametrow[${typUstawienia}]" value="${raportTyp}" class="checkbox"></stripes:checkbox>
		</li>
	</c:forEach>
</ul>
