<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista ustawień użytkownika</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<stripes:link beanclass="pl.topteam.dps.action.pracownik.UstawienieAction" event="edycja" class="button">
			Edycja parametrów
		</stripes:link>
		&nbsp;&nbsp;
		<stripes:link beanclass="pl.topteam.dps.action.pracownik.ZmianaDanychAction" event="zmianaHasla" class="button">
			Zmiana hasła
		</stripes:link> 
		<br/><br/>
		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
