<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PodgladPrzypomnienieIPWMActionURL" beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnienieIPWMAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.simulate.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script type="text/javascript" src="${root}/js/utils/toggleSelectable.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);
	
			    $.post("${_PodgladPrzypomnienieIPWMActionURL}",
				    "listaFiltr=1&" + parameterString + "&" + $("#formularzGlowny").serialize(),
					function(data) {
			        	$("#jmesaContainer").html(data);

			        	$(".toggleSelectable").toggleSelectable({
							lassoToggle: true,
							selected: function(event, ui) {
								$(ui.selected).find("input").attr('checked', true);
							},
							unselected: function(event, ui) {
								$(ui.unselected).find("input").removeAttr('checked');
							}
						});
	
						ukryjLoadImage();
			    	}
		    	);
			}

			$(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Lista przypomnień dla indywidualnych planów wsparcia mieszkańca</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnienieIPWMAction">
				<div id="jmesaContainer">
					<%@ include file="przypomnienieIPWMForm.jsp" %>
				</div>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
