<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRaportow}" id="listaRaportow" var="raport" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px; max-width: 750px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="opis" title="Nazwa" sortable="false" filterable="false"/>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<c:choose>
						<c:when test="${ttFn:instanceOf(raport.klasaRaportu, raportSparametryzowanyClass)}">
							<c:forEach items="${raport.exportTypes}" var="exportType">
								<stripes:link beanclass="${raport.klasaRaportu.canonicalName}"
										event="formularz" title="Wykonaj raport '${raport.opis}'">
									<stripes:param name="typWydruku" value="${exportType}"/>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/raporty/lista.jsp')}"/>
									<img src="${root}/img/wykonaj${stripes:enumName(exportType)}.gif" class="iconspace"/>
								</stripes:link>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<c:forEach items="${raport.exportTypes}" var="exportType">
								<stripes:link beanclass="${raport.klasaRaportu.canonicalName}" class="noLoadImage" 
										event="generuj" title="Wykonaj raport '${raport.opis}' w formacie '${stripes:enumName(exportType)}'">
									<stripes:param name="typWydruku" value="${exportType}"/>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/raporty/lista.jsp')}"/>
									<img src="${root}/img/wykonaj${stripes:enumName(exportType)}.gif" class="iconspace"/>
								</stripes:link>
							</c:forEach>
						</c:otherwise>
					</c:choose>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
