<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
	<script type="text/javascript">
		function updater() {
			var complete = false;
			$.get(window.location.href, {ajax: true}, function(content) {
				complete = jQuery(content).filter("span.complete").html();
				if (complete == "true") {
					window.location.reload();
				} else {
					updater();
				}
			}, "html");
		}
		
		$(document).ready(function() {
			updater();
			pokazLoadImage();
		});
	</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Raport rozliczeniowy za pobyt (Excel, wersja 1 - robocza)</h3>
		<div class="formContainer">
			<stripes:form id="raportForm"
					beanclass="pl.topteam.dps.action.raporty.odplatnosc.rozliczeniowy.excel.RaportRozliczeniowyExcelV1Action"
					style="width: 800px;">
				<div>
					Proszę czekać trwa generowanie raportu...<br/><br/>
					Może to chwilkę potrwać z uwagi na przeliczanie nieaktualnych pozycji zadłużenia.
				</div>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
