<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaIPWM}" id="listaIPWM" var="ipwm" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 850px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="NAZWISKO" title="Nazwisko" sortable="true" filterable="true">
				${ipwm.NAZWISKO}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="IMIE" title="Imię" sortable="true" filterable="true">
				${ipwm.IMIE}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_ZAMIESZKANIA" title="Data zamieszkania" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${ipwm.DATA_ZAMIESZKANIA}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_ZALOZENIA" title="Data założenia planu" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${ipwm.DATA_ZALOZENIA}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="NR" title="Nr ewid." sortable="false" filterable="true">
				${ipwm.NR}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
