<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZebran}" id="listaZebran" var="zebranie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${zebranie.data}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="osoby" title="Utworzono/Zaktualizowano<br/>IPWM dla" filterable="false" sortable="false">
				<c:set var="listaOsob" value="${zebranie.osobyPlan}"/>
				<%@ include file="rejestrZebranFiltrOsoby.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="az" title="Założonych (Z) /<br/>Aktualizowanych (A)" filterable="false" sortable="false">
				Z - ${zalozonych}<br/>
				A - ${aktualizowanych}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
