<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="aktualizowanych" value="0"/>
<c:set var="zalozonych" value="0"/>
<c:if test="${fn:length(listaOsob) > 0}">
	<jmesa:tableFacade items="${listaOsob}" id="listaOsob" var="osoba"
				maxRows="${fn:length(listaOsob)}" editable="false" view="pl.topteam.utils.jmesa.view.OnlyRowTableView">
		<jmesa:htmlTable style="width: 100%; border: 0px;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="nazwiskoImie${zebranie.id}">
					${osoba.nazwisko} ${osoba.imie}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="AZ${zebranie.id}" style="width: 30px;">
					(${osoba.rodzajPlanu})
					<c:choose>
						<c:when test="${osoba.rodzajPlanu == 'A'}">
							<c:set var="aktualizowanych" value="${aktualizowanych + 1}"/>
						</c:when>
						<c:when test="${osoba.rodzajPlanu == 'Z'}">
							<c:set var="zalozonych" value="${zalozonych + 1}"/>
						</c:when>
					</c:choose>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</c:if>
