<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Definicja kryterium dla "${actionBean.skala.nazwa}" (krok: dane ogólne)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaKryteriumOcenyAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="skala.id"/>
				<stripes:hidden name="skala.nazwa"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								typ
							</label>
						</div>
						<div class="input">
							<stripes:select name="kryteriumOceny.typ" class="required">
								<stripes:options-enumeration enum="pl.topteam.dps.enums.TypKryteriumOceny" label="opis"/>
							</stripes:select>
							<stripes:errors field="kryteriumOceny.typ"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction"
								class="button" event="edycja">
							<stripes:param name="skala.id" value="${actionBean.skala.id}"></stripes:param>
							<stripes:param name="zakladka" value="zaklKryteria"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dispatchWartosciByTyp" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
