<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SkalaPodgladEdycjaActionURL" beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_SkalaPodgladEdycjaActionURL}",
					"kryteriaFiltr=1&skala.id=" + $("input[name='skala.id']").val() + "&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnOg'}");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Definicja skali (nazwa: "${actionBean.skala.typ.opis}", podgląd danych)</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 25px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklDnOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneOgolne', this);">Dane ogólne</a>
						</li>
						<li>
							<a href="#" id="zaklKryteria" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('kryteria', this);">Kryteria oceny</a>
						</li>
					</ul>
				</div>
	
				<stripes:form beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction" style="border: 0px none;">
					<stripes:hidden name="skala.id"/>
					<stripes:hidden name="zakladka" id="zakladka" value="daneOgolne"/>
					<div id="tab-container">
						<div id="daneOgolne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="podgladEdycjaSkaliDaneOgolne.jsp" %>
						</div>
	
						<div id="kryteria" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="podgladEdycjaSkaliKryteria.jsp" %>
						</div>
					</div>
				</stripes:form>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>