<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Definicja nowej skali oceny mieszkańca</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<c:set var="nazwaPolaSkala" value="skala"/>
					<%@ include file="/jsp/templatePages/polaSkaliOceny.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.ListaSkalOcenyAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dispatch" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>