<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.OcenaWgSkaliAction" name="ocenaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Ocena mieszkańca wg skali (krok 1: wybór skali oceny)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								data
							</label>
						</div>
						<div class="input">
							<stripes:text name="ocenaOsoby.data" class="data required" title="Data oceny" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="ocenaOsoby.data"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								ocena wg skali
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:400px" class="mySelect required" name="ocenaOsoby.skalaOcenyId"
									id="nieobecnoscRodzaj" title="Skala wg której ma nastąpić ocena mieszkańca">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaSkal}" label="nazwa" value="id"/>
							</stripes:select>
							<div style="clear: both"></div>
							<stripes:errors field="ocenaOsoby.skalaOcenyId"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.ListaOcenAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>