<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${listaKryteriow}" id="listaKryteriow" var="kryterium" autoFilterAndSort="false"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.OnlyRowTableView">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 550px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="tekst" title="Tekst" sortable="false" filterable="false" styleClass="alignLeft">
				<c:set var="i" value="${i + 1}"/>
				${kryterium.tekst}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="listaKryteriów" title="Lista kryteriów" sortable="false" filterable="false">
				<c:set var="wybrnaWartosc" value=""/>
				<c:choose>
					<c:when test="${empty actionBean.ocenaOsoby.id}">
						<%-- nowa ocena --%>
						<c:set var="listaOpcjiSelect" value="${kryterium.listaOpcji}"/>
						<c:set var="wybranaWartosc" value="${actionBean.listaOpcji[i].kryteriumOpcjaId}"/>
					</c:when>
					<c:otherwise>
						<%-- edycja oceny --%>
						<c:set var="listaOpcjiSelect" value="${mapaOpcjiKryteriow[kryterium.id]}"/>
						<c:catch>
							<c:forEach items="${mapaOpcjiKryteriow[kryterium.id]}" var="kryteriumOpcja" varStatus="j">
								<c:forEach items="${listaOpcji}" var="opcja">
									<c:if test="${opcja.kryteriumOpcjaId == kryteriumOpcja.id}">
										<c:set var="wybranaWartosc" value="${opcja.kryteriumOpcjaId}"/>
										<tt:jspException/>
									</c:if>
								</c:forEach>
							</c:forEach>
						</c:catch>
					</c:otherwise>
				</c:choose>
				
				<stripes:select style="width:300px" class="mySelect required" name="listaOpcji[${i}].kryteriumOpcjaId"
						id="opcjeKryterium${i}" value="${wybranaWartosc}">
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<stripes:options-collection collection="${listaOpcjiSelect}" label="tekst" value="id"/>
				</stripes:select>
				<div style="clear: both"></div>
				<stripes:errors field="ocenaOsoby.skalaOcenyId"/>
				<stripes:errors field="listaOpcji[${i}]"></stripes:errors>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
