<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaSlow}" id="listaSlow" var="slowo" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<c:if test="${stripes:enumName(actionBean.slownik.nazwa.rodzajSlownika) == 'EDYTOWALNY'}">
				<jmesa:htmlColumn title="Kolejność" property="kolejnosc" sortable="true" filterable="false"/>
			</c:if>
			<c:choose>
				<c:when test="${stripes:enumName(actionBean.slownik.nazwa.typSlownika) == 'WART_S'}">
					<jmesa:htmlColumn title="Wartość 'TEKST'" property="WART_STRING" sortable="true" filterable="true">
						${slowo.wartString}
					</jmesa:htmlColumn>
				</c:when>
				<c:when test="${stripes:enumName(actionBean.slownik.nazwa.typSlownika) == 'WART_I'}">
					<jmesa:htmlColumn title="Wartość 'LICZBA'" property="WART_INT" sortable="true" filterable="true">
						${slowo.wartInt}
					</jmesa:htmlColumn>
				</c:when>
			</c:choose>
			<jmesa:htmlColumn title="Ważność od" property="waznoscOd" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false" filterable="false"/>
			<jmesa:htmlColumn title="Ważność do" property="waznoscDo" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false" filterable="false"/>
			<jmesa:htmlColumn title="Kod" property="kod" sortable="false" filterable="false"/>
			<c:if test="${stripes:enumName(actionBean.slownik.nazwa.rodzajSlownika) != 'NIEEDYTOWALNY'}">
				<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" sortable="false" filterable="false">
					<div class="ikonki">
						<%@ include file="listaSlowFiltrEdycja.jsp" %>
						
						<%@ include file="listaSlowFiltrUsuwanie.jsp" %>
					</div>
				</jmesa:htmlColumn>
			</c:if>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
