<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${stripes:enumName(actionBean.slownik.nazwa) == 'KOD_STOPNIA_POKREWIENSTWA'}">
		<%--
			- nie wolno edyować specjalnego kodu ${MIESZKANIEC_KOD_BRAK_POKREWIENSTWA} ze wzglęu na jego szczególne wykorzystanie w programie
		--%>
		<c:if test="${slowo.kod != MIESZKANIEC_KOD_BRAK_POKREWIENSTWA}">
			<%@ include file="listaSlowLinkEdycja.jsp" %>
		</c:if>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.slownik.nazwa) == 'KOD_RODZAJU_KWOTY_UMOWA_APTEKA'}">
		<c:if test="${slowo.kod != '001'}">
			<%@ include file="listaSlowLinkEdycja.jsp" %>
		</c:if>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.slownik.nazwa) == 'KOD_RODZAJU_POSTANOWIENIA_SADU'}">
		<%--
			nie wolno edytować podstawowych orzeczeń sądu
		--%>
		<c:if test="${slowo.kod != '001' && slowo.kod != '002' && slowo.kod != '003'}">
			<%@ include file="listaSlowLinkEdycja.jsp" %>
		</c:if>
	</c:when>
	<c:otherwise>
		<%@ include file="listaSlowLinkEdycja.jsp" %>
	</c:otherwise>
</c:choose>
