<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${stripes:enumName(actionBean.slownik.nazwa) == 'KOD_STOPNIA_POKREWIENSTWA'}">
		<%--
			- nie wolno usuwać kodów z ministerstwa
			- kody literowe powinny być również pomienięte (stąd tu to c:catch bo NumberFormatException wtedy będzie)
			- kody ministarialne numrycznie kończą się na ${MIESZKANIEC_KOD_BRAK_POKREWIENSTWA} = 7399, stąd dodawane przez użytkowników zaczynają się od 7400
		--%>
		<c:catch var="ex">
			<c:if test="${slowo.kod > MIESZKANIEC_KOD_BRAK_POKREWIENSTWA}">
				<%@ include file="listaSlowLinkUsuwanie.jsp" %>
			</c:if>
		</c:catch>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.slownik.nazwa) == 'KOD_RODZAJU_KWOTY_UMOWA_APTEKA'}">
		<c:if test="${slowo.kod != '001'}">
			<%@ include file="listaSlowLinkUsuwanie.jsp" %>
		</c:if>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.slownik.nazwa) == 'KOD_RODZAJU_POSTANOWIENIA_SADU'}">
		<%--
			nie wolno usuwać podstawowych orzeczeń sądu
		--%>
		<c:if test="${slowo.kod != '001' && slowo.kod != '002' && slowo.kod != '003'}">
			<%@ include file="listaSlowLinkUsuwanie.jsp" %>
		</c:if>
	</c:when>
	<c:otherwise>
		<%@ include file="listaSlowLinkUsuwanie.jsp" %>
	</c:otherwise>
</c:choose>
