<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="ADM_D_SLOWO">
	<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAction" event="usun"
			class="noLoadImage" onclick="return confirmation('Czy na pewno chcesz usunąć słowo?')"
			title="Usuń słowo">
		<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/slowniki/inne/listaSlow.jsp')}"/>
		<stripes:param name="slowo.id" value="${slowo.id}"/>
		<stripes:param name="slownik.id" value="${actionBean.slownik.id}"/>
		<img src="${root}/img/delete.gif" class="iconspace"/>
	</stripes:link>
</ttSec:secure>
