<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRodzajow}" id="listaRodzajow" var="rodzaj" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="tekst" title="Tekst" filterable="true" sortable="true"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_POB_SWIAD">
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.rodzajSwiadczenia.RodzajSwiadczeniaAction" event="edycja">
							<stripes:param name="rodzajSwiadczenia.id" value="${rodzaj.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj rodzaj świadczenia"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
