<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Edycja rodzaju świadczenia</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.slowniki.rodzajSwiadczenia.RodzajSwiadczeniaAction">
				<stripes:hidden name="rodzajSwiadczenia.id"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<c:set var="nazwaPolaRodzajSwiadczenia" value="rodzajSwiadczenia"/>
					<%@ include file="/jsp/templatePages/polaRodzajSwiadczenia.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.rodzajSwiadczenia.ListaRodzajowAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>