<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${not empty actionBean.termin.id}">
				<h3>Edycja terminu wypłaty</h3>
			</c:when>
			<c:otherwise>
				<h3>Dodawanie nowego terminu wypłaty</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.slowniki.terminWyplaty.TerminWyplatyDodawanieEdycjaAction">
				<stripes:hidden name="termin.id"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<c:set var="nazwaPolaTerminWyplaty" value="termin"/>
					<%@ include file="/jsp/templatePages/polaTerminWyplaty.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.terminWyplaty.ListaTerminowAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>