<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			symbol
		</label>
	</div>
	<div class="input">
		<stripes:text id="symbolInput" class="alignRight required" name="daneSprawozdania['@D2_01#1'][0]" size="6" readonly="true"></stripes:text>
		<stripes:errors field="D2_01#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba mieszkańców<br/>
			(31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_02#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D2_02#1"/>
	</div>
</div>
<fieldset>
	<legend>
		w tym w przedziałach
	</legend>
	<div class="row">
		<div class="label">
			<label>
				do 18 lat
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_03#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_03#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				19-40 lat
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_04#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_04#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				41-60 lat
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_05#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_05#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				61-74 lat
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_06#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_06#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				75 lat i więcej
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_07#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_07#1"/>
		</div>
	</div>
</fieldset>
<fieldset></fieldset>
<div class="row">
	<div class="label">
		<label>
			liczba kobiet<br/>
			wśród mieszkańców
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_08#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D2_08#1"/>
	</div>
</div>
<fieldset>
	<legend>
		stan odpłatności mieszkańców na dzień 31 XII
	</legend>
	<div class="row">
		<div class="label">
			<label>
				opłacający pobyt<br/>
				z dochodów własnych
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_09#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_09#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				opłacający pobyt<br/>
				w pełnej wysokości<br/>
				z dochodów własnych
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_10#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_10#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				pełna odpłatność<br/>
				rodziny
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_11#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_11#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				pełna odpłatność<br/>
				gminy/budżetu państwa
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_12#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_12#1"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				zwolnieni z odpłatności<br/>
				nie uwzględniając powyższych
			</label>
		</div>
		<div class="input">
			<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_13#1'][0]" size="6"></stripes:text>
			<stripes:errors field="D2_13#1"/>
		</div>
	</div>
</fieldset>
<fieldset></fieldset>
<div class="row">
	<div class="label">
		<label>
			liczba mieszkańców<br/>
		 	nieopuszczających łóżek
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_14#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D2_14#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba mieszkańców<br/>
			w roku
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_15#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D2_15#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			osobodni pobytu<br/>
			mieszkańców
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_16#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D2_16#1"/>
	</div>
</div>
