<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			ogółem
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_01'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_01"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			lekarzy
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_02'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_02"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			pielęgniarek
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_03'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_03"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			w tym mgr pielęgniarstwa
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_04'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_04"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			fizjoterapeutów
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_05'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_05"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			w tym mgr fizjoterapii
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_06'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_06"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób pracujących<br/>
			na zasadach<br/>
			wolontariatu
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_07'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_07"/>
	</div>
</div>
<fieldset>
	<legend>
		dane osoby sporządzającej
	</legend>
	<div class="row">
		<div class="label">
			<label>
				e&#8209;mail
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_08'][0]" size="40" class="required"></stripes:text>
			<stripes:errors field="D3_08"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				imię i nazwisko
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_09'][0]" size="50" class="required"></stripes:text>
			<stripes:errors field="D3_09"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				telefon
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_10'][0]" size="20" class="required"></stripes:text>
			<stripes:errors field="D3_10"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				miejscowość i data
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_11'][0]" size="40" class="required"></stripes:text>
			<stripes:errors field="D3_11"/>
		</div>
	</div>
</fieldset>
