<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="jmesa" style="padding-top: 10px; padding-bottom: 10px;">
	<table class="table" style="margin-left: auto; margin-right: auto; background-color: #D7E3F4;">
		<thead>
			<tr class="header">
				<td colspan="4" rowspan="2">Wyszczególnienie</td>
				<td colspan="2">Grupy mieszkańców</td>
			</tr>
			<tr class="header">
				<td colspan="2">I</td>
			</tr>
			<tr class="header">
				<td colspan="4"></td>
				<td>ogółem</td>
				<td>w tym kobiety</td>
			</tr>
			<tr class="header">
				<td colspan="4">0</td>
				<td>1</td>
				<td>2</td>
			</tr>
		</thead>
		<tbody class="tbody">
			<c:set var="i" value="1"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3">Symbol (z działu 1 punkt 3)</td>
				<td>01</td>
				<td colspan="2" class="text-center nowrap">
					<stripes:text id="symbolInput" class="alignRight required" name="daneSprawozdania['@D2_01'][0]" size="6" readonly="true"></stripes:text>
					<stripes:errors field="D2_01"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3" class="daneWyroznione">
					Liczba mieszkańców w dniu 31XII (suma wierszy 04 do 11)
				</td>
				<td>02</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_02#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_02#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_02#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_02#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td rowspan="11"> W wieku lat</td>
				<td colspan="2">do lat 18 (suma wierszy 04 do 07)</td>
				<td>03</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_03#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_03#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_03#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_03#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td rowspan="4">z wiersza 03<br/>w wieku lat</td>
				<td>0-3</td>
				<td>04</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_04#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_04#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_04#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_04#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td>4-6</td>
				<td>05</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_05#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_05#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_05#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_05#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td>7-13</td>
				<td>06</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_06#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_06#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_06#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_06#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td>14-18</td>
				<td>07</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_07#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_07#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_07#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_07#I2"/>
				</td>
			</tr>
			<%-- na łączeniu żeby kolor zmienić --%>
			<c:set var="i" value="${i+2}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">19-40</td>
				<td>08</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_08#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_08#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_08#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_08#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">41-60</td>
				<td>09</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_09#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_09#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_09#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_09#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">61-64</td>
				<td>10</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_10#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_10#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_10#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_10#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">65-74</td>
				<td>11</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_11#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_11#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_11#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_11#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">75-79</td>
				<td>12</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_12#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_12#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_12#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_12#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">80 i więcej</td>
				<td>13</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_13#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_13#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_13#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_13#I2"/>
				</td>
			</tr>
			
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td rowspan="5">
					Z wiersza 02
				</td>
				<td colspan="2">
					mieszkańcy opłacający pobyt przynajmniej w części<br/>
					z dochodów własnych (np. emerytury, renty, renty<br/>
					socjalnej, zasiłku stałego
				</td>
				<td>14</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_14#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_14#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					w tym opłacające pobyt w pełnej wysokości
				</td>
				<td>15</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_15#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_15#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					pełna odpłatność członków rodziny
				</td>
				<td>16</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_16#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_16#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					pełna odpłatność gminy/budżetu państwa
				</td>
				<td>17</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_17#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_17#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					zwolnienie z odpłatności (niewykazani w wierszu 17)
				</td>
				<td>18</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_18#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_18#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
			
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3">Osoby nieopuszczające łóżek</td>
				<td>19</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_19#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_19#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3" class="daneWyroznione">Liczba mieszkańców w roku sprawozdawczym</td>
				<td>20</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_20#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_20#I1"/>
				</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_20#I2'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_20#I2"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3">Osobodni pobytu mieszkańców</td>
				<td>21</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D2_21#I1'][0]" size="6"></stripes:text>
					<stripes:errors field="D2_21#I1"/>
				</td>
				<td class="text-center nowrap">
					X
				</td>
			</tr>
		</tbody>
	</table>
</div>
