<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

<stripes:hidden name="daneSprawozdania['$dataUtworzenia'][0]" value="${$dataUtworzenia}"/>
<stripes:hidden name="daneSprawozdania['$numerSprawozdania'][0]" value="${$numerSprawozdania}"/>
<fieldset>
	<div class="row">
		<div class="label">
			<label>
				e&#8209;mail sekretariatu<br/>
				dyrektora/prezesa firmy
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@DNaglowek_dps.email'][0]" size="40" class="required"/>
			<stripes:errors field="DNaglowek_dps.email"/>
		</div>
	</div>

	<fieldset>
		<legend>
			Dane jednostki DPS
		</legend>
		
		<%@ include file="naglowek.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Dział 1. Dane ogólne
		</legend>
		
		<%@ include file="dzial1.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Dział 2. Mieszkańcy
		</legend>
		
		<%@ include file="dzial2.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Dział 3. Pracujący w osobach - stan w dniu 31 XII
		</legend>
		
		<%@ include file="dzial3.jsp" %>
	</fieldset>
</fieldset>

