<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="jmesa" style="padding-top: 10px; padding-bottom: 10px;">
	<table class="table" style="margin-left: auto; margin-right: auto; background-color: #D7E3F4;">
		<tbody class="tbody">
			<c:set var="i" value="1"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}" onmouseover="this.className='highlight'" onmouseout="this.className='${i % 2 == 0 ? 'odd' : 'even'}'">
				<td>Ogółem</td>
				<td>01</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_01'][0]" size="6"></stripes:text>
					<stripes:errors field="D3_01"/>
				</td>
				<td>Pielęgniarki</td>
				<td>03</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_03'][0]" size="6"></stripes:text>
					<stripes:errors field="D3_03"/>
				</td>
				<td>Fizjoterapeuci</td>
				<td>05</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_05'][0]" size="6"></stripes:text>
					<stripes:errors field="D3_05"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}" onmouseover="this.className='highlight'" onmouseout="this.className='${i % 2 == 0 ? 'odd' : 'even'}'">
				<td>w tym lekarze</td>
				<td>02</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_02'][0]" size="6"></stripes:text>
					<stripes:errors field="D3_02"/>
				</td>
				<td>w tym magistrzy<br/>pielęgniarstwa</td>
				<td>04</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_04'][0]" size="6"></stripes:text>
					<stripes:errors field="D3_04"/>
				</td>
				<td>w tym magistrzy</td>
				<td>06</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_06'][0]" size="6"></stripes:text>
					<stripes:errors field="D3_06"/>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div class="row">
	<div class="label">
		<label>
			liczba osób pracujących<br/>
			na zasadach	wolontariatu
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D3_07'][0]" size="6"></stripes:text>
		<stripes:errors field="D3_07"/>
	</div>
</div>

<fieldset>
	<legend>
		dane osoby sporządzającej
	</legend>
	<div class="row">
		<div class="label">
			<label>
				e&#8209;mail
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_08'][0]" size="40" class="required"></stripes:text>
			<stripes:errors field="D3_08"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				imię i nazwisko
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_09'][0]" size="50" class="required"></stripes:text>
			<stripes:errors field="D3_09"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				telefon
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_10'][0]" size="20" class="required"></stripes:text>
			<stripes:errors field="D3_10"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				miejscowość i data
			</label>
		</div>
		<div class="input">
			<stripes:text name="daneSprawozdania['@D3_11'][0]" size="40" class="required"></stripes:text>
			<stripes:errors field="D3_11"/>
		</div>
	</div>
</fieldset>
