<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<a name="dzial1"></a>
<div class="row">
	<div class="label">
		<label>
			typ placówki
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_1'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_1'][0]}">
				<c:set var="D1_1Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_1')}" var="enumValue">
					<c:if test="${actionBean.daneSprawozdania['@D1_1'][0] == enumValue.value}">
						<c:set var="D1_1Opis" value="${enumValue.key}"/>
					</c:if>
				</c:forEach>
				${D1_1Opis}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj placówki
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_2'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_2'][0]}">
				<c:set var="D1_2Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_2')}" var="enumValue">
					<c:if test="${actionBean.daneSprawozdania['@D1_2'][0] == enumValue.value}">
						<c:set var="D1_2Opis" value="${enumValue.typJednostki.opis}"/>
					</c:if>
				</c:forEach>
				${D1_2Opis}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_2"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			placówka dla
		</label>
	</div>
	<div class="input">
		<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
			<stripes:hidden name="listaProfiliJednostki[${i.count - 1}].rodzaj"/>
		</c:forEach>
		<ol type="I">
			<c:forEach items="${actionBean.daneSprawozdania['@D1_3']}" var="profilDps" varStatus="i">
				<stripes:hidden name="daneSprawozdania['@D1_3'][${i.count - 1}]"/>
				<c:set var="D1_3Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_3')}" var="enumValue">
					<c:if test="${profilDps == enumValue.value}">
						<c:set var="D1_3Opis" value="${enumValue.rodzajJednostki.opis}"/>
					</c:if>
				</c:forEach>
				<li>
					${D1_3Opis}
				</li>
			</c:forEach>
		</ol>
		<stripes:errors field="D1_3"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ prowadzący
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_4'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_4'][0]}">
				<c:set var="D1_4Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_4')}" var="enumValue">
					<c:if test="${actionBean.daneSprawozdania['@D1_4'][0] == enumValue.value}">
						<c:set var="D1_4Opis" value="${enumValue.organProwadzacy.opis}"/>
					</c:if>
				</c:forEach>
				${D1_4Opis}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_4"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			przystosowanie jednostki do<br/>
			potrzeb osób niepełnosprawnych
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_5'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_5'][0]}">
				<c:set var="D1_5Opis" value=""/>
				<ol>
					<c:forEach items="${actionBean.daneSprawozdania['@D1_5'][0]}">
						<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_5')}" var="enumValue">
							<c:if test="${actionBean.daneSprawozdania['@D1_5'][0] == enumValue.value}">
								<c:set var="D1_5Opis" value="${enumValue.jednostkaUdogodnienia.opis}"/>
							</c:if>
						</c:forEach>
						<li>${D1_5Opis}</li>
					</c:forEach>
				</ol>
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_5"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba miejsc (stan na 31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_6#1'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_6#1'][0]}">
				${actionBean.daneSprawozdania['@D1_6#1'][0]}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_6#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób oczekujących<br/>
			(stan na 31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D1_7#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D1_7#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób po raz pierwszy<br/>
			umieszczonych w ciągu roku
		</label>
	</div>
	<div class="input">
		<c:forEach items="${actionBean.listaSlKodMPrzyjsciaD172}" var="slowoPrzyjscie" varStatus="i">
			<stripes:hidden name="listaSlKodMPrzyjsciaD172[${i.count - 1}]"/>
		</c:forEach>
		<stripes:text id="przelicz1_7_2Liczba" class="numberInteger required" name="daneSprawozdania['@D1_7#2'][0]" size="6"></stripes:text>
		<stripes:errors field="D1_7#2"/>
		<div style="clear: both; padding-top: 20px;">
			<div id="przelicz1_7_2Bledy" style="color: tomato;"></div>
			<stripes:select name="listaSlKodMPrzyjsciaD172" multiple="true" title="--- wybierz ---" value="${actionBean.listaSlKodMPrzyjsciaD172}">
				<stripes:options-collection collection="${kodMiejscaPrzyjsciaDoDPSSlownik}" label="wartString" value="id"/>
			</stripes:select>
		</div>
	</div>
</div>
