<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaHead.jsp" %>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Sprawozdanie PS-03 (Sprawozdanie zakładu stacjonarnego pomocy społecznej) za rok ${actionBean.saDoc.zaRok}</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.sprawozdanie.generowanie.gus.ps03.v20141231.SprawozdanieAction" style="width: 900px;">
				<fieldset class="daneWyroznione" style="color: red; margin-bottom: 10px;">
					<%@ include file="uwagi.jsp" %>
				</fieldset>

				<%@ include file="dodawanieEdycjaContent.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.sprawozdanie.ListaSprawozdanAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
