<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<html>
	<head>
		<link rel="stylesheet" type="text/css" href="${root}/css/sprawozdania/mpips0520141118.css" />

		<%@ include file="/jsp/biblioteki/base.jsp" %>
		<%@ include file="/jsp/biblioteki/mainBiblioteki.jsp" %>
	</head>
	<body>
		<div style="text-align: center;">
			<div style="width: 944px; text-align: left; margin: 0px auto;">
				<div style="color: tomato;">
					<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				</div>
				<stripes:form name="sprawozdanieForm" beanclass="pl.topteam.dps.action.sprawozdanie.generowanie.mpips05.v20141118.samorzad.SprawozdanieEdycjaAction">
					<stripes:hidden name="sprawozdanie"/>
					<%@ include file="polaUkryte.jsp" %>
					<%@ include file="ustawienia.jsp" %>

					<%@ include file="sprawozdanie.jsp" %>
					<hr/>
					<div style="float: left">
						<stripes:link beanclass="pl.topteam.dps.action.sprawozdanie.ListaSprawozdanAction" event="lista" class="button">
							Wróć do listy
						</stripes:link>
					</div>
					<div style="float: right">
						<stripes:submit name="zapisz" value="Zapisz sprawozdanie" onclick="document.sprawozdanieForm.target=''; return true;"/>
					</div>
					<div style="clear: both;"></div>
				</stripes:form>
			</div>
		</div>
	</body>
</html>
