<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<table border="1" cellspacing="0" cellpadding="2" style="page-break-before: always; width: 816px;">
	<tbody>
		<tr>
			<td style="text-align: center; font-weight: bold;">
				<span style="font-size: large;">Tablica 6</span> <br/>
				<p style="font-size: 13px">
					Ogółem liczba osób umieszczonych w Domach Pomocy Społecznej<br/>
					w&nbsp;roku sprawozdawczym oraz oczekujących na umieszczenie wg stanu na dzień 31 XII<span class="stars">*</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>
<br/>
<table border="2" cellspacing="0" cellpadding="0" width="816">
	<thead>
		<tr>
			<th>OSOBY</th>
			<th width="19%">LICZBA OSÓB UMIESZCZONYCH W&nbsp;DPS-ach w&nbsp;roku sprawozdawczym</th>
			<th width="19%">LICZBA OSÓB OCZEKUJĄCYCH NA UMIESZCZENIE WG STANU NA DZIEŃ 31&nbsp;XII</th>
		</tr>
		<tr>
			<td class="tab_col_no">0</td>
			<td class="tab_col_no">1</td>
			<td class="tab_col_no">2</td>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td></td>
			<td>
				<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
					<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_06_umieszczeni.sql"/>
					UMIESZCZENI
				</stripes:link>
			</td>
			<td>
				<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
					<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_06_oczekujacy.sql"/>
					OCZEKUJĄCY
				</stripes:link>
			</td>
		</tr>
		<c:forEach items="${actionBean.saDoc.tabela6.domyPomocySpołecznej}" var="wiersz" varStatus="i">
			<stripes:hidden name="saDoc.tabela6.domyPomocySpołecznej[${i.index}].pozycja"></stripes:hidden>
			<stripes:hidden name="saDoc.tabela6.domyPomocySpołecznej[${i.index}].opis"></stripes:hidden>
			
			<stripes:errors field="saDoc.tabela6.domyPomocySpołecznej[${i.index}].pozycja"/>
			<stripes:errors field="saDoc.tabela6.domyPomocySpołecznej[${i.index}].opis"/>
			<tr>
				<td class="row_descr">
					<p>
						<c:if test="${i.index != 0}">${i.count - 1}) </c:if>${wiersz.opis}
						<c:if test="${i.index == 0}">(1+2+3+4+5+6+7)<br/>z tego:</c:if>
					</p>
				</td>
				<td class="${i.index == 0 ? 'totals' : 'contents'}">
					<stripes:text class="numberInteger required" name="saDoc.tabela6.domyPomocySpołecznej[${i.index}].liczbaUmieszczonych"></stripes:text>
					<stripes:errors field="saDoc.tabela6.domyPomocySpołecznej[${i.index}].liczbaUmieszczonych"/>
				</td>
				<td class="${i.index == 0 ? 'totals' : 'contents'}">
					<stripes:text class="numberInteger required" name="saDoc.tabela6.domyPomocySpołecznej[${i.index}].liczbaOczekujących"></stripes:text>
					<stripes:errors field="saDoc.tabela6.domyPomocySpołecznej[${i.index}].liczbaOczekujących"/>
				</td>
			</tr>
		</c:forEach>
	</tbody>
</table>
