<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Sprawozdanie 'Stan miejsc w DPS' (wersja 2 - widok roczny)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.sprawozdanie.generowanie.stan.v2.SprawozdanieEdycjaAction">
				<stripes:hidden name="sprawozdanie"></stripes:hidden>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="stanNaDzien" size="11" class="data required" readonly="true" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="stanNaDzien"/>
						</div>
					</div>
				</fieldset>
				<%@ include file="dodawanieEdycjaContent.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.sprawozdanie.ListaSprawozdanAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
