<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			świadczenie
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="swiadczenie.id"/>
		<stripes:hidden name="swiadczenie.nazwa"/>
		<stripes:hidden name="swiadczenie.jednostka"/>

		${actionBean.swiadczenie.nazwa} [${actionBean.swiadczenie.jednostka.skrot}]

		<stripes:errors field="swiadczenie.id"/>
		<stripes:errors field="swiadczenie.nazwa"/>
		<stripes:errors field="swiadczenie.jednostka"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			miesiąc realizacji
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="dataRealizacji"/>
		
		<fmt:formatDate value="${actionBean.dataRealizacji}" pattern="${YEAR_MONTH_PATTERN}" />
		
		<stripes:errors field="dataRealizacji"/>
	</div>
</div>
