<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.RealizacjaAction" style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Realizacja świadczenia (krok 2)
					</legend>
					<%@ include file="dodawanieEdycjaPodgladDanychRealizacji.jsp" %>
					
					<fieldset>
						<legend>Realizacja świadczenia w poszczególne dni</legend>
						<div id="jmesaContainer">
							<%@ include file="relizacjaSwiadczeniaTable.jsp" %>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrok1" value="« Powrót" />
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
