<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_RealizacjaUtilsActionURL" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.RealizacjaUtilsAction" prependContext="true" scope="page" addSourcePage="false"/>

<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
<script type="text/javascript" src="${root}/js/jmesa.js"></script>
<script type="text/javascript">
	// używana przeglądarka
	var brow = 'mozilla';

	// wywoływana po to by zrobić submit formularza
	function onInvokeAction(id) {
		pokazLoadImage();

		$("<input type='hidden' name='zapiszIUstalKolejne' value=''/>").appendTo("#listaMieszkancow");
		createDistinctHiddenInputFieldsForLimitAndSubmit(id);
	}

	// podświetlanie headerów komórki po uzyskaniu przez nią focusa
	function onFocusData($tdObj) {
		// colIndex >= 0, rowIndex >= 0
		var colIndex = $tdObj.prevAll().length;
		var rowIndex = $tdObj.parent('tr').prevAll().length;

		// usuwanie poprzednich zaznaczeń
		$(".highlightHold").removeClass("highlightHold");
		
		// podświetlanie komórki
		$tdObj.addClass("highlightHold");
		// podświetlanie nagłówków wiersza i kolumny
		$("#table_div_firstCol td").eq(rowIndex).addClass("highlightHold");
		$("#table_div_header td").eq(colIndex).addClass("highlightHold");
	}
	// zrzucanie podświetleń headerów komórki po utraceniu focusa
	function onBlurData() {
		// usuwanie poprzednich zaznaczeń
		$(".highlightHold").removeClass("highlightHold");
	};

	// dopasowuje rozmiar wszystkich tabelek na stronie
	function fnAdjustTable() {
		var colCount = $('#firstTr>td').length; //get total number of column
		var m = 0;
		var n = 0;

		// pierwsza kolumna (z nazwiskami)
		if (brow == 'mozilla'){
			$('#firstTd').css("width",$('.tableFirstCol').innerWidth());//for adjusting first td
		}
		else if (brow == 'msie'){
			$('#firstTd').css("width",$('.tableFirstCol').width());
		}
		else if (brow == 'safari'){
			$('#firstTd').css("width",$('.tableFirstCol').width());
		}
		else {
			$('#firstTd').css("width",$('.tableFirstCol').width());
		}

		// pierwszy wiersz (wszystkie kolumny; z numerami dni)
		$('.tableHeader').each(function(i){
			if (m < colCount){
				if (brow == 'mozilla'){
					$(this).css('width',$('#table_div td:eq('+m+')').innerWidth());//for assigning width to table Header div
				}
				else if (brow == 'msie'){
					$(this).css('width',$('#table_div td:eq('+m+')').width()-2);//In IE there is difference of 2 px
				}
				else if (brow == 'safari'){
					$(this).css('width',$('#table_div td:eq('+m+')').width());
				}
				else {
					$(this).css('width',$('#table_div td:eq('+m+')').innerWidth());
				}
			}
			m++;
		});

		// pierwsza kolumna (wszystkie wiersze; z nazwiskami)
		$('.tableFirstCol').each(function(i) {
			if(brow == 'mozilla'){
				$(this).css('height',$('#table_div td:eq('+colCount*n+')').outerHeight());//for providing height using scrollable table column height
			}
			else if(brow == 'msie'){
				$(this).css('height',$('#table_div td:eq('+colCount*n+')').innerHeight()-2);
			}
			else {
				$(this).css('height',$('#table_div td:eq('+colCount*n+')').height());
			}
			n++;
		});

		// wszystkie komórki z danymi dla każdego z mieszkańców na każdy dzień
		// podświetlanie komórek na podstawie pozycji kursora
		$("#table_div_data td")
			.hover(
				function(eventObject) {
					// colIndex >= 0, rowIndex >= 0
					var colIndex = $(this).prevAll().length;
					var rowIndex = $(this).parent('tr').prevAll().length;
					
					// podświetlanie komórki
					$(this).addClass("highlight");
					
					// podświetlanie komórek w wierszu
					// $tdObj.siblings().addClass("highlight");
					// podświetlanie nagłówka wiersza
					$("#table_div_firstCol td").eq(rowIndex).addClass("highlight");
					
					// podświetlanie komórek w kolumnie
					/*$(this).parent("tr").siblings().each(function(){
						$(this).children("td:nth-child(" + (colIndex+1) + ")").addClass("highlight");
					});*/
					// podświetlanie nagłówka kolumny
					$("#table_div_header td").eq(colIndex).addClass("highlight");
				},
				function(eventObject) {
					// colIndex >= 0, rowIndex >= 0
					var colIndex = $(this).prevAll().length;
					var rowIndex = $(this).parent('tr').prevAll().length;

					// usuwanie podświetlania komórki
					$(this).removeClass("highlight");

					// usuwanie podświetlania komórek w wierszu
					// $tdObj.siblings().removeClass("highlight");
					// usuwanie podświetlania nagłówka wiersza
					$("#table_div_firstCol td").eq(rowIndex).removeClass("highlight");

					// usuwanie podświetlania komórek w kolumnie
					/*$(this).parent("tr").siblings().each(function(){
						$(this).children("td:nth-child(" + (colIndex+1) + ")").removeClass("highlight");
					});*/
					// usuwanie podświetlania nagłówka kolumny
					$("#table_div_header td").eq(colIndex).removeClass("highlight");
				}
			);
		// podświetlanie headerów komórki po uzyskaniu focusa przez pole input
		/*$("#table_div_data input[type='text']")
			.focus(function(eventObject) {
				var $tdObj = $(this).closest("td");
				// colIndex >= 0, rowIndex >= 0
				var colIndex = $tdObj.prevAll().length;
				var rowIndex = $tdObj.parent('tr').prevAll().length;

				// usuwanie poprzednich zaznaczeń
				$(".highlightHold").removeClass("highlightHold");
				
				// podświetlanie komórki
				$(this).addClass("highlightHold");
				// podświetlanie nagłówków wiersza i kolumny
				$("#table_div_firstCol td").eq(rowIndex).addClass("highlightHold");
				$("#table_div_header td").eq(colIndex).addClass("highlightHold");
			})
			.blur(function(eventObject) {
				// usuwanie poprzednich zaznaczeń
				$(".highlightHold").removeClass("highlightHold");
			});*/
		// zaznaczenie wiersza dla celów podglądu
		$("#table_div_firstCol td").click(function(eventObject) {
			var rowIndex = $(this).parent("tr").prevAll().length;
			if($(this).hasClass("highlightHold")) {
				$(this).removeClass("highlightHold");
				$("#table_div_data tr:nth-child(" + (rowIndex+1) + ") td").removeClass("highlightHold");
			} else {
				// usuwanie poprzednich zaznaczeń
				$(".highlightHold").removeClass("highlightHold");

				// zaznaczanie
				$(this).addClass("highlightHold");
				$("#table_div_data tr:nth-child(" + (rowIndex+1) + ") td").addClass("highlightHold");
			}
		});
		// zaznaczanie kolumny dla celów podglądu
		$("#table_div_header td").click(function(eventObject){
			var colIndex = $(this).prevAll().length;

			if($(this).hasClass("highlightHold")) {
				$(this).removeClass("highlightHold");
				$("#table_div_data tr td:nth-child(" + (colIndex+1) + ")").removeClass("highlightHold");
			} else {
				// usuwanie poprzednich zaznaczeń
				$(".highlightHold").removeClass("highlightHold");
				
				// zaznaczanie
				$(this).addClass("highlightHold");
				$("#table_div_data tr td:nth-child(" + (colIndex+1) + ")").addClass("highlightHold");
			}
		});
	}

	// pomocnicza dla przewijania tabelek
	function fnScroll() {
		$('#divHeader').scrollLeft($('#table_div').scrollLeft());
		$('#firstcol').scrollTop($('#table_div').scrollTop());
	}

	// wyświetlenie okienka dialogowego dla wprowadzenia zmiany w realizacji
	// prefixNazwyPola - wszystko to co jest przed nawiasami kwadratowymi (dla listaRealizacji[1] będzie to listaRealizacji)
	// index = dla powyższego przykładu to jest 1
	function zmianaRealizacji(prefixNazwyPola, index) {
		pokazLoadImage();

		// obiekt komórki
		var $tdObj = $("#" + prefixNazwyPola + index);
		onFocusData($tdObj);
		
		var parametry =
			"realizacjaModal=" +
			"&prefixPola=" + prefixNazwyPola +
			"&indexPola=" + index;
		jQuery.map($("input[name^='" + prefixNazwyPola + "\\[" + index + "\\]']"), function(elem, index){
			var $elem = $(elem);
			var name = $elem.attr("name");
			
			parametry = parametry + "&realizacja." + name.substring(name.lastIndexOf('.') + 1) + "=" + $elem.val();

			return 1;
		});
		$.post("${_RealizacjaUtilsActionURL}",
			parametry,
			function(data, textStatus, xhr) {
				if(xhr.getResponseHeader('Ajax-Success')) {
					// wyświetlenie formularza dodawania słowa
					$("#realizacjaModalError").html('');
					$("#realizacjaModalContent").html('');
					$(data).appendTo('#realizacjaModalContent');

					// ustawianie pól
					$(".doublePrecision.nChkb:not('.required')").unDoublePrecisionNRNChkb();
					$(".doublePrecision.nChkb:not('.required')").doublePrecisionNRNChkb();

					// wyświetlenie modalnego okna wprowadzania danych
					// gdy treść jest niepusta to nie ustalam miejsca położenia bo
					// użytkownik mógł przecież przesunąć sobie to okienko
					// gdy jest otwarte zwraca true, w przeciwnym przypadku zwraca nowy dialog
					var modalParam = {
							width: 270,
							height: 330,
							modal: false,
							buttons: {
								"Zapisz": function() {
									zmienRealizacje(prefixNazwyPola, index);
								}
							},
							close: function(event, ui) {
								$("#realizacjaModal").dialog("destroy");
								$("#realizacjaModalError").html('');
								$("#realizacjaModalContent").html('');
								$(".highlightHold").removeClass("highlightHold");
							}
						};
					if($('#realizacjaModal').dialog("isOpen") != true) {
						modalParam['position'] = 'right bottom';
					}
					$('#realizacjaModal').dialog(modalParam);
				} else {
					$("#realizacjaModalError").html(data);
					$("#realizacjaModalContent").html('');
					$("#realizacjaModal").show();
				}
				ukryjLoadImage();
			}, "html"
	 	);
	}

	// zmiana danych w komórce realizacji świadczenia z danego dnia
	function zmienRealizacje(prefixNazwyPola, index) {
		pokazLoadImage();
		// $("#realizacjaModal").dialog({disabled: true});
		var parametry = "realizacjaZmiana=1&" + $("#realizacjaModalForm").serialize();
		$.post("${_RealizacjaUtilsActionURL}",
			parametry,
			function(data, textStatus, xhr) {
				$("#realizacjaModal").dialog({
					disabled: false,
					buttons: {} // zostaw tylko informację bez przycisków
				});
				
				if(xhr.getResponseHeader('Ajax-Success')) {
					var $komorka = $("#" + prefixNazwyPola + index);
					
					// usuwanie dotychczasowej treści definicji słowa
					$("#realizacjaModalError").html('');
					$("#realizacjaModalContent").html('');
					
					$komorka.html(data);

					// adjustacja nagłówka dnia dla kolumny komórki
					var $komorkaDzien = $(".tableHeader:eq(" + $komorka.prevAll().length + ")");
					if (brow == 'mozilla'){
						$komorkaDzien.css('width',$komorka.innerWidth());//for assigning width to table Header div
					}
					else if (brow == 'msie'){
						$komorkaDzien.css('width',$komorka.width()-2);//In IE there is difference of 2 px
					}
					else if (brow == 'safari'){
						$komorkaDzien.css('width',$komorka.width());
					}
					else {
						$komorkaDzien.css('width',$komorka.innerWidth());
					}

					// wyświetlenie komunikatu o poprawności podmiany danych
					$("#realizacjaModalContent").html('<span class="success">Poprawnie uzupełniono dane w tabeli</span>');

					// chwilowe podświetlenie (sygnał, że wstawiono nowe dane)
					$komorka.removeClass("highlightHold");
					$komorka.css('background-color', 'lightgreen');
					setTimeout(function(){$komorka.removeAttr("style"); $komorka.trigger('blur');}, 500);

					// nie zamykaj dialogu
					//$("#realizacjaModal").dialog("close");
				} else {
					// czyszczenie formularza oraz wyświetlenie informacji o błędzie
					$("#realizacjaModalError").html('');
					$("#realizacjaModalContent").html('');
					$(data).appendTo('#realizacjaModalContent');
				}

				ukryjLoadImage();
			}, "html"
		);
	}

	$(document).ready(function() {
		jQuery.each(jQuery.browser, function(i, val) {
			if(val == true){
				brow = i.toString();
			}
		});

		fnAdjustTable();

		// usuwanie znaczka oczekiwania
		$("#newLoadImage").removeClass("loadImage");
	});
</script>
