<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.RozliczenieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Rozliczenie realizacji świadczeń (krok 1)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								miesiąc<br/>
								(wybierz dowolny dzień miesiąca)
							</label>
						</div>
						<div class="input">
							<stripes:text name="rozliczenie.data" class="data required" title="Data rozliczenia" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="rozliczenie.data"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ListaRozliczenAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
