<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Rozliczanie realizacji świadcze</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ZbiorczeRozliczenieAction">
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								rozliczony miesiąc
							</label>
						</div>
						<div class="input">
							<fmt:formatDate value="${actionBean.dataRozliczenia}" pattern="${YEAR_MONTH_PATTERN}"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								rozliczona liczba osób
							</label>
						</div>
						<div class="input">
							${actionBean.liczbaMieszkancow}
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ZbiorczeRozliczenieAction" event="ustawienia" class="button">
							&laquo; Rozlicz inny okres
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
