<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Rozliczanie realizacji świadczeń</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ZbiorczeRozliczenieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="popDataRozliczenia"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								miesiąc<br/>
								(wybierz dowolny dzień miesiąca)
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataRozliczenia" class="data required" title="Data rozliczenia" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataRozliczenia"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="sprawdzRozliczenia" value="Rozlicz" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
