<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div style="clear: both; padding-top: 20px; text-align: center;">
	<h3>Bloki FTL</h3>
</div>
<c:if test="${actionBean.szablonWydruku.id != null}">
	<c:forEach items="${actionBean.szablonWydruku.blokiFtl}" var="blok" varStatus="counter">
		<fieldset>
			<label>
				Blok FTL
				<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="kasujBlok" class="noLoadImage" onclick="return confirmation('Czy na pewno chcesz usunąć blok?')">
					<stripes:param name="szablonWydruku.id" value="${actionBean.szablonWydruku.id}"/>
					<stripes:param name="blokFTL.id" value="${blok.id}"/>
					<img src="${root}/img/delete.gif" border="0"/>
				</stripes:link>	
			</label>
			
			<stripes:hidden name="szablonWydruku.blokiFtl[${counter.index}].id" value="${blok.id}"/>
			<stripes:hidden name="szablonWydruku.blokiFtl[${counter.index}].szablonWydrukuId" value="${actionBean.szablonWydruku.id}"/>
			
			<c:set var="numerZablokowany" value="readonly"/>
			<c:set var="nazwaPolaBlokuFTL" value="szablonWydruku.blokiFtl[${counter.index}]"/>
			<%@ include file="/jsp/templatePages/polaBlokFTL.jsp" %>
		</fieldset>

		<fieldset class="submit">
			<div>
				<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" class="button" event="lista">
					&laquo; Anuluj
				</stripes:link>
		  		&nbsp;&nbsp;
				<c:choose>
					<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
						<stripes:submit name="zapisz" value="Zapisz"/>
					</c:when>
					<c:otherwise>
						<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
					</c:otherwise>
				</c:choose>
			</div>
		</fieldset>
	</c:forEach>
</c:if>
	
<fieldset>
	<label>
		Nowy blok FTL
	</label>
	
	<stripes:hidden name="nowyBlokFTL.szablonWydrukuId" value="${actionBean.szablonWydruku.id}"/>
	
	<c:set var="numerZablokowany" value=""/>
	<c:set var="nazwaPolaBlokuFTL" value="nowyBlokFTL"/>
	<%@ include file="/jsp/templatePages/polaBlokFTL.jsp" %>
</fieldset>
