<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Import szablonu wydruku</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuSerializacjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								plik szablonu
							</label>
						</div>
						<div class="input">
							<stripes:file name="szablonWydruku.ooSzablon" class="required" title="Plik szablonu wydruku" size="50"/>
							<stripes:errors field="szablonWydruku.ooSzablon"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="deserializuj" value="Importuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>