<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<%@ page import="pl.topteam.dps.model.main.InstytucjaDoplacajaca"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jednoznaczna identyfikacja pola --%>
<c:set var="instytucjaFieldId" value="${instytucjaPoleNazwa}"/>

<%-- wyłuskiwanie wartości pola z ActionBeana --%>
<c:set var="instytucjaBeanFieldName" value="${instytucjaPoleNazwa}"/>
<c:catch var="e">
	<c:set var="instytucjaBeanFieldValue" value="${ttFn:extractProperty(actionBean, instytucjaBeanFieldName)}"/>
</c:catch>
<c:if test="${not empty e}">
	<% pageContext.setAttribute("instytucjaBeanFieldValue", new InstytucjaDoplacajaca()); %>
</c:if>
<%-- tworzenie pola i opisu --%>
<c:choose>
	<c:when test="${not empty instytucjaBeanFieldValue.id}">
		<c:set var="nazwa" value="${instytucjaBeanFieldValue.nazwa}"/>
	</c:when>
	<c:otherwise>
		<c:set var="nazwa" value=""/>
	</c:otherwise>
</c:choose>

<c:set var="dynFilterOnClick" value="createInstDoplFilter"/>

<div id="${instytucjaFieldId}" class="dynFilter autocomplete ${requiredClass}" onclick="${dynFilterOnClick}(this);"
		style="width: ${not empty filterWidth ? filterWidth : '370px'};">
	<span id="${instytucjaFieldId}Span">
		${nazwa}
	</span>
	
	<stripes:hidden id="${instytucjaFieldId}Id" name="${instytucjaPoleNazwa}.id"/>
	<stripes:hidden id="${instytucjaFieldId}Nazwa" name="${instytucjaPoleNazwa}.nazwa"/>
</div>
<c:if test="${empty requiredClass || requiredClass == ''}">
	<div style="float:right; width: 20px; margin-top: -19px;">
		<a class="cursorPointer noLoadImage" onclick="clearInstDoplData('${instytucjaFieldId}')" title="Usuń wybór">
			<img src="${root}/img/delete.gif" class="iconspace"/>
		</a>
	</div>
</c:if>
<stripes:errors field="${instytucjaPoleNazwa}"/>
<stripes:errors field="${instytucjaPoleNazwa}.id"/>
<stripes:errors field="${instytucjaPoleNazwa}.nazwa"/>
