<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleDepPOdsetki}.id"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data</label>
	</div>
	<div class="col-md-5">
		<stripes:hidden name="${poleDepPOdsetki}.data"/>
		
		<c:set var="nazwaPola" value="${poleDepPOdsetki}.data"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
							
		<fmt:formatDate value="${_wartoscPola}" pattern="${DATE_PATTERN}" />
		<stripes:errors field="${poleDepPOdsetki}.data"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data księgowania</label>
	</div>
	<div class="col-md-5">
		<stripes:hidden name="${poleDepPOdsetki}.dataKsiegowania"/>
		
		<c:set var="nazwaPola" value="${poleDepPOdsetki}.dataKsiegowania"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
							
		<fmt:formatDate value="${_wartoscPola}" pattern="${DATE_PATTERN}" />
		<stripes:errors field="${poleDepPOdsetki}.dataKsiegowania"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">szablon wydruku</label>
	</div>
	<div class="col-md-5">
		<stripes:select name="${poleDepPOdsetki}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${poleDepPOdsetki}.szablonWydrukuId"/>
	</div>
</div>
