<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleDepPOdsetki}.id"/>
<stripes:hidden name="${poleDepPOdsetki}.podatekPozaProgramem"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data</label>
	</div>
	<div class="col-md-5">
		<stripes:hidden name="${poleDepPOdsetki}.dataPodatek"/>
		
		<c:set var="nazwaPola" value="${poleDepPOdsetki}.dataPodatek"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
							
		<fmt:formatDate value="${_wartoscPola}" pattern="${DATE_PATTERN}" />
		<stripes:errors field="${poleDepPOdsetki}.dataPodatek"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data księgowania</label>
	</div>
	<div class="col-md-5">
		<stripes:hidden name="${poleDepPOdsetki}.dataKsiegowaniaPodatek"/>
		
		<c:set var="nazwaPola" value="${poleDepPOdsetki}.dataKsiegowaniaPodatek"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
							
		<fmt:formatDate value="${_wartoscPola}" pattern="${DATE_PATTERN}" />
		<stripes:errors field="${poleDepPOdsetki}.dataKsiegowaniaPodatek"/>
	</div>
</div>
