<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data wpłaty</label>
	</div>
	<div class="col-md-5">
		<c:set var="_nazwaPola" value="${nazwaPolaWplata}.dataWplaty"/>
		<c:set var="wartoscZBeana" value="${ttFn:extractProperty(actionBean, _nazwaPola)}"/>
		<fmt:formatDate value="${wartoscZBeana}" pattern="${DATE_PATTERN}" />
		<stripes:hidden name="${nazwaPolaWplata}.dataWplaty"/>
		<stripes:errors field="${nazwaPolaWplata}.dataWplaty"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data księgowania</label>
	</div>
	<div class="col-md-5">
		<c:set var="_nazwaPola" value="${nazwaPolaWplata}.dataKsiegowania"/>
		<c:set var="wartoscZBeana" value="${ttFn:extractProperty(actionBean, _nazwaPola)}"/>
		<fmt:formatDate value="${wartoscZBeana}" pattern="${DATE_PATTERN}" />
		<stripes:hidden name="${nazwaPolaWplata}.dataKsiegowania"/>
		<stripes:errors field="${nazwaPolaWplata}.dataKsiegowania"/>
	</div>
</div>
