<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty miesiacReadOnly}">
		<stripes:select class="${klasaWymagane}" name="${poleMiesiac}" value="${poleMiesiacValue}"
				title="${not empty poleMiesiacTitle ? poleMiesiacTitle : 'Miesiąc'}" disabled="${miesiacReadOnly}">
			<%@ include file="nazwyMiesiecyOpcje.jsp" %>
		</stripes:select>
	</c:when>
	<c:otherwise>
		<stripes:select class="${klasaWymagane}" name="${poleMiesiac}" value="${poleMiesiacValue}"
				title="${not empty poleMiesiacTitle ? poleMiesiacTitle : 'Miesiąc'}">
			<%@ include file="nazwyMiesiecyOpcje.jsp" %>
		</stripes:select>
	</c:otherwise>
</c:choose>
<c:if test="${not empty miesiacReadOnly && miesiacReadOnly}">
	<stripes:hidden name="${poleMiesiac}"/>
</c:if>
<c:if test="${empty poleMiesiacErrors || poleMiesiacErrors}">
	<stripes:errors field="${poleMiesiac}"/>
</c:if>
