<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>

<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<%@page import="pl.topteam.dps.model.main.Lek"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jednoznaczna identyfikacja pola --%>
<c:set var="lekFieldId" value="${lekPoleNazwa}"/>

<%-- wyłuskiwanie wartości pola z ActionBeana --%>
<c:set var="lekBeanFieldName" value="${lekPoleNazwa}"/>
<c:catch var="e">
	<c:set var="lekBeanFieldValue" value="${ttFn:extractProperty(actionBean, lekBeanFieldName)}"/>
</c:catch>
<c:if test="${not empty e}">
	<% pageContext.setAttribute("lekBeanFieldValue", new Lek()); %>
</c:if>
<%-- tworzenie pola i opisu --%>
<c:choose>
	<c:when test="${not empty lekBeanFieldValue.id}">
		<c:set var="nazwa" value="${lekBeanFieldValue.nazwa} (${lekBeanFieldValue.postac}; ${lekBeanFieldValue.opakowanieJednostkaPojemnosci}; ${lekBeanFieldValue.dawka})"/>
	</c:when>
	<c:otherwise>
		<c:set var="nazwa" value=""/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${korektaLeku}">
		<c:set var="dynFilterOnClick" value=""/>
	</c:when>
	<c:otherwise>
		<c:set var="dynFilterOnClick" value="createLekFilter"/>
	</c:otherwise>
</c:choose>

<div id="${lekFieldId}" class="dynFilter autocomplete ${requiredClass}" onclick="${dynFilterOnClick}${not empty dynFilterOnClick ? '(this)' : ''};"
		style="width: ${not empty filterWidth ? filterWidth : '370px'};">
	<span id="${lekFieldId}Span">
		${nazwa}
	</span>
	
	<stripes:hidden id="${lekFieldId}Id" name="${lekPoleNazwa}.id"/>
	<stripes:hidden id="${lekFieldId}Dawka" name="${lekPoleNazwa}.dawka"/>
	<stripes:hidden id="${lekFieldId}Nazwa" name="${lekPoleNazwa}.nazwa"/>
	<stripes:hidden id="${lekFieldId}OpakowanieJednostkaPojemnosci" name="${lekPoleNazwa}.opakowanieJednostkaPojemnosci"/>
	<stripes:hidden id="${lekFieldId}Postac" name="${lekPoleNazwa}.postac"/>
	<stripes:hidden id="${lekFieldId}CzyRecepta" name="${lekPoleNazwa}.czyRecepta"/>
</div>
<c:if test="${empty requiredClass || requiredClass == ''}">
	<div style="float:right; width: 20px; margin-top: -19px;">
		<a class="cursorPointer noLoadImage" onclick="clearLekData('${lekFieldId}')" title="Usuń wybór">
			<img src="${root}/img/delete.gif" class="iconspace"/>
		</a>
	</div>
</c:if>
<stripes:errors field="${lekPoleNazwa}.id"/>
<stripes:errors field="${lekPoleNazwa}.dawka"/>
<stripes:errors field="${lekPoleNazwa}.nazwa"/>
<stripes:errors field="${lekPoleNazwa}.opakowanieJednostkaPojemnosci"/>
<stripes:errors field="${lekPoleNazwa}.postac"/>
<stripes:errors field="${lekPoleNazwa}.czyRecepta"/>
