<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>

<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<%@page import="pl.topteam.dps.model.main.LekPostac"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jednoznaczna identyfikacja pola --%>
<c:set var="lekPostacFieldId" value="${lekPostacPoleNazwa}"/>

<%-- wyłuskiwanie wartości pola z ActionBeana --%>
<c:set var="lekPostacBeanFieldName" value="${lekPostacPoleNazwa}"/>
<c:catch var="e">
	<c:set var="lekPostacBeanFieldValue" value="${ttFn:extractProperty(actionBean, lekPostacBeanFieldName)}"/>
</c:catch>
<c:if test="${not empty e}">
	<% pageContext.setAttribute("lekPostacBeanFieldValue", new LekPostac()); %>
</c:if>
<%-- tworzenie pola i opisu --%>
<c:choose>
	<c:when test="${not empty lekPostacBeanFieldValue.id}">
		<c:set var="nazwa" value="${lekPostacBeanFieldValue.lek.nazwa} (${lekPostacBeanFieldValue.opakowanieOpisBazyl}; ${lekPostacBeanFieldValue.lek.dawka}; ${lekPostacBeanFieldValue.producent.nazwa}) - ${lekPostacBeanFieldValue.lek.opakowanieJednostkaPojemnosci}"/>
	</c:when>
	<c:otherwise>
		<c:set var="nazwa" value=""/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${korektaLeku}">
		<c:set var="dynFilterOnClick" value=""/>
	</c:when>
	<c:otherwise>
		<c:set var="dynFilterOnClick" value="createLekPostacFilter"/>
	</c:otherwise>
</c:choose>

<div id="${lekPostacFieldId}" class="dynFilter autocomplete ${requiredClass}" onclick="${dynFilterOnClick}${not empty dynFilterOnClick ? '(this)' : ''};"
		style="width: ${not empty filterWidth ? filterWidth : '370px'};">
	<span id="${lekPostacFieldId}Span">
		${nazwa}
	</span>
	
	<stripes:hidden id="${lekPostacFieldId}KodBazyl" name="${lekPostacPoleNazwa}.kodBazyl"/>
	<stripes:hidden id="${lekPostacFieldId}OpakowanieOpisBazyl" name="${lekPostacPoleNazwa}.opakowanieOpisBazyl"/>

	<stripes:hidden id="${lekPostacFieldId}LekNazwa" name="${lekPostacPoleNazwa}.lek.nazwa"/>
	<stripes:hidden id="${lekPostacFieldId}LekDawka" name="${lekPostacPoleNazwa}.lek.dawka"/>
	<stripes:hidden id="${lekPostacFieldId}LekOpakowanieJednostkaPojemnosci" name="${lekPostacPoleNazwa}.lek.opakowanieJednostkaPojemnosci"/>

	<stripes:hidden id="${lekPostacFieldId}ProducentNazwa" name="${lekPostacPoleNazwa}.producent.nazwa"/>
</div>
<c:if test="${empty requiredClass || requiredClass == ''}">
	<div style="float:right; width: 20px; margin-top: -19px;">
		<a class="cursorPointer noLoadImage" onclick="clearLekPostacData('${lekPostacFieldId}')" title="Usuń wybór">
			<img src="${root}/img/delete.gif" class="iconspace"/>
		</a>
	</div>
</c:if>
<stripes:errors field="${lekPostacPoleNazwa}.kodBazyl"/>
<stripes:errors field="${lekPostacPoleNazwa}.opakowanieOpisBazyl"/>

<stripes:errors field="${lekPostacPoleNazwa}.lek.nazwa"/>
<stripes:errors field="${lekPostacPoleNazwa}.lek.dawka"/>
<stripes:errors field="${lekPostacPoleNazwa}.lek.opakowanieJednostkaPojemnosci"/>

<stripes:errors field="${lekPostacPoleNazwa}.producent.nazwa"/>
