<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form id="formularzMieszkaniecAkcja" name="szybkieWprowadzanieForm"
		beanclass="pl.topteam.dps.action.osoba.MieszkaniecPrzekierowanieAction" style="margin-left: 5px;">
	
	<c:set var="requiredClass" value="required"/>
	<c:set var="osobaPoleNazwa" value="wybranyMieszkaniec"/>
	
	<div id="${osobaPoleNazwa}" class="dynFilter autocomplete ${requiredClass}" onclick="createMAkcjaFilter(this);"
			style="width: 350px;">
		<span id="${osobaPoleNazwa}Span">
			${nazwiskoImie}
		</span>
		
		<stripes:hidden id="${osobaPoleNazwa}Id" name="${osobaPoleNazwa}.id"/>
		<stripes:hidden id="${osobaPoleNazwa}Nazwisko" name="${osobaPoleNazwa}.nazwisko"/>
		<stripes:hidden id="${osobaPoleNazwa}Imie" name="${osobaPoleNazwa}.imie"/>
		<stripes:hidden id="${osobaPoleNazwa}Pesel" name="${osobaPoleNazwa}.pesel"/>
		<c:if test="${not empty sourcePageResolution}">
			<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes(sourcePageResolution)}"/>
		</c:if>

		<%--
		&nbsp;
		<c:choose>
			<c:when test="${fn:contains(header['User-Agent'], 'MSIE')}">
				<stripes:submit name="dispatch" value="Przejdź" style="margin-left: 360px; margin-top: -42px;"></stripes:submit>
			</c:when>
			<c:otherwise>
				<stripes:submit name="dispatch" value="Przejdź" style="margin-left: 360px; margin-top: -80px;"></stripes:submit>
			</c:otherwise>
		</c:choose>
		--%>
	</div>
</stripes:form>
