<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			wyrób medyczny
		</label>
	</div>
	<div class="input">
		<input type="text" id="${fn:replace(poleWyrobMedyczny, '.', '')}Opis" name="podpowiedzWyrMed" style="width: 100%;"
				title="Wpisz początek nazwy wyrobu i wybierz go z listy" value=""
				placeholder="-- znajdź w wykazie wyrobów medycznych --"/>
		<br/><br/>
		kod:<br/>
		<stripes:text id="${fn:replace(poleWyrobMedyczny, '.', '')}Kod" name="${poleWyrobMedyczny}.kod" class="required" size="10"/>
		<stripes:errors field="${poleWyrobMedyczny}.kod"/>
		<br/>
		nazwa:<br/>
		<div style="clear: both">
			<stripes:errors field="${poleWyrobMedyczny}.nazwa"/>
		</div>
		<stripes:textarea id="${fn:replace(poleWyrobMedyczny, '.', '')}Nazwa" name="${poleWyrobMedyczny}.nazwa" class="required" rows="5" cols="90"/>
	</div>
</div>
