<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			pora dnia
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:200px" class="mySelect required" name="${nazwaPolaDawkaPodanie}.poraId" id="${nazwaPolaDawkaPodanie}PoraId"
				title="Pora dnia kiedy pominięto">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaPorDnia}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaDawkaPodanie}.poraId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			podano dawkę
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaDawkaPodanie}.dawka" class="doublePrecision required" title="Dawka, którą podano"
				formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${nazwaPolaDawkaPodanie}.dawka"/>
	</div>
</div>
