<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div class="row">
	<div class="label">
		<label for="nr">
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.nr" class="required" title="Nr urzędowy decyzji" size="25"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="dataWydania">
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.dataWydania" class="data required" title="Data wydania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			obowiązuje od dnia<br/>
			(puste = od daty wydania)
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.obowiazujeOd" class="data" title="Data od kiedy obowiązuje (domyślnie od daty wydania)" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.obowiazujeOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ważna do
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.waznaDo" class="data" title="Data do kiedy obowiązuje" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.waznaDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="ulica">
			organ wydający decyzję
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${poleDecyzjiOdplatnosc}.ktoWydalId" id="decOdplKtoWydal" title="Organ wydający decyzję">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodOrgWydajacyDecOOdplatnosciSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleDecyzjiOdplatnosc}.ktoWydalId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dotyczy członka rodziny
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${poleDecyzjiOdplatnosc}.czlonekRodzId" id="decOdplCzlr" title="Członek rodziny, którego dotyczy decyzja">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${czlonkowieRodzinyMieszkanca}" label="nazwiskoImie" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleDecyzjiOdplatnosc}.czlonekRodzId"/>
		</div>
	</div>
</div>
