<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.nr" class="required" title="Nr urzędowy decyzji" size="70"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.dataWydania" class="data required" title="Data wydania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			obowiązuje od dnia<br/>
			(puste = od daty wydania)
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.obowiazujeOd" class="data" title="Data od kiedy obowiązuje (domyślnie od daty wydania)" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.obowiazujeOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ważna do
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.waznaDo" class="data" title="Data do kiedy obowiązuje" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.waznaDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ wydający decyzję
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${poleDecyzjiOdplatnosc}.ktoWydalId" id="decOdplKtoWydal" title="Organ wydający decyzję">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodOrgWydajacyDecOOdplatnosciSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton"
				onclick="slowoWprowadzanieAjax('KOD_ORGANU_WYDAJACEGO_DEC_ODPLATNOSC', 'decOdplKtoWydal'); return false;"
				title="Wprowadź nowe słowo dla 'organ wydający decyzję'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${poleDecyzjiOdplatnosc}.ktoWydalId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="${poleDecyzjiOdplatnosc}.szablonWydrukuId" id="szablonyWydruku" title="Szablon wydruku decyzji">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleDecyzjiOdplatnosc}.szablonWydrukuId"/>
		</div>
	</div>
</div>
