<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaUchylajaca.nr" class="required" title="Nr urzędowy decyzji" size="40"/>
		<stripes:errors field="decyzjaUchylajaca.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaUchylajaca.dataWydania" class="data required" title="Data wydania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaUchylajaca.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data uchylenia
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaUchylajaca.dataUchylenia" class="data required" title="Data uchylenia" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaUchylajaca.dataUchylenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku
		</label>
	</div>
	<div class="input">
		<stripes:select name="decyzjaUchylajaca.szablonWydrukuId" id="decUchSzablonWydr" title="Szablon wydruku" style="width: 300px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="decyzjaUchylajaca.szablonWydrukuId"/>
	</div>
</div>

