<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjaUmieszczajaca}.nr" class="required" title="Nr urzędowy decyzji" size="25"/>
		<stripes:errors field="${poleDecyzjaUmieszczajaca}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjaUmieszczajaca}.dataWydania" class="data required" title="Data wydania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjaUmieszczajaca}.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wpływu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjaUmieszczajaca}.dataWplywu" class="data" title="Data wpływu" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDecyzjaUmieszczajaca}.dataWplywu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ wydający decyzję
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${poleDecyzjaUmieszczajaca}.ktoWydalId" id="decUmKtoWydal" title="Organ wydający decyzję">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodOrgWydajacyDecUmieszczajaceSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_ORGANU_WYDAJACEGO_DEC_UMIESZCZAJACA', 'decUmKtoWydal'); return false;"
				title="Wprowadź nowe słowo dla 'organ wydający decyzję'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${poleDecyzjaUmieszczajaca}.ktoWydalId"/>
		</div>
	</div>
</div>
