<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			numer ewidencyjny
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleEwidencja}.numerEwidencyjny" class="required" style="width: 20em;" title="${actionBean.propAutoNrMieszkanca}"/>
		<stripes:hidden name="propAutoNrMieszkanca"/>
		<stripes:errors field="${poleEwidencja}.numerEwidencyjny"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			${not empty dataOdTekst ? dataOdTekst : 'data rejestracji'}
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleEwidencja}.dataOd" class="data required" title="Data rejestracji jako mieszkańca" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleEwidencja}.dataOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			przyjęty z
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleEwidencja}.skadPrzyszedlId" id="kodMiejscaPrzyjscia">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodMiejscaPrzyjsciaDoDPSSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_MIEJSCA_PRZYJSCIA_DO_DPS', 'kodMiejscaPrzyjscia'); return false;"
				title="Wprowadź nowe słowo dla 'miejsce przybycia'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleEwidencja}.skadPrzyszedlId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			profil DPS
		</label>
	</div>
	<div class="input">
		<c:set var="_nazwaPola" value="${poleEwidencja}.profilDomu"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, _nazwaPola)}"/>
		
		<stripes:select style="width:300px" class="mySelect required" name="${poleEwidencja}.profilDomu" id="profilDomu">
			<c:if test="${fn:length(dpsJednostka.profileDzialanosci) == 0 || empty _wartoscPola}">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			</c:if>
			<c:forEach items="${dpsJednostka.profileDzialanosci}" var="profilEntry">
				<stripes:option value="${profilEntry.key.name()}" label="${profilEntry.key.opis} - ${profilEntry.value.rodzaj.opis}"/>
			</c:forEach>
		</stripes:select>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleEwidencja}.profilDomu"/>
	</div>
</div>
