<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data od
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleEwidencja}.dataOd" class="data required" title="Data rejestracji jako mieszkańca" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleEwidencja}.dataOd"/>
	</div>
</div>

<stripes:hidden name="${poleEwidencja}.dataDo"/>
<%@ include file="/jsp/templatePages/polaUmowa.jsp" %>

<div class="row">
	<div class="label">
		<label>
			miejsce przybycia
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect required" name="${poleEwidencja}.skadPrzyszedlId" id="kodMiejscaPrzyjscia">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodMiejscaPrzyjsciaDoDPSSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_MIEJSCA_PRZYJSCIA_DO_DPS', 'kodMiejscaPrzyjscia'); return false;"
				title="Wprowadź nowe słowo dla 'miejsce przybycia'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleEwidencja}.skadPrzyszedlId"/>
	</div>
</div>
