<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaFaktura}.nr" class="required" title="Numer faktury" size="50"/><br/>
		<stripes:text name="${nazwaPolaFaktura}.nrWew" title="Numer wewnętrzny faktury" size="50" style="margin-top: 5px;"/>
		<stripes:errors field="${nazwaPolaFaktura}.nr"/>
		<stripes:errors field="${nazwaPolaFaktura}.nrWew"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wystawienia
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaFaktura}.dataWystawienia" class="data required" title="Data wystawienia faktury"
				formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaFaktura}.dataWystawienia"/>
	</div>
</div>
<c:if test="${not empty listaUmowApteka && fn:length(listaUmowApteka) > 0}">
	<div class="row">
		<div class="label">
			<label>
				na podst. umowy<br/>
				z apteką
			</label>
		</div>
		<div class="input">
			<stripes:select name="${nazwaPolaFaktura}.umowaAptekaKwotaId" id="umowaKwotaId_${umowaIdKolejny}"
					class="mySelect ie_fixposition" style="width: 350px;">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<c:forEach items="${listaUmowApteka}" var="umowaKwota" varStatus="i">
					<stripes:option label="${umowaKwota.umowaApteka.nr} (${umowaKwota.rodzaj})" value="${umowaKwota.id}"/>
				</c:forEach>
			</stripes:select>
			<div style="clear: both">
			<stripes:errors field="${nazwaPolaFaktura}.umowaAptekaKwotaId"/>
		</div>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>status</label>
	</div>
	<div class="input">
		<c:set var="nazwaPola" value="${nazwaPolaFaktura}.status"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
		
		${not empty _wartoscPola ? _wartoscPola.opis : 'zatwierdzona'}
		<stripes:hidden name="${nazwaPola}" value="ZATWIERDZONA"/>
		<stripes:errors field="${nazwaPolaFaktura}.status"/>
	</div>
</div>
		