<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaFormatCsv}.nazwa" class="required" title="Nazwa" size="50"/>
		<stripes:errors field="${nazwaPolaFormatCsv}.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kodowanie
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaFormatCsv}.charset" class="required" title="Kodowanie tekstu formatu">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.CharsetEncoding" label="opis"/>
		</stripes:select>
		<stripes:errors></stripes:errors>
		<stripes:errors field="${nazwaPolaFormatCsv}.charset"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="${nazwaPolaFormatCsv}.liniaOpisow">
			linia opisowa
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="${nazwaPolaFormatCsv}.liniaOpisow" name="${nazwaPolaFormatCsv}.liniaOpisow"
				title="Czy pierwsza linia stanowi opis pól"/>
		<stripes:errors field="${nazwaPolaFormatCsv}.liniaOpisow"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			separator pól
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaFormatCsv}.separatorPola" class="required" title="Separator pól" size="2"/>
		<stripes:errors field="${nazwaPolaFormatCsv}.separatorPola"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			separator wierszy
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaFormatCsv}.separatorWiersza" class="required"
				title="Oddziela wiersze w pojedynczym polu" size="2"/>
		<stripes:errors field="${nazwaPolaFormatCsv}.separatorWiersza"/>
	</div>
</div>

