<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script type="text/javascript">
	$(document).ready(function() {
		$("#poleSlownikMulti${i.count - 1}").asmSelect({
			addItemTarget: 'bottom',
			selectClass: 'asmSelect ${__required}',
			hideWhenAdded: true,
			debugMode: false
		});
	});
</script>
<c:if test="${stripes:enumName(__rodzajSlownikPola) == 'EDYTOWALNY'}">
	<c:set var="asmSelectMLeft" value="410"/>
	<c:set var="asmSelectNSlownika" value="${__nazwaSlownikPola}"/>
	<c:set var="asmSelectId" value="poleSlownikMulti${i.count - 1}"/>
	<%@ include file="/jsp/templatePages/podpowiedziField/slownikAsmSelectPodp.jsp" %>
</c:if>
<stripes:select id="poleSlownikMulti${i.count - 1}" class="asmSelect" style="width: 400px" multiple="multiple"
		name="${__submitNazwaPola}.wartosc${stripes:enumName(informacjaPole.typ)}[]" title="${OPCJA_WYBIERZ}">
	<c:choose>
		<c:when test="${stripes:enumName(__nazwaSlownikPola.typSlownika) == 'WART_I'}">
			<stripes:options-collection collection="${ttFn:extractCollection(actionBean.context, __nazwaSlownikPola.nazwaServerContext)}" label="wartInt" value="id"/>
		</c:when>
		<c:when test="${stripes:enumName(__nazwaSlownikPola.typSlownika) == 'WART_S'}">
			<stripes:options-collection collection="${ttFn:extractCollection(actionBean.context, __nazwaSlownikPola.nazwaServerContext)}" label="wartString" value="id"/>
		</c:when>
	</c:choose>
</stripes:select>
<div style="clear: both">
	<stripes:errors field="${__nazwaPolaErrors}"/>
	<stripes:errors field="${__nazwaPolaErrors2}"/>
	<stripes:errors field="${__nazwaPolaErrors3}"/>
	<stripes:errors field="${__nazwaPolaErrors}[]"/>
	<stripes:errors field="${__nazwaPolaErrors2}[]"/>
	<stripes:errors field="${__nazwaPolaErrors3}[]"/>
</div>
