<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			typ raportu
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleInformacjaRozszerzenie}.wartoscTr" title="Typ raportu z dyżuru pielęgniarskiego">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<%--
				raport na następny dzień jest ukryty z uwagi na jego bezensowność generowania;
				rożróżnienie jest potrzebne natomiast do podpowiadania danych
			--%>
			<c:forEach items="${kodRodzajuDyzuruPielegniarskiegoSlownik}" var="slowo">
				<c:if test="${slowo.kod != '003'}">
					<stripes:option label="${slowo.wartString}" value="${slowo.id}"/>
				</c:if>
			</c:forEach>
		</stripes:select>
		<stripes:errors field="typRaportu.wartoscTr"/>
	</div>
</div>
