<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaInstytucja}.nazwa" class="required" title="Nazwa instytucji" size="45"/>
		<stripes:errors field="${nazwaPolaInstytucja}.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			emerytalno - rentowy ?
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${nazwaPolaInstytucja}.emerytalnoRentowa" title="Zaznacz jeśli ma być uznawany jako emerytalno rentowy"/>
		<stripes:errors field="${nazwaPolaInstytucja}.emerytalnoRentowa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			czy domyślna ?
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${nazwaPolaInstytucja}.domyslna" title="Zaznacz jeśli ma być domyślnie brana pod uwagę przy obliczaniu odpłatności"/>
		<stripes:errors field="${nazwaPolaInstytucja}.domyslna"/>
	</div>
</div>
