<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="katUslKategoria.nazwa" class="required" title="Nazwa kategorii" size="80"/>
		<stripes:errors field="katUslKategoria.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr kolejny
		</label>
	</div>
	<div class="input">
		<stripes:text name="katUslKategoria.kolejnosc" title="Numer w kolejności" size="5" maxlength="6" class="numberInteger"/>
		<stripes:errors field="katUslKategoria.kolejnosc"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ważność od
		</label>
	</div>
	<div class="input">
		<stripes:text name="katUslKategoria.dataOd" class="data" title="Data od" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="katUslKategoria.dataOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ważność do
		</label>
	</div>
	<div class="input">
		<stripes:text name="katUslKategoria.dataDo" class="data" title="Data do" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="katUslKategoria.dataDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			opis
		</label>
	</div>
	<div class="input">
		<stripes:textarea name="katUslKategoria.opis" style="width: 98%;" rows="20"/>
		<stripes:errors field="katUslKategoria.opis"/>
	</div>
</div>
