<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			typ
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaKryteriumOceny}.typ" class="required" disabled="disabled">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.TypKryteriumOceny" label="opis"/>
		</stripes:select>
		<stripes:hidden name="${nazwaPolaKryteriumOceny}.typ"/>
		<stripes:errors field="${nazwaPolaKryteriumOceny}.typ"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			tekst
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaKryteriumOceny}.tekst" class="required" title="Tekst/opis stosowanego kryterium" size="50"/>
		<stripes:errors field="${nazwaPolaKryteriumOceny}.tekst"/>
	</div>
</div>
