<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNaliczeniePobyt}.dataObliczenia" class="data required" title="Data" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNaliczeniePobyt}.dataObliczenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data księgowania
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNaliczeniePobyt}.dataKsiegowania" class="data" title="Data księgowania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNaliczeniePobyt}.dataKsiegowania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dotyczy osoby
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${not empty isEdycja && isEdycja}">
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.osobaId"/>
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.osoba.id"/>
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.osoba.nazwisko"/>
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.osoba.imie"/>
				<stripes:text name="${nazwaPolaNaliczeniePobyt}.osoba.nazwiskoImie" size="60" readonly="true"/>
			</c:when>
			<c:otherwise>
				<c:set var="osobaPoleNazwa" value="${nazwaPolaNaliczeniePobyt}.osoba"/>
				<c:set var="requiredClass" value=""/>
				<c:set var="mOsoba" value="${true}"/>
				<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
			</c:otherwise>
		</c:choose>
		
		<stripes:errors field="${nazwaPolaNaliczeniePobyt}.osobaId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dotyczy instytucji
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${not empty isEdycja && isEdycja}">
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.instytucjaId"/>
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.instytucja.id"/>
				<stripes:hidden name="${nazwaPolaNaliczeniePobyt}.instytucja.nazwa"/>
				<stripes:text name="${nazwaPolaNaliczeniePobyt}.instytucja.nazwa" size="60" readonly="true"/>
			</c:when>
			<c:otherwise>
				<c:set var="instytucjaPoleNazwa" value="${nazwaPolaNaliczeniePobyt}.instytucja"/>
				<c:set var="requiredClass" value=""/>
				<%@ include file="/jsp/templatePages/podpowiedziField/instytucjaDoplacajacaPodpInput.jsp" %>
			</c:otherwise>
		</c:choose>
		
		<stripes:errors field="${nazwaPolaNaliczeniePobyt}.instytucjaId"/>
	</div>
</div>
