<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data powrotu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnoscInformacja}.dataPowrotu" title="Data powrotu" class="data" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.dataPowrotu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dotyczy dyżuru
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaNieobecnoscInformacja}.dyzurPowrotId">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.dyzurPowrotId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			pracownik przyjął
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="${nazwaPolaNieobecnoscInformacja}.pracownikPrzyjalId"
				id="${nazwaPolaNieobecnoscInformacja}PracownikPrzyjalId"
				title="Pracownik, który skierował osobę">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.pracownikPrzyjalId"/>
		</div>
	</div>
</div>
