<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data wyjazdu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnoscInformacja}.dataWyjazdu" title="Data wyjazdu" class="data required" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.dataWyjazdu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dotyczy dyżuru
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaNieobecnoscInformacja}.dyzurWyjazdId">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.dyzurWyjazdId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			pracownik skierował
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${nazwaPolaNieobecnoscInformacja}.pracownikSkierowalId"
				id="${nazwaPolaNieobecnoscInformacja}PracownikSkierowalId"
				title="Pracownik, który skierował osobę">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.pracownikSkierowalId"/>
		</div>
	</div>
</div>
