<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data od
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnosci}.dataOd" title="Data od" class="data required" readonly="${empty wszystkoReadonly ? readOnly : wszystkoReadonly}" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNieobecnosci}.dataOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data do
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnosci}.dataDo" title="Data do" class="data required" readonly="${empty wszystkoReadonly ? readOnly : wszystkoReadonly}" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNieobecnosci}.dataDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba dni
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnosci}.liczbaDni" title="Liczba dni" readonly="${empty wszystkoReadonly ? readOnly : wszystkoReadonly}" class="numberInteger required" size="5"/>
		<stripes:errors field="${nazwaPolaNieobecnosci}.liczbaDni"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba dni do zwrotu<br/>
			ekwiwalentu pieniężnego
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnosci}.liczbaDniZwrot" title="Liczba, za które ma być zwrot" readonly="${wszystkoReadonly}" class="numberInteger required" size="5"/>
		<stripes:errors field="${nazwaPolaNieobecnosci}.liczbaDniZwrot"/>
	</div>
</div>
