<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaOdbior}.data" class="data required" title="Data wystawienia faktury"
				formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaOdbior}.data"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			podmiot odbierający
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaOdbior}.odbierajacyId" id="odbierajacyOdpady${nazwaPolaOdbior}"
				class="mySelect required ie_fixposition" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodPodmiotuOdbiorOdpadowSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton"
				onclick="slowoWprowadzanieAjax('KOD_PODMIOTU_ODBIOR_ODPADOW', 'odbierajacyOdpady${nazwaPolaOdbior}'); return false;"
				title="Wprowadź nowe słowo dla 'podmiot odbierający'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaOdbior}.odbierajacyId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj materiału
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaOdbior}.rodzajMaterialuId" id="rodzajMaterialu${nazwaPolaOdbior}"
				class="mySelect ie_fixposition" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuOdpaduMedycznegoSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton"
				onclick="slowoWprowadzanieAjax('KOD_RODZAJU_ODPADU_MEDYCZNEGO', 'rodzajMaterialu${nazwaPolaOdbior}'); return false;"
				title="Wprowadź nowe słowo dla 'rodzaj materiału'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaOdbior}.rodzajMaterialuId"/>
		</div>
	</div>
</div>
