<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			wartość
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${not empty typParametru.enumClass}">
				<stripes:select name="parametrSystemowy.wartoscI" class="required">
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<c:forEach items="${ttFn:enumValues(typParametru.enumClass.canonicalName)}" var="enumValue">
						<stripes:option label="${enumValue.wartoscInt}" value="${enumValue.wartoscInt}"></stripes:option>
					</c:forEach>
				</stripes:select>
			</c:when>
			<c:otherwise>
				<stripes:text name="parametrSystemowy.wartoscI" title="Wartość" class="numberInteger required" size="11"/>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="parametrSystemowy.wartoscI"/>
	</div>
</div>
