<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPoraDnia}.nazwa" class="required" title="Nazwa opisowa dla pory podawanie leku" style="width: 300px;"/>
		<stripes:errors field="${nazwaPolaPoraDnia}.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			skrót
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPoraDnia}.skrot" class="required" title="Skrót wyświetlany m.in na różnych raportach" size="10"/>
		<stripes:errors field="${nazwaPolaPoraDnia}.skrot"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			typowa godzina<br/>
			podawania leków (0-23)
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${nazwaPolaPoraDnia}.wrp" onclick="wrp();" title="Traktuj jako w razie potrzeby"/>&nbsp;
		<stripes:text name="${nazwaPolaPoraDnia}.godzina" class="numberInteger required" size="8"
				title="Typowa godzina podawania leków. Pole służy m.in. do autopodpowiedzi na raportach z dyżurów pielęgniarskich" />
		<stripes:errors field="${nazwaPolaPoraDnia}.wrp"/>
		<stripes:errors field="${nazwaPolaPoraDnia}.godzina"/>
	</div>
</div>
<c:if test="${not empty pokazujAktualna && pokazujAktualna}">
	<div class="row">
		<div class="label">
			<label>
				czy aktualnie używana
			</label>
		</div>
		<div class="input">
			<stripes:checkbox name="${nazwaPolaPoraDnia}.czyAktualna" title="Czy aktualnie używana"/>
			<stripes:errors field="${nazwaPolaPoraDnia}.czyAktualna"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			kolejność na raportach
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPoraDnia}.kolejnosc" class="numberInteger"
			title="Kolejność, wg której pora będzie wyświetlana na raportach" size="8"/>
		<stripes:errors field="${nazwaPolaPoraDnia}.kolejnosc"/>
	</div>
</div>
