<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwisko
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPracownika}.nazwisko" class="textValidationFCapitalize required" title="Nazwisko pracownika" style="width: 300px;"/>
		<stripes:errors field="${nazwaPolaPracownika}.nazwisko"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			imię
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPracownika}.imie" class="textValidationFCapitalize required" title="Imię pracownika" style="width: 200px;"/>
		<stripes:errors field="${nazwaPolaPracownika}.imie"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			login
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPracownika}.login" class="required" title="Login"/>
		<stripes:errors field="${nazwaPolaPracownika}.login"/>
	</div>
</div>

<%@ include file="/jsp/templatePages/polaPracownikaHaslo.jsp" %>

<div class="row">
	<div class="label">
		<label>
			adres e&#8209;mail
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPracownika}.eMail" title="Adres e&#8209;mail" size="30"/>
		<stripes:errors field="${nazwaPolaPracownika}.eMail"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			telefon
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPracownika}.telefon" title="Telefon" size="30"/>
		<stripes:errors field="${nazwaPolaPracownika}.telefon"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			grupa
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect required" name="${nazwaPolaPracownika}.grupaId" id="pracGrupaId" title="Grupa pracowników, do której należy">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${ttFn:extractCollection(actionBean.context, kolekcjaGrup)}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaPracownika}.grupaId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			czy pracuje?
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${nazwaPolaPracownika}.czyPracuje" title="Zaznacz jeżeli pracuje" disabled="${disabled}" checked="${not empty disabled ? true : false}"/>
		<stripes:errors field="${nazwaPolaPracownika}.czyPracuje"/>
	</div>
</div>
