<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${not empty actionBean.genHaslo}">
	<div class="row">
		<div class="label">
			<label>
				hasło (wygenerowane)
			</label>
		</div>
		<div class="input">
			<stripes:text name="genHaslo" title="Hasło wygenerowane automatycznie" readonly="true" size="40"/>
			<stripes:hidden name="genHaslo"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			hasło
		</label>
	</div>
	<div class="input">
		<stripes:password name="${nazwaPolaPracownika}.haslo.str" class="required" title="Hasło" size="40" repopulate="true"/>
		
		<stripes:errors field="${nazwaPolaPracownika}.haslo"/>
		<stripes:errors field="${nazwaPolaPracownika}.haslo.str"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			powt. hasło
		</label>
	</div>
	<div class="input">
		<stripes:password name="${nazwaPolaPracownika}.powtHaslo" class="required" title="Powt. hasło" size="40"/>
		<stripes:errors field="${nazwaPolaPracownika}.powtHaslo"/>
	</div>
</div>
