<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${not empty pokazPodpowiedzPrzycisk && pokazPodpowiedzPrzycisk}">
	<div id="${nazwaPolaSwiadczenieDecyzja}bladLimit" class="bladLimit"></div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			świadczenie
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaSwiadczenieDecyzja}.swiadczenieId" class="required" title="Świadczenie">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<c:forEach items="${listaSwiadczenSlownik}" var="swiadczenie">
				<stripes:option value="${swiadczenie.id}" >${swiadczenie.nazwa} (${swiadczenie.swiadczenieGrupa.nazwa})</stripes:option>
			</c:forEach>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaSwiadczenieDecyzja}.swiadczenieId"/>
		</div>
	</div>
</div>			
<div class="row">
	<div class="label">
		<label>
			procent odpłatności
		</label>
	</div>
	<div class="input">
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenieDecyzja}.procentOdplatnosc" class="required numberInteger" title="Procent odpłatności" size="7"/>
		<stripes:errors field="${nazwaPolaSwiadczenieDecyzja}.procentOdplatnosc"/>
	</div>
	</div>
</div>

<%-- okres, którego dotyczy limit  --%>
<legend style="margin-left: 50px;">przyznany limit</legend>
<div class="row">
	<div class="label">
		<label>
			ilość
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenieDecyzja}.okresIloscLimit" class="required numberInteger" title="Ilość jednostek okresu" size="7"/>
		<stripes:errors field="${nazwaPolaSwiadczenieDecyzja}.okresIloscLimit"/>
	</div>
</div>	
<div class="row">
	<div class="label">
		<label>
			jednostka okresu
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="${nazwaPolaSwiadczenieDecyzja}.okresLimit" title="Jednostka okresu">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.TypOkresu" label="opis"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaSwiadczenieDecyzja}.okresLimit"/>
		</div>
	</div>
</div>

<legend>&nbsp;</legend>
<div class="row">
	<div class="label">
		<label>
			całkowity limit (w jednostkach)
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenieDecyzja}.iloscLimit" class="numberInteger" title="Limit jednostek świadczenia" size="7"/>
		<c:if test="${not empty pokazPodpowiedzPrzycisk && pokazPodpowiedzPrzycisk}">
			<stripes:button class="noLoadImage" name="${nazwaPolaSwiadczenieDecyzja}PodpCalkLimit" value="Podpowiedź"
					onclick="podpowiedzCalkowityLimit('${nazwaPolaDecyzji}', '${nazwaPolaSwiadczenieDecyzja}');"/>
		</c:if>
		<stripes:errors field="${nazwaPolaSwiadczenieDecyzja}.iloscLimit"/>
	</div>
</div>
