<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenieGrupa}.nazwa" class="required" title="Nazwa opisowa dla grupy świadczeń" style="width: 300px;"/>
		<stripes:errors field="${nazwaPolaSwiadczenieGrupa}.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kolejność na wydrukach
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenieGrupa}.kolejnoscWydruk" class="numberInteger required"
			title="Kolejność, wg której pora będzie wyświetlana na wydrukach" size="8"/>
		<stripes:errors field="${nazwaPolaSwiadczenieGrupa}.kolejnoscWydruk"/>
	</div>
</div>