<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="szablonWydruku.nazwa" class="required" title="Nazwa wzorca szablonu wydruku" size="70"/>
		<stripes:errors field="szablonWydruku.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			typ wzorca
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="szablonWydruku.typWzorca" title="Typ wzorca szablonu">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.TypWzorca" label="opis"/>
		</stripes:select>
		&nbsp;&nbsp;&nbsp;
		<stripes:button name="pomocZmienneWydruku" class="noLoadImage" onclick="" value="Pomoc - zmienne"/>
		<div style="clear: both">
			<stripes:errors field="szablonWydruku.typWzorca"/>
		</div>
	</div>
</div>
<div style="padding-bottom: 10px;">
	treść
</div>
<div align="center">
	<div style="clear: both">
		<stripes:errors field="szablonWydruku.tresc"/>
	</div>
	<stripes:textarea name="szablonWydruku.tresc" id="tresc" style="width: 95%;"/>
</div>

