<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleUmowa}.nr" class="required" title="Numer umowy" size="25"/>
		<stripes:errors field="${poleUmowa}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data od
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleUmowa}.dataOd" class="data required" title="Ważna od" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleUmowa}.dataOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data do
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleUmowa}.dataDo" class="data required" title="Ważna do" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleUmowa}.dataDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota główna
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleUmowa}.kwota" class="kwota required" title="Kwota umowy" size="15"
				formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleUmowa}.kwota"/>
	</div>
</div>

