<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleUmowa}.typ"/>
<stripes:hidden name="decyzjaPostanowienie"/>

<stripes:hidden name="${poleUmowa}.wydanaNaZasadach"/>
<stripes:hidden name="${poleUmowa}.dataWplywu"/>

<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleUmowa}.nr" class="required" title="Nr urzędowy decyzji" size="25"/>
		<stripes:errors field="${poleUmowa}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			zawarta dnia
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleUmowa}.dataWydania" class="data required" title="Data zawarcia umowy" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleUmowa}.dataWydania"/>
	</div>
</div>
