<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${poleUmowaKwota}.slowoId" id="${poleUmowaKwota}Rodzaj"
				title="Rodzaj kwoty dla umowy">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuKwotyAptekaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_RODZAJU_KWOTY_UMOWA_APTEKA', '${poleUmowaKwota}Rodzaj'); return false;"
				title="Wprowadź nowe słowo dla 'rodzaj'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${poleUmowaKwota}.slowoId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota
		</label>
	</div>
	<div class="input">
		<c:set var="nazwaPola" value="${poleUmowaKwota}.kwota"/>
		<c:set var="wartoscZBeana" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
		<stripes:text name="${nazwaPola}" class="kwota" title="Kwota umowy" formatPattern="${DOUBLE_PRECISION_PATTERN}"
				value="${wartoscZBeana}"/>
		<stripes:errors field="${nazwaPola}"/>
	</div>
</div>
