<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${not empty skladnikRok && skladnikRok}">
	<div class="row">
		<div class="label">
			za rok
		</div>
		<div class="input">
			<stripes:text name="${nazwaPolaWplataSkladnik}.rok" class="rok required" title="Wpłata za rok" size="7"/>
			<stripes:errors field="${nazwaPolaWplataSkladnik}.rok"/>
		</div>
	</div>
</c:if>
<c:if test="${not empty skladnikMiesiac && skladnikMiesiac}">
	<c:set var="poleMiesiac" value="${nazwaPolaWplataSkladnik}.miesiac"/>
	<c:set var="klasaWymagane" value="required"/>
	<%@ include file="/jsp/templatePages/nazwyMiesiecy.jsp" %>
</c:if>
<div class="row">
	<div class="label">
		${not empty rodzajSkladnika ? rodzajSkladnika : 'kwota'}
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaWplataSkladnik}.kwota" class="kwota required" title="Wpłacaona kwota" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${nazwaPolaWplataSkladnik}.kwota"/>
	</div>
</div>
