<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${nazwaPolaZestawienie}.pracownikId"/>
<stripes:hidden name="${nazwaPolaZestawienie}.dataGenerowania"/>

<div class="row">
	<div class="label">
		<label>
			za rok / miesiąc
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaZestawienie}.rok" class="rok required" title="Stan na rok" size="5" readonly="${not empty zestawienieEdycja && zestawienieEdycja}"/> /
		
		<c:set var="poleMiesiac" value="${nazwaPolaZestawienie}.miesiac"/>
		<c:set var="klasaWymagane" value="required"/>
		<c:set var="poleMiesiacErrors" value="${false}"/>
		<c:if test="${not empty zestawienieEdycja && zestawienieEdycja}">
			<c:set var="miesiacReadOnly" value="${true}"/>
		</c:if>
		<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
		
		<div style="clear: both;">
			<stripes:errors field="${nazwaPolaZestawienie}.rok"/>
			<stripes:errors field="${nazwaPolaZestawienie}.miesiac"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaZestawienie}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaZestawienie}.szablonWydrukuId"/>
	</div>
</div>
