<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			miesiące
		</label>
	</div>
	<div class="input">
		<stripes:errors field="${polaZlecenieWydaniaWyrobMiesiac}"/>
		<div style="margin-bottom: 10px;">
			<stripes:button name="zaznaczWsz" onclick="tgsWybierzWszystkieZListy('listaCzynnosci');" class="noLoadImage">Zaznacz wszystkie</stripes:button>
			<stripes:button name="odznaczWsz" onclick="tgsUsunWszystkieZListy('listaCzynnosci');" class="noLoadImage">Odznacz wszystkie</stripes:button>
		</div>
		<ul id="listaCzynnosci" class="toggleSelectable">
			<c:forEach begin="1" end="12" var="i">
				<c:set var="nazwaPola" value="${polaZlecenieWydaniaWyrobMiesiac}[${i}].miesiac"/>
				<c:set var="wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
				
				<li class="ui-widget-content ${ttFn:beanToStringCompare(wartoscPola, i) ? 'ui-toggleSelected' : ''}" id="cz_${i}">
					${fn:toLowerCase(nazwyMiesiecy[i])}
					<stripes:checkbox id="cz_${i}_chkb" name="${nazwaPola}" value="${i}" class="checkbox"></stripes:checkbox>
				</li>
			</c:forEach>
		</ul>
	</div>
</div>
