<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa dokumentu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWyrobMedyczny}.nazwaDokumentu" size="40"/>
		<stripes:errors field="${poleWyrobMedyczny}.nazwaDokumentu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr dokumentu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWyrobMedyczny}.nrDokumentu" class="required" size="15"/>
		<stripes:errors field="${poleWyrobMedyczny}.nrDokumentu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr ewidencyjny
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWyrobMedyczny}.nrEwidencyjny" size="20"/>
		<stripes:errors field="${poleWyrobMedyczny}.nrEwidencyjny"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data<br/>
			wystawienia
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWyrobMedyczny}.dataWystawienia" class="data required" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleWyrobMedyczny}.dataWystawienia"/>
	</div>
</div>
