<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="nazwaOdbiorcy">
	${przelewOdbiorcaNazwa}<br/>
	<span style="letter-spacing: 2px;">
	${przelewOdbiorcaAdresLinia1}<c:if test="${not empty przelewOdbiorcaAdresLinia1 && not empty przelewOdbiorcaAdresLinia2}">, </c:if>${przelewOdbiorcaAdresLinia2}
	</span>
</div>
<div class="nrRachunkuOdbiorcy">
	${przelewOdbiorcaNumerKonta}
</div>
<div class="kwota">
	<fmt:formatNumber value="${przelewKwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
</div>
<div class="nrRachunkuZleceniodawcy">
	${przelewNrRachunkuZleceniodawcy}
</div>
<div class="nazwaZleceniodawcy">
	${przelewZleceniodawcaNazwa}<br/>
	<span style="letter-spacing: 2px;">
	${przelewZleceniodawcaAdresLinia1}<c:if test="${not empty przelewZleceniodawcaAdresLinia1 && not empty przelewZleceniodawcaAdresLinia2}">, </c:if>${przelewZleceniodawcaAdresLinia2}
	</span>
</div>
<div class="tytulem">
	${przelewTytulemLinia1}<br/>${przelewTytulemLinia2}
</div>
