<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.fund.action.socjalni.umowa.UmowaEdycjaAction" name="umowaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="umowa.id"/>
				<stripes:hidden name="umowa.ewidencjaId"/>
				<stripes:hidden name="umowa.zleceniodawcaId"/>
				
				<stripes:hidden name="decyzjaKierujaca.id"/>
				<stripes:hidden name="decyzjaKierujaca.osobaId"/>
				<stripes:hidden name="decyzjaKierujaca.wydanaNaZasadach"/>
				
				<stripes:hidden name="ewidencjaDps.id"/>
				<stripes:hidden name="ewidencjaDps.osobaId"/>
				<stripes:hidden name="ewidencjaDps.ewidPoprzedniWpisId"/>
				<stripes:hidden name="ewidencjaDps.typ"/>
				
				<stripes:hidden name="odplatnoscSkladnik.id"/>
				<stripes:hidden name="odplatnoscSkladnik.odplatnoscId"/>
				<stripes:hidden name="odplatnoscSkladnik.osobaId"/>
				<stripes:hidden name="odplatnoscSkladnik.instytucjaId"/>				
				<fieldset>
					<legend>
						Edycja umowy
					</legend>
					
					<c:set var="poleUmowa" value="decyzjaKierujaca"/>
					<%@ include file="/jsp/templatePages/polaUmowaFundacja.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								zleceniodawca
							</label>
						</div>
						<div class="input">
							${zleceniodawca.nazwiskoImie}
						</div>
					</div>
					
					<fieldset>
						<legend>
							Warunki
						</legend>
						
						<c:set var="poleEwidencja" value="ewidencjaDps"/>
						<c:set var="poleUmowa" value="umowa"/>
						<%@ include file="/jsp/templatePages/polaEwidencjaMieszkaniecFundacja.jsp" %>
						
						<c:set var="poleOdplatnosc" value="odplatnoscSkladnik"/>
						<%@ include file="/jsp/templatePages/polaOdplatnoscSkladnikDzienneRozliczenia.jsp" %>
						
						<c:set var="poleParametryUmowy" value="umowa.listaParametrow"/>
						<%@ include file="/jsp/templatePages/polaUmowaFundacjaParametry.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.fund.action.socjalni.umowa.ListaUmowAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		<c:if test="${not empty mozliwaEdycja && mozliwaEdycja}">
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</c:if>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
