<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${empty header['Ajax-Async']}">
		<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
			<stripes:layout-component name="htmlHead">
				<%@ include file="sqlExceptionHead.jsp" %>
			</stripes:layout-component>
			
			<stripes:layout-component name="content">
				<div class="formContainer">
					<%@ include file="sqlExceptionBody.jsp" %>
				</div>
				
				<div id="bottom"></div>
			</stripes:layout-component>
		</stripes:layout-render>
	</c:when>
	<c:otherwise>
		<div class="formContainer">
			<%@ include file="sqlExceptionHead.jsp" %>
			<%@ include file="sqlExceptionBody.jsp" %>
		</div>
	</c:otherwise>
</c:choose>
