<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="exceptionHead.jsp" %>
			<script>
				$(document).ready(function() {
					$("#showStos").click(function() {
						$("#stos").toggle(500);
					});
				});
			</script>
			<h1 class="tytH1">Wystapił błąd systemu</h1>
			<h2 class="tytH2">Komunikat</h2>
			<p>
				NIE ustalono wartości parametru systemowego "${e.typ.opis}"
				<c:if test="${not empty e.zaOkresOd && not empty e.zaOkresDo}">
					w okresie (<c:choose><c:when test="${not empty e.zaOkresOd}"><fmt:formatDate value="${e.zaOkresOd}" pattern="${DATE_PATTERN}"/></c:when><c:otherwise>-</c:otherwise></c:choose>,
						<c:choose><c:when test="${not empty e.zaOkresDo}"><fmt:formatDate value="${e.zaOkresOd}" pattern="${DATE_PATTERN}"/></c:when><c:otherwise>-</c:otherwise></c:choose>)
				</c:if>
				.
			</p>
			<h2 class="tytH2">
				<button id="showStos" class="cursorPointer">Stos wywołań</button>
			</h2>
			<p id="stos" style="display: none;">
				<c:forEach items="${e.stackTrace}" var="st" begin="0" end="5">
					${st}<br />
				</c:forEach>
				...
			</p>
			<%@ include file="/jsp/server/tomcatLogi.jsp"%>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
