<%-- 
	Stronka która wyświetla informacje na temat
	błędów, które powstały w trakcie aktualizacji bazy danych
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes"
	uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<c:set var="root" value="${pageContext.request.contextPath}" />
<c:choose>
	<c:when test="${empty sessionPracownik}">
		<stripes:layout-render name="/jsp/layout/loginLayout/layout.jsp">
			<stripes:layout-component name="htmlHead">
				<style type="text/css">
					h1 {
						font-size: 12px;
						text-align: center;
					}
					h2 {
						font-size: 10px;
						margin: 10px 5px 5px;
					}
					pre, p {
						border: dashed 1px black;
						padding: 10px;
						margin: 5px 10px;
					}			
				</style>
			</stripes:layout-component>
			
			<stripes:layout-component name="content">
				<div class="formContainer">
					<h1 style="color: red;">
						Wystapił błąd wczytywania słowników do contextu,
						prosimy przekopiować poniższe komunikaty i wysłać je e&#8209;mailem
						na adres: firma@top-team.pl
					</h1>
					<h2>Komunikat</h2>
					<p>${e.message}</p>
					<h2>Przyczyna</h2>
					<pre>${e.cause}</pre>
					<h2>Stos wywołań</h2>
					<p>
						<c:forEach items="${e.stackTrace}" var="st" begin="0" end="4">
							${st}<br/>
						</c:forEach>
						...
					</p>
					<%@ include file="/jsp/server/tomcatLogi.jsp" %>
				</div>
			</stripes:layout-component>
		</stripes:layout-render>
	</c:when>
	
	<c:otherwise>
		<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
			<stripes:layout-component name="htmlHead">
				<style type="text/css">
					h1 {
						font-size: 12px;
						text-align: center;
					}
					h2 {
						font-size: 10px;
						margin: 10px 5px 5px;
					}
					pre, p {
						border: dashed 1px black;
						padding: 10px;
						margin: 5px 10px;
					}			
				</style>
			</stripes:layout-component>
			
			<stripes:layout-component name="content">
				<div class="formContainer">
					<h1 style="color: red;">
						Wystapił błąd wczytywania słowników do contextu,
						prosimy przekopiować poniższe komunikaty i wysłać je e&#8209;mailem
						na adres: firma@top-team.pl
					</h1>
					<h2>Komunikat</h2>
					<p>${e.message}</p>
					<h2>Przyczyna</h2>
					<pre>${e.cause}</pre>
					<h2>Stos wywołań</h2>
					<p>
						<c:forEach items="${e.stackTrace}" var="st" begin="0" end="4">
							${st}<br/>
						</c:forEach>
						...
					</p>
					<%@ include file="/jsp/server/tomcatLogi.jsp" %>
				</div>
			</stripes:layout-component>
		</stripes:layout-render>
	</c:otherwise>
</c:choose>
