<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			body {
				font-family: Verdana;
				font-size: 12px;
				margin: 0px;
			}
			
			div.dashed {
				margin: 20px 0px;
				padding: 5px;
				border: 1px dashed black;
				line-height: 1.8;
			}
			
			h1.tytH1 {
				text-align: center;
				font-size: 13px;
				color: red;
			}
			
			h2.tytH2 {
				color: red;
				font-size: 13px;
				text-decoration: underline;
				margin: 0px;
				padding: 0px;
			}
		</style>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<h1 class="tytH1">Wystąpił błąd przy wydruku z szablonu!</h1>
			<div class="dashed">
				<h2 class="tytH2">Kod html błędnej linijki:</h2>
				${e.blednaLinijka}
			</div>
			<div class="dashed">
				<h2 class="tytH2">Poniżej znajduje się treść szablonu z zaznaczoną czerwonym kolorem błędną linijką:</h2>
				${e.trescSzablonuWydruku}
			</div>
			<div class="dashed">
				<h2 class="tytH2">Szczegółowy komunikat błędu:</h2>
				<c:forEach var="s" items="${e.stackTrace}">
					${s}<br/>
				</c:forEach>
			</div>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</stripes:layout-component>
</stripes:layout-render>
