<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescBAction" id="wyborMedForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Edycja zlecenia na środki pomocnicze przysługujące comiesięcznie (Część B)
					</legend>
					<stripes:hidden name="zlecenie.id"/>
					<stripes:hidden name="zlecenie.zlecenieNadrzedneId"/>
					
					<c:set var="poleZlecenieUprawnienie" value="uprawnienia"/>
					<%@ include file="/jsp/templatePages/polaZlecenieUprawnienia.jsp" %>
				</fieldset>
								
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZlecenieNaZaopatrzeniePodgladAction"
								class="button" event="podglad">
							<stripes:param name="zlecenie.id" value="${actionBean.zlecenie.zlecenieNadrzedneId}"/>
							<stripes:param name="zakladka" value="zaklUprawnienia"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
