<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
				// zakładki
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklSwiad'}");
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h4 class="alignCenter">Zlecenie na zaopatrzenie w środki pomocnicze przysługujące comiesięcznie</h4>
		<br/>
		<div class="formContainer2">
			<div id="kontenerLinkow" class="linki tab-container">
				<ul class="tabs">
					<li>
						<a href="#" id="zaklSwiad" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('swiadczeniobiorca', this);">
							(A) Świadczeniobiorca
						</a>
					</li>
					<li>
						<a href="#" id="zaklPotwierdzenie" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('potwierdzenie', this);">
							(A) Potwierdzenie wydania
						</a>
					</li>
					<li>
						<a href="#" id="zaklUprawnienia" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('uprawnienia', this);">
							(B) Zaopatrzenie
						</a>
					</li>
				</ul>
			</div>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction" style="margin-left: 10px;">
				<stripes:hidden id="zakladka" name="zakladka" value="daneOgolne"/>
				<stripes:hidden name="diagnozaRealizacja.id" value=""/>
				
				<div id="tab-container">
					<div id="swiadczeniobiorca" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<%@ include file="podgladASwiadczeniobiorca.jsp" %>
						<%@ include file="podgladAPrzedmiot.jsp" %>
					</div>
					<div id="potwierdzenie" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<%@ include file="podgladAPotwierdzenie.jsp" %>
					</div>
					<div id="uprawnienia" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<%@ include file="podgladBUprawnienia.jsp" %>
					</div>
				</div>
			</stripes:form>
			
			<div class="alignCenter" style="padding-top: 10px;">
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaZlecenOsobyAction"
						class="button" event="lista">
					&laquo; Wróć do listy
				</stripes:link>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
