<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			liczba sztuk
		</label>
	</div>
	<div class="input">
		${actionBean.zlecenie.przedmiot.liczbaSztuk}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			informacje o doborze
		</label>
	</div>
	<div class="input">
		<span>
			${actionBean.zlecenie.przedmiot.infoDobor}
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj schorzenia
		</label>
	</div>
	<div class="input">
		${actionBean.zlecenie.icd10}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			zaopatrzenie
		</label>
	</div>
	<div class="input">
		<c:set var="wyswietlonoMiesiecy" value="0"/>
		<c:forEach items="${actionBean.zlecenie.wydaniaMiesiac}" var="zaMiesiac">${fn:toLowerCase(miesiaceMap[zaMiesiac.miesiac])}<c:set var="wyswietlonoMiesiecy" value="${wyswietlonoMiesiecy + 1}"/><c:if test="${wyswietlonoMiesiecy < fn:length(actionBean.zlecenie.wydaniaMiesiac)}">, </c:if></c:forEach>
	</div>
</div>
