<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nr ewidencyjny
		</label>
	</div>
	<div class="input">
		${actionBean.zlecenie.nrEwidencyjny}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			PESEL
		</label>
	</div>
	<div class="input">
		${actionBean.osoba.pesel}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr dokumentu
		</label>
	</div>
	<div class="input">
		${actionBean.zlecenie.nrDokumentu}
		<stripes:errors field="${poleWyrobMedyczny}.nrDokumentu"/>
	</div>
</div>

<!-- adres -->
<fieldset style="border-top: 1px solid #5F8DD3; border-bottom: 1px solid #5F8DD3;">
	<legend>
		Adres
	</legend>
	<c:set var="adres" value="${actionBean.adres}"/>
	<%@ include file="/jsp/templatePages/polaAdresuPodglad.jsp" %>
</fieldset>

<div class="row">
	<div class="label">
		<label>
			data wystawienia
		</label>
	</div>
	<div class="input">
		<fmt:formatDate value="${actionBean.zlecenie.dataWystawienia}" pattern="${DATE_PATTERN}" />
	</div>
</div>
