<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Potwierdzenie wydania zlecenia dla ${actionBean.osoba.nazwiskoImie}</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.PotwierdzenieWydaniaAction" id="wyborMedForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="szybkieWprowadzanie" value="1"/>
				<stripes:hidden name="zlecenie.id"/>
				<stripes:hidden name="zlecenie.numerEwidencyjny"/>
				<stripes:hidden name="zlecenie.osobaId"/>
				<fieldset>
					<legend>
						Dane potwierdzenia zlecenia
					</legend>
					
					<c:set var="poleWydanieWyrob" value="potwierdzenie"/>
					<%@ include file="/jsp/templatePages/polaZlecenieWydanieWyrob.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ListaZlecenBezPotwierdzeniaAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
