<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<%@ include file="realizacjaPodpowiedzHead.jsp" %>
		<script type="text/javascript">
			/*function showHideFaktura() {
				if($("#brakFaktury").attr("checked")) {
					$("#fakturaFieldset").hide();
				} else {
					$("#fakturaFieldset").show();
				}

				return 0;
			}
			
			$(document).ready(function() {
				showHideFaktura();
			});*/
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.faktury.RealizacjaWyrobowEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="realizacjaRecepty.id"/>
				<stripes:hidden name="realizacjaRecepty.ewidencjaDpsId"/>
				<stripes:hidden name="brakFaktury"/>
				<stripes:hidden name="zabronBrakRealizacji"/>
				<fieldset>
					<legend>
						Edycja realizacji wyrobów medycznych
					</legend>
			
					<c:set var="nazwaPolaRealizacjiRecepty" value="realizacjaRecepty"/>
					<%@ include file="/jsp/templatePages/polaRealizacjiRecept.jsp" %>
					
					<fieldset id="jmesaContainer">
						<legend>
							Wyroby
						</legend>
						<c:set var="niezrealizowaneCol" value="${true}"/>
						<%@ include file="listaWyrobowRozszerzona.jsp" %>
						
						<stripes:errors field="listaLekow"/>
						<stripes:submit name="wyborWyrobuSpozaListy" value="Wprowadź inny wyrób"/>
					</fieldset>
					
					<fieldset id="fakturaFieldset">
						<legend>
							Faktura
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									oznaczenie
								</label>
							</div>
							<div class="input">
								<stripes:select id="realizacjaFakturaSel" name="realizacjaRecepty.fakturaId" class="mySelect"
										onchange="submitFaktura();" style="width: 350px;">
									<stripes:option label="-- NOWA FAKTURA --" value=""/>
									<stripes:options-collection collection="${listaFaktur}" label="nr" value="id"/>
								</stripes:select>
							</div>
						</div>
						<c:if test="${empty actionBean.realizacjaRecepty.fakturaId}">
							<c:set var="nazwaPolaFaktura" value="faktura"/>
							<%@ include file="/jsp/templatePages/polaFaktury.jsp" %>
							
							<c:set var="nazwaPolaFaktura" value="faktura"/>
							<%@ include file="/jsp/templatePages/polaFakturyKwoty.jsp" %>
						</c:if>
						
						<stripes:submit id="powrotKrokFakturaSubmit" name="powrotKrokFaktura" style="display: none;"></stripes:submit>		
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaRealizacjiZlecenAction"
								event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
