<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="linki">
	<ttSec:secure roles="MED_R_WYROB_MEDYCZNY">
		<stripes:link id="lnkZlecenia" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaZlecenOsobyAction" event="lista">
			Lista zleceń
		</stripes:link>
	</ttSec:secure>
	<ttSec:secure roles="MED_R_REALIZACJA_WYROBOW_MED">
		<stripes:link id="lnkRealizacje" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaRealizacjiZlecenAction" event="lista">
			Realizacja
		</stripes:link>
	</ttSec:secure>
</div>
