<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZmian}" id="listaZmian" var="wywiad" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwiskoImie" title="Mieszkaniec" sortable="false">
				${wywiad.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typ" title="Typ wykrytych<br/>zmian danych" sortable="false" filterEditor="pl.topteam.dps.jmesa.view.editor.TypZmianyWywiadDropListFilterEditor">
				<c:forEach items="${wywiad.zmiany}" var="z" varStatus="i">
					${z.opis}
				</c:forEach>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.WywiadDispatcherAction" event="dispatch">
						<stripes:param name="mieszkaniec" value="${wywiad.osoba.id}"/>
						<img src="${root}/img/copy.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
