<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label for="${nazwaPolaAdresu}.kodPocztowy">
			poczta
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaAdresu}.adresPocztowy.kodPocztowy" class="kodPocztowy" style="width: 4em;" title="Kod pocztowy"/>
		<stripes:text name="${nazwaPolaAdresu}.adresPocztowy.miejscowosc" class="textValidationFCapitalize" style="width: 17em;" title="Miejscowość (poczta)"/>
		<stripes:errors field="${nazwaPolaAdresu}.adresPocztowy.kodPocztowy"/>
		<stripes:errors field="${nazwaPolaAdresu}.adresPocztowy.miejscowosc"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="ulica">
			ulica, nr domu, nr lokalu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaAdresu}.adresPocztowy.ulica" style="width: 13em;" title="Ulica"/>
		<stripes:text name="${nazwaPolaAdresu}.adresPocztowy.nrDomu" style="width: 4em;" title="Numer domu"/>
		<stripes:text name="${nazwaPolaAdresu}.adresPocztowy.nrMieszkania" style="width: 3em;" title="Numer mieszkania"/>
		<stripes:errors field="${nazwaPolaAdresu}.adresPocztowy.ulica"/>
		<stripes:errors field="${nazwaPolaAdresu}.adresPocztowy.nrDomu"/>
		<stripes:errors field="${nazwaPolaAdresu}.adresPocztowy.nrMieszkania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr tel./nr tel. najbl. rodziny
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaAdresu}.telefon" title="Telefon"/>
		<stripes:text name="${nazwaPolaAdresu}.telefonRodziny" title="Telefon najbliższej rodziny"/>
		<stripes:errors field="${nazwaPolaAdresu}.telefon"/>
		<stripes:errors field="${nazwaPolaAdresu}.telefonRodziny"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kod terytorialny
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaAdresu}.kodTerytorialny" title="Kod terytorialny"/>
		<stripes:errors field="${nazwaPolaAdresu}.kodTerytorialny"/>
	</div>
</div>
