<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkZapomogBiez");
				});
			</script>
			
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<c:forEach items="${actionBean.lataZapomog}" var="rokZapomogi" varStatus="i">
						<c:set var="__kwota_zapomogi_ostrzezenie" value="${actionBean.mapaParametrow[rokZapomogi]}"/>
						<c:set var="listaZapomog" value="${actionBean.mapaZapomog[rokZapomogi]}"/>
	
						<fieldset>
							<legend align="center">
								${rokZapomogi}
							</legend>

							<%@ include file="listaFiltr.jsp" %>
						</fieldset>
					</c:forEach>
				</div>
				<ttSec:secure roles="SOC_C_ZAPOMOGA">
					<div class="listFooterText">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.zapomoga.ZapomogaAction" event="dodaj">
							Dodaj nową zapomogę		
						</stripes:link>
					</div>
				</ttSec:secure>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>