<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>Funkcje globalne</legend>
	<ul class="clickWordList">
		<c:set var="znalezionoRozdzielnik" value="${false}"/>
		<c:forEach items="${mapaZmiennychWydruku['zmienneGlobalne']}" var="zmienna">
			<%-- funkcje występują po zmiennej określonej jako ROZDZIELACZ --%>
			<c:choose>
				<c:when test="${!znalezionoRozdzielnik}">
					<c:if test="${zmienna.nazwa == 'ROZDZIELACZ'}">
						<c:set var="znalezionoRozdzielnik" value="${true}"/>
					</c:if>
				</c:when>
				<c:otherwise>
					<li title="${zmienna.opis}">
						${fn:substringBefore(zmienna.opis, "-")}
					</li>
				</c:otherwise>
			</c:choose>
		</c:forEach>
	</ul>
</fieldset>
