<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>Zmienne globalne</legend>
	<ul class="clickWordList">
		<c:set var="znalezionoRozdzielnik" value="${false}"/>

		<c:forEach items="${mapaZmiennychWydruku['zmienneGlobalne']}" var="zmienna">
			<%-- zmienne występują do zmiennej określonej jako ROZDZIELACZ --%>
			<c:if test="${!znalezionoRozdzielnik}">
				<c:choose>
					<c:when test="${zmienna.nazwa != 'ROZDZIELACZ'}">
						<c:choose>
							<c:when test="${not empty zmienna.id}">
								<c:forEach items="${mapaZmiennychWydruku[zmienna.id]}" var="pole">
									<li title="&#36;&#123;${zmienna.nazwa}.${pole.nazwa}&#125; - ${pole.opis}">
										&#36;&#123;${zmienna.nazwa}.${pole.nazwa}&#125;<c:if test="${stripes:enumName(pole.miejsceUzycia) == 'TYLKO_BLOK'}">(zmienna blokowa)</c:if>
									</li>
								</c:forEach>
							</c:when>
							<c:otherwise>
								<li title="&#36;&#123;${zmienna.nazwa}&#125; - ${zmienna.opis}">
									&#36;&#123;${zmienna.nazwa}&#125;
								</li>
							</c:otherwise>
						</c:choose>
					</c:when>
					<c:when test="${zmienna.nazwa == 'ROZDZIELACZ'}">
						<c:set var="znalezionoRozdzielnik" value="${true}"/>
					</c:when>
				</c:choose>
			</c:if>
		</c:forEach>
	</ul>
</fieldset>
