<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:forEach items="${listaZmiennych}" var="zmienna">
	<c:choose>
		<c:when test="${empty zmienna.id}">
			<li title="&#36;&#123;${zmienna.nazwaZmiennej}&#125; - ${zmienna.opis}">
				&#36;&#123;${zmienna.nazwaZmiennej}&#125;
			</li>
		</c:when>
		<c:otherwise>
		   	<div style="margin: 7px 0 3px 0; font-weight: bold; color: #006699;">
		   		${zmienna.opis}<c:if test="${stripes:enumName(zmienna.miejsceUzycia) == 'TYLKO_BLOK'}"> (zmienna blokowa; i - kolejny numer)</c:if>
		   	</div>
			<c:forEach items="${mapaZmiennychWydruku[zmienna.id]}" var="pole">
				<c:choose>
					<c:when test="${stripes:enumName(zmienna.miejsceUzycia) == 'TYLKO_BLOK'}">
						<li title="&#36;&#123;${zmienna.nazwaZmiennej}[i].${pole.nazwa}&#125; - ${pole.opis}">
							&#36;&#123;${zmienna.nazwaZmiennej}[i].${pole.nazwa}&#125;
						</li>
					</c:when>
					<c:otherwise>
						<li title="&#36;&#123;${zmienna.nazwaZmiennej}.${pole.nazwa}&#125; - ${pole.opis}">
							&#36;&#123;${zmienna.nazwaZmiennej}.${pole.nazwa}&#125;<c:if test="${stripes:enumName(pole.miejsceUzycia) == 'TYLKO_BLOK'}">(zmienna blokowa)</c:if>
						</li>
					</c:otherwise>
				</c:choose>
			</c:forEach>
		</c:otherwise>
	</c:choose>
</c:forEach>
