SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	SUM(ws.KWOTA)
FROM WPLATA w
	JOIN WPLATA_SKLADNIK ws ON w.ID = ws.WPLATA_ID
		AND (
				(YEAR(w.DATA_WPLATY) = ${rokOd?string("0")} AND MONTH(w.DATA_WPLATY) > ${miesiacOd?string("0")})
			OR
				YEAR(w.DATA_WPLATY) > ${rokOd?string("0")}
		)
		AND (
				(YEAR(w.DATA_WPLATY) = ${rokDo?string("0")} AND MONTH(w.DATA_WPLATY) <= ${miesiacDo?string("0")})
			OR
				YEAR(w.DATA_WPLATY) < ${rokDo?string("0")}
		)
	JOIN ZADLUZENIE_POZYCJA zp ON ws.ZADLUZENIE_POZYCJA_ID = zp.ID
	JOIN ZADLUZENIE z ON zp.ZADLUZENIE_ID = z.ID
	JOIN OSOBA m ON m.ID = z.OSOBA_ID
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID
GROUP BY z.OSOBA_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID
ORDER BY 1, 2
