SELECT
			CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zwmp.OSOBA_ID IS NOT NULL
			THEN CONCAT(os.NAZWISKO, ' ', os.IMIE)
			ELSE i.NAZWA
			END
		) as PLATNIK,
	(CASE X
			WHEN 1 THEN '1Saldo początkowe'
			WHEN 2 THEN '2Saldo początkowe'
			WHEN 3 THEN '3'
			WHEN 4 THEN '4'
			WHEN 5 THEN '5'
			WHEN 6 THEN '6'
			WHEN 7 THEN '7Saldo końcowe'
			WHEN 8 THEN '8Saldo końcowe'
		END) as OPIS,
	(CASE X
			WHEN 1 THEN 'Winien'
			WHEN 2 THEN 'Ma'
			WHEN 3 THEN 'Przypisy'
			WHEN 4 THEN 'Odpisy'
			WHEN 5 THEN 'Wpłaty'
			WHEN 6 THEN 'Zwroty'
			WHEN 7 THEN 'Winien'
			WHEN 8 THEN 'Ma'
		END) as OPIS2,
	(CASE X
			WHEN 1 THEN COALESCE(zwmppop.KWOTA_WINIEN_SK, 0.0)
			WHEN 2 THEN COALESCE(zwmppop.KWOTA_MA_SK, 0.0)
			WHEN 3 THEN zwmp.KWOTA_PRZYPISY
			WHEN 4 THEN zwmp.KWOTA_ODPISY
			WHEN 5 THEN zwmp.KWOTA_WPLATY
			WHEN 6 THEN zwmp.KWOTA_ZWROTY
			WHEN 7 THEN zwmp.KWOTA_WINIEN_SK
			WHEN 8 THEN zwmp.KWOTA_MA_SK
		END) as KWOTA
	FROM ZESTAWIENIE_WINIEN_MA zwm
	JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmp ON zwm.ID = zwmp.ZESTAWIENIE_ID
		AND zwm.ID = 2
	JOIN OSOBA m ON zwmp.MIESZKANIEC_ID = m.ID
	JOIN SYSTEM_RANGE(1, 8)
	LEFT OUTER JOIN OSOBA os ON zwmp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zwmp.INSTYTUCJA_ID = i.ID
	LEFT OUTER JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmppop ON zwmp.POPRZEDNIA_POZYCJA_ID = zwmppop.ID
ORDER BY m.NAZWISKO, m.IMIE, i.NAZWA, os.NAZWISKO, os.IMIE, X
