SELECT
	os.NAZWISKO, os.IMIE,
	l.NAZWA,
	(SELECT bp.NAZWA
		FROM BAZYL_PRODUCENT bp
			JOIN BAZYL_LEK_POSTAC blp ON bp.ID = blp.PRODUCENT_ID
				AND blp.KOD_BAZYL = lp.KOD_BAZYL
	) as PRODUCENT,
	l.DAWKA,
	lp.OPAKOWANIE_OPIS_BAZYL, SUM(lr.LICZBA_OPAKOWAN) as L_OPAKOWAN
FROM UMOWA_KWOTA uk
	JOIN FAKTURA f ON uk.ID = f.UMOWA_APTEKA_KWOTA_ID
		AND uk.UMOWA_ID = ${idUmowyZApteka}
	JOIN REALIZACJA_RECEPTA rr ON f.ID = rr.FAKTURA_ID
	JOIN EWIDENCJA_DPS ewDps ON rr.EWIDENCJA_DPS_ID = ewDps.ID
	JOIN OSOBA os ON ewDps.OSOBA_ID = os.ID
	JOIN LEK_REALIZACJA lr ON lr.REALIZACJA_RECEPTA_ID = rr.ID
	JOIN LEK_POSTAC lp ON lr.KOD_BAZYL = lp.KOD_BAZYL
	JOIN LEK l ON lp.LEK_ID = l.ID
GROUP BY os.ID, l.ID, lp.KOD_BAZYL
ORDER BY os.NAZWISKO, os.IMIE, l.NAZWA
