
// APPLICATION LEVEL MODULE
var ttDPS = angular.module("ttDPS", ["ui", "ngGrid", "infinite-scroll", "tt", "ttUI", "ttF", "ttD", "ttV", "ttDPSS"]);

// konfiguracja domyślna komponentów ui
ttDPS
	.value('dps.config', {
		DATA_LOADING_STATE : {UNDEFINED : 0, LOADING : 1, LOADED : 2, ERROR : 3}
	})
	.value('ui.config', {
		date : {
			showOn			: "both",
			buttonImage		: root+"/img/calendar.gif",
			yearRange		: '-85y:+15y',
			buttonImageOnly	: true,
			dateFormat		: 'yy-mm-dd'
		}
	})
	.config(['$httpProvider', function($httpProvider) {
		// load image interceptor
		var interceptor = ['$q', function($q) {
				return function(promise) {
					pokazLoadImage();
		
					return promise.then(
						function(response) {
							ukryjLoadImage();
			
							return response;
						},
						function(response) {
							ukryjLoadImage();
							
							// reject the reponse so that angular isn't waiting for a response
							return $q.reject(response);
						});
				};
			}];
		
		$httpProvider.responseInterceptors.push(interceptor);
	}])
	.run(["$templateCache", function($templateCache) {
		// TODO ng-grid modified templates (wyjąć z angular-ng-grid.js)
	}])
	;
window.ngGrid.i18n['pl'] = {
		ngAggregateLabel: 'items',
	    ngGroupPanelDescription: 'Drag a column header here and drop it to group by that column.',
	    ngSearchPlaceHolder: 'Search...',
	    ngMenuText: 'Choose Columns:',
	    ngShowingItemsLabel: 'Showing Items:',
	    ngTotalItemsLabel: 'Wszystkich:', // 'Wszystkich rekordów'
	    ngSelectedItemsLabel: 'Selected Items:',
	    ngPageSizeLabel: '', // 'Na stronie:'
	    ngPagerFirstTitle: 'Pierwsza',
	    ngPagerNextTitle: 'Następna',
	    ngPagerPrevTitle: 'Poprzednia',
	    ngPagerLastTitle: 'Ostatnia'
	};
