// kolekcja filtrów
ttF
	.filter("contains", function() {
		return function (list, value) {
			return _.contains(list, value);
		};
	})
	.filter("filterByResult", function () {
	    return function (list, property) {
	        return _.tt.filterByResult(list, property);
	    };
	})
	.filter("pluckResult", function() {
		return function (list, property) {
			return _.tt.pluckResult(list, property);
		};
	})
	.filter("reduceSum", function() {
		return function (list) {
			return _.tt.reduceSum(list);
		};
	})
	.filter("iban", function () {
		return function (iban) {
			if (!iban) {
				return '';
			}
			
			var value = iban.toString().trim().replace(/\D/, '');
			if (!value.match(/[0-9]{26}/)) {
				return iban;
			}
			
			return formatIban(iban);
		};
	})
	.filter("miesiacText", function() {
		return function (miesiac) {
			switch(miesiac) {
				case 1: return 'styczeń';
				case 2: return 'luty';
				case 3: return 'marzec';
				case 4: return 'kwiecień';
				case 5: return 'maj';
				case 6: return 'czerwiec';
				case 7: return 'lipiec';
				case 8: return 'sierpień';
				case 9: return 'wrzesień';
				case 10: return 'październik';
				case 11: return 'listopad';
				case 12: return 'grudzień';
			}
			
			return '';
		};
	})
	;
