/* Polish initialisation for the jQuery UI date picker plugin. */
/* Written by Jacek Wysocki (jacek.wysocki@gmail.com). */
jQuery(function($){
	$.datepicker.regional['pl'] = {
		changeMonth: true,
		changeYear: true,
		closeText: 'Zamknij',
		closeStatus: 'Zamknij bez zapisywania',
		prevText: 'Poprzedni miesiąc',
		prevStatus: 'Pokaż poprzedni miesiąc',
		prevBigText: 'Poprzedni miesiąc',
		prevBigStatus: '',
		nextText: 'Następny miesiąc',
		nextStatus: 'Pokaż następny miesiąc',
		nextBigText: 'Następny miesiąc',
		nextBigStatus: '',
		currentText: 'Dziś',
		currentStatus: 'Pokaż aktualny miesiąc',
		monthNames: ['Styczeń','Luty','Marzec','Kwiecień','Maj','Czerwiec', 'Lipiec','Sierpień','Wrzesień','Październik','Listopad','Grudzień'],
		monthNamesShort: ['Styczeń','Luty','Marzec','Kwiecień','Maj','Czerwiec', 'Lipiec','Sierpień','Wrzesień','Październik','Listopad','Grudzień'],
		monthStatus: 'Pokaż inny miesiąc',
		yearStatus: 'Pokaż inny rok',
		weekHeader: 'Tydz',
		weekStatus: 'Tydzień roku',
		dayNames: ['Niedziela','Poniedzialek','Wtorek','Środa','Czwartek','Piątek','Sobota'],
		dayNamesShort: ['Nie','Pn','Wt','Śr','Czw','Pt','So'],
		dayNamesMin: ['N','Pn','Wt','Śr','Cz','Pt','So'],
		dayStatus: 'Ustaw DD jako pierwszy dzień tygodnia',
		dateStatus: 'Wybierz D, M d',
		dateFormat: 'yy-mm-dd',
		firstDay: 1,
		initStatus: 'Wybierz datę',
		isRTL: false
	};

	$.datepicker.setDefaults($.datepicker.regional['pl']);
});
