function layoutFormField(_container) {
	var $container = null;
	
	if(_container == null) {
		$container = $(document);
	}
	else if(_container instanceof jQuery) {
		$container = _container;
	}
	else {
		$container = $(_container);
	}
	datePick($container);
	
	// poprawne wyświetlanie adresów polskich/zagranicznych
	$container.find('.panstwo').each( function(i) {
		poprawWidokAdresu($(this));
	});
	
	$container.find(".doublePrecision.nChkb:not('.required')").each(function() {$(this).doublePrecisionNRNChkb();});
	$container.find(".doublePrecision:not('.required'):not('.nChkb')").each(function() {$(this).doublePrecisionNR();});
	$container.find(".doublePrecision.required").each(function() {$(this).doublePrecision();});

	$container.find(".tetraPrecision.required").each(function() {$(this).tetraPrecision();});

	$container.find(".numberInteger.nChkb:not('.required')").each(function() {$(this).numberIntegerNRNChkb();});
	$container.find(".numberInteger:not('.required'):not('.nChkb')").each(function() {$(this).numberIntegerNR();});
	$container.find(".numberInteger.required").each(function() {$(this).numberInteger();});

	$container.find(".kwota.nChkb:not('.required')").each(function() {$(this).kwotaNRNChkb();});
	$container.find(".kwota:not('.required'):not('.nChkb')").each(function() {$(this).kwotaNR();});
	$container.find(".kwota.required").each(function() {$(this).kwota();});
	
	$container.find(".pesel").each(function() {$(this).pesel();});
	$container.find(".nip").each(function() {$(this).nip();});
	$container.find(".regon").each(function() {$(this).regon();});
	$container.find(".iban").each(function() {$(this).iban();});

	$container.find(".kodPocztowy").each(function() {$(this).kodPocztPodp();});
	$container.find(".kodPocztPodp").each(function() {$(this).kodPocztPodp();});
	
	$container.find(".rok").each(function() {$(this).rok();});

	$container.find("[disabled]").addClass("disabled");
	
	$container.find(".mySelect[disabled]").addClass("readOnly");
	$container.find("[readonly]").addClass("readOnly");
	
	$container.find(".mySelect").not("[readonly]").each(function() {$(this).mySelect();});
	$container.find(".mySelect.readOnly").each(function() {$(this).readOnlyMySelect();});
	
	$container.find("[type='submit']").addClass("button");
	$container.find("[type='button']").addClass("button");
	// placeholder dla inputów
	$container.find(".placeholder").not("[readonly]").each(function() {$(this).placeholder();});
	
	$container.find(".textValidationFCapitalize").each(function() {
		$(this).myTextValidation({
			backgroudErrColor : 'tomato',
			capitalize : 'first'
		});
	});
	$container.find(".textACapitalize").each(function() {
		$(this).myTextValidation({
			backgroudErrColor : 'tomato',
			capitalize : 'all',
			matchRegex : ''
		});
	});
}

$(document).ready(function() {
	$(".jclock").jclock({
		format: '%A, %d %B %Y, %H:%M',
		timeout: 20000
	});
	$(".blink").blink({
		delay: 800
	});
	
	layoutFormField();
	
	// zapobiega podwójnemu wysyłaniu formularza
	$(":submit").not("[aa-refresh-zones]").click(function() {
			// jeśli kliknięto na submit z oczekiwanianiem na wynik
			if(! $(this).is('.noLoadImage')) {
				// zablokuj wszystkie submity z danej strony
				$(":submit").click(function() {
					return false;
				});
			}
			
			return true;
		});
});
