function mycallbackform(v, m, f) {
	var elmName = v;
	var adresId = f.adresy;

	if(elmName != false && adresId != undefined) {
		// f.adresy - id wybranego adresu
		$.post(_AdresActionURL,
			{
				'pobierzAdres' : 1,
				'adresId' : adresId,
				'_sourcePage' : $("input[name='_sourcePage']").val(),
				'__fp' : $("input[name='__fp']").val()
			},
			function(data, textStatus, xhr) {
				pokazLoadImage();
				
				if(xhr.getResponseHeader("Ajax-Success")) {
				//czyszczenie pól adresowych z pozostałości
					$("input[name^='" + elmName + "']")
							.not("[name$='id']")
							.not("[name$='panstwo']")
							.not("[name$='typ']")
							.each(function() {
						$(this).val("");
					});
					// domyślnie ustawiam na Polska
					$("select[name='" + elmName + ".panstwo']").val("500");
					$("select[name='" + elmName + ".panstwo']").trigger('change');
					// wojewodztwo ustawian na 'brak danych'
					$("select[name='" + elmName + ".wojewodztwo']").val("0");
					$("select[name='" + elmName + ".wojewodztwo']").trigger('change');
					
				// uzupełnianie pól adresowych
				
					var jsonData = jQuery.parseJSON(data);
					
					// ulica(o ile jest)
					if(jsonData.ulicaId != null) {
						$("input[name='" + elmName + ".ulica']").val(jsonData.ulica.nazwa.str);
					}
					// miejscowość
					$("input[name='" + elmName + ".miejscowosc']").val(jsonData.miejscowosc.nazwa.str);
					// kod pocztowy
					$("input[name='" + elmName + ".kodPocztowy']").val(jsonData.kodPocztowy.kodPocztowy.str);
					// województwo
					var wojewodztwo = 'BRAK_DANYCH';
					switch(jsonData.wojewodztwoId) {
						case 1 : wojewodztwo = 'DOLNOSL'; break;
						case 2 : wojewodztwo = 'KUJ_POM'; break;
						case 3 : wojewodztwo = 'LUBELSKIE'; break;
						case 4 : wojewodztwo = 'LUBUSKIE'; break;
						case 5 : wojewodztwo = 'LODZ'; break;
						case 6 : wojewodztwo = 'MALOPOL'; break;
						case 7 : wojewodztwo = 'MAZOW'; break;
						case 8 : wojewodztwo = 'OPOLSKIE'; break;
						case 9 : wojewodztwo = 'PODKARP'; break;
						case 10 : wojewodztwo = 'PODLAS'; break;
						case 11 : wojewodztwo = 'POMORS'; break;
						case 12 : wojewodztwo = 'SLASK'; break;
						case 13 : wojewodztwo = 'SWIETOK'; break;
						case 14 : wojewodztwo = 'WARM_MAZ'; break;
						case 15 : wojewodztwo = 'WIELKOP'; break;
						case 16 : wojewodztwo = 'ZACH_POM'; break;
						default : wojewodztwo = 'BRAK_DANYCH';
					};
					$("select[name='" + elmName + ".wojewodztwo']").val(wojewodztwo);
					$("select[name='" + elmName + ".wojewodztwo']").trigger("change");
					// powiat
					$("input[name='" + elmName + ".powiat']").val(jsonData.powiat.nazwa.str);
					// gmina
					$("input[name='" + elmName + ".gmina']").val(jsonData.gmina.nazwa.str);
					
					// ustawianie focusu na numer domu (bo jest wymagany)
					$("input[name='" + elmName + ".nrDomu']").focus();
					
					ukryjLoadImage();
				} else {
					ukryjLoadImage();
					$("#" + elmName + "Message").html(data);
				}
			}, "text"
		);
	} else {
		ukryjLoadImage();

		if(v != false) {
			var htmlNowyRekord = "<div style='color: tomato;'>Z listy nie został wybrany żaden adres, czy chcesz spróbować ponownie?</div>";
			$.prompt(htmlNowyRekord,
				{
					callback: mycallbackfunc,
					buttons: {
						Nie: false,
						Tak: elmName
					},
					focus: 1
				}
			);
		} else {
			return false;
		}
	}
}

function mycallbackfunc(v, m, f) {
	ukryjLoadImage();
	
    if(v != false) {
    	adres(v);
    } else {
    	return false;
    }
}

function adres(elmName) {
	// czyszczenie komunikatów z poprzedniego requesta 
	$("#" + elmName + "Message").html("");

	var pna = $("input[name='adresPodp_" + elmName + "']").val();
	if(pna != null && pna.length == 6) {
		pokazLoadImage();

		$.post(_AdresActionURL,
			{
				'lista' : 1,
				'kodPocztowy' : pna,
				'_sourcePage' : $("input[name='_sourcePage']").val(),
				'__fp' : $("input[name='__fp']").val()
			},
			function(data, textStatus, xhr) {
				ukryjLoadImage();
				
				if(xhr.getResponseHeader("Ajax-Success")) {
					//czyszczenie pola do wpisywania kodu
					$("input[name='adresPodp_" + elmName + "']").val("");
					
					// poprawnie wykonano request
					var liczbaRekordow = xhr.getResponseHeader("Ajax-Result-Size");
					
					if(liczbaRekordow == 0) {
						$.prompt(data,
							{
								buttons: {
									Ok: false
								}
							}
						);
					} else {
						$.prompt(data,
							{
								callback: mycallbackform,
								buttons: {
									Anuluj: false, 
									Ok: elmName
								},
								focus: 1,
								submit: function(v,m){
									pokazLoadImage();
								}
							}
						);
					}
				} else {
					// wystąpił błąd - info tekstowe w odpowiedzi
					$.prompt(data,
						{
							buttons: {
								Ok: false
							}
						}
					);
				}
			}, "text"
		);
	};
}
