/**
 * Po podaniu parametrów wejściowych (nazwy pola gdzie jest data wydania decyzji
 * i pola gdzie zapisane jest na jakich zasadach wydana jest decyzja.
 * Skrypt łączy się z serwerem oraz ustawia odpowiednie zasady dla wskazanej
 * daty decyzji.
 *
 * Funkcję należy ustawiać jako onchange na polu daty wydania decyzji kierującej
 */
function wybierzZasadyDlaDecyzji(poleDataWydania, poleWyboruZasad) {
	$.post(_ZasadyWydaniaDecyzjiKierujacejActionURL,
		{
			"dataWydania" : $("input[name='" + poleDataWydania + "']").val()
		},
		function(data, textStatus, xhr) {
			if(xhr.getResponseHeader('Ajax-Success')) {
				var jsonObj = jQuery.parseJSON(data);

				$("select[name='" + poleWyboruZasad + "']").val(jsonObj.zasadyWydania);	
			}
		}, "text"
	 );
}
