 function pesel(pesel, idDataUrodzenia, idPlec) {
 	return pesel(pesel, idDataUrodzenia, idPlec, null);
 }
 
 function pesel(pesel, idDataUrodzenia) {
 	return pesel(pesel, idDataUrodzenia, null, null);
 }
 
/*
 * docRoot - context path dla programu gdzie używamy skrytpu (na JSPach będzie to: ${pageContext.request.contextPath})
 *
 *
 * PRZYKŁAD WYŚWIETLANIA BŁĘDÓW:
 * błędy wyświetlamy na formatce np. w poniższy sposób
 * (jest to standadowe ustawienie wyświetalnia błędów Stripes w pliku StripesResources.properties):
 	
 	<div style="text-align: left; display: none;" id="errorsPeselDiv">
	 	<div class="bladlokalny">
			<img src="img/error.gif">
			<span id="errorsPesel"></span>
		</div>
	</div>
	
 * jako bladId podajemy wtedy 'errorsPesel'
 */
function pesel(pesel, idDataUrodzenia, idPlec, bladId) {
	var objPlec = null;
	if(idPlec != '') {
		objPlec = $("#" + idPlec);
	}
	var objDataUrodzenia = $("#" + idDataUrodzenia);

	if(pesel == null || pesel == "" || pesel.length != 11) {
		return;
	}
	
	//uzupelnianie danych nowo utworzonego świadczenia
	$.post(_PeselActionURL,
		{
			"pesel" : pesel
		},
		function(data, textStatus, xhr) {
			if(xhr.getResponseHeader('Ajax-Success')) {
				var jsonObj = jQuery.parseJSON(data);

				objDataUrodzenia.val(jsonObj.dataUrodznia);
				if(objPlec != null) {
					objPlec.val(jsonObj.plec);
				}
				objPlec.change();
				
				if (bladId != null) {
					$("#" + bladId + "Div").css("display", "none");
					$("#" + bladId).html("");
				}
			} else if (bladId != null) {
				$("#" + bladId + "Div").css("display", "block");
				$("#" + bladId).html(data);
			}
	 	}, "text"
	 );
}