function wybierzSC(plec, stan) {
	// porpawka na IE
	if(!Array.indexOf){
	    Array.prototype.indexOf = function(obj) {
	        for(var i = 0; i < this.length; i++){
	            if(this[i] == obj){
	                return i;
	            }
	        }
	        
	        return -1;
	    };
	}
	
	// input, w którym przechowywane info o wybranym stanie cywilnym sa dane wyboru selecta
	var $stanInput = $('#_' + stan);
	// select, z którego użytkownik wybiera stan cywilny
	var $stanSelect = $("#" + stan);
	
	// wybrana płeć
	var plecValue = $('#' + plec).val();
	// lista opcji
	var lista = new Array();
	if(plecValue != '') {
		$.getJSON(_StanCywilnyActionURL, {
				'lista': '',
				'plec' : plecValue,
				'_sourcePage' : $("input[name='_sourcePage']").val(),
				'__fp' : $("input[name='__fp']").val()
			},
			function(dane) {
				$stanSelect.empty();
				$stanSelect.append("<option value=''>--- wybierz ---</option>");
				
				for(i in dane) {
					htmlOption = "<option value='" + dane[i].id + "'>" + dane[i].wartString + "</option>";
					$stanSelect.append(htmlOption);
					lista.push(dane[i].id);
				}
				if ($stanInput.val() != '') {
					$stanSelect.val($stanInput.val());
				}
				if (lista.indexOf(parseInt($stanInput.val())) == -1) {
					$stanInput.val('');
					$stanSelect.val('');
					ustawSC(plec, stan);
				}
			});
	} else {
		htmlOption = "<option value=''>--- zaznacz płeć ---</option>";
 		$stanSelect.empty();
 		$stanInput.val('');
 		$stanSelect.append(htmlOption);
	}
	
	return 0;
}

function ustawSC(polePrzedrostek, val) {
	var $pole = $("#_stan" + polePrzedrostek);
	
	if(val != '') {
		$pole.val(val);
	} else {
		$pole.val('');
	}
	
	return 0;
}
