/**
*
*  Javascript trim, ltrim, rtrim
*  http://www.webtoolkit.info/
*
*
**/

function ltrim(str, chars) {
    chars = chars || "\\s";
    return str != null ? str.replace(new RegExp("^[" + chars + "]+", "g"), "") : null;
}

function rtrim(str, chars) {
    chars = chars || "\\s";
    return str != null ? str.replace(new RegExp("[" + chars + "]+$", "g"), "") : null;
}

function trim(str) {
	return trimChar(str, ' ');
}

function trimChar(str, chars) {
    return ltrim(rtrim(str, chars), chars);
}

function startsWith(str, prefix) {
    return str.indexOf(prefix) == 0;
}

function endsWith(str, suffix) {
    return str.match(suffix + "$") == suffix;
}
