<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneListaURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				// pomoc - zmienne wydruku
				$("input[name='pomocZmienne']").bind("click", function() {
					window.open('${_zmienneListaURL}&typAutonumeracji=' + $("input[name='autonumer.typ']").val(), 'pomoc_zmienne', 'left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1');
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Edycja formatu autonumeracji (${actionBean.autonumer.typ.opis})</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.autonumeracja.AutonumeracjaAction" style="min-width: 600px;">
				<stripes:hidden name="autonumer.typ"/>
	
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:button name="pomocZmienne" class="noLoadImage" onclick="" value="Pomoc - zmienne"/>
				<fieldset>
					<%@ include file="/jsp/templatePages/polaAutonumer.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.system.autonumeracja.ListaAutonumeracjiAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
