<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaArchiwizacji}" id="listaArchiwizacji" var="archiwizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rodzaj_bazy_danych" title="Baza<br/>danych" styleClass="daneWyroznione" filterEditor="pl.topteam.dps.jmesa.view.editor.RodzajBazyDanychDropListFilterEditor">
				${archiwizacja.rodzajBazyDanych.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="rodzaj_operacji" title="Rodzaj operacji" styleClass="daneWyroznione" filterEditor="pl.topteam.dps.jmesa.view.editor.RodzajOperacjiArchiwizacjiDropListFilterEditor">
				${archiwizacja.rodzajOperacji.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_przeprowadzenia" title="Data operacji" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${archiwizacja.dataPrzeprowadzenia}" pattern="${TIMESTAMP_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pracownik_id" title="Pracownik" filterEditor="pl.topteam.dps.model.jmesaSupport.PracownikDropList">
				${archiwizacja.pracownik.nazwiskoImie}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
