<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fmt:setLocale value="pl_PL"/>

<script type="text/javascript">
	var root = "${root}";
	var glJednostkaMonetarna = "${GL_JEDNOSTKA_MONETARNA}";
</script>
<c:choose>
	<c:when test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
		<script type="text/javascript">
			var WERSJA_TT_DEVELOPER = true;
		</script>
	</c:when>
	<c:otherwise>
		<script type="text/javascript">
			var WERSJA_TT_DEVELOPER = false;
		</script>
	</c:otherwise>
</c:choose>

<%@ include file="mainJQuery.jsp" %>
<%@ include file="mainJQueryUI.jsp" %>

<link rel="stylesheet" type="text/css" href="${root}/css/ui/jquery-ui-1.8.custom.css" />
