<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/loginLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h1>Brak uprawnień użytkownika!</h1>
		<div class="formContainer" style="text-align: center;">
			<c:catch var="e">
				<c:choose>
					<c:when test="${not empty __dps_secure_annotation}">
						Nie posiadasz jednego z poniższych uprawnień by móc wykonać tę czynność:
						<ol>
							<c:forEach items="${__dps_secure_annotation}" var="uprawnienie">
								<li>
									${uprawnienie.opis} (${uprawnienie.typUprawnienia.grupaUprawnien.przedrostek}${uprawnienie})
								</li>
							</c:forEach>
						</ol>
						Poproś administratora systemu w celu jego nadania (być może nie zakupiono licencji na korzystanie z tej akcji).
						<br/><br/>
					</c:when>
					<c:otherwise>
						Nie masz uprawnień do wykonania tej czynności !<br/><br/>
					</c:otherwise>
				</c:choose>
			</c:catch>
			<c:if test="${not empty e}">
				Nie masz uprawnień do wykonania tej czynności !<br/><br/>
			</c:if>
			<stripes:link class="button" beanclass="pl.topteam.dps.action.IndexAction" event="index">
				Wróć
			</stripes:link>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</stripes:layout-component>
</stripes:layout-render>
