<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Wprowadzanie pokoju do ewidencji</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.PokojAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors field="dpsJednostkaPokoj"></stripes:errors>
				<fieldset>
					<c:set var="polePokoj" value="dpsJednostkaPokoj"/>
					<%@ include file="/jsp/templatePages/polaDpsJednostkaPokoj.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.ListaPokoiAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>