<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function submitForm(id) {
				if(confirmation("Czy na pewno chcesz usunąć pokój ?")) {
					$('<input type="hidden" name="usunPokoj" value="1"/>').appendTo("#krok2Form");
					$('<input type="hidden" name="nrPokoju" value="' + id + '"/>').appendTo("#krok2Form");
					$("#krok2Form").submit();
				}
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Wprowadzanie pokoi do ewidencji (krok 2)</h3>
		<div class="formContainer">
			<stripes:form id="krok2Form" beanclass="pl.topteam.dps.action.system.dpsJednostka.PokojZakresAction" style="width: 450px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<c:forEach items="${actionBean.listaPokoi}" var="pokoj" varStatus="i">
						<c:set var="polePokoj" value="listaPokoi[${i.count - 1}]"/>

						<fieldset>
							<stripes:errors field="${polePokoj}"/>
							<legend>
								Pokój&nbsp;
								<a class="cursorPointer" onclick="javascript: submitForm(${i.count - 1});">
									<img src="${root}/img/delete.gif" alt="Usuń pokój"/>
								</a>
							</legend>

							<%@ include file="/jsp/templatePages/polaDpsJednostkaPokoj.jsp" %>
						</fieldset>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.ListaPokoiAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="powrotKrok1" value="« Poprzedni krok"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>