<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>

<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
<style type="text/css">
	table.profileTab {
		margin-left: auto;
		margin-right: auto;
	}
</style>

<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
<script type="text/javascript" src="${root}/js/utils/disabled.js"></script>
<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
<script type="text/javascript">
	// pokazywanie/ukrywanie wypełniania liczby miejsc
	function liczbaMiejsc(profil) {
		// jeżeli wybrano wpisywanie ogólnej liczby mieszkańców
		if($("#lmCheck"+profil).attr("checked")) {
			disableElem($("#lmKob"+profil));
			disableElem($("#lmMez"+profil));
			
			enableElem($("#lmOg"+profil));
		} else {
			enableElem($("#lmKob"+profil));
			enableElem($("#lmMez"+profil));
			
			disableElem($("#lmOg"+profil));
		}

		przeliczLiczbeMiejsc(profil);

		return true;
	}
	
	// przeliczanie liczby miejsc
	function przeliczLiczbeMiejsc(profil) {
		if(! $("#lmCheck"+profil).attr("checked")) {
			var lmKob = parseInt($("#lmKob"+profil).val());
			var lmMez = parseInt($("#lmMez"+profil).val());

			if(!isNaN(lmKob) &&
					!isNaN(lmMez)) {
				$("#lmOg"+profil).val(lmKob + lmMez);
			} else {
				$("#lmOg"+profil).val("0");
			}
		}

		return true;
	}

	$(document).ready(function() {
		$("select[multiple]").asmSelect({
			addItemTarget: 'bottom',
			selectClass : 'asmSelect'
		});

		$(".kodPocztowy").unKodPocztPodp();
		$(".kodPocztowy").kodPocztPodp();
		
		setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnOg'}");

		liczbaMiejsc('I');
		liczbaMiejsc('II');
		liczbaMiejsc('III');
	});
</script>
