<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Konto bankowe jednostki</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSKontoBankoweAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="dpsJednostka.id"/>
				<stripes:hidden name="kontoBankowe.id"/>
				<fieldset>
					<legend>
						Dane konta
					</legend>
					
					<c:set var="nazwaPolaKontaBankowego" value="kontoBankowe"/>
					<c:set var="klasaWymagane" value="required"/>
					<%@ include file="/jsp/templatePages/polaKontoBankowe.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSuAction" class="button" event="edycja">
							<stripes:param name="zakladka" value="zaklDnOg"></stripes:param>
							&laquo; Anuluj
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
