<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				//usuwanie wstrętnego podpowiadania przez przeglądarkę
				setTimeout(function() {
					$("[name$='licencjaLogin']").val('${actionBean.dpsJednostka.licencjaLogin}');
					$("[name$='licencjaHaslo.str']").val('${actionBean.dpsJednostka.licencjaHaslo.str}');
				}, 500);
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Licencja na program ${NAZWA_APLIKACJI}</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.LicencjaAction" enctype="multipart/form-data" >
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:link class="button" beanclass="pl.topteam.dps.action.system.pomoc.InfoLicencjaAction">
					Informacje o aktualnej licencji
				</stripes:link>
				
				<c:set var="nazwaPolaJednostka" value="dpsJednostka"/>
				
				<fieldset>
					<%@ include file="/jsp/templatePages/polaLicencjaWspolne.jsp" %>
				</fieldset>
				<fieldset>
					<legend>
						Wczytywanie automatyczne
					</legend>
					
					<%@ include file="/jsp/templatePages/polaLicencjaJednostka.jsp" %>
					
					<fieldset class="alignCenter">
						<stripes:submit name="wczytajAutomatycznie" value="Wczytaj"/>
					</fieldset>
				</fieldset>

				<fieldset>
					<legend>
						Wczytywanie ręczne
					</legend>
					
					<%@ include file="/jsp/templatePages/polaLicencjaPlik.jsp" %>
					
					<fieldset class="alignCenter">
						<stripes:submit name="wczytajRecznie" value="Wczytaj"/>
					</fieldset>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>