<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			<c:choose>
				<c:when test="${empty actionBean.kwotaUmowy.id}">
					Dodawanie kwoty umowy z apteką
				</c:when>
				<c:otherwise>
					Edycja kwoty umowy z apteką
				</c:otherwise>
			</c:choose>
		</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.DodawanieEdycjaKwotyAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="kwotaUmowy.id"/>
				<stripes:hidden name="kwotaUmowy.umowaId"></stripes:hidden>
				<fieldset>
					<c:set var="poleUmowaKwota" value="kwotaUmowy"/>
					<%@ include file="/jsp/templatePages/polaUmowaKwota.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.EdycjaUmowyAction" event="edycja">
							<stripes:param name="umowaApteka.id" value="${actionBean.kwotaUmowy.umowaId}"/>
							<stripes:param name="zakladka" value="zaklKwotyUmowy"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>