<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDaneUmowy'}");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Edycja umowy z apteką</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 25px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklDaneUmowy" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneUmowy', this);">Dane umowy</a>
						</li>
						<li>
							<a href="#" id="zaklKwotyUmowy" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneKwot', this);">Kwoty (rozbicie)</a>
						</li>
					</ul>
				</div>
				<stripes:form beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.EdycjaUmowyAction" style="border: 0px none;">
					<stripes:hidden id="zakladka" name="zakladka" value="${actionBean.zakladka}"/>
					<stripes:hidden name="umowaApteka.id"/>

					<div id="tab-container">
						<div id="daneUmowy" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaDaneOgolne.jsp" %>
						</div>

						<div id="daneKwot" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaListaKwot.jsp" %>
						</div>
					</div>
				</stripes:form>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>