<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
	<ttSec:secure roles="MED_U_UMOWA_APTEKA">
		<div class="ikonki">
			<c:if test="${empty wartoscZeSlownika || wartoscZeSlownika.kod != '001'}">
				<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.DodawanieEdycjaKwotyAction" event="edycja">
					<stripes:param name="kwotaUmowy.id" value="${skladnik.id}"/>
					<img src="${root}/img/edit.gif" class="iconspace"/>
				</stripes:link>
				<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.EdycjaUmowyAction"
						event="usunKwote" onclick="return confirmation('Czy na pewno chcesz usunąć ten rodzaj kwoty ? ')">
					<stripes:param name="umowaApteka.id" value="${actionBean.umowaApteka.id}"/>
					<stripes:param name="kwotaUmowy.id" value="${skladnik.id}"/>
					<stripes:param name="zakladka" value="zaklKwotyUmowy"/>
					<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/daneJednostki/umowaZApteka/edycja.jsp')}"/>
					<img src="${root}/img/delete.gif" class="iconspace"/>
				</stripes:link>
			</c:if>
		</div>
	</ttSec:secure>
</jmesa:htmlColumn>