<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<stripes:url var="_ZasadyWydaniaDecyzjiKierujacejActionURL" beanclass="pl.topteam.dps.action.utils.ZasadyWydaniaDecyzjiKierujacejAction" prependContext="true" addSourcePage="false"/>
	<script type="text/javascript">
		var _ZasadyWydaniaDecyzjiKierujacejActionURL = "${_ZasadyWydaniaDecyzjiKierujacejActionURL}";
	</script>
	
	<script type="text/javascript" src="${root}/js/utils/decyzjaKierWyborZasad.js"></script>
</stripes:layout-component>
<stripes:layout-component name="content">
	<div class="formContainer">
		<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.DecyzjaKierujacaEdycjaAction">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
			
			<stripes:hidden name="decyzjaKierujaca.id"/>
			<stripes:hidden name="decyzjaKierujaca.osobaId"/>
			<fieldset>
				<legend>
					Postanowienie (edycja)
				</legend>
				<%@ include file="/jsp/templatePages/polaDecyzjiKierujacejPostanowienie.jsp" %>
				
				<div class="row">
					<div class="label">
						<label>
							wprowadzone na podstawie
						</label>
					</div>
					<div class="input">
						<stripes:select style="width:400px" class="mySelect required" name="decyzjaKierujaca.postanowienieSaduId" id="decKierOrzeczSadu" title="Wydane na podstawie postanowienia sądu">
							<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
							<stripes:options-collection collection="${postanowieniaSadu}" label="nr" value="id"/>
						</stripes:select>
						<div style="clear: both">
							<stripes:errors field="decyzjaKierujaca.postanowienieSaduId"/>
						</div>
					</div>
				</div>
			</fieldset>
			
			<fieldset class="submit">
				<div>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.ListaDecyzjiKierujacychAction" class="button">
						&laquo; Anuluj
					</stripes:link>
			  		&nbsp;&nbsp;
					<stripes:submit name="zapisz" value="Zapisz"/>
				</div>
			</fieldset>
		</stripes:form>
	</div>
</stripes:layout-component>
