<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
	<script type="text/javascript" src="${root}/js/jmesa.js"></script>
</stripes:layout-component>

<stripes:layout-component name="content">
	<div class="formContainer2">
		<div class="linki">
			<a id="lnkDecKiers" href="#" class="aktywny">
				Lista decyzji kierujących / postanowień o umieszczeniu
			</a>
		</div>
		<div class="form" align="center" style="width: 80%;">
			<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
			
			<div id="jmesaContainer">
				<%@ include file="listaFiltr.jsp" %>
			</div>
			<ttSec:secure roles="SOC_C_DEC_KIER">
				<div class="listFooterText">
					<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.DecyzjaKierujacaAction" event="dodawanieKrok1">
						Dodaj nową decyzję/postanowienie
					</stripes:link>
				</div>
			</ttSec:secure>
		</div>
	</div>
</stripes:layout-component>
