<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Decyzja o alimentacji (dodawanie krok 1-wszy)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								typ decyzji
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:400px" class="mySelect required" name="decyzjaOAlimentacji.typ" id="decOdplTyp" title="Typ decyzji o alimentacji">
								<stripes:options-enumeration enum="pl.topteam.dps.enums.TypDecyzjiOOdplatnosci" label="opis"/>
							</stripes:select>
							<div style="clear: both;"></div>
							<stripes:errors field="decyzjaOAlimentacji.typ"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.ListaDecyzjiOAlimentacjiAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
