<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="/jsp/odplatnosc/listaLinkiOdplatnoscAlimentacja.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkDecOdpl");
				});
			</script>
			
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
				<ttSec:secure roles="SOC_C_DEC_ODPL">
					<div class="listFooterText">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.DecyzjaOOdplatnosciAction" event="dodawanieKrok1">
							Dodaj nową decyzję
						</stripes:link>
					</div>
					<div class="listFooterText">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.DecyzjaOOdplatnosciProjektAction" event="dodawanieKrok1">
							Przygotuj projekt decyzji
						</stripes:link>
					</div>
				</ttSec:secure>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
