<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
	<script type="text/javascript" src="${root}/js/jmesa.js"></script>
</stripes:layout-component>

<stripes:layout-component name="content">
	<div class="formContainer2">
		<div class="linki">
			<a id="lnkDecWyg" href="#" class="aktywny">
				Decyzja wygaszająca
			</a>
		</div>
		<div class="form" align="center" style="width: 80%;">
			<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
			
			<div id="jmesaContainer">
				<%@ include file="listaFiltr.jsp" %>
			</div>
			<ttSec:secure roles="SOC_C_DEC_WYG">
				<c:choose>
					<c:when test="${(stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_ZGON') && fn:length(listaDecyzji) == 0}">
						<div class="listFooterText">
							<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.decyzja.wygaszajaca.DecyzjaWygaszajacaAction" event="dodaj">
								Dodaj nową decyzję
							</stripes:link>
						</div>
					</c:when>
					<c:otherwise>
						<div align="left" style="padding-top: 10px;">
							Decyzję wygaszającą można wprowadzić tylko w przypadku zgonu osoby<br/>
							i po uprzednim odnotowaniu tego faktu w programie poprzez menu 'Historia ewidencji'.
						</div>
					</c:otherwise>
				</c:choose>
			</ttSec:secure>
		</div>
	</div>
</stripes:layout-component>
