<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>
<%@ taglib  prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.tabs.horizontal.css" />
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/bootstrap/affix.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container")
					.tabs({selected : ${actionBean.zakladka.ordinal()}})
					.addClass('ui-tabs-horizontal ui-helper-clearfix');
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
			<div class="formContainer">
				<div>
					<h4>
						<c:set var="_rodzajKont" value="${fn:toUpperCase(fn:substring(actionBean.rodzajKont.opis, 0, 1))}${fn:toLowerCase(fn:substring(actionBean.rodzajKont.opis, 1,fn:length(actionBean.rodzajKont.opis)))}"/>
						${_rodzajKont}&nbsp;
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.WydrukStanuAction" event="formularz">
							<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
							<img src="${root}/img/printer.gif"/>
						</stripes:link>
					</h4>
				</div>
				<div id="tab-container" class="form" style="border: 0px none; margin: 0px auto;">
					<ul>
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.ListaKontAction" event="lista">
								<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
								<stripes:param name="zakres" value="${actionBean.zakres}"/>
								Konta
							</stripes:link>
						</li>
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.ListaNowoprzybylychAction" event="lista">
								<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
								Nowoprzybyli mieszkańcy
							</stripes:link>
						</li>
						<%-- <li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.zamkniete.ListaZamknietychAction" event="lista">
								Konta zamknięte
							</stripes:link>
						</li> --%>
					</ul>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
