<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
		$(document).ready(function() {
			$('.nav-tabs a').click(function (e) {
				var $this = $(this);
				$this.tab('show');
			})
		});
		
		//# sourceURL=naliczenieKwotowoKrok1.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieKwotowoAction" class="form-horizontal" role="form" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Naliczenie odsetek (konta depozytowe)</legend>
					
					<c:set var="poleDepPOdsetki" value="odsetki"/>
					<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetki.jsp" %>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiRozlPodatku.jsp" %>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiKwota.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="krok2KwotyOdsetek" value="Przelicz »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
