<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form beanclass="${actionBean.getClass().getCanonicalName()}" partial="true">
	<div class="form-group">
		<div class="col-md-3 text-right">
			<label class="control-label">suma odsetek</label>
		</div>
		<div class="col-md-5">
			<aa:zone id="suma_odsetek_zone">
				<stripes:text name="${poleSumaOdsetek}" readonly="readonly" class="kwota required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</aa:zone>
			<c:if test="${!isPodatekPoliczony}">
				<stripes:submit name="przeliczSumeOdsetek" value="Przelicz" aa-refresh-zones="suma_odsetek_zone"/>
			</c:if>
			<stripes:errors field="${poleSumaOdsetek}"/>
		</div>
	</div>
</stripes:form>
