<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
		$(document).ready(function() {
			$('.nav-tabs a').click(function (e) {
				var $this = $(this);
				$this.tab('show');
			})
		});
		
		//# sourceURL=innaWyplata.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataEdycjaAction" class="form-horizontal" role="form" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset style="width: 750px;">
					<legend>
						Wypłata (${actionBean.rodzajKont.opis} - edycja)
					</legend>
					
					<stripes:hidden name="rodzajKont"/>
					<stripes:hidden name="wyplata.id"/>
					
					<c:set var="poleDepPKontoOperacja" value="wyplata"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPKontoOperacjaDaty.jsp" %>
					
					<div class="form-group">
						<div class="col-md-3 text-right">
							<label class="control-label">z konta</label>
						</div>
						<div class="col-md-5">
							<stripes:hidden name="wyplata.kontoW"/>
							<stripes:hidden name="wyplata.kontoW.podmiot"/>
							<stripes:hidden name="wyplata.kontoW.podmiot.osoba"/>
							<stripes:hidden name="wyplata.kontoW.podmiot.instytucja"/>
							${actionBean.wyplata.kontoW.nr} (${actionBean.wyplata.kontoW.podmiot.nazwa})
						</div>
					</div>
					<div class="form-group">
						<div class="col-md-3 text-right">
							<label class="control-label">na rzecz</label>
						</div>
						<div class="col-md-5">
							<stripes:hidden name="wyplata.podmiot"/>
							<stripes:hidden name="wyplata.podmiot.osoba"/>
							<stripes:hidden name="wyplata.podmiot.instytucja"/>
							
							${actionBean.wyplata.podmiot.nazwa}
						</div>
					</div>
					
					<%@ include file="/jsp/templateBootstrapPages/polaDepPKontoOperacjaKwota.jsp" %>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="lista" class="button">
							<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
							&laquo; Lista wypłat
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
