<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaAction"
		class="button" event="dodawanie">
	Zdefiniuj nową skalę
</stripes:link>

<br/><br/>
<c:choose>
	<c:when test="${fn:length(listaSkalOcen) > 0}">
		<div id="accordion_listaSkalOcen" class="akordeon2">
			<c:forEach items="${listaSkalOcen}" var="skalaOceny">
				<div class="akordeon2Menu ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaAction" event="edycja">
						<stripes:param name="skala.id" value="${skalaOceny.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace" title="Edycja danych skali"/>
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction" event="usunSkale"
							onclick="return confirmation('Czy na pewno chcesz usunąć tę skalę ? ')">
						<stripes:param name="skala.id" value="${skalaOceny.id}"/>
						<stripes:param name="zakladka" value="zaklSkale"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/diagnoza/definicja/podgladEdycjaDefinicji.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace" title="Usuń skalę"/>
					</stripes:link>
				</div>
				<h3 id="skala_${skalaOceny.id}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaDefinicjaPodgladAction" event="podglad"
							class="noLoadImage">
						<stripes:param name="skala.id" value="${skalaOceny.id}"/>
						${skalaOceny.nazwa}
					</stripes:link>
				</h3>
				<div>
				</div>
			</c:forEach>
		</div>
	</c:when>
	<c:otherwise>
		<span class="warning">BRAK ZDEFINIOWANYCH SKAL OCENY</span>
	</c:otherwise>
</c:choose>

<fieldset class="submit">
	<div>
		<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.ListaDiagnozAction"
				class="button" event="lista">
			&laquo; Wróć do listy
		</stripes:link>
	</div>
</fieldset>
