<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${empty actionBean.grupaOsob.id}">
				<h3>Definicja nowej grupy osób</h3>
			</c:when>
			<c:otherwise>
				<h3>Edycja definicji grupy osób</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaGrupaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<stripes:hidden name="grupaOsob.id"/>
				<stripes:hidden name="grupaOsob.skalaOcenyId"/>
				<fieldset>
					<c:set var="nazwaPolaGrupyOsob" value="grupaOsob"/>
					<%@ include file="/jsp/templatePages/polaDiagnozaGrupaOsob.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction"
								class="button" event="edycja">
							<stripes:param name="skala.id" value="${actionBean.grupaOsob.skalaOcenyId}"></stripes:param>
							<stripes:param name="zakladka" value="zaklSkale"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>