<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Podgląd czynności katalogu usług do grupy "${actionBean.grupaOsob.oznaczenie}" (skala: ${skalaOceny.nazwa})</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaGrupaCzynnosciAction" name="czynnosciWsparciaForm">
				<stripes:hidden name="grupaOsob.id"/>
				<stripes:hidden name="grupaOsob.oznaczenie"/>
				<stripes:hidden name="grupaOsob.skalaOcenyId"/>

				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<%@ include file="/jsp/planWsparciaMieszkanca/mieszkaniec/podgladCzynnosci.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction"
								class="button" event="edycja">
							<stripes:param name="skala.id" value="${actionBean.grupaOsob.skalaOcenyId}"></stripes:param>
							<stripes:param name="zakladka" value="zaklSkale"/>
							&laquo; Wróć
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
