<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script type="text/javascript">
	function edytujPole(nrKolejnyPola) {
		$("input[name='kolejnyNrPola']").remove();
		
		// id usuwanego elementu
		$("<input type='hidden' name='kolejnyNrPola' value='" + nrKolejnyPola + "'/>").appendTo("#formularz");
		// akcja wizarda odpowiadajaca za usuwanie
		$("<input type='hidden' name='edycjaPola' value=''/>").appendTo("#formularz");
		
		$("#formularz").submit();
	}

	function usunPole(nrKolejnyPola) {
		if(confirmation("Czy na pewno chcesz usunąć to pole ?")) {
			$("input[name='kolejnyNrPola']").remove();
			
			// id usuwanego elementu
			$("<input type='hidden' name='kolejnyNrPola' value='" + nrKolejnyPola + "'/>").appendTo("#formularz");
			// akcja wizarda odpowiadajaca za usuwanie
			$("<input type='hidden' name='usuwaniePola' value=''/>").appendTo("#formularz");
	
			$("#formularz").submit();
		}
	}

	// przy zmianie typu pola należy przeładować formularz
	function zmianaTypuPola() {
		pokazLoadImage();
		$("<input type='hidden' name='zmianaTypuPola' value='1'/>").appendTo("#formularz");
		$("#formularz").submit();
	}
</script>
