<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Nowy raport z dyżuru pielęgniarskiego (krok - wybór typu raportu)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.RaportDyzurAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								rodzaj
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:300px" class="mySelect required" name="informacjaDodatkowaWpis.informacjaDodatkowaId" id="nazwaRaportu">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaDefRaportow}" label="nazwa" value="id"/>
							</stripes:select>
							<div style="clear: both; padding-bottom: 10px;"></div>
							<stripes:errors field="informacjaDodatkowa.id"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="informacjaDodatkowaWpis.data" class="data required" title="Data sporządzenia" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="informacjaDodatkowaWpis.data"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.ListaRaportowAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanie" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
