<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script type="text/javascript">
	// optDec
	function wlaczDecyzja() {
		$("#decKier input").removeAttr("disabled");
		$("#decKier select").removeAttr("disabled");
		$("#decKier").show();
	}

	function wylaczDecyzja() {
		$("#decKier").hide();
		$("#decKier input").attr("disabled", "disabled");
		$("#decKier select").attr("disabled", "disabled");
	}

	// optPost
	function wlaczPostanowienie() {
		$("#postSadu input").removeAttr("disabled");
		$("#postSadu select").removeAttr("disabled");
		$("#postSadu").show();
	}

	function wylaczPostanowienie() {
		$("#postSadu").hide();
		$("#postSadu input").attr("disabled", "disabled");
		$("#postSadu select").attr("disabled", "disabled");
	}

	// optInterwencja
	function wlaczInterwencja() {
		$("#interwencja input").removeAttr("disabled");
		$("#interwencja select").removeAttr("disabled");
		$("#interwencja").show();
	}

	function wylaczInterwencja() {
		$("#interwencja").hide();
		$("#interwencja input").attr("disabled", "disabled");
		$("#interwencja select").attr("disabled", "disabled");
	}

	function przelaczDecyzjePostanowienie() {
		if($("#optDec").is(":checked")) {
			// zwykła decyzja kierująca
			wylaczPostanowienie();
			wylaczInterwencja();

			wlaczDecyzja();
		} else if($("#optPost").is(":checked")) {
			// na podstawie postanowienia sądu
			wylaczDecyzja();
			wylaczInterwencja();

			wlaczPostanowienie()
		} else {
			// z interwencji
			wylaczDecyzja();
			wylaczPostanowienie();

			wlaczInterwencja();
		}
		
		return true;
	}

	function submitForm() {
		$("#zapiszSubm").click();
	}

	$(document).ready(function() {
		if(! $("#optDec").is(":checked") &&
				! $("#optPost").is(":checked") &&
				! $("#optInterwencja").is(":checked")) {
			$("#optDec").attr("checked", "checked");
			$("#optDec").click();
		} else {
			przelaczDecyzjePostanowienie();
		}
	});
</script>
