<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>
		<c:choose>
			<c:when test="${not empty actionBean.ewidencjaDps.id}">
				Edycja wpisu ewidencji zgonu
				<stripes:hidden name="ewidencjaDps.id"/>
				<stripes:hidden name="ewidencjaDps.ewidPoprzedniWpisId"/>
			</c:when>
			<c:otherwise>
				Ewidencja zgonu
			</c:otherwise>
		</c:choose>
	</legend>
	
	<c:set var="poleEwidencja" value="ewidencjaDps"/>
	<c:set var="poleEwidencjaZgon" value="ewidencjaDpsZgon"/>

	<%@ include file="/jsp/templatePages/polaEwidencjaZgonu.jsp" %>
	<c:if test="${not empty pierwszyDzienPlatnyPole && pierwszyDzienPlatnyPole}">
		<%@ include file="/jsp/templatePages/polaEwidencjaDzienPlatny.jsp" %>
	</c:if>
</fieldset>
