<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Rejestracja osoby oczekującej jako mieszkańca</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<stripes:hidden name="osoba.id"/>
					<stripes:hidden name="osoba.importProgram"/>
					
					<div class="row">
						<div class="label">
							<label>
								data przybycia
							</label>
						</div>
						<div class="input">
							<stripes:text name="ewidencjaDps.dataOd" class="data required" title="Data przybycia" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="ewidencjaDps.dataOd"/>
						</div>
					</div>
				</fieldset>
					
					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" class="button" event="opcje">
								<stripes:param name="osoba.id" value="${actionBean.osoba.id}"></stripes:param>
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="arkuszEwidencyjnyPrzeksztalcenie" value="Następny krok »"/>
						</div>
					</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
