<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<link rel="stylesheet" type="text/css" href="${root}/css/struktura.css"/>
<link rel="stylesheet" type="text/css" href="${root}/css/treeCheckbox.css"/>

<script type="text/javascript" src="${root}/js/jquery.contextmenu.js"></script>

<script type="text/javascript" src="${root}/js/utils/jquery.tree.checkbox.user.principles.js"></script>

<script type="text/javascript" src="${root}/js/utils/checkboxGridUtils.js"></script>
<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		// odznaczenie przeglądania czyści pozostałe
		$('[name*=R_]').not('.kategoria').not('.czynnosc').bind('change', function() {
			if (!this.checked) {
				var name = this.name;
				var length = name.length;
				var valXX = name.substring(7,length - 1);

				// usuwanie zaznaczeń dla pozostałych uprawnień
				$('[name*=C_'+valXX+']:checked').attr('checked', false);
				$('[name*=U_'+valXX+']:checked').attr('checked', false);
				$('[name*=D_'+valXX+']:checked').attr('checked', false);
			}
		});
		
		// zaznaczenie innego niż przeglądanie zaznacza przeglądanie
		$(':not([name*=R_])').not('.kategoria').not('.czynnosc').bind('change', function() {
			if (this.checked) {
				var name = this.name;
				var length = name.length;
				var valXX = name.substring(7,length - 1);
				
				$('[name$=R_'+valXX+'\\]]:not(:checked)').attr('checked', true).trigger('change');
			}
		});
		
		setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklGrDaneOg'}");

		$("#strukturaRootUl").collapsibleCheckboxTree();
	});
</script>

