<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<a href="#" class="button" onclick="$('#pomocUprawnieniaKatalog').animate({'height': 'toggle'}, { duration: 700 }); return true;">
	Pokaż / Ukryj pomoc
</a>
<div>
	&nbsp;
</div>
<div id="pomocUprawnieniaKatalog" style="display: none; padding-bottom: 20px;">
	W poniższy sposób zostały wyświetlone fizyczne czynności realizowane na rzecz mieszkańców DPS.
	Zaznaczając jedną z opcji dostępnych przy niej (czynności) można przypisać konkretne uprawnienie do grupy pracowników.<br/>
	Wówczas to pracownicy z tej grupy będą mogli wprowadzać dla mieszkańców tylko te czynności, które leża w zakresie
	ich obowiązków.<br/>
	Kategorie dla czynności zostały wyświetlone w celu ułatwienia zaznaczania wszystkich czynności do nich należących za
	pomocą pojedyńczego kliknięcia. (zaznaczenie opcji przy kategorii spowoduje zaznaczenie tej samej opcji - np. przeglądania - dla
	wszystkich czynności należących do niej.
	<ul>
		<li class="czynnoscEven">
			czynność
		</li>
		<li class="czynnoscOdd">
			kolejna czynność - dla przyjaznego użytkownikowi wyświetlania elementów zastosowane rozróżnienie sąsiadujących ze sobą czynności
		</li>
	</ul>
	<stripes:checkbox id="a" name="a"
		class="czynnosc" title="'przeglądanie'">
	</stripes:checkbox>
	&nbsp;
	<stripes:checkbox id="b" name="b"
		class="czynnosc" title="'dodawanie'">
	</stripes:checkbox>
	&nbsp;
<%--	<stripes:checkbox id="c" name="c"
		class="czynnosc" title="'aktualizacja'">
	</stripes:checkbox>
	&nbsp;
--%>	<stripes:checkbox id="d" name="d"
		class="czynnosc" title="'usuwanie'">
	</stripes:checkbox>
	- uprawnienia do każdej z czynności stanowią kolejno możliwości ich przeglądania, wstawiania, aktualizacji oraz usuwania wpisów
	dla konkretnego mieszkańca.
</div>

<div id="struktura" class="tree" style="min-height: 400px;">
	<ul id="strukturaRootUl">
		<li class="noSpanImage kategoria">
			<stripes:checkbox id="R_kat_${kategoria.id}" name="R_kat_"
					class="kategoria noLoadImage" title="'przeglądanie' Katalog usług">
			</stripes:checkbox>
			&nbsp;
			<stripes:checkbox id="C_kat_${kategoria.id}" name="C_kat_"
					class="kategoria noLoadImage" title="'dodawanie' Katalog usług">
			</stripes:checkbox>
<%--			&nbsp;
			<stripes:checkbox id="U_kat_${kategoria.id}" name="U_kat_"
					class="kategoria noLoadImage" title="'aktualizacja' Katalog usług">
			</stripes:checkbox>
--%>			&nbsp;
			<stripes:checkbox id="D_kat_${kategoria.id}" name="D_kat_"
					class="kategoria noLoadImage" title="'usuwanie' Katalog usług">
			</stripes:checkbox>
			Katalog usług
			<ul>
				<c:forEach items="${listaKategorii}" var="k" varStatus="i">
					<c:set var="kategoria" value="${k}" scope="request"/>
					<jsp:include page="/jsp/grupyPracownikow/katalogUslug/katalogDrzewkoKategoria.jsp" />
				</c:forEach>
			</ul>
		</li>
	</ul>
</div>


