<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="dniWykorzystanych" value="0"/>
<jmesa:tableFacade items="${listaGrup}" id="listaGrup" var="grupa" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa grupy" styleClass="daneWyroznione">
				${grupa.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="ADM_U_GRUPA_PRACOW">
						<stripes:link beanclass="pl.topteam.dps.action.administracja.grupy.GrupaEdycjaAction" event="edycja">
							<stripes:param name="grupa.id" value="${grupa.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
						<ttSec:secure roles="ADM_D_GRUPA_PRACOW">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.grupy.ListaGrupAction" event="usun"
									onclick="return confirmation('Czy na pewno chcesz usunąć grupę -${grupa.nazwa}- ? ')">
								<stripes:param name="grupa.id" value="${grupa.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/grupyPracownikow/lista.jsp')}"/>
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
