<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<title>TOP - TEAM TT DPS</title>
		<link rel="icon" href="${root}/img/tt_logo.ico" type="image/x-icon" />
		<link rel="stylesheet" type="text/css" href="${root}/css/dps.css" />
		<style>
			#header {
				text-align: center;
				padding-top: 10px;
			}
			
			#komunikat {
				height: 25%;
				text-align: center;
				color: #53479F;
				font-weight: bold;
				font-size: 24px;
				padding-top: 150px;
			}
			
			#topka {
				font-size: 16px;
				text-align: center;
			}
			
			a {
				cursor: pointer;
			}
		</style>
	</head>
	<body style="background-color: #5F8CD0;">
		<div id="top">
		</div>
		
		<div id="content">
			<div id="header">
				<a href="http://www.top-team.pl">
					<img src="${root}/img/logo.png" />
				</a>
			</div>
			<div id="komunikat">
				Trwa przerwa techniczna...<br/><br/>
				Przepraszamy za wszelkie utrudnienia<br/><br/>
			</div>
			<div id="topka">
				<a onclick="history.go(-1)">« Wróć</a>
			</div>
		</div>
	</body>
</html>
