<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaPolaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Podgląd typu informacji dodatkowej</h3>
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="${ttFn:classCanonicalName(actionBean)}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<fieldset>
						<legend>
							Dane ogólne
						</legend>
						<%@ include file="/jsp/templatePages/polaInfomacjaDodDefOgolne.jsp" %>
					</fieldset>
	
					<fieldset>
						<legend>
							Pola wprowadzone dla informacji
						</legend>
	
						<c:choose>
							<c:when test="${not empty listaPol}">
								<div align="center">
									<c:set var="listaPol" value="${listaPol}"/>
	
									<%@ include file="informacjaPodgladPol.jsp" %>
								</div>
							</c:when>
							<c:otherwise>
								<div class="bladglobalny" style="text-align: center;">
									<img src="${root}/img/error.gif">
									NIE WPROWADZONO PÓL INFORMACJI
								</div>
							</c:otherwise>
						</c:choose>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.definicja.ListaTypowInformacjiAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>