<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainInnaOsobaLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaEdycjaAction" name="informacjaDodatkowaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="zPrzypomnien"/>
				<fieldset>
					<legend>
						Edycja informacji dodatkowej
					</legend>

					<fieldset>
						<legend>
							Dane ogólne
						</legend>
						
						<stripes:hidden name="informacjaDodatkowaWpis.id"></stripes:hidden>
						<stripes:hidden name="informacjaDodatkowaWpis.informacjaDodatkowaId"></stripes:hidden>

						<c:set var="readonly" value="true"/>
						<%@ include file="/jsp/informacjaDodatkowa/realizacja/dodawanieKrok1.jsp" %>
					</fieldset>
					
					<fieldset>
						<legend>
							Dane pól informacji
						</legend>

						<c:forEach items="${listaPolInformacji}" var="informacjaPole" varStatus="i">
							<stripes:hidden name="listaInformacji[${i.count - 1}].id"/>
							<%@ include file="/jsp/templatePages/polaInformacjaDodatkowa.jsp" %>
						</c:forEach>
					</fieldset>
				</fieldset>

				<fieldset class="submit">
					<div>
						<%@ include file="edycjaStopka.jsp" %>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>