<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="kolejnosc" value="${kolejnosc}" scope="page"/>

<li id="czynnosc_${czynnosc.id}">
	<c:choose>
		<c:when test="${not empty czynnosc.dataOd || not empty czynnosc.dataDo}">
			<img src="${root}/img/obiekty/czynnoscCzasowa.png"/>
		</c:when>
		<c:otherwise>
			<img src="${root}/img/obiekty/czynnosc.png"/>
		</c:otherwise>
	</c:choose>
	&nbsp;
	<stripes:text name="mapaKolejnosciCzynnosci[${czynnosc.id}]" size="2" value="${kolejnosc}"/>
	<stripes:errors field="mapaKolejnosciCzynnosci[${czynnosc.id}]"/>
	${czynnosc.nazwa}
</li>
