<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${fn:length(czynnosciZKatalogu) > 0}">
		<div style="margin-bottom: 10px;">
			<stripes:button name="zaznaczWsz" onclick="tgsWybierzWszystkieZListy('listaCzynnosci');" class="noLoadImage">Zaznacz wszystkie</stripes:button>
			<stripes:button name="odznaczWsz" onclick="tgsUsunWszystkieZListy('listaCzynnosci');" class="noLoadImage">Odznacz wszystkie</stripes:button>
		</div>
		<ul id="listaCzynnosci" class="toggleSelectable">
			<c:forEach items="${czynnosciZKatalogu}" var="czynnosc" varStatus="i">
				<li class="ui-widget-content ${not empty actionBean.czynnosciWybrane[czynnosc.id] && actionBean.czynnosciWybrane[czynnosc.id] ? 'ui-toggleSelected' : ''}" id="cz_1">
					${czynnosc.nazwa}
					<stripes:checkbox id="cz_${czynnosc.id}_chkb" name="czynnosciWybrane[${czynnosc.id}]" class="checkbox"></stripes:checkbox>
				</li>
			</c:forEach>
		</ul>
	</c:when>
	<c:otherwise>
		<font color="red">
			Nie przydzielono dla Twojej grupy pracowników żadnych zadań do wykonania na rzecz tego mieszkańca !!!
		</font>
	</c:otherwise>
</c:choose>
