<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${fn:length(listaUwag) == 0}">
	</c:when>
	<c:otherwise>
		<fieldset>
			<legend style="font-style: italic;">
				Uwagi
			</legend>

			<jmesa:tableFacade items="${listaUwag}" id="listaUwag${dzienTygodnia}" var="uwaga" editable="false" view="pl.topteam.utils.jmesa.view.OnlyRowTableView" >
				<jmesa:htmlTable style="width: 95%;">
					<jmesa:htmlRow>
						<jmesa:htmlColumn property="uwagi" title="Uwagi" sortable="false"/>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</fieldset>
	</c:otherwise>
</c:choose>
