<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div>
	<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaWyszukiwanieResultAction" id="katCzynnoscPodpForm" style="width: 90%;">
		<stripes:text name="sugestiaKategoriiCzynnosci" id="sugKatCzynnosci" style="width: 90%;" onclick="highlight(this);"/>
		<stripes:hidden id="wybranoKatCzynnosc" name="wybranoKatCzynnosc" value=""></stripes:hidden>
	</stripes:form>
</div>
<div id="struktura" class="tree" style="min-height: 400px;">
	<ul>
		<li>
			<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction"
					event="lista" title="Katalog usług" id="pk">
				<img src="${root}/img/obiekty/rootKatalog.png"/>
				Katalog usług
			</stripes:link>
			<ul>
				<c:forEach items="${listaKategorii}" var="k" varStatus="i">
					<c:set var="kategoria" value="${k}" scope="request"/>
					<jsp:include page="/jsp/layout/katalogUslugLayout/katalogDrzewkoKategoria.jsp" />
				</c:forEach>
				
				<%-- jeżeli dodawanie nowej kategorii --%>
				<c:if test="${empty kategoriaWybrana.nadkategoriaId && ttFn:instanceOf(actionBean, kategoriaActionBeanClass)}">
					<c:set var="kategoria" value="${pustaKategoria}" scope="request"/>
					<jsp:include page="/jsp/layout/katalogUslugLayout/katalogDrzewkoKategoria.jsp" />
				</c:if>
			</ul>
		</li>
	</ul>
</div>
