<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<li id="czynnosc_${czynnosc.id}">
	<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.CzynnoscEdycjaAction"
			event="podglad" class="czynnosc" title="${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynność ???'}">
		<stripes:param name="katUslCzynnosc.id" value="${czynnosc.id}"></stripes:param>
		<c:choose>
			<c:when test="${not empty czynnosc.dataOd || not empty czynnosc.dataDo}">
				<img src="${root}/img/obiekty/czynnoscCzasowa.png"/>
			</c:when>
			<c:otherwise>
				<img src="${root}/img/obiekty/czynnosc.png"/>
			</c:otherwise>
		</c:choose>
		${(not empty czynnosc.kolejnosc && czynnosc.kolejnosc != domyslnaKolejnoscCzynnosci) ? czynnosc.kolejnosc : '-'}. ${not empty czynnosc.nazwa ? czynnosc.nazwa : 'Czynność ???'}
	</stripes:link>
</li>
