<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaWyszukiwanieActionURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaWyszukiwanieAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${wybrany == 'pk'}">
	<script type="text/javascript">
		$(function() {
			$("#sugKatCzynnosci").focus();
		});
	</script>
</c:if>

<script type="text/javascript">
	$(function() {
		jQuery.ajaxSetup({ 
			type: "POST"
		});

		var acOptionsKatCzynnosc = {
		    minChars: 5,
		    max: 100,
		    dataType: 'json', // this parameter is currently unused
		    parse: function(data) {
		        var parsed = [];
		        for (var i = 0; i < data.length; i++) {
		            parsed[parsed.length] = {
		                data: data[i],
		                value: data[i].key + "#" + data[i].value,
		                result: data[i].key
		            };
		        }
		        return parsed;
		    },
		    formatItem: function(item) {
		        return item.key;
		    },
		    submitFormID: "katCzynnoscPodpForm"
		};

		 function findValueKatCzynnosc(event, data, formatted) {
	    	var indexHash = formatted.indexOf("#");
	    	var label = formatted.substr(0, indexHash);
	    	var value = formatted.substr(indexHash + 1);

			$("#sugKatCzynnosci").val(label);
	    	$("#wybranoKatCzynnosc").val(value);
		}

		$("#sugKatCzynnosci")
			.autocomplete("${_ListaWyszukiwanieActionURL}", acOptionsKatCzynnosc)
			.result(findValueKatCzynnosc)
	});
</script>
