<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="OG_R_RAPORTY,MED_R_RAPORT_DYZ">
	<li>
		<ttSec:secure roles="OG_R_RAPORTY" escapeXml="false" defaultText="<a href=\"#\">Raporty</a>">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" event="lista">Raporty</stripes:link>
		</ttSec:secure>
		<ul>
			<ttSec:secure roles="MED_R_RAPORT_DYZ">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.ListaRaportowAction" event="lista">
						Dyżur pielęgniarski
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_RAPORTY">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" event="lista">
						Inne
					</stripes:link>
				</li>
			</ttSec:secure>
			<%--
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.raporty.odplatnosc.rozliczeniowy.excel.RaportRozliczeniowyExcelV1Action"
						event="przygotujFormatke">
					Rozliczeniowy odpłatności (Excel)
				</stripes:link>
			</li>
			--%>
			<ttSec:secure roles="OG_R_RAPORTY">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlRaportAction" event="formatkaZapytania">
						Z zapytań SQL
					</stripes:link>
				</li>
			</ttSec:secure>
		</ul>
	</li>
</ttSec:secure>

