<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_C_SWIADCZENIE_REALIZACJA,SOC_C_SWIADCZENIE_ROZLICZENIA,SOC_R_SWIADCZENIE">
	<li>
		<a href="#">Świadczenia</a>
		<ul>
			<ttSec:secure roles="SOC_C_SWIADCZENIE_REALIZACJA">
				<li class="groupHeader">
					Realizacja
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.ZbiorczaRealizacjaMiesiacAction" event="wyborSwiadczenia">
						Realizacja<br/>(widok miesiąca)
					</stripes:link>
				</li>
			</ttSec:secure>
			
			<ttSec:secure roles="SOC_C_SWIADCZENIE_ROZLICZENIA">
				<li class="groupHeader">
					Rozliczenia
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ZbiorczeRozliczenieAction" event="ustawienia">
						Automatyczne zamknięcie miesiąca
					</stripes:link> 
				</li>
			</ttSec:secure>
			
			<ttSec:secure roles="SOC_R_SWIADCZENIE">
				<li class="groupHeader">
					Ustawienia
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.dniWolne.ListaDniWolnychAction" event="lista">
						Dni wolne
					</stripes:link>
				</li>
			</ttSec:secure>
		</ul>
	</li>
</ttSec:secure>
