<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<li class="doPrawej">
	<a href="#">System</a>
	<ul>
	<%-- DOSTOSOWYWANIE PROGRAMU --%>
		<li class="groupHeader">
			Dostosowanie programu
		</li>
		<ttSec:secure roles="OG_R_AUTONUMERACJA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.system.autonumeracja.ListaAutonumeracjiAction" event="lista">
					Autonumeracja
				</stripes:link>
			</li>
		</ttSec:secure>
		<%@ include file="definicje_DOM_POMOCY.jsp" %>
		<ttSec:secure roles="ADM_R_DANE_DPS,MED_R_UMOWA_APTEKA">
			<li>
				<a href="#">DPS jednostka</a>
				<ul>
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSuAction" event="edycja">
							Dane DPSu
						</stripes:link>
					</li>
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.ListaPokoiAction" event="lista">
							Ewidencja pokoi
						</stripes:link>
					</li>
				</ul>
			</li>
		</ttSec:secure>
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.LicencjaAction" event="licencja">
					Licencja
				</stripes:link>
			</li>
		</c:if>
		<ttSec:secure roles="ADM_R_PARAM_SYS">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" event="lista">
					Parametry systemowe
				</stripes:link>
			</li>
		</ttSec:secure>
		<li>
			<a href="#">Słowniki</a>
			<ul>
				<ttSec:secure roles="SOC_R_INSTYTUCJA_DOPLACAJACA">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.instytucjaDoplacajaca.ListaInstytucjiAction" event="lista">
							Instytucje dopłacające
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="LK_R_SLOWNIK_LEKOW">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.leki.ListaLekowWykorzystywanychAction" event="lista">
							Leki wykorzystywane
						</stripes:link>
					</li>
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.leki.PrzegladLekowAction" event="lista" class="button">
							Katalog leków
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="OG_R_MIEJSCE_POBYTU">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.miejscePobytu.ListaMiejscPobytuAction" event="lista">
							Miejsca<br/>
							pobytu/skierowania
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="LK_R_PORA_DNIA">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.ListaPorDniaAction" event="lista">
							Pory dnia<br/>
							podawanie leków
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_POB_SWIAD">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.rodzajSwiadczenia.ListaRodzajowAction" event="lista">
							Rodzaj świadczenia
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_POB_SWIAD">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.terminWyplaty.ListaTerminowAction" event="lista">
							Termin wypłaty
						</stripes:link>
					</li>
				</ttSec:secure>
				<li class="groupHeader">&nbsp;</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.ListaSlownikowAction">
						Inne - pozostałe
					</stripes:link>
				</li>
			</ul>
		</li>
		<ttSec:secure roles="MED_R_UMOWA_APTEKA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.ListaUmowZAptekaAction" event="lista">
					Umowy z	apteką
				</stripes:link>
			</li>
		</ttSec:secure>
	<%-- KONIEC DOSTOSOWYWANIE PROGRAMU --%>

		<li class="groupHeader">
			Pozostałe
		</li>
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<ttSec:secure roles="OG_U_MIESZKANIEC,LK_D_SLOWNIK_LEKOW">
				<li>
					<a href="#">Naprawy danych</a>
					<ul>
						<ttSec:secure roles="OG_U_MIESZKANIEC">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.bazyl.PlikPoprawekPoPrzeniesieniuAction" event="index">
									Aktualizacja<br/>
									bazy leków
								</stripes:link>
							</li>
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.arisco.NaprawaDatPrzyjeciaOsobAction" event="formularz">
									Daty przyjęć<br/>
									mieszkańców
								</stripes:link>
							</li>
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.arisco.NaprawaNrEwidencyjnychOsobAction" event="formularz">
									Numery ew.<br/>
									mieszkańców
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="LK_D_SLOWNIK_LEKOW">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.leki.UsuwanieNieuzywanychLekowAction" event="formularz">
									Porządkowanie<br/>
									wykorzystywanych leków
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_POB_SWIAD">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.pobSwiadczenie.InstytucjaWplacajacaAction" event="formularz">
									Świadczenia - uzupełnienie
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_WPLATY_PLATNOSC">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.pobSwiadczenie.WplataZeSwiadczeniaAction" event="formularz">
									Świadczenia - wpłaty
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_ODPLATNOSC">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.dlug.ImportStanuZadluzeniaDispatcherAction" event="formularz">
									Zadłużenie - start
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
		</c:if>

		<li>
			<a href="#">Pomoc</a>
			<ul>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoAplikacjaAction">
						Informacje o aplikacji
					</stripes:link>
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoLicencjaAction">
						Informacje o licencji
					</stripes:link>
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoOWersjachAction">
						Informacje o wersjach
					</stripes:link>
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoBrowserRequestAction">
						Przeglądarka
					</stripes:link>
				</li>
				
				<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
					<li>
						<a href="http://top-team.pl/tv.exe" class="noLoadImage">
							Wsparcie on-line
						</a>
					</li>
				</c:if>
			</ul>
		</li>
	</ul>
</li>
