<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<li class="doPrawej">
	<a href="#">System</a>
	<ul>
	<%-- DOSTOSOWYWANIE PROGRAMU --%>
		<li class="groupHeader">
			Dostosowanie programu
		</li>
		<ttSec:secure roles="OG_R_AUTONUMERACJA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.system.autonumeracja.ListaAutonumeracjiAction" event="lista">
					Autonumeracja
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="ADM_R_DANE_DPS">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSuAction" event="edycja">
					Dane DPSu
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_SWIADCZENIE">
			<li>
				<a href="#">Katalog usług</a>
				<ul>
					<li>
						<stripes:link beanclass="pl.topteam.ddp.action.administracja.slowniki.swiadczenia.ListaSwiadczenAction" event="lista">
							Świadczenia
						</stripes:link>
					</li>
					<li>
						<stripes:link beanclass="pl.topteam.ddp.action.administracja.slowniki.grupySwiadczen.ListaGrupSwiadczenAction" event="lista">
							Grupy<br/>
							świadczeń
						</stripes:link>
					</li>
				</ul>
			</li>
		</ttSec:secure>
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.LicencjaAction" event="licencja">
					Licencja
				</stripes:link>
			</li>
		</c:if>
		<ttSec:secure roles="ADM_R_PARAM_SYS">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" event="lista">
					Parametry systemowe
				</stripes:link>
			</li>
		</ttSec:secure>
		<li>
			<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.ListaSlownikowAction">
				Słowniki
			</stripes:link>
		</li>
		<ttSec:secure roles="OG_R_SZABLON_WYDRUKU">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" event="lista">
					Szablony wydruku
				</stripes:link>
			</li>
		</ttSec:secure>
	<%-- KONIEC DOSTOSOWYWANIE PROGRAMU --%>

		<li class="groupHeader">
			Pozostałe
		</li>
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<ttSec:secure roles="OG_U_MIESZKANIEC">
				<li>
					<a href="#">Naprawy danych</a>
					<ul>
						<ttSec:secure roles="OG_U_MIESZKANIEC">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.arisco.NaprawaDatPrzyjeciaOsobAction" event="formularz">
									Daty przyjęć<br/>
									mieszkańców
								</stripes:link>
							</li>
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.arisco.NaprawaNrEwidencyjnychOsobAction" event="formularz">
									Numery ew.<br/>
									mieszkańców
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
		</c:if>

		<li>
			<a href="#">Pomoc</a>
			<ul>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoAplikacjaAction">
						Informacje o aplikacji
					</stripes:link>
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoLicencjaAction">
						Informacje o licencji
					</stripes:link>
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoOWersjachAction">
						Informacje o wersjach
					</stripes:link>
				</li>
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.system.pomoc.InfoBrowserRequestAction">
						Informacje o żądaniach<br/>
						przeglądarki
					</stripes:link>
				</li>
				
				<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
					<li>
						<a href="http://top-team.pl/tv.exe" class="noLoadImage">
							Wsparcie on-line
						</a>
					</li>
				</c:if>
			</ul>
		</li>
	</ul>
</li>
