<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div id="menuInnaOsoba-ajax">
	<ul class="ltr menuContainer">
		<li class="last leaf">
			<stripes:link beanclass="pl.topteam.dps.action.innaOsoba.InnaOsobaAction" event="powrotOpcje" title="Podgląd danych">
				Dane osoby
			</stripes:link>
		</li>
		<ttSec:secure roles="OG_R_INFOR_DOD_REAL">
			<li class="groupHeader"></li>
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" event="lista" title="Lista informacji dodatkowych">
					Informacje dodatkowe
				</stripes:link>
			</li>
		</ttSec:secure>
	</ul>
</div>

