<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			lek
		</label>
	</div>
	<div class="input">
		<c:set var="lekPoleNazwa" value="dawkaLeku[0].lek"/>
		<c:set var="requiredClass" value="required"/>
		<%@ include file="/jsp/templatePages/podpowiedziField/lekPodpInput.jsp" %>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dawkowanie w ciągu<br/>
			dnia
		</label>
	</div>
	<div class="input">
		<table style="border: 0px none;" cellpadding="1" cellspacing="1">
			<stripes:errors field="dawkaLeku.poraId"/>
			<c:forEach items="${listaAktualnychPorDnia}" var="poraDnia" varStatus="i">
				<tr>
					<td style="min-width: 70px;">
						<stripes:checkbox id="dawkaLeku[${i.count - 1}]" name="dawkaLeku[${i.count - 1}].poraId" value="${poraDnia.id}"
							onclick="disableEnableDawka(this);" title="Zaznacz by wprowadzić dawki leku dla tej pory"/>
						<label for="dawkaLeku[${i.count - 1}]" class="cursorPointer hover">
							&nbsp;
							${poraDnia.nazwa}
							&nbsp;
						</label>
					</td>
					<td>
						<%-- typowo używane opcje --%>
						<stripes:button class="noLoadImage hover" name="dawkaLeku[${i.count - 1}].dawka05" value="0,50" style="width: 50px;"
								title="Dla '${poraDnia.nazwa}' ustaw dawkę 1/2" onclick="dawka(this, 'dawkaLeku[${i.count - 1}].dawka');"/>
						&nbsp;
						<stripes:button class="noLoadImage hover" name="dawkaLeku[${i.count - 1}].dawka10" value="1,00" style="width: 50px;"
								title="Dla '${poraDnia.nazwa}' ustaw dawkę 1" onclick="dawka(this, 'dawkaLeku[${i.count - 1}].dawka');"/>
						&nbsp;
						<stripes:button class="noLoadImage hover" name="dawkaLeku[${i.count - 1}].dawka20" value="2,00" style="width: 50px;"
								title="Dla '${poraDnia.nazwa}' ustaw dawkę 2" onclick="dawka(this, 'dawkaLeku[${i.count - 1}].dawka');"/>
						
						&nbsp;&nbsp;
						
						<stripes:text name="dawkaLeku[${i.count - 1}].dawka" class="doublePrecision nChkb" value="1,00" size="7" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
						<stripes:errors field="dawkaLeku[${i.count - 1}].dawkowanieId"/>
						<stripes:errors field="dawkaLeku[${i.count - 1}].poraId"/>
						<stripes:errors field="dawkaLeku[${i.count - 1}].dawka"/>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			czy na receptę
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="nazwaLekuRecepta" name="dawkaLeku[0].czyRecepta"/>
		<stripes:errors field="dawkaLeku[0].czyRecepta"/>
	</div>
</div>
