<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>

<c:set var="bibliotekiAutoComplete" value="true"/>
<c:set var="styleAutoComplete" value="true"/>
<%@ include file="/jsp/templatePages/podpowiedziHead/lekiPodpHead.jsp" %>

<script type="text/javascript" src="${root}/js/utils/disabled.js"></script>
<script type="text/javascript">
//EDYCJA ORAZ USUNIĘCIE WPROWADZONEGO LEKU
	// przekierowuje do akcji edycji dawek leku
	function edytujLek(lekNazwa) {
		$("input[name='lekNazwa']").remove();
		
		// id usuwanego elementu
		$("<input type='hidden' name='lekNazwa' value='" + lekNazwa + "'/>").appendTo("#formularzGlowny");
		// akcja wizarda odpowiadajaca za usuwanie
		$("<input type='hidden' name='korektaDawek' value=''/>").appendTo("#formularzGlowny");
		
		$("#formularzGlowny").submit();
	}

	// przekierowuje do akcji usuwania dawek leku
	function usunLek(lekNazwa) {
		if(confirmation("Czy na pewno chcesz usunąć dawkę tego leku ?")) {
			$("input[name='lekNazwa']").remove();
			
			// id usuwanego elementu
			$("<input type='hidden' name='lekNazwa' value='" + lekNazwa + "'/>").appendTo("#formularzGlowny");
			// akcja wizarda odpowiadajaca za usuwanie
			$("<input type='hidden' name='usunDawki' value=''/>").appendTo("#formularzGlowny");
		
			$("#formularzGlowny").submit();
		}
	}

	/*
	 * w momencie wybrania określonej pory do dawkowania włącza
	 * odpowiednie przyciski lub po odznaczeniu pory je wyłącza
	 */
	function disableEnableDawka(elem) {
		// przyciski
		var przyciski = $("input[type='button'][name^='" + $(elem).attr("id") + ".dawka']");
		// checkboxy
		var dawkaWart = $("input[name='" + $(elem).attr("id") + ".dawka']");

		if($(elem).is(":checked")) {
			enableElem(przyciski);
			enableElem(dawkaWart);
		} else {
			disableElem(przyciski);
			disableElem(dawkaWart);
		}

		return true;
	}

	// ustawianie typowych wartości dawek z przycisków
	function dawka(buttonElem, inputName) {
		$("input[name='" + inputName + "']").val(
				$(buttonElem).val());
	}
	
	$(document).ready(function() {
		jQuery.ajaxSetup({ 
			type: "POST"
		});
		
		// wlącz/wyłącz pola dawek
		$("input[name$='poraId']").each(function() {
			disableEnableDawka($(this));
		});
		
		// automatycznie ustawiaj na pole nazwy leku
		$("#" + jqEscape("dawkaLeku[0].lek")).click();
	});
</script>
		