<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="dawkaForm"
					beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.indywidualnie.DawkaInnaNizZalecanaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="dawka.dawkowanieId"/>
				<stripes:hidden name="dawka.lekId"/>
				<stripes:hidden name="dawka.poraId"/>
				<fieldset>
					<legend>
						Edycja zmiany w zaleceniu dawkowania
					</legend>
					
					<c:set var="nazwaPolaDawkaPodanie" value="dawka"/>
					<%@ include file="/jsp/templatePages/polaDawkaPodaniePrzedLek.jsp" %>
					<div class="row">
						<div class="label">
							<label>
								lek
							</label>
						</div>
						<div class="input">
							<c:set var="obiektLek" value="${lek}"/>
							<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
							<stripes:errors field="dawka.lekId"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								pora dnia
							</label>
						</div>
						<div class="input">
							${poraDnia.nazwa}
							<stripes:errors field="dawka.poraId"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								podano dawkę
							</label>
						</div>
						<div class="input">
							<stripes:text name="dawka.dawka" class="doublePrecision required" title="Dawka, którą podano"
									formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							<stripes:errors field="dawka.dawka"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.indywidualnie.DawkiInneNizZalecaneListaAction"
								class="button" event="lista">
							<stripes:param name="dawkowanie.id" value="${actionBean.dawka.dawkowanieId}"></stripes:param>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
