<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="0"/>
<jmesa:tableFacade items="${actionBean.listaDawek}" id="listaDawek" var="dawka" autoFilterAndSort="false" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable style="text-align: center; min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Podano<br/>dodatkowo" property="podano">
				<stripes:checkbox id="listaDawek[${i}]" name="listaDawek[${i}].podano"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Nazwa leku" property="lek.nazwa">
				<label for="listaDawek[${i}]" class="cursorPointer">${dawka.lek.nazwa}</label>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Zastosowana dawka" property="dawka.dawka">
				<stripes:text name="listaDawek[${i}].dawka" class="doublePrecision required" size="8"
						title="Zastosowana dawka leku" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
				<stripes:errors field="listaDawek[${i}].dawka"/>
				
				<c:set var="i" value="${i+1}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Dawki już zastosowane<br/>tego dnia" property="podanoWczesniej">
				<fmt:formatNumber value="${not empty mapaZastosowanychDawekWrp[dawka.lekId] ? mapaZastosowanychDawekWrp[dawka.lekId] : 0.0}"
						pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
