<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="lekPostacPoleNazwa" value="lekPostac"/>
<%@ include file="/jsp/templatePages/podpowiedziField/lekPostacPodpField.jsp" %>

<div class="row">
	<div class="label">
		<label>
			liczba opakowań
		</label>
	</div>
	<div class="input">
		<stripes:text name="lekPostac.lekRealizacja.liczbaOpakowan" class="numberInteger required" size="6"/>
		<stripes:errors field="lekPostac.lekRealizacja.liczbaOpakowan"/>
	</div>
</div>
<c:if test="${(empty actionBean.brakFaktury || !actionBean.brakFaktury) && (empty actionBean.zabronBrakRealizacji || !actionBean.zabronBrakRealizacji)}">
	<div class="row">
		<div class="label">
			<label for="lekPostac.lekRealizacja.niezrealizowany">
				niezrealizowany
			</label>
		</div>
		<div class="input">
			<stripes:checkbox id="lekPostac.lekRealizacja.niezrealizowany" name="lekPostac.lekRealizacja.niezrealizowany"
					title="Zaznacz w przypadku gdy lek określono na fakturze, a fizycznie nie dostarczono go z apteki"/>
			<stripes:errors field="lekPostac.lekRealizacja.niezrealizowany"/>
		</div>
	</div>
</c:if>
