<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="true"/>
		<c:set var="styleAutoComplete" value="true"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiOpakowaniaPodpHead.jsp" %>

		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});

				// automatycznie ustawiaj najpierw na lek jeżeli pusty
				if($("#lekPostacKodBazyl").val() == '') {
					$("#lekPostac").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekWstawianieMagazynAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Wprowadzanie leku do magazynu leków podręcznych (bez recepty)
					</legend>

					<c:set var="lekPostacPoleNazwa" value="lekPostac"/>
					<c:set var="requiredClass" value="required"/>
 					<%@ include file="/jsp/templatePages/podpowiedziField/lekPostacPodpField.jsp" %>

					<c:set var="poleMagazynOperacja" value="magazynOperacja"/>
					<c:set var="poleMagazynOperacjaIloscLabel" value="liczba opakowań"/>
					<c:set var="__magazyn_operacja_value" value="${sessionScope.__rodzajDyzuruPielegniarskiego}"/>
					<%@ include file="/jsp/templatePages/polaMagazynOperacjaCalkowitoliczbowaDyzur.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.MagazynAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>