<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			leki
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${fn:length(listaLekowDlaRecept) > 0}">
				<div style="margin-bottom: 10px;">
					<stripes:button name="zaznaczWsz" onclick="tgsWybierzWszystkieZListy('listaLekow');" class="noLoadImage">Zaznacz wszystkie</stripes:button>
					<stripes:button name="odznaczWsz" onclick="tgsUsunWszystkieZListy('listaLekow');" class="noLoadImage">Odznacz wszystkie</stripes:button>
				</div>
				<ul id="listaLekow" class="toggleSelectable">
					<c:forEach items="${listaLekowDlaRecept}" var="lekNaRecepte" varStatus="i">
						<li class="ui-widget-content ${not empty actionBean.lekiWybrane[lekNaRecepte.id] && actionBean.lekiWybrane[lekNaRecepte.id] ? 'ui-toggleSelected' : ''}" id="cz_1">
							${lekNaRecepte}
							<stripes:checkbox id="cz_${czynnosc.id}_chkb" name="lekiWybrane[${lekNaRecepte.id}]" class="checkbox"></stripes:checkbox>
						</li>
					</c:forEach>
				</ul>
			</c:when>
			<c:otherwise>
				NIE ZNALEZIONO LEKÓW PRZEZNACZONYCH NA RECEPTY WG STANU NA DZIEŃ:
				<fmt:formatDate value="${actionBean.lekiNaDzien}" pattern="${DATE_PATTERN}" />.
			</c:otherwise>
		</c:choose>
		<stripes:errors field="lekiWybrane"/>
	</div>
</div>