<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ReceptaEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="recepta.id"/>
				<stripes:hidden name="recepta.ewidencjaDpsId"/>
				<fieldset>
					<legend>
						Recepta dla apteki
					</legend>
					
					<c:set var="nazwaPolaRecepty" value="recepta"/>
					<%@ include file="/jsp/templatePages/polaRecepty.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								leki
							</label>
						</div>
						<div class="input">
							<ul id="listaCzynnosci" class="toggleSelectable">
								<c:forEach items="${listaLekowDlaRecepty}" var="lek">
									<li class="ui-widget-content ui-toggleSelected">
										${lek}
									</li>
								</c:forEach>
							</ul>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ListaReceptAction"
								event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
						&nbsp;&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
