<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="linki">
	<ttSec:secure roles="LK_R_DAWKOWANIE">
		<stripes:link id="lnkDawki" beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.ListaZalecenDawkowaniaAction" event="lista">
			<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/dawkowanie/indywidualnie/lista.jsp')}"/>
			Dawki leków
		</stripes:link>
	</ttSec:secure>
	<ttSec:secure roles="LK_R_RECEPTY">
		<stripes:link id="lnkWypisane" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ListaReceptAction" event="lista">
			<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/recepty/mieszkaniec/listaRecept.jsp')}"/>
			Recepty
		</stripes:link>
	</ttSec:secure>
	<ttSec:secure roles="LK_R_REALIZACJA_LEKOW">
		<stripes:link id="lnkRealizacje" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ListaRealizacjiLekowAction" event="lista">
			<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/recepty/mieszkaniec/listaRealizacjiLekow.jsp')}"/>
			Odbiór leków
		</stripes:link>
	</ttSec:secure>
	<ttSec:secure roles="LK_R_RECEPTY">
		<stripes:link id="lnkUstawienia" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.ustawienia.ListaUstawienAction" event="lista">
			Ustawienia
		</stripes:link>
	</ttSec:secure>
</div>
