<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:catch>
	<c:forEach items="${listaTypowUstawien}" var="typUstawienia">
		<c:if test="${stripes:enumName(typUstawienia) == 'RECEPTA_UPRAWNIENIE'}">
			<div class="row">
				<div class="label">
					<label>
						uprawnienie
					</label>
				</div>
				<div class="input">
					<stripes:select name="mapaParametrow['RECEPTA_UPRAWNIENIE'][0]" id="posiadaneUprawnienie"
							title="Uprawnienia posiadane przez mieszkańca">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<c:forEach items="${uprawnieniaLekow}" var="uprawnienie">
							<c:if test="${empty uprawnienie.ukryty || ! uprawnienie.ukryty}">
								<stripes:option value="${uprawnienie.name()}">${uprawnienie.name()}</stripes:option>
							</c:if>
						</c:forEach>
					</stripes:select>
					<stripes:errors field="mapaParametrow['RECEPTA_UPRAWNIENIE'][0]"/>
				</div>
			</div>

			<tt:jspException/>
		</c:if>
	</c:forEach>
</c:catch>

