<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:catch>
	<c:forEach items="${listaTypowUstawien}" var="typUstawienia">
		<c:if test="${stripes:enumName(typUstawienia) == 'RECEPTA_CH_PRZEWLEKLE'}">
			<div class="row">
				<div class="label">
					<label>
						ch. przewlekłe
					</label>
				</div>
				<div class="input">
					<stripes:select name="mapaParametrow['RECEPTA_CH_PRZEWLEKLE'][0]" id="posiadaneUprawnienieChp"
							title="Uprawnienia dla chorób przewlekłych dla mieszkańca">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.bazmed.enums.UprawnieniaChPrzewlekle" label="name"/>
					</stripes:select>
					<stripes:errors field="mapaParametrow['RECEPTA_CH_PRZEWLEKLE'][0]"/>
				</div>
			</div>
			
			<tt:jspException/>
		</c:if>
	</c:forEach>
</c:catch>

