<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaTypowUstawien}" id="listaTypowUstawien" var="typUstawienia"
		editable="false" exportTypes="" autoFilterAndSort="false" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaTypowUstawien)}">
	<jmesa:htmlTable style="max-width: 700px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="opis" title="Typ parametru" sortable="true">
				${typUstawienia.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wartosc" title="Wartość" sortable="false" filterable="false">
				<%@ include file="listaWartosciParametrow.jsp" %>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>