<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.meldunek.MeldunekAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${not empty actionBean.meldunek.id}">
								Edycja meldunku czasowego
								<stripes:hidden name="meldunek.id"/>
								<stripes:hidden name="meldunek.ewidencjaId"/>
							</c:when>
							<c:otherwise>
								Wstawianie nowego meldunku czasowego
							</c:otherwise>
						</c:choose>
					</legend>

					<c:set var="nazwaPolaMeldunku" value="meldunek"/>
					<c:set var="klasaWymagane" value="required"/>
					<%@ include file="/jsp/templatePages/polaMeldunek.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.meldunek.ListaMeldunkowAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
