<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/highlight.js"></script>
		
		<c:set var="bibliotekiAutoComplete" value="true"/>
		<c:set var="styleAutoComplete" value="true"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/pokojPodpHead.jsp" %>
		
		<script type="text/javascript">
			function bindujPolaWyboru() {
				$("input[type='text'][id^='autoPokoj_']").not("[readonly]").each(function() {
					bindujPokojPodpowiedz(this);
				});
			}
			
			function onInvokeAction(id) {
				pokazLoadImage();
				
				$("#przypisanieForm").append('<input type="hidden" name="lista" value="1"/>');
				createDistinctHiddenInputFieldsForLimitAndSubmit(id);
			}
		
			$(document).ready(function() {
				// usuwanie nazwy zdarzenia przeładowaującego listę mieszkańców
				$(":hidden[name='lista']").remove();
				
				bindujPolaWyboru();
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista przypisań mieszkańców na dzień</h3>
		
		<div id="jmesaContainer" class="formContainer">
			<%@ include file="listaMieszkancowFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>