<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/highlight.js"></script>
		
		<c:set var="bibliotekiAutoComplete" value="true"/>
		<c:set var="styleAutoComplete" value="true"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/pokojPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				bindujPokojPodpowiedz1Pole($("#autoPokoj"));

				highlight($("#autoPokoj"));
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.pokoje.PrzypisanieIndywidualneAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Zmiana pokoju przebywania mieszkańca
					</legend>
					
					<c:set var="nazwaPolaEwidencjiPokoi" value="ewidencjaPokoje"/>
					<c:set var="klasaWymagane" value="required"/>
					<%@ include file="/jsp/templatePages/polaEwidencjaPokoje.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								pokój<br/>
								(wybierz z listy)
							</label>
						</div>
						<div class="input">
							<stripes:text id="autoPokoj" class="required alignRight"
									name="ewidencjaPokoje.pokoj.nr" size="35"></stripes:text>
							<stripes:hidden id="autoPokojhidden" name="ewidencjaPokoje.dpsPokojId"></stripes:hidden>
							<stripes:errors field="ewidencjaPokoje.dpsPokojId"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.pokoje.ListaPrzypisanMieszkancaAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
