<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${historiaPrzypisanychPracownikow}" id="historiaPrzypisanychPracownikow" var="osobaPracownik" editable="false" 
		view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(historiaPrzypisanychPracownikow)}">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="osobaPracownik.pracownikPrzypisany.nazwiskoImie" title="Pracownik przypisany" sortable="false" styleClass="daneWyroznione">
				${osobaPracownik.pracownikPrzypisany.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="osobaPracownik.dataPrzypisania" title="Data przypisania" sortable="false" styleClass="daneWyroznione">
				<fmt:formatDate value="${osobaPracownik.dataPrzypisania}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="osobaPracownik.pracownikPrzypisal.nazwiskoImie" title="Kto przypisał" sortable="false">
				${osobaPracownik.pracownikPrzypisal.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="osobaPracownik.pracownikZmienil.nazwiskoImie" title="Zmieniony przez" sortable="false">
				${osobaPracownik.pracownikZmienil.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="osobaPracownik.dataZmiany" title="Data zmiany" sortable="false">
				<fmt:formatDate value="${osobaPracownik.dataZmiany}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
