<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Poprawki dat przyjęcia mieszkańców (pierwsze wpisy ewidencji jako mieszkaniec)</h3>
		<div class="formContainer">
			<fieldset style="width: 750px; margin-left: auto; margin-right: auto;">
				<div>
					W formularzu występują jedynie osoby, które w opcji "Historia ewidencji" (dostępnej w indywidualnej kartotece)
					posiadają jako pierwszy wpis 'mieszkaniec'. Osoby uprzednio rejestrowane jako oczekujący tutaj nie występują.
					<br/>
					Formularz przeznaczony jest do użycia bezpośrednio po imporcie danych z innych programów.<br/>
					W innych przypadkach należy się konsultować z pomocą techniczną programu.
				</div>
			</fieldset>
			
			<stripes:form beanclass="pl.topteam.dps.action.system.naprawa.arisco.NaprawaDatPrzyjeciaOsobAction" style="width: 650px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<%@ include file="datyPrzyjecOsobFiltr.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>