<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script type="text/javascript">
	var __naprawa_url = "${__naprawa_url}";
</script>
<div id="angularContainer" ng-app="ttDPS" ng-init="pomijaneWplaty=${actionBean.pomijaneWplatyJson}">
	<div ng-controller="swiadczenieWplataCtrl">
		<script type="text/ng-template" id="wplataWiersz.tmpl">
			<%@ include file="wplataWiersz.jsp" %>
		</script>
		<div class="jmesa" infinite-scroll="nextPage()" infinite-scroll-disabled="busy" infinite-scroll-distance="1">
			<table class="table alignCenter" border="0" cellspacing="0" cellpadding="0" style="width: 750px;">
				<thead><tr class="header">
					<td>Lp.</td>
					<td>Data wpłaty</td>
					<td>Okres</td>
					<td>Mieszkaniec</td>
					<td>Świadczenie</td>
					<td>Kwota<br/>świadczenia</td>
					<td>Kwota<br/>wpłaty</td>
					<td>Opcje</td>
					<td>Status<br/>operacji</td>
				</tr></thead>
				<tbody class="tbody" ng-repeat="wplata in listaWplat" ng-include src="'wplataWiersz.tmpl'">
				</tbody>
				<tfoot ng-show="busy">
					<tr><td colspan="8">
						Ładowanie danych....
					</td></tr>
				</tfoot>
				<tfoot ng-show="last" style="text-align: right; margin-right: 10px;">
					<tr><td colspan="8">
						<a href="#gora">Na górę strony &#923;</a>
					</td></tr>
				</tfoot>
			</table>
		</div>
	</div>
</div>
