<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.NieobecnoscEdycjaAction" name="nieobecnoscForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Edycja nieobecności
						<stripes:hidden name="nieobecnosc.id"/>
						<stripes:hidden name="nieobecnosc.ewidencjaId"/>
					</legend>
					
					<c:set var="nazwaPolaNieobecnosci" value="nieobecnosc"/>
					<c:set var="readOnly" value="true"/>
					<c:if test="${stripes:enumName(actionBean.nieobecnosc.status) == 'ROZLICZONA'}">
						<c:set var="wszystkoReadonly" value="true"/>
					</c:if>
					<%@ include file="/jsp/templatePages/polaNieobecnosci.jsp" %>
					<%@ include file="/jsp/templatePages/polaNieobecnosciWspolne.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.ListaNieobecnosciAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>