<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<a id="lnkDecKiers" href="#" class="aktywny">
					Odpłatność - rozliczanie (opis zakładek)
				</a>
			</div>
			<div class="form" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				<div>
					<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugMieszkancaAction" event="dlug">
						<stripes:param name="rok" value="${actionBean.rok}"/>
						<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
						<stripes:param name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
						« Powrót rozliczanie zadłużenia
					</stripes:link>
				</div>
				<div>
				<dl>
					<dt>Opis</dt>
					<dd>
						zakładka, która jest obecnie wyświetlona
					</dd>
					<dt>Rozliczenie</dt>
					<dd>
						zawiera końcowe podliczenie miesiąca uwzględniając WSZYSTKIE DOKONANE naliczenia, wpłaty, faktury, zwroty, odpisy
						za ten miesiąc
					</dd>
					<dt>Rozliczenie księgowe</dt>
					<dd>
						rozliczenie księgowe miesiąca uwzględniające operacje (przypisy, odpisy, wpłaty, zwroty) wg daty księgowania
						z tego miesiąca np. w rozliczeniu za styczeń 2013 uwzględniane są jedynie ww. operacje z datą księgowania od 2013-01-01 do 2013-01-31
						niezależnie od tego którego okresu one dotyczą (np. 2013-01-15 nastąpiła wpłata za 2012-grudzień, wówczas w zakładce 'Dług' będzie ona uwzgęlniona w 2012/grudzień,
						a w zakładce 'Roliczenie księgowe' będzie w zakładce 2013/styczeń)
					</dd>
					<dt>Start zadł.</dt>
					<dd>
						kwota zadłużenia z jaką rozpoczynamy dany miesiąć (USTAWIAĆ TYLKO DLA MIESIĄCA W KTÓRYM ROZPOCZYNAMY PRACĘ ROZLICZENIOWE
						np. przy zakupie programu
					</dd>
					<dt>Naliczenie (pobyt)</dt>
					<dd>
						naliczenia/przypisy osób i instytucji za miesiąc
					</dd>
					<dt>Faktury</dt>
					<dd>
						faktury wystawione w danych okresie
					</dd>
					<dt>Odpisy</dt>
					<dd>
						odpisy m.in. za nieobecność w Domu
					</dd>
					<dt>Wpłaty</dt>
					<dd>
						wszystkie dokonane wpłaty częściowo lub całościowo przeznaczone na spłatę należności
					</dd>
					<dt>Zwroty</dt>
					<dd>
						wszystkie zwroty dot. wskazanego miesiąca
					</dd>
					<dt>Wyrównania</dt>
					<dd>
						kwoty, które przechodzą z nadwyżki w jednym miesiącu na niedopłatę z drugiego (tylko w przypadku generowania noty dla wyrównań)
					</dd>
				</dl>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
