<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscNaliczanieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset style="width: 750px;">
					<legend>
						Naliczenie nowych pozycji za okres ${actionBean.naliczenie.rok}/${actionBean.naliczenie.miesiac}
					</legend>
					<stripes:hidden name="naliczenie.rok"/>
					<stripes:hidden name="naliczenie.miesiac"/>
					
					<c:set var="nazwaPolaNaliczeniePobyt" value="naliczenie"/>
					<div class="row">
						<div class="label">
							<label>
								data
							</label>
						</div>
						<div class="input">
							<stripes:text name="${nazwaPolaNaliczeniePobyt}.dataObliczenia" class="data required" title="Data" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="${nazwaPolaNaliczeniePobyt}.dataObliczenia"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data księgowania
							</label>
						</div>
						<div class="input">
							<stripes:text name="${nazwaPolaNaliczeniePobyt}.dataKsiegowania" class="data" title="Data księgowania" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="${nazwaPolaNaliczeniePobyt}.dataKsiegowania"/>
						</div>
					</div>
					
					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" class="button" event="lista">
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="nalicz" value="Nalicz"/>
						</div>
					</fieldset>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
