<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PlatnoscListaNowychSkladnikowOkresuActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaNowychSkladnikowOkresuAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_PlatnoscListaNowychSkladnikowOkresuActionURL}",
					"listaFiltr=1&rok=${actionBean.rok}&miesiac=${actionBean.miesiac}&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	
			        	loadImage();
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<c:set var="miesiacNumber" value="${actionBean.miesiac}"/>
				<a href="#" class="aktywny">
					Doliczenia - nowe (${actionBean.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>)
				</a>
			</div>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				<div class="listFooterText" style="padding-bottom: 5px;">
					<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista">
						<stripes:param name="rok" value="${actionBean.rok}"/>
						<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
						&laquo; Powrót lista doliczeń
					</stripes:link>
				</div>
				<div id="jmesaContainer">
					<%@ include file="platnoscListaNowychSkladnikowOkresuFiltr.jsp" %>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
