<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PlatnoscListaOkresowActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_PlatnoscListaOkresowActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				// ustawianie domyślnego filtrowania statusów listy
				var jmesaDynStatusFilter = $("div[onclick*='createDroplistDynFilter'][onclick*='status']");
				jmesaDynStatusFilter.html("nowe");
				jmesaDynStatusFilter.click();
				
				// pobieranie danych
				$("#dynFilterDroplist").val("NOWE");
				$("#dynFilterDroplist").change();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="../platnoscNaliczeniaDoliczeniaLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkLstOkresowDoliczen");
				});
			</script>
			
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<c:choose>
						<c:when test="${listaDoliczen != null}"><%@ include file="platnoscListaOkresowFiltr.jsp" %></c:when>
						<c:otherwise>&nbsp;</c:otherwise>
					</c:choose>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
