<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresuOsobyAction">
	<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/naliczanie/platnoscListaSkladnikowOkresuOsoby.jsp')}"/>
	
	<stripes:hidden name="rok"/>
	<stripes:hidden name="miesiac"/>
	<stripes:hidden name="zakladkaGlowna"/>
	<stripes:hidden name="zakres"/>
	
	<jmesa:tableFacade items="${listaDoliczen}" id="listaDoliczen" var="doliczenie" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableView"
			maxRows="${fn:length(listaDoliczen)}">
		<jmesa:htmlTable style="width: 650px;" styleClass="alignCenter">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" styleClass="daneWyroznione nowrap" sortable="false" filterable="true">
					${doliczenie.mieszkaniec.nazwiskoImie}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="platnik" title="Płatnik" styleClass="daneWyroznione nowrap" sortable="false" filterable="true">
					<c:if test="${doliczenie.mieszkaniec.id != doliczenie.osoba.id}">
						${doliczenie.osoba.nazwiskoImie}
					</c:if>
				</jmesa:htmlColumn>
	
				<%@ include file="platnoscListaSkladnikowOkresuKolumnaKwotaStatusFiltr.jsp" %>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</stripes:form>
