<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PlatnoscListaSkladnikowOkresuPodsumowanieActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresuPodsumowanieAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="layoutSkladnikiOkresu.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
		</style>
		
		<script type="text/javascript">
			function reloadTable(page, status) {
				pokazLoadImage();
				
				 $.post("${_PlatnoscListaSkladnikowOkresuPodsumowanieActionURL}",
					"podsumowanieFiltr=1&rok=${actionBean.rok}&miesiac=${actionBean.miesiac}&status=" + status,
					function(data) {
			        	$("#ui-tabs-" + page).html(data);
			        	
			  			ukryjLoadImage();
			    	}
		    	);
			}
		
			$(document).ready(function() {
				$("#tab-container-lex")
					.tabs({
						select: function(event, ui) {
							reloadTable(ui.index + 1);
							
							return true;
						}
					});
				
				$("#tab-container")
					.tabs({
						select: function(event, ui) {
							reloadTable(ui.index + 1, ui.tab.dataset['status']);
							
							return true;
						}
					});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<div id="tab-container" class="form" style="border: 0px none; margin: 0px auto; width: 85%;">
			<ul>
				<c:forEach items="${actionBean.statusyDoliczen}" var="status" varStatus="i">
					<li>
						<a href="#ui-tabs-${i.count}" data-status="${status.name()}">
							${status.opis}
						</a>
					</li>
				</c:forEach>
			</ul>
			<c:forEach items="${actionBean.statusyDoliczen}" var="status" varStatus="i">
				<div id="ui-tabs-${i.count}">
					<c:if test="${i.count == 1}">
						<%@ include file="platnoscListaSkladnikowOkresuPodsumowanieFiltr.jsp" %>
					</c:if>
				</div>
			</c:forEach>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
