<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaKwot" value="0.0"/>
<div class="jmesa">
<table class="alignCenter" style="min-width: 200px;">
	<thead>
		<tr class="header">
			<td>Status</td>
			<td>Suma<br/>[${GL_JEDNOSTKA_MONETARNA}]</td>
		</tr>
	</thead>
	<tbody class="tbody">
		<c:forEach items="${mapaDanych}" var="daneEntry" varStatus="i">
			<c:set var="_tdClass" value="${i.count % 2 == 1? 'even' : 'odd'}"/>
			<c:set var="_sumaSkladnikow" value="0.0"/>
			<tr class="${_tdClass}" onmouseover="this.className='highlight'" onmouseout="this.className='${_tdClass}'">
				<td>${daneEntry.key.opis} (F)*</td>
				<td class="text-right" nowrap="nowrap">
					<c:set var="_sumaKwot" value="${_sumaKwot + daneEntry.value}"/>
					<strong><fmt:formatNumber value="${daneEntry.value}" pattern="${DOUBLE_PRECISION_PATTERN}" /></strong>
				</td>
			</tr>
		</c:forEach>
	</tbody>
	<tbody class="tbody">
		<tr><td colspan="2" dir="rtl"><hr style="width: 80%;"></td></tr>
		<tr>
			<td style="text-align: right; padding-right: 5px;">RAZEM [${GL_JEDNOSTKA_MONETARNA}]:</td>
			<td class="text-right" nowrap="nowrap">
				<strong><fmt:formatNumber value="${_sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}" /></strong>
			</td>
		</tr>
	</tbody>
</table>
</div>
