<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		
		<script type="text/javascript">
			function aktywujKwota() {
				$("input[name='limit.kwota']").click();
	
		    	return true;
			}
		
			// funkcje do wykonania po uzupełnieniu pola mieszkańca
			postCreateOFilter = {
				'osoba' : aktywujKwota
			};
		
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// autopodpowiedzi
				$("#osoba").click();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.LimitAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors></stripes:errors>
				<fieldset>
					<legend>
						Limit generowanych dopłat
					</legend>
					
					<c:set var="osobaPoleNazwa" value="osoba"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpField.jsp" %>
					
					
					<c:set var="poleDoplataLimit" value="limit"/>
					<%@ include file="/jsp/templatePages/polaDoplataLimit.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.ListaLimitowAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
