<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="sumaKwot" value="0.00"/>
<c:set var="instytucje" value="${actionBean.mapaInstytucji}"/>
<c:set var="osoby" value="${actionBean.mapaOsob}"/>
<c:forEach items="${actionBean.listaSkladnikow}" var="naliczeniePobyt" varStatus="i">
	<stripes:hidden name="listaSkladnikow[${i.count - 1}].id"/>
	<stripes:hidden name="listaSkladnikow[${i.count - 1}].osobaId"/>
	<stripes:hidden name="listaSkladnikow[${i.count - 1}].instytucjaId"/>
	<stripes:hidden name="listaSkladnikow[${i.count - 1}].zadluzeniePozycjaId"/>
	
	<c:choose>
		<c:when test="${not empty naliczeniePobyt.instytucjaId}">
			<c:set var="opisPolaNaliczeniePobyt" value="${instytucje[naliczeniePobyt.instytucjaId].nazwa}"/>
		</c:when>
		<c:when test="${not empty naliczeniePobyt.osobaId}">
			<c:set var="opisPolaNaliczeniePobyt" value="${osoby[naliczeniePobyt.osobaId].nazwiskoImie}"/>
		</c:when>
		<c:otherwise>
			<c:set var="opisPolaNaliczeniePobyt" value="<span class='warning'>NIE ZAIMPLEMENTOWANO POPRAWNIE !!!</span>"/>
		</c:otherwise>
	</c:choose>

	<c:set var="sumaKwot" value="${sumaKwot + actionBean.listaSkladnikow[i.count - 1].kwota}"/>
	
	<c:set var="nazwaPolaNaliczeniePobyt" value="listaSkladnikow[${i.count - 1}]"/>
	<%@ include file="/jsp/templatePages/polaNaliczeniePobytSkladnik.jsp" %>
</c:forEach>
