<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:htmlColumn property="dataObliczenia" title="Data" styleClass="nowrap" sortable="false" filterable="false">
	<fmt:formatDate value="${naliczenie.dataObliczenia}" pattern="${DATE_PATTERN}" />
</jmesa:htmlColumn>
<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap" sortable="false" filterable="false">
	<fmt:formatDate value="${naliczenie.dataKsiegowania}" pattern="${DATE_PATTERN}" />
</jmesa:htmlColumn>
<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd nowrap" sortable="false" filterable="false">
	<fmt:formatNumber value="${naliczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
</jmesa:htmlColumn>
