<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczeniePozycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="rok"/>
				<stripes:hidden name="miesiac"/>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.naliczenie.id}">
								Dodawanie nowej pozycji naliczenia (pobyt) za ${actionBean.rok}/${actionBean.miesiac}
							</c:when>
							<c:otherwise>
								Edycja pozycji naliczenia (pobyt) za ${actionBean.rok}/${actionBean.miesiac}

								<stripes:hidden name="naliczenie.id"/>
								<stripes:hidden name="naliczenie.doliczenieId"/>
								<stripes:hidden name="naliczenie.zadluzeniePozycjaId"/>
							</c:otherwise>
						</c:choose>
					</legend>

					<c:set var="nazwaPolaNaliczeniePobyt" value="naliczenie"/>
					<c:set var="isEdycja" value="${not empty actionBean.naliczenie.id}"/>
					<%@ include file="/jsp/templatePages/polaNaliczeniePobyt.jsp" %>
					<div class="row">
						<div class="label">
							<label>
								kwota
							</label>
						</div>
						<div class="input">
							<%@ include file="/jsp/templatePages/polaNaliczeniePobytKwota.jsp" %>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" class="button" event="lista">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
