<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<aa:zone id="notaLimityDoplat">
<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.doplaty.NotaGeneratorAction" partial="true">
	<%-- globalne błędy do odświeżenia; nie powinny się pokazywać w tym miejscu stąd display-none --%>
	<div style="display: none;">
		<aa:zone id="doplatyGlobalErrors">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
		</aa:zone>
	</div>
	<stripes:hidden id="limitOsobaId" name="limit.osobaId"/>
	
	<div class="padding-bottom-10">
		<div class="row">
			<div class="label">
				<label>mieszkaniec</label>
			</div>
			<div class="input">
				<c:set var="mOsoba" value="${true}"/>
				<c:set var="osobaPoleNazwa" value="limit.osoba"/>
				<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
				
				<br/>
				<stripes:submit name="dodajLimit" aa-refresh-zones="notaLimityDoplat,doplatyGlobalErrors" value="Dodaj"/>
			</div>
		</div>
	</div>
	<jmesa:tableFacade items="${actionBean.listaMieszkancowLimit}" id="listaMieszkancowLimit" var="osoba" editable="false"
			view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaMieszkancowLimit)}">
		<jmesa:htmlTable style="width: 500px;" styleClass="alignCenter">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="nazwisko" title="Osoba" styleClass="daneWyroznione" sortable="false">
					<stripes:hidden name="limityDoplat[${osoba.id}].osobaId"/>
					<stripes:hidden name="limityDoplat[${osoba.id}].osoba.id"/>
					<stripes:hidden name="limityDoplat[${osoba.id}].osoba.nazwisko"/>
					<stripes:hidden name="limityDoplat[${osoba.id}].osoba.imie"/>
					
					${osoba.nazwiskoImie}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="kwotaTd">
					<stripes:text name="limityDoplat[${osoba.id}].kwota" class="doublePrecision required" title="Kwota limitu" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
					<div class="ikonki">
						<stripes:submit name="usunLimit" style="display: none;" aa-refresh-zones="notaLimityDoplat"/>
						<a href="#" onclick="usunL('${osoba.id}')">
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</a>
					</div>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</stripes:form>
</aa:zone>
