<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_NotaEdycjaActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.NotaEdycjaAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="../notaHtmlHead.jsp" %>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();

			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_NotaEdycjaActionURL}",
					"listaPozycjiFiltr=1&nota.id=${actionBean.nota.id}&" + parameterString,
					function(data) {
			        	$("#nota_lista_pozycji_container").html(data);
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<div class="alignCenter">Edycja noty ("${actionBean.nota.typ.opis}")</div>
			<div id="tab-container" class="form" style="border: 0px none;">
				<ul>
					<li style="margin-right: 15px;">
						<a href="#ui-tabs-powrot">
							<i class="glyphicon glyphicon-arrow-left"></i>
						</a>
					</li>
					<li><a href="#ui-tabs-dane">Dane</a></li>
					<li><a href="#ui-tabs-platnicy">Pozycje zwrotów</a></li>
				</ul>
				<div id="ui-tabs-dane">
					<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.NotaEdycjaAction">
						<div>
							<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
							<stripes:hidden name="nota.id"/>

							<c:set var="nazwaPolaNota" value="nota"/>
							<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
							<%@ include file="/jsp/templatePages/polaNotaOdplatnosc.jsp" %>
						</div>
						<fieldset class="submit">
							<div class="alignCenter padding-top-10">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</div>
						</fieldset>
					</stripes:form>
				</div>
				<div id="ui-tabs-platnicy">
					<div class="jmesa container-fluid">
						<div id="nota_lista_pozycji_container" class="col-md-6">
							<aa:zone id="lista_pozycji_container">
								<%@ include file="listaPozycjiFiltr.jsp" %>
							</aa:zone>
						</div>
						<div class="col-md-5">
							<div id="nota_pozycja_container">
								<aa:zone id="pozycja_container">
									Wybierz jedną z opcja dla płatnika (tabelka)
								</aa:zone>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
