<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<!DOCTYPE html>
<html>
	<head>
		<style>
			.blankietH {
				width: 1108px;
				height: 392px;
				position: relative;
				font-family: monospace;
				font-size: 13px;
				font-weight: normal;
				letter-spacing: 2px;
				line-height: 30px;
			}
			
			.blankietH img {
				position: absolute;
			}
			
			.odcinekZleceniodawcy {
				position: absolute;
				left: 0px;
			}
			
			.odcinekBanku {
				position: absolute;
				left: 554px;
			}
			
			.nazwaOdbiorcy {
				position: absolute;
				left: 24px;
				top: 6px;
				width: 515px;
			}
			
			.nrRachunkuOdbiorcy {
				position: absolute;
				left: 24px;
				top: 68px;
				letter-spacing: 11px;
				letter-spacing: 11px;
			}
			
			.kwota {
				position: absolute;
				left: 310px;
				top: 100px;
				letter-spacing: 11px;
			}
			
			.nrRachunkuZleceniodawcy {
				position: absolute;
				left: 24px;
				top: 130px;
				letter-spacing: 11px;
			}
			
			.nazwaZleceniodawcy {
				position: absolute;
				left: 24px;
				top: 162px;
				width: 515px;
			}
			
			.tytulem {
				position: absolute;
				left: 24px;
				top: 224px;
				width: 515px;
			}
			.data {
				position: absolute;
				left: 24px;
				top: 285px;
				width: 515px;
			}
		</style>
	</head>
		<body>
			<c:set var="przelewOdbiorcaNazwa" value="${dpsJednostka.nazwa}"/>
			<c:set var="przelewOdbiorcaAdresLinia1" value="${dpsJednostka.adres.postacDoDruku[0]}"/>
			<c:set var="przelewOdbiorcaAdresLinia2" value="${dpsJednostka.adres.postacDoDruku[1]}"/>
			<c:set var="przelewOdbiorcaNumerKonta" value="${actionBean.kontoBankowe.iban}"/>
			
			<c:forEach items="${listaPrzelewow}" var="przelew" varStatus="i">
				<c:set var="przelewKwota" value="${przelew.kwota}"/>
				
				<%--
				<c:set var="przelewNrRachunkuZleceniodawcy" value="${ttFn:spelletNumberB(przelew.kwota)}"/>
				 --%>
				<c:set var="przelewNrRachunkuZleceniodawcy" value=""/>
			
				<c:set var="przelewZleceniodawcaNazwa" value="${przelew.osoba.nazwiskoImie}"/>
				<c:set var="przelewZleceniodawcaAdresLinia1" value="${not empty przelew.osoba.adres ? przelew.osoba.adres.postacDoDruku[0] : ''}"/>
				<c:set var="przelewZleceniodawcaAdresLinia2" value="${not empty przelew.osoba.adres ? przelew.osoba.adres.postacDoDruku[1] : ''}"/>
				<c:set var="przelewTytulemLinia1" value="${przelew.tytulem}"/>
				<c:set var="przelewTytulemLinia2" value=""/>
			
				<div class="blankietH">
					<img src="${root}/img/przelew/przelewH.gif"/>
					
					<div class="odcinekZleceniodawcy">
						<%@ include file="/jsp/templatePages/widokDrukPrzelewuWydruk.jsp" %>
					</div>
					<div class="odcinekBanku">
						<%@ include file="/jsp/templatePages/widokDrukPrzelewuWydruk.jsp" %>
					</div>
				</div>
				
				<div class="blankietH">
					<img src="${root}/img/przelew/przelewH.gif"/>
					
					<div class="odcinekZleceniodawcy">
						<%@ include file="/jsp/templatePages/widokDrukPrzelewuWydruk.jsp" %>
					</div>
					<div class="odcinekBanku">
						<%@ include file="/jsp/templatePages/widokDrukPrzelewuWydruk.jsp" %>
					</div>
				</div>
				
				<c:if test="${not i.last}">
					<div style="page-break-before: always;">
						<br/>
					</div>
				</c:if>
		</c:forEach>
	</body>
</html>
