<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<table class="table" style="width: 280px;">
	<thead>
		<tr>
			<td class="text-left disabled">Saldo początkowe [${GL_JEDNOSTKA_MONETARNA}]*</td>
			<td class="text-right disabled">
				<strong><fmt:formatNumber value="${saldoPoczatkowe}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</thead>
	<tbody class="tbody">
		<tr class="even" onmouseover="this.className='highlight'" onmouseout="this.className='even'">
			<td class="header text-left">Naliczenia [${GL_JEDNOSTKA_MONETARNA}]</td>
			<td class="text-right">
				<strong><fmt:formatNumber value="${sumaNaliczenia}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
		<tr class="odd" onmouseover="this.className='highlight'" onmouseout="this.className='odd'">
			<td class="header text-left">Faktury [${GL_JEDNOSTKA_MONETARNA}]</td>
			<td class="text-right">
				<strong><fmt:formatNumber value="${sumaFaktury}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
		<tr class="even" onmouseover="this.className='highlight'" onmouseout="this.className='even'">
			<td class="header text-left">Odpisy [${GL_JEDNOSTKA_MONETARNA}]</td>
			<td class="text-right">
				<strong><fmt:formatNumber value="${sumaOdpisy}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
		<tr class="odd" onmouseover="this.className='highlight'" onmouseout="this.className='odd'">
			<td class="header text-left">Wpłaty [${GL_JEDNOSTKA_MONETARNA}]</td>
			<td class="text-right">
				<strong><fmt:formatNumber value="${sumaWplaty}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
		<tr class="even" onmouseover="this.className='highlight'" onmouseout="this.className='even'">
			<td class="header text-left">Zwroty [${GL_JEDNOSTKA_MONETARNA}]</td>
			<td class="text-right">
				<strong><fmt:formatNumber value="${sumaZwroty}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</tbody>
	<tfoot>
		<tr>
			<td class="text-left disabled">Saldo końcowe [${GL_JEDNOSTKA_MONETARNA}]*</td>
			<td class="text-right disabled">
				<strong><fmt:formatNumber value="${saldoKoncowe}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</tfoot>
</table>
<div class="padding-top-5" style="padding-left: 10px;">
	*) '<strong>+</strong>' - zadłużenie (winien), '<strong>-</strong>' - nadpłata (ma)
</div>
