<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<table class="table" style="width: 100%;">
	<tbody class="tbody">
		<tr class="disabled">
			<td>winien</td>
			<td class="text-right">
				<c:choose>
					<c:when test="${saldoPoczatkowe.signum() >= 0}">
						<strong><fmt:formatNumber value="${saldoPoczatkowe}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
					</c:when>
					<c:otherwise>
						-
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		<tr class="disabled">
			<td>ma</td>
			<td class="text-right">
				<c:choose>
					<c:when test="${saldoPoczatkowe.signum() < 0}">
						<strong><fmt:formatNumber value="${(-1) * saldoPoczatkowe}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
					</c:when>
					<c:otherwise>
						-
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
	</tbody>
</table>
