<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.okres.DlugStartZadluzeniaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors></stripes:errors>
				<stripes:hidden name="rok"/>
				<stripes:hidden name="miesiac"/>
				
				<stripes:hidden name="zadluzenieStart.zadluzeniePozycjaId"/>

				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.zadluzenieStart.zadluzeniePozycjaId}">
								Start zadłużenia
							</c:when>
							<c:otherwise>
								Edycja początkowego zadłużenia
							</c:otherwise>
						</c:choose>
					</legend>
					
					<div class="row">
						<div class="label">
							<label for="dataWydania">
								za okres
							</label>
						</div>
						<div class="input">
							${actionBean.rok} / ${actionBean.miesiac}
							
							<stripes:hidden name="rok"/>
							<stripes:hidden name="miesiac"/>
							
							<stripes:hidden name="zadluzenieStart.rok" value="${actionBean.rok}"/>
							<stripes:hidden name="zadluzenieStart.miesiac" value="${actionBean.miesiac}"/>
						</div>
					</div>
					
					<c:set var="nazwaPolaStartZadluzenia" value="zadluzenieStart"/>
					<%@ include file="/jsp/templatePages/polaStartZadluzenia.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.okres.ListaStartZadluzenAction"
								event="lista" class="button">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
