<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_InnaWplataPodpowiedzActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodpowiedzAction" prependContext="true" scope="page" addSourcePage="false"/>

<aa:zone id="pwplaty_konta_${konto.id}_kwota_zone">
	<script type="text/javascript">
		$(document).ready(function() {
			$("input[name='naPoczetK\[${konto.id}\]']").change(function() {
				$("input[name='pozycja']").val("${konto.id}");
				var form = $("<form action='${_InnaWplataPodpowiedzActionURL}' method='post'></form>");
				var data = $("form[name='innaWplataForm']").serialize();
				var event = {'target' : $("<input type='submit' name='krok2PodpKwotaZ' value=''/>")};
				AjaxAnywhere.submitAjaxAnywhereFormWithData(form, data, "kwota_zwrotu_zone", event, null);
				return false;
			});
		});
		
		//# sourceURL=wplataKrok2KwotaKonta.js
	</script>
	<stripes:text id="kwotaWplaty" name="naPoczetK[${konto.id}]" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
	<stripes:errors field="naPoczetK[${konto.id}]"/>
</aa:zone>
