<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_InnaWplataPodpowiedzActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodpowiedzAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:choose>
<c:when test="${fn:length(listaFaktur) == 0}">
	BRAK NIEZAPŁACONYCH FAKTUR DLA TEGO DŁUŻNIKA
</c:when>
<c:otherwise>
	<script type="text/javascript">
		function _listaFakturSubmit() {
			var form = $("<form action='${_InnaWplataPodpowiedzActionURL}' method='post'></form>");
			var data = $("form[name='innaWplataForm']").serialize();
			var event = {'target' : $("<input type='submit' name='krok2PodpKwotaF' value=''/>")};
			AjaxAnywhere.submitAjaxAnywhereFormWithData(form, data, "kwota_zwrotu_zone", event, null);
			return false;
		}
		
		//# sourceURL=wplataKrok2ListaFaktur.js
	</script>
	<c:set var="i" value="-1"/>
	<jmesa:tableFacade items="${listaFaktur}" id="listaFaktur" var="faktura" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
			maxRows="${fn:length(listaFaktur)}">
		<jmesa:htmlTable style="min-width: 300px;" styleClass="alignCenter">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="data" title="Data" sortable="false" filterable="false">
					<c:set var="i" value="${i + 1}"/>
					<stripes:hidden name="listaFaktur[${i}]"/>
					
					<fmt:formatDate value="${faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="nr" title="Faktura" sortable="false" filterable="false">
					${faktura.nr}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd daneWyroznione" sortable="false" filterable="false">
					<fmt:formatNumber value="${faktura.kwotaM}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="wplata" title="Wpłata" sortable="false" filterable="false">
					<div class="ikonki">
						<stripes:checkbox name="naPoczetF[${faktura.id}]" onchange="_listaFakturSubmit()"></stripes:checkbox>
					</div>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</c:otherwise>
</c:choose>
