<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodgladAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset style="width: 750px;">
					<legend>
						Wpłata inna (podgląd)
					</legend>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templatePages/polaWplataWspolne.jsp" %>
					<%@ include file="/jsp/templatePages/polaWplataKwota.jsp" %>
					<c:choose>
						<c:when test="${not empty actionBean.wplata.osobaId}">
							<%@ include file="/jsp/templatePages/polaWplataOsoba.jsp" %>
						</c:when>
						<c:when test="${not empty actionBean.wplata.instytucjaId}">
							<%@ include file="/jsp/templatePages/polaWplataInstytucja.jsp" %>
						</c:when>
						<c:otherwise>
							<font style="color: red;">NIE ZNALEZIONO DANYCH OSOBY WPŁACAJĄCEJ</font>
						</c:otherwise>
					</c:choose>
					<div class="row">
						<div class="label">
							ze świadczenia?
						</div>
						<div class="input">
							${not empty actionBean.wplata.swiadczenieId ? 'TAK' : 'NIE'}
						</div>
					</div>
					
					<fieldset>
						<legend>
							Na poczet zadłużenia
						</legend>
						<%@ include file="/jsp/odplatnosc/wplaty/inne/wplataPodgladZ.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Na poczet depozytów
						</legend>
						<%@ include file="/jsp/odplatnosc/wplaty/inne/wplataPodgladD.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Na poczet kasy mieszkańca
						</legend>
						<%@ include file="/jsp/odplatnosc/wplaty/inne/wplataPodgladKm.jsp" %>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" event="lista" class="button">
							&laquo; Lista wpłat
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
