<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty listaWplatKasaMieszkanca && fn:length(listaWplatKasaMieszkanca) > 0}">
		<jmesa:tableFacade items="${listaWplatKasaMieszkanca}" id="listaWplatKasaMieszkanca" var="wplataK" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" 
				maxRows="${fn:length(listaWplatKasaMieszkanca)}">
			<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="podmiot" title="Podmiot" sortable="false">
						${wplataK.operacja.kontoM.podmiot.nazwa}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="konto" title="Konto" sortable="false">
						${wplataK.operacja.kontoM.nr}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="alignRight daneWyroznione">
						<fmt:formatNumber value="${wplataK.operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:when>
	<c:otherwise>
		-BRAK-
	</c:otherwise>
</c:choose>
