<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Rejestracja wpłat dla instytucji dopłacającej (krok 2: zatwierdzanie wpłat)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								okres
							</label>
						</div>
						<div class="input">
							${actionBean.instytucjaWplata.rok} / ${actionBean.instytucjaWplata.miesiac}
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								instytucja
							</label>
						</div>
						<div class="input">
							${actionBean.instytucjaWplata.instytucja.nazwa}
						</div>
					</div>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templatePages/polaWplataWspolne.jsp" %>
					
					<fieldset>
						<legend>
							Wpłaty
						</legend>
						
						<c:if test="${fn:length(actionBean.listaWplat) == 0}">
							<div style="text-align: left">
								<div class="bladglobalny"><span class="imgError"/>
								Nie znaleziono świadczeń przypisanych do terminu wypłat
							</div>
						</c:if>
						<div>
							<%@ include file="generowanieListaFiltr.jsp" %>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<c:choose>
							<c:when test="${fn:length(actionBean.listaWplat) > 0}">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</c:when>
							<c:otherwise>
								<stripes:submit name="zapisz" value="Zapisz" disabled="disabled"/>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
