<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="swiadczenieWplata"/>
				<stripes:hidden name="swiadczenieWplata.termin"/>
				
				<fieldset>
					<legend>
						Wpłaty zarejestrowane na podstawie pobieranych świadczeń E/R
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								okres
							</label>
						</div>
						<div class="input">
							${actionBean.swiadczenieWplata.rok} / ${actionBean.swiadczenieWplata.miesiac}
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								termin
							</label>
						</div>
						<div class="input">
							${actionBean.swiadczenieWplata.termin.tekst}
						</div>
					</div>
					<c:if test="${not empty actionBean.swiadczenieWplata.instytucja}">
						<stripes:hidden name="swiadczenieWplata.instytucja"/>
						<div class="row">
							<div class="label">
								<label>
									dla instytucji
								</label>
							</div>
							<div class="input">
								${actionBean.swiadczenieWplata.instytucja.nazwa}
							</div>
						</div>
					</c:if>
					
					<fieldset>
						<%@ include file="edycjaListaFiltr.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
