<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/odplatnosc/layoutOdplatnosc.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
			#tab-container-widok {
				border: 0px none !important;
				margin: 0px auto;
				padding-top: 0px;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-widok").tabs({});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="tab-container-widok" class="form">
			<ul>
				<li><a href="#ui-tabs-widok-pozycje">Pozycje</a></li>
				<li><a href="#ui-tabs-widok-podsumowanie">Podsumowanie</a></li>
				<li style="margin-left: 60px;"><a class="disabled" href="#ui-tabs-info">kwoty: '-' - była nadpłata, '+' - było zadłużenie</a></li>
			</ul>
			<div id="ui-tabs-widok-pozycje">
				<div id="jmesaContainer" style="padding-top: 5px;">
					<%@ include file="listaFiltr.jsp" %>
				</div>
			</div>
			<div id="ui-tabs-widok-podsumowanie">
				<div class="row">
					<div class="col-md-6">
						<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
						<c:set var="mapaDanych" value="${mapaPodsumowaniePodmioty}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowaniePodmioty.jsp" %>
					</div>
					<div class="col-md-5">
						<c:set var="mapaDanych" value="${mapaPodsumowanie}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieZadluzenia.jsp" %>
					</div>
				</div>
			</div>
			<div id="ui-tabs-info"></div>
		</div>
		<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieLegenda.jsp" %>
	</stripes:layout-component>
</stripes:layout-render>
		