<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="ADM_D_PARAM_SYS">
	<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" event="usun"
			onclick="return confirmation('Czy na pewno chcesz usunąć parametr /${typParametru.opis}/ ? ')"
			title="Usuń wartość wskazanego parametru">
		<stripes:param name="parametrSystemowy.id" value="${idParametru}"/>
		<stripes:param name="parametrSystemowy.typ" value="${typParametru}"/>
		<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes(sourcePage)}"/>
		<img src="${root}/img/delete.gif" class="iconspace"/>
	</stripes:link>
</ttSec:secure>
