<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${fn:length(listaParametrow) == 0}">
	</c:when>
	<c:otherwise>
		<jmesa:tableFacade items="${listaParametrow}" id="listaParametrow" var="parametrSystemowy" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutHeaderAndStatusView" maxRows="${fn:length(listaParametrow)}">
			<jmesa:htmlTable style="width: 100%;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="wartosc" title="Wartość" sortable="false" filterable="false" styleClass="nowrap">
						<c:choose>
							<c:when test="${stripes:enumName(parametrSystemowy.typ) == 'OBSLUGA_OKRESOW'}">
								<%@ include file="listaFiltrWartoscParametru_OBSLUGA_OKRESU.jsp" %>
							</c:when>
							<c:otherwise>
								<%@ include file="listaFiltrWartoscParametru.jsp" %>
							</c:otherwise>
						</c:choose>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:otherwise>
</c:choose>
