<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					hideWhenAdded: true,
					debugMode: false,
					selectClass : 'asmSelect'
				});
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Zmiana wartości parametru systemowego (${actionBean.parametrSystemowy.typ.opis})</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.operacje.ParametrZobowiazaniAlimentacjaAction" style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<%@ include file="../opisy/parametr_ZOBOWIAZANI_ALIMENTACJA.jsp" %>
				
				<stripes:hidden name="parametrSystemowy.typ"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								osoby domyślnie zobowiązane<br/>
								do alimentacji
							</label>
						</div>
						<div class="input">
							<c:set var="asmSelectMLeft" value="310"/>
							<c:set var="asmSelectNSlownika" value="KOD_STOPNIA_POKREWIENSTWA"/>
							<c:set var="asmSelectId" value="selSlowa"/>
							<%@ include file="/jsp/templatePages/podpowiedziField/slownikAsmSelectPodp.jsp" %>
							
							<stripes:select name="listaSlow[]" multiple="multiple" title="--- wybierz ---"
									id="selSlowa" class="asmSelect" style="width: 300px;">
								<stripes:options-collection collection="${kodStopniaPokrewienstwaSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:button name="wyb1a" class="button noLoadImage" value="Wybierz wszystkie" onclick="wybierz('selSlowa');"/>
							&nbsp;&nbsp;&nbsp;
							<stripes:button name="wyb1b" class="button noLoadImage" value="Usuń wszystkie" onclick="wyrzuc('selSlowa');"/>
							<stripes:errors field="listaSlow[]"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
