<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Edycja wartości parametru systemowego (${actionBean.parametrSystemowy.typ.opis})</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.operacje.ParametrSystemowyEdycjaAction" style="width: 600px;">
				<stripes:hidden name="parametrSystemowy.id"/>

				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<%@ include file="../opisyParametrow.jsp" %>

				<fieldset>
					<%@ include file="/jsp/templatePages/polaParametruSystemowego.jsp" %>
				</fieldset>
				<fieldset class="submit">
					<div>
						<c:choose>
							<c:when test="${actionBean.parametrSystemowy.typ.pojedynczaWartosc}">
								<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" class="button" event="lista">
									<stripes:param name="parametrSystemowy.typ" value="${actionBean.parametrSystemowy.typ}"/>
									&laquo; Anuluj
								</stripes:link>
							</c:when>
							<c:otherwise>
								<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.HistoriaWartosciParametruAction" class="button" event="lista">
									<stripes:param name="parametrSystemowy.typ" value="${actionBean.parametrSystemowy.typ}"/>
									&laquo; Anuluj
								</stripes:link>
							</c:otherwise>
						</c:choose>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
