<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Zmiana wartości parametru systemowego (${actionBean.parametrSystemowy.typ.opis})</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.operacje.ParametrObslugaOkresowAction" style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<%@ include file="../opisy/parametr_OBSLUGA_OKRESOW.jsp" %>

				<stripes:hidden name="parametrSystemowy.typ"/>
				<stripes:hidden name="parametrUwzgledniajPoczatek.typ"/>
				<stripes:hidden name="parametrUwzgledniajKoniec.typ"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								uwzględniaj<br/>
								początek okresu
							</label>
						</div>
						<div class="input">
							<stripes:select name="parametrUwzgledniajPoczatek.wartoscB" class="required">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:option value="true">tak</stripes:option>
								<stripes:option value="false">nie</stripes:option>
							</stripes:select>
							<stripes:errors field="parametrUwzgledniajPoczatek.wartoscB"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								uwzględniaj<br/>
								koniec okresu
							</label>
						</div>
						<div class="input">
							<stripes:select name="parametrUwzgledniajKoniec.wartoscB" class="required">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:option value="true">tak</stripes:option>
								<stripes:option value="false">nie</stripes:option>
							</stripes:select>
							<stripes:errors field="parametrUwzgledniajKoniec.wartoscB"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
