<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	Określa w jaki sposób program wylicza odpisy na podstawie wprowadzonych nieobecności. Możliwe są podejścia:
	<ol>
		<li>
			<b><i>cały odpis rozlicz w pierwszym miesiącu nieobecności</i></b> -
			program generuje pojedynczy odpis dla każdej z osób, która ponosi odpłatność za pobyt mieszkańca
			w Domu rozliczając go w pierwszym miesiącu trwania nieobecności
		</li>
		<li>
			<b><i>rozliczaj odpisy w poszczególnych miesiącach nieobecności</i></b> -
			program generuje dla każdej z osób ponoszących odpłatność za pobyt mieszkańca w Domu tyle odpisów
			na przełomie ilu miesięcy trwała nieobecność
		</li>
		<li>
			<b><i>cały odpis rozlicz w ostatnim miesiącu nieobecności</i></b> -
			program generuje pojedynczy odpis dla każdej z osób, która ponosi odpłatność za pobyt mieszkańca
			w Domu rozliczając go w ostatnim miesiącu trwania nieobecności
		</li>
	</ol>
</fieldset>
