<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="j" value="1"/>
<c:if test="${fn:length(listaAktualizacji) > 0}">
	<jmesa:tableFacade items="${listaAktualizacji}" id="listaAktualizacji" var="aktualizacjaPlanu"
				maxRows="${fn:length(listaAktualizacji)}" editable="false" view="pl.topteam.utils.jmesa.view.OnlyRowTableView">
		<jmesa:htmlTable style="width: 100%; border: 0px;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="nr" styleClass="nowrap">
					${j}
					<c:set var="j" value="${j + 1}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="dataOd" styleClass="nowrap">
					<fmt:formatDate value="${aktualizacjaPlanu.dataOd}" pattern="${DATE_PATTERN}" />
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="dataWaznosci" styleClass="nowrap">
					<c:choose>
						<c:when test="${not empty aktualizacjaPlanu.dataWaznosci}">
							<fmt:formatDate value="${aktualizacjaPlanu.dataWaznosci}" pattern="${DATE_PATTERN}" />
						</c:when>
						<c:otherwise>
							- - -
						</c:otherwise>
					</c:choose>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</c:if>
