<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- liczba znaków wyświetlanych dla kategorii --%>
<c:set var="liczbaZnakowKategoria" value="${not empty maxDlNazwyKategorii ? maxDlNazwyKategorii : 60}" scope="request"/>
<c:set var="liczbaZnakowCzynnosc" value="${not empty maxDlNazwyCzynnosci ? maxDlNazwyCzynnosci : 60}" scope="request"/>

<div style="min-height: 400px;">
	<ul id="strukturaRootUl">
		<li class="noSpanImage kategoria">
			<stripes:checkbox id="T_kat_" name="T_kat_" class="kategoria noLoadImage" title="Katalog usług"></stripes:checkbox>
			<label for="T_kat_" class="cursorPointer">Katalog usług</label>
			<ul>
				<c:forEach items="${listaKategorii}" var="k" varStatus="i">
					<c:set var="kategoria" value="${k}" scope="request"/>
					<jsp:include page="/jsp/planWsparciaMieszkanca/katalogUslug/katalogDrzewkoKategoria.jsp" />
				</c:forEach>
			</ul>
		</li>
	</ul>
</div>
