<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="1"/>
<jmesa:tableFacade items="${listaDiagnozPodstaw}" id="listaDiagnozPodstaw" var="diagnozaPodstawa" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"  limit="${wynikLimit}" maxRows="${ileRekordow}">
	<jmesa:htmlTable styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="lp" title="Lp" sortable="false" filterable="false">
				${i}
				<c:set var="i" value="${i + 1}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" sortable="false" filterable="false">
				${diagnozaPodstawa.nazwaDiagnozy}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pracownik" title="Pracownik<br/>wykonał" sortable="false" filterable="false">
				${diagnozaPodstawa.pracownik.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="zDnia" title="Z dnia" sortable="false" filterable="false">
				<fmt:formatDate value="${diagnozaPodstawa.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
