<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nrWiersza" value="1"/>
<jmesa:tableFacade items="${listaMieszkancow}" id="listaMieszkancow" var="osoba"
		editable="false" maxRows="${fn:length(listaMieszkancow)}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable width="500px" styleClass="alignCenter">
		<jmesa:htmlRow uniqueProperty="unique">
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="alignLeft">
				${osoba.nazwisko}
				<stripes:checkbox name="mapaMieszkancow[${osoba.id}]" style="display: none;"></stripes:checkbox>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="alignLeft">
				${osoba.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pesel" title="PESEL" styleClass="alignLeft">
				${empty osoba.pesel ? '&nbsp;' : osoba.pesel}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje">
				<div class="ikonki">
					<a href="#" onclick="confirm('Czy na pewno chcesz usunąć osobę ? ') ? removeElem('listaMieszkancow_row${nrWiersza}') : '';">
						<img src="${root}/img/delete.gif" class="iconspace" title="Usuń osobę"/>
					</a>
				</div>
				
				<c:set var="nrWiersza" value="${nrWiersza + 1}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
