<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaFormatow}" id="listaFormatow" var="format" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" styleClass="daneWyroznione" filterable="false" />
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="ADM_U_FORMAT">
						<stripes:link beanclass="pl.topteam.dps.action.system.plik.format.csv.FormatAction" event="edycja">
							<stripes:param name="formatCsv.id" value="${format.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj format"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="ADM_D_FORMAT">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.system.plik.format.csv.ListaFormatowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć format ${format.nazwa} ? ')">
							<stripes:param name="formatCsv.id" value="${format.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/plik/csv/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń format"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
