<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%@ include file="/jsp/layout/firma/kontaktMailowyTemat.jsp" %>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<table class="oprogramie" align="center" style="margin-top: 50px;">
			<tr>
				<td>
					<span>TT - DPS</span> <br />
					program do obsługi Domów Pomocy Społecznej <br />
					wersja: ${WERSJA_APLIKACJI_CONTEXT_KEY}<br />
					
					<hr/>
					
					<span>Top-Team Sp. z o.o.</span><br />
					ul. Górczewska 222, nr lokalu: 271 <br />
					01-460 Warszawa <br />
					tel. (0-22) 211-33-22 <br />
					fax (0-22) 211-33-23 <br />
					e&#8209;mail: <a href="mailto:firma@top-team.pl?subject=${temat}" class="noLoadImage">firma@top-team.pl</a><br />
					www: <a href="http://www.top-team.pl" target="_blank">www.top-team.pl</a>
					
					<hr/>
					
					Program powstał przy współpracy z<br/>
					<span>Domem Pomocy Społecznej "Syrena"</span></a> w Warszawie<br/><br/>
					www: <a href="http://www.dpssyrena.pl" target="_blank">www.dpssyrena.pl</a>
				</td>
			</tr>
		</table>
	</stripes:layout-component>
</stripes:layout-render>