<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		<div>
			<p>
				<h1>Zmiana wersji: ${WERSJA_APLIKACJI_CONTEXT_KEY} (kanał: ${MANIFEST_CHANNEL_CONTEXT_KEY})</h1>
				<c:if test="${not empty MANIFEST_BUILD_DATE_CONTEXT_KEY}">
					<h3>Data publikacji: <fmt:formatDate value="${MANIFEST_BUILD_DATE_CONTEXT_KEY.toDate()}" pattern="${TIMESTAMP_PATTERN}" /></h3>
				</c:if>
			</p>
			<p>
				Szczegółowy spis zmian dostępny jest pod adresem
				<strong><a href="http://dema.ttserver.pl/wersje/ttdps/changes.html" target="_blank">http://dema.ttserver.pl/wersje/ttdps/changes.html</a></strong>
			</p>
			<p class="text-danger">
				<strong>
					UWAGA!<br/>
					"Planowane zmiany" z ww. strony nie uwzględniają całości modyfikacji w programie. Plan też może ulec zmianie w trakcie jego realizacji.
				</strong>
			</p>
			<p style="margin-top: 10px; padding-right: 50px;">
				<a href="http://maven.apache.org/" target="_blank">
					<img src="${root}/img/maven-feather.png"/>
				</a>
			</p>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
