<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaTypowUstawien}" id="listaTypowUstawien" var="typUstawienia"
		editable="false" exportTypes="" autoFilterAndSort="false" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaTypowUstawien)}">
	<jmesa:htmlTable style="width: 850px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="skrot" title="Typ parametru" styleClass="daneWyroznione" sortable="true">
				<span title="${typUstawienia.opis}">${typUstawienia.skrot}</span>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wartosc" title="Wybrane elementy" sortable="false" filterable="false">
				<c:set var="listaUstawien" value="${mapaUstawien[typUstawienia]}"/>
				<%@ include file="listaWartosciParametrow.jsp" %>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
