<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				//usuwanie wstrętnego podpowiadania przez przeglądarkę
				$("[name$='stareHaslo']").val('${actionBean.pracownik.stareHaslo}');
				$("[name$='haslo.str']").val('${actionBean.pracownik.haslo.str}');
				$("[name$='powtHaslo']").val('${actionBean.pracownik.powtHaslo}');
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Zmiana danych dla "${actionBean.context.pracownik.nazwiskoImie}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.pracownik.ZmianaDanychAction" onkeypress="return event.keyCode != 13;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<stripes:hidden name="pracownik.id"/>
					<c:set var="nazwaPolaPracownika" value="pracownik"/>
					<%@ include file="/jsp/templatePages/polaPracownikaPracownik.jsp" %>
					
					<br/>
					<stripes:submit name="generujHaslo" value="Wygeneruj nowe hasło"/>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.pracownik.ListaUstawienAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
				  		<c:choose>
				  			<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
								<stripes:submit name="zapisz" value="Zapisz"/>
				  			</c:when>
				  			<c:otherwise>
								<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
				  			</c:otherwise>
				  		</c:choose>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>