<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ul id="listaCzynnosci" class="toggleSelectable">
	<c:forEach items="${listaMieszkancow}" var="mieszkaniec" varStatus="i">
		<c:set var="naLisciePrzypomnien" value="${false}"/>
		<c:catch>
			<c:forEach items="${listaPrzypomnien}" var="przypomnienie">
				<c:if test="${przypomnienie.mieszkaniec.id == mieszkaniec.id}">
					<c:set var="naLisciePrzypomnien" value="${true}"/>
					<tt:jspException/>
				</c:if>
			</c:forEach>
		</c:catch>
		
		<c:if test="${! naLisciePrzypomnien}">
			<li class="ui-widget-content ui-toggleSelected">
				${mieszkaniec.nazwiskoImie}
				<stripes:checkbox id="m_${mieszkaniec.id}_chkb" name="mapaMieszkancow[${mieszkaniec.id}]" class="checkbox"></stripes:checkbox>
			</li>
		</c:if>
	</c:forEach>
</ul>
