<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${typRaportu.opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.jasperreports.socjalne.DecyzjaKierujacaV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="typRaportu"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="stanNaDzien" class="data required" title="Stan na dzień" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="stanNaDzien"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								uwzględniaj postanowienia<br/>
								o umieszczeniu wyrokiem
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="uwzgledniajPostanowienia" title="Czy razem z decyzjami wyświetlić umieszczenia z nakazu sądu"/>
							<stripes:errors field="uwzgledniajPostanowienia"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								uwzględniaj umieszczenie<br/>
								z interwencji
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="uwzgledniajInterwencje" title="Czy razem z decyzjami wyświetlić umieszczenia z interwencji"/>
							<stripes:errors field="uwzgledniajInterwencje"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="${actionBean.typRaportu}" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
