<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${actionBean.przedzialyWiekowe}" id="przedzialyWiekowe" var="przedzial"
		autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable style="text-align: center; width: 250px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Wiek od" property="wiekOd">
				<c:set var="i" value="${i + 1}"/>
				<stripes:hidden name="przedzialyWiekowe[${i}].lowerBoundType"/>
				<stripes:hidden name="przedzialyWiekowe[${i}].lowerEndpoint"/>
				${przedzial.lowerEndpoint}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Wiek do" property="wiekDo">
				<stripes:hidden name="przedzialyWiekowe[${i}].upperBoundType"/>
				<stripes:hidden name="przedzialyWiekowe[${i}].upperEndpoint"/>
				${przedzial.upperEndpoint}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" style="width: 20px;">
				<div class="ikonki">
					<a href="#" onclick="usunPrzedzial(${i});">
						<img src="${root}/img/delete.gif" class="iconspace cursorPointer" title="Usuń" />
					</a>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
