<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label for="chkbUkryjZera">
			ukryj kolumny zer<br/>
			(dla odpisów i zwrotów)
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="chkbUkryjZera" name="doUkryjKolumnyZer"
				title="Ukrywa kwoty cząstkowe gdy cała kolumna uzupełniona jest WYŁĄCZNIE przez 0,00"/>
		<stripes:errors field="doUkryjKolumnyZer"/>
	</div>
</div>
<div style="float: left; width: 50%;">
	<fieldset>
		<legend>
			Informacje o mieszkańcu
		</legend>
		
		<%@ include file="rozliczeniowyExcelV1Sheet_DLUG_OGOLNY_InformacjeMieszkaniec.jsp" %>
	</fieldset>
</div>
<div style="float: left; width: 50%;">
	<fieldset>
		<legend>
			Elementy rozliczeń
		</legend>
		
		<%@ include file="rozliczeniowyExcelV1Sheet_DLUG_OGOLNY_ElementyRozliczen.jsp" %>
	</fieldset>
</div>
<div style="clear: both;"></div>
