<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Edycja faktury VAT</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.rejestr.faktury.FakturaEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="faktura.id"/>
				<stripes:hidden name="faktura.osobaId"/>
				<fieldset>
					<div class="row">
						<div class="label">
							dotyczy
						</div>
						<div class="input">
							<c:choose>
								<c:when test="${not empty actionBean.faktura.osobaId}">
									${dotyczyOsoby.nazwiskoImie}
								</c:when>
								<c:otherwise>
									[apteczka podręczna]
								</c:otherwise>
							</c:choose>
						</div>
					</div>
					<div class="row">
						<div class="label"></div>
						<div class="input"></div>
					</div>
					
					<c:set var="nazwaPolaFaktura" value="faktura"/>
					<%@ include file="/jsp/templatePages/polaFaktury.jsp" %>

					<c:set var="nazwaPolaFaktura" value="faktura"/>
					<%@ include file="/jsp/templatePages/polaFakturyKwotaDom.jsp" %>
					<c:choose>
						<c:when test="${not empty actionBean.faktura.osobaId}">
							<%@ include file="/jsp/templatePages/polaFakturyKwotaMieszkaniec.jsp" %>
						</c:when>
						<c:otherwise>
							<stripes:hidden name="faktura.kwotaM"/>
						</c:otherwise>
					</c:choose>	
					<div class="row">
						<div class="label"></div>
						<div class="input"></div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								wprowadzono
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="faktura.pracownikWprowadzil"/>
							<stripes:hidden name="faktura.dataWprowadzenia"/>
			
							<fmt:formatDate value="${actionBean.faktura.dataWprowadzenia}" pattern="${DATE_PATTERN}" />
							(${pracownikWprowadzil.nazwiskoImie})
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.rejestr.faktury.ListaFakturAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>