<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/templatePages/cronExpressionBuilderHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Konfiguracja przypomnień dla odbioru odpadów medycznych</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.konfiguracja.KonfiguracjaAction" style="width: 600px;">
				<stripes:hidden name="konfiguracja.jobName"/>
				<stripes:hidden name="konfiguracja.jobGroup"/>
				<stripes:hidden name="konfiguracja.typDanych"/>
				
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Odpady odbierane są ...
					</legend>
					
					<c:set var="showMiesiace" value="${true}"/>
					<c:set var="showDniMiesiaca" value="${true}"/>
					<c:set var="showDniTygodnia" value="${true}"/>
					<c:set var="showGodziny" value="${false}"/> <%-- bez sensu wyznaczanie godziny --%>
					<c:set var="showMinuty" value="${false}"/> <%-- bez sensu wyznaczanie minuty (rozdzielczość co najmniej jednego dnia) --%>
					<%@ include file="/jsp/templatePages/cronExpressionBuilderField.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.odbior.ListaOdpadowAction" event="lista">
							&laquo; Odbiory odpadów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
