<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/loginLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				$('#captchaImg').attr('src', '${captchaActionUrl}');
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h1>Resetowanie hasła</h1>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.ResetHaslaAction" method="post">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>Dane użytkownika</legend>
					<div class="row">
						<div class="label">
							<label>
								e&#8209;mail
							</label>
						</div>
						<div class="input">
							<stripes:text class="required" name="email" size="25"/>
							<stripes:errors field="email"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.system.LoginAction" event="formatka">
							« Wróć
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="resetuj" value="Resetuj hasło"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
