<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Definicja kryterium dla "${actionBean.skala.nazwa}" (krok: definicja opcji)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaKryteriumOcenyOpcjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${not empty actionBean.indexOpcji}">
								Edycja opcji
							</c:when>
							<c:otherwise>
								Nowa opcja
							</c:otherwise>
						</c:choose>
					</legend>
					<stripes:hidden name="indexOpcji"/>
					
					<stripes:hidden name="listaOpcji[${not empty actionBean.indexOpcji ? actionBean.indexOpcji : fn:length(actionBean.listaOpcji)}].id"></stripes:hidden>
					<c:set var="nazwaPolaKryteriumOpcja" value="listaOpcji[${not empty actionBean.indexOpcji ? actionBean.indexOpcji : fn:length(actionBean.listaOpcji)}]"/>
					<%@ include file="/jsp/templatePages/polaKryteriumOpcja.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="anuluj" value="« Anuluj"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zatwierdz" value="Potwierdź"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
