<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${not empty actionBean.swiadczenieGrupa.id}">
				<h3>Edycja grupy świadczeń</h3>
			</c:when>
			<c:otherwise>
				<h3>Dodawanie grupy świadczeń</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.administracja.slowniki.grupySwiadczen.SwiadczenieGrupaDodawanieEdycjaAction">
				<stripes:hidden name="swiadczenieGrupa.id"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<c:set var="nazwaPolaSwiadczenieGrupa" value="swiadczenieGrupa"/>
					<c:set var="pokazujAktualna" value="${empty actionBean.swiadczenieGrupa.id ? false : true}"/>
					<%@ include file="/jsp/templatePages/polaSwiadczenieGrupa.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.administracja.slowniki.grupySwiadczen.ListaGrupSwiadczenAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>