<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaGrupSwiadczen}" id="listaGrupSwiadczen" var="swiadczenieGrupa" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" styleClass="daneWyroznione" filterable="false" />
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.ddp.action.administracja.slowniki.grupySwiadczen.SwiadczenieGrupaDodawanieEdycjaAction" event="edycja">
						<stripes:param name="swiadczenieGrupa.id" value="${swiadczenieGrupa.id}"></stripes:param>
						<img src="${root}/img/edit.gif" border="0" title="Edytuj grupę świadczeń"/>
					</stripes:link>
					<stripes:link  class="noLoadImage" beanclass="pl.topteam.ddp.action.administracja.slowniki.grupySwiadczen.ListaGrupSwiadczenAction" event="usun"
							onclick="return confirmation('Czy na pewno chcesz usunąć grupę świadczeń ${swiadczenieGrupa.nazwa} ? ')">
						<stripes:param name="swiadczenieGrupa.id" value="${swiadczenieGrupa.id}"></stripes:param>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/slowniki/grupySwiadczen/lista.jsp')}"/>
						<img src="${root}/img/delete.gif" border="0" title="Usuń grupę świadczeń"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
