<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Dodawanie słowa (słownik: ${actionBean.slownik.nazwa.opis})</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAction">
				<stripes:hidden name="slownik.id"/>
				<stripes:hidden name="slownik.nazwa"/><%-- w razie gdyby wystąpił błąd to nazwa nie jest pobierana z bazy --%>
				<stripes:hidden name="slowo.id"/>
				<stripes:hidden name="slowo.kod"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<%@ include file="/jsp/templatePages/polaSlowo.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAction" class="button" event="listaSlow">
							<stripes:param name="slownik.id" value="${actionBean.slownik.id}"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>