<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaLekow}" id="listaLekow" var="lekPostac" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px; max-width: 95%;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="idLeku" title="Id leku" styleClass="daneWyroznione" sortable="false" filterable="true">
				${lekPostac.lek.id}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="obrotPolska" title="Obrót PL" sortable="false" filterable="false">
				${not empty lekPostac.dopObrotPolska && lekPostac.dopObrotPolska ? 'TAK' : 'NIE'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kod_bazyl" title="Kod<br/>BAZYL" styleClass="daneWyroznione" sortable="false" filterable="true">
				${lekPostac.kodBazyl}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" sortable="false" filterable="true">
				${lekPostac.lek.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="postac" title="Postać" sortable="false" filterable="false">
				${lekPostac.lek.postac}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opisBazyl" title="Opis w<br/>bazie BAZYL" sortable="false" filterable="false">
				${lekPostac.opakowanieOpisBazyl}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ilosc" title="Liczba<br/>jednostek" sortable="false" filterable="false">
				${lekPostac.opakowanieIlosc}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dawka" title="Dawka" sortable="false" filterable="false">
				${lekPostac.lek.dawka}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="jednostka" title="Jednostka" sortable="false" filterable="false">
				${lekPostac.lek.opakowanieJednostkaPojemnosci.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="producent" title="Producent" sortable="false" filterable="false">
				${lekPostac.producent.nazwa}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
