<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Podgląd leku</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="lekForm"
					beanclass="pl.topteam.dps.action.administracja.slowniki.leki.PodgladLekuAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<stripes:hidden name="lek.id"/>

					<c:set var="readOnly" value="true"/>
					<c:set var="nazwaPolaLek" value="lek"/>
					<%@ include file="/jsp/templatePages/polaLek.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								dostępne<br/>
								opakowania
							</label>
						</div>
						<div class="input">
							<ol class="asmList">
								<c:forEach items="${listaPostaci}" var="postac">
									<li class="asmListItem" style="display: block;">
										<span class="asmListItemLabel">
											${postac.opakowanieOpisBazyl} (kod BAZYL: ${postac.kodBazyl})
										</span>
									</li>
								</c:forEach>
							</ol>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.leki.ListaLekowWykorzystywanychAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
