<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function wrp() {
				var $wrp = $("input[name='poraDnia.wrp']");
				var $godzina = $("input[name='poraDnia.godzina']");

				if($wrp.attr("checked")) {
					$godzina.val("");
					$godzina.removeClass("required");
					$godzina.attr("disabled", "disabled");
				} else {
					$godzina.addClass("required");
					$godzina.removeAttr("disabled");
					$godzina.focus();
				}
				
				return true;
			}

			$(document).ready(function() {
				// początkowe ustawienie parametrów
				wrp();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${not empty actionBean.poraDnia.id}">
				<h3>Edycja pory dnia podawania leków</h3>
			</c:when>
			<c:otherwise>
				<h3>Dodawanie pory dnia podawania leków</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.PoraDniaDodawanieEdycjaAction">
				<stripes:hidden name="poraDnia.id"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<c:set var="nazwaPolaPoraDnia" value="poraDnia"/>
					<c:set var="pokazujAktualna" value="${empty actionBean.poraDnia.id ? false : true}"/>
					<%@ include file="/jsp/templatePages/polaPoraDnia.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.ListaPorDniaAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>