<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaPorDniaActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.ListaPorDniaAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaPorDniaActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista pór dnia, w których podawane są leki</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
		<div class="listFooterText">
			<ttSec:secure roles="LK_C_PORA_DNIA">
				<stripes:link class="button" beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.PoraDniaDodawanieEdycjaAction" event="dodawanie">
					Dodaj nową porę	
				</stripes:link>
			</ttSec:secure>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
