<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			typ placówki
		</label>
	</div>
	<div class="input">
		<stripes:select class="mySelect readOnly required" name="daneSprawozdania['@D1_1'][0]" id="D11" style="width: 350px;">
			<stripes:options-collection collection="${wartosciDzial11}" label="label" value="value"/>
		</stripes:select>
		<stripes:errors field="D1_1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj placówki
		</label>
	</div>
	<div class="input">
		<stripes:select name="daneSprawozdania['@D1_2'][0]" id="D12" class="required">
			<stripes:options-collection collection="${wartosciDzial12}" label="label" value="value"/>
		</stripes:select>
		<stripes:errors field="D1_2"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			placówka dla
		</label>
	</div>
	<div class="input">
		<stripes:select id="placowkaDlaSelect" name="daneSprawozdania['@D1_3'][0]" onchange="ustawSymbolDzial2();" class="required">
			<stripes:options-collection collection="${wartosciDzial13}" label="label" value="value"/>
		</stripes:select>
		<stripes:errors field="D1_3"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ prowadzący
		</label>
	</div>
	<div class="input">
		<stripes:select name="daneSprawozdania['@D1_4'][0]" class="required">
			<stripes:options-collection collection="${wartosciDzial14}" label="label" value="value"/>
		</stripes:select>
		<stripes:errors field="D1_4"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			przystosowanie jednostki do<br/>
			potrzeb osób niepełnosprawnych
		</label>
	</div>
	<div class="input">
		<stripes:select name="daneSprawozdania['@D1_5']" multiple="multiple" 
				id="selPrzystJednostki" title="--- wybierz ---">
			<stripes:options-collection collection="${wartosciDzial15}" label="label" value="value"/>
		</stripes:select>
		<stripes:errors field="D1_5"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba miejsc (stan na 31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D1_6#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D1_6#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób oczekujących<br/>
			(stan na 31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D1_7#1'][0]" size="6"></stripes:text>
		<stripes:errors field="D1_7#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób po raz pierwszy<br/>
			umieszczonych w ciągu roku
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D1_7#2'][0]" size="6"></stripes:text>
		<stripes:errors field="D1_7#2"/>
	</div>
</div>
