<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="jmesa" style="padding-top: 10px; padding-bottom: 10px;">
	<table class="table" style="margin-left: auto; margin-right: auto; background-color: #D7E3F4;">
		<tbody class="tbody">
			<c:set var="i" value="1"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}" onmouseover="this.className='highlight'" onmouseout="this.className='${i % 2 == 0 ? 'odd' : 'even'}'">
				<td>Ogółem</td>
				<td>01</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.dzial3.pracownicy.ogolem" size="6"></stripes:text>
					<stripes:errors field="saDoc.dzial3.pracownicy.ogolem"/>
				</td>
				<td>Pielęgniarki</td>
				<td>03</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.dzial3.pielegniarki.ogolem" size="6"></stripes:text>
					<stripes:errors field="saDoc.dzial3.pielegniarki.ogolem"/>
				</td>
				<td>Fizjoterapeuci</td>
				<td>05</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.dzial3.fizjoterapeuci.ogolem" size="6"></stripes:text>
					<stripes:errors field="saDoc.dzial3.fizjoterapeuci.ogolem"/>
				</td>
			</tr>
			<c:set var="i" value="${i+1}"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}" onmouseover="this.className='highlight'" onmouseout="this.className='${i % 2 == 0 ? 'odd' : 'even'}'">
				<td>w tym lekarze</td>
				<td>02</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.dzial3.pracownicy.WTymLekarze" size="6"></stripes:text>
					<stripes:errors field="saDoc.dzial3.pracownicy.WTymLekarze"/>
				</td>
				<td>w tym magistrzy<br/>pielęgniarstwa</td>
				<td>04</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.dzial3.pielegniarki.WTymMgrPielegniarstwa" size="6"></stripes:text>
					<stripes:errors field="saDoc.dzial3.pielegniarki.WTymMgrPielegniarstwa"/>
				</td>
				<td>w tym magistrzy</td>
				<td>06</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.dzial3.fizjoterapeuci.WTymMgr" size="6"></stripes:text>
					<stripes:errors field="saDoc.dzial3.fizjoterapeuci.WTymMgr"/>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div class="row">
	<div class="label">
		<label>
			liczba osób pracujących<br/>
			na zasadach	wolontariatu
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="saDoc.dzial3.pracownicyWolontariat" size="6"></stripes:text>
		<stripes:errors field="saDoc.dzial3.pracownicyWolontariat"/>
	</div>
</div>
