<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<html>
	<head>
		<link rel="stylesheet" type="text/css" href="${root}/css/sprawozdania/mpips052012.css" />
		
		<%@ include file="/jsp/biblioteki/base.jsp" %>
		<%@ include file="/jsp/biblioteki/mainBiblioteki.jsp" %>
		<script type="text/javascript" src="${root}/js/sprawozdanie.js"></script>
	</head>
	<body>
		<div style="text-align: center;">
			<div style="width: 944px; text-align: left; margin: 0px auto;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<stripes:form beanclass="pl.topteam.dps.action.sprawozdanie.generowanie.mpips05.s2012.SprawozdanieEdycjaAction">
					<stripes:hidden name="sprawozdanie"/>
					<%@ include file="polaHidden.jsp" %>
					
					${htmlString}
					<hr/>
					<div style="float: left">
						<stripes:submit name="pobierzXml" value="Zapisz sprawozdanie"/>
						<stripes:submit name="drukuj" value="Wersja do druku" onclick="this.form.target='_blank';"/>
					</div>
					<div style='float: right'>
						<stripes:submit name="listaSprawozdan" value="Wróć do listy"/>
						<stripes:reset name="dodawanie" value='Anuluj wprowadzone zmiany' onclick="this.form.target='_self';"/>
					</div>
					<div style='clear: both;'>
					</div>
				</stripes:form>
			</div>
		</div>
	</body>
</html>
