<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<table border="1" cellspacing="0" cellpadding="2" style="page-break-before: always; width: 844px;">
	<tbody>
		<tr>
			<td style="text-align: center; font-weight: bold;">
				<span style="font-size: large;">Tablica 2</span> <br/>
				<p style="font-size: 13px">
					Ogółem liczba Domów Pomocy Społecznej, miejsc i&nbsp;mieszkańców wg stanu na dzień 31 XII<span class="stars">*</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>
<br />
<table border="2" cellspacing="0" cellpadding="0" width="844">
	<thead>
		<tr>
			<th colspan="2" rowspan="3">TYPY DOMóW</th>
			<th colspan="4">z tego domy:</th>
		</tr>
		<tr>
			<th colspan="4">samorządów</th>
		</tr>
		<tr>
			<th width="6%">Domy zarejes-<br />trowane</th>
			<th width="6%">rzeczywi-<br />sta liczba domów</th>
			<th width="5%">liczba miejsc</th>
			<th width="9%">liczba mieszkań-<br />ców</th>
		</tr>
		<tr>
			<td colspan="2" class="tab_col_no">0</td>
			<td class="tab_col_no">1</td>
			<td class="tab_col_no">2</td>
			<td class="tab_col_no">3</td>
			<td class="tab_col_no">4</td>
		</tr>
	</thead>
	<tbody>
		<c:forEach items="${actionBean.saDoc.tabela2.domyPomocySpołecznej}" var="wiersz" varStatus="i">
			<tr>
				<td class="row_descr">
					<p>
						<c:if test="${i.index > 0}">${i.count - 1}) </c:if>${wiersz.opis}
						<c:if test="${i.index == 0}">(dla liczby mieszkańców i miejsc) (w. 2+3+4+5+6+7+8 +9+10+11+12+13)<br/>z tego dla:</c:if>
					</p>
					<stripes:hidden name="saDoc.tabela2.domyPomocySpołecznej[${i.index}].opis"/>
					<stripes:hidden name="saDoc.tabela2.domyPomocySpołecznej[${i.index}].pozycja"/>
					
					<stripes:errors field="saDoc.tabela2.domyPomocySpołecznej[${i.index}].opis"/>
					<stripes:errors field="saDoc.tabela2.domyPomocySpołecznej[${i.index}].pozycja"/>
				</td>
				<td class="tab_row_no">${i.count}</td>
				<td class="${i.index == 0 ? 'totals' : 'contents'}">
					<stripes:text class="numberInteger required" name="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.domówZarejestrowanych"></stripes:text>
					<stripes:errors field="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.domówZarejestrowanych"/>
				</td>
				<td class="contents">
					<c:choose>
						<c:when test="${i.index > 0}">
							<stripes:text class="numberInteger required" name="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.liczbaDomów"></stripes:text>
							<stripes:errors field="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.liczbaDomów"/>
						</c:when>
						<c:otherwise>
							&nbsp;X&nbsp;
						</c:otherwise>
					</c:choose>
				</td>
				<td class="${i.index == 0 ? 'totals' : 'contents'}">
					<stripes:text class="numberInteger required" name="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.liczbaMiejsc"></stripes:text>
					<stripes:errors field="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.liczbaMiejsc"/>
				</td>
				<td class="${i.index == 0 ? 'totals' : 'contents'}">
					<stripes:text class="numberInteger required" name="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.liczbaMieszkańców"></stripes:text>
					<stripes:errors field="saDoc.tabela2.domyPomocySpołecznej[${i.index}].samorządów.liczbaMieszkańców"/>
				</td>
			</tr>
		</c:forEach>
	</tbody>
</table>
