<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<c:set var="_root" value="${requestScope._name_prefix}" scope="page"/>

<c:choose>
	<c:when test="${1 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_01.sql"/>
				WYDRUK STANU NA 2012-12-31
			</stripes:link>
		</td>
		</tr>
	</c:when>
	<c:when test="${2 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_02-04.sql"/>
				WYDRUK PRZYJĘĆ
			</stripes:link>
		</td>
		</tr>
	</c:when>
	<c:when test="${5 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_05-09.sql"/>
				WYDRUK WYPISAŃ
			</stripes:link>
		</td>
		</tr>
	</c:when>
	<c:when test="${10 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_10.sql"/>
				WYDRUK STANU NA 2013-12-31
			</stripes:link>
		</td>
		</tr>
	</c:when>
	<c:when test="${17 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_17_25.sql"/>
				WYDRUK PŁATNOŚCI (STARE ZASADY)
			</stripes:link>
		</td>
		</tr>
	</c:when>
	<c:when test="${26 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_26_35.sql"/>
				WYDRUK PŁATNOŚCI (NOWE ZASADY)
			</stripes:link>
		</td>
		</tr>
	</c:when>
	<c:when test="${36 == _row_idx + 1}">
		<tr>
		<td colspan="3">
			<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
				<stripes:param name="plik" value="sprawozdania/mpips05/v20141118_samorzad/T_03_36_39.sql"/>
				WYDRUK PŁATNOŚCI (SWIADCZENIA)
			</stripes:link>
		</td>
		</tr>
	</c:when>
</c:choose>
<tr>
	<td class="row_descr">
		<p style="margin-top: 4px; margin-bottom: 4px; margin-left: ${_poziom * 25}px;">${_bilans.opis}</p>
		<c:if test="${not empty _prefix}">
			<br/><p style="margin-top: 4px; margin-bottom: 4px; margin-left: ${_poziom * 25}px;">${_prefix}</p>
		</c:if>
		<stripes:hidden name="${_name_prefix}.opis"/>
		<stripes:hidden name="${_name_prefix}.pozycja"/>
	</td>
	<td class="tab_row_no">${_row_idx + 1}</td>
	<td class="${_row_idx == 0 || not empty _bilans.ZTego || not empty _bilans.WTym ? 'totals' : 'contents'}">
		<stripes:text class="numberInteger required" name="${_name_prefix}.mieszkWPDPS.WSamorządowych"></stripes:text>
		<stripes:errors field="${_name_prefix}.mieszkWPDPS.WSamorządowych"/>
	</td>
</tr>
<c:set var="_row_idx" value="${_row_idx + 1}" scope="request"/>
<c:if test="${not empty _bilans.WTym}">
	<c:set var="_poziom" value="${_poziom + 1}" scope="request"/>
	<c:set var="_root_bilans" value="${_bilans}" scope="request"/>
	<c:forEach items="${_bilans.WTym.bilansMieszk}" var="wTymBilans" varStatus="j">
		<c:set var="_bilans" value="${wTymBilans}" scope="request"/>
		<c:set var="_prefix" value="${_bilans.WTym.prefiks}" scope="request"/>
		<c:set var="_name_prefix" value="${pageScope._root}.WTym.bilansMieszk[${j.index}]" scope="request"/>
		<jsp:include page="/jsp/sprawozdanie/generowanie/mpips05/v20141118_samorzad/tablica3_BilansMieszk.jsp"/>
	</c:forEach>
	<c:set var="_bilans" value="${_root_bilans}" scope="request"/>
	<c:set var="_poziom" value="${_poziom - 1}" scope="request"/>
</c:if>
<c:if test="${not empty _bilans.ZTego}">
	<c:set var="_poziom" value="${_poziom + 1}" scope="request"/>
	<c:set var="_root_bilans" value="${_bilans}" scope="request"/>
	<c:forEach items="${_bilans.ZTego.bilansMieszk}" var="zTegoBilans" varStatus="j">
		<c:set var="_bilans" value="${zTegoBilans}" scope="request"/>
		<c:set var="_prefix" value="${_bilans.ZTego.prefiks}" scope="request"/>
		<c:set var="_name_prefix" value="${pageScope._root}.ZTego.bilansMieszk[${j.index}]" scope="request"/>
		<jsp:include page="/jsp/sprawozdanie/generowanie/mpips05/v20141118_samorzad/tablica3_BilansMieszk.jsp"/>
	</c:forEach>
	<c:set var="_bilans" value="${_root_bilans}" scope="request"/>
	<c:set var="_poziom" value="${_poziom - 1}" scope="request"/>
</c:if>
