<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

<stripes:hidden name="daneSprawozdania['$dataUtworzenia'][0]" value="${$dataUtworzenia}"/>
<stripes:hidden name="daneSprawozdania['$numerSprawozdania'][0]" value="${$numerSprawozdania}"/>
<fieldset>
	<div class="row">
		<div class="label">
			<label>
				stan na dzień
			</label>
		</div>
		<div class="input">
			<stripes:text name="stanNaDzien" size="11" class="data required" formatPattern="${DATE_PATTERN}"/>
			<stripes:errors field="stanNaDzien"/>
		</div>
	</div>
	<fieldset>
		<div class="row">
			<stripes:submit name="przeliczNaDzien" value="Przelicz na dzień"></stripes:submit>
		</div>
	</fieldset>
</fieldset>
<fieldset>
	<fieldset>
		<legend>
			Dane jednostki DPS
		</legend>

		<%@ include file="dzialNaglowek.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Miejsca w placówce
		</legend>

		<%@ include file="dzial1.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Liczba osób oczekujących
		</legend>

		<%@ include file="dzial2.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Wolne miejsca
		</legend>

		<%@ include file="dzial3.jsp" %>
	</fieldset>
	<fieldset>
		<legend>
			Stopka sprawozdania
		</legend>

		<%@ include file="dzialStopka.jsp" %>
	</fieldset>
</fieldset>
