<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- wypisywanie wszystkich pozycji tylko w przypadku gdy rezygnacja albo pełnopłatne są niezerowe --%>
<c:choose>
	<c:when test="${(not empty realizacja.iloscRezygnacja && realizacja.iloscRezygnacja > 0.0) || (not empty realizacja.iloscPelnoplatne && realizacja.iloscPelnoplatne > 0.0)}">
		&nbsp;<fmt:formatNumber value="${realizacja.ilosc}" pattern="${DOUBLE_PRECISION_PATTERN}"/>|<fmt:formatNumber value="${realizacja.iloscRezygnacja}" pattern="${DOUBLE_PRECISION_PATTERN}"/>|<fmt:formatNumber value="${realizacja.iloscPelnoplatne}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;
	</c:when>
	<c:otherwise>
		&nbsp;<fmt:formatNumber value="${realizacja.ilosc}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;
	</c:otherwise>
</c:choose>

<%-- wartość value brana jest w przypadku gdy nazwa pola jest inna niż ta z action beana --%>
<stripes:hidden name="${nazwaPolaRealizacji}.swiadczenieId" value="${realizacja.swiadczenieId}"/>
<stripes:hidden name="${nazwaPolaRealizacji}.data" value="${realizacja.data}"/>
<stripes:hidden name="${nazwaPolaRealizacji}.mieszkaniecId" value="${realizacja.mieszkaniecId}"/>
<stripes:hidden name="${nazwaPolaRealizacji}.ilosc" value="${realizacja.ilosc}"/>
<stripes:hidden name="${nazwaPolaRealizacji}.iloscRezygnacja" value="${realizacja.iloscRezygnacja}"/>
<stripes:hidden name="${nazwaPolaRealizacji}.iloscPelnoplatne" value="${realizacja.iloscPelnoplatne}"/>

<stripes:errors field="${nazwaPolaRealizacji}.swiadczenieId"/>
<stripes:errors field="${nazwaPolaRealizacji}.data"/>
<stripes:errors field="${nazwaPolaRealizacji}.mieszkaniecId"/>
<stripes:errors field="${nazwaPolaRealizacji}.ilosc"/>
<stripes:errors field="${nazwaPolaRealizacji}.iloscRezygnacja"/>
<stripes:errors field="${nazwaPolaRealizacji}.iloscPelnoplatne"/>


