<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<%@ include file="rozliczenieDodawanieEdycjaHead.jsp" %>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.RozliczenieEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="rozliczenie.id"/>
				<stripes:hidden name="rozliczenie.mieszkaniecId"/>
				<stripes:hidden name="rozliczenie.data"/>
				<fieldset>
					<legend>
						Edycja rozliczenia
					</legend>
					
					<div class="row">
						<div class="label">
							za okres
						</div>
						<div class="input">
							<fmt:formatDate value="${actionBean.rozliczenie.data}" pattern="${YEAR_MONTH_PATTERN}"/>
						</div>
					</div>
					
					<fieldset>
						<legend>Pozycje</legend>
						
						<div id="jmesaContainer">
							<%@ include file="rozliczenieFiltrPozycji.jsp" %>
						</div>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ListaRozliczenAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
