<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<%@ include file="rozliczenieDodawanieEdycjaHead.jsp" %>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.RozliczenieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Rozliczenie realizacji świadczeń (krok 2)
					</legend>
					
					<div id="jmesaContainer">
						<%@ include file="rozliczenieFiltrPozycji.jsp" %>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrok1" value="« Powrót" />
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
