<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaSzablonowWydrukuActionURL" beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaSzablonowWydrukuActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			        	ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista szablonów wydruku</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
		<br/>
		<ttSec:secure roles="OG_C_SZABLON_WYDRUKU">
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="dodawanie" class="button">
				Szablon HTML
			</stripes:link>
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="dodawanieOO" class="button beta">
				Szablon (OpenOffice)
				<img src="${root}/img/beta.png"/>
			</stripes:link>
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="dodawanieMsWord" class="button beta">
				Szablon (MS WORD 2007)
				<img src="${root}/img/beta.png"/>
			</stripes:link>
						
			<br/><br/>
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuSerializacjaAction" event="przygotujDeserializacje" class="button">
				Importuj z pliku
			</stripes:link>
		</ttSec:secure>
	</stripes:layout-component>
</stripes:layout-render>