<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Podglad pliku szablonu wydruku</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div style="margin-top: 20px; padding-left: 50px;">
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuPodgladPlikuAction" event="plikNieprzetworzony"
					title="Wyświetl szablon nieprzetworzony" target="_blank" class="button">
				<stripes:param name="szablonWydruku.id" value="${actionBean.szablonWydruku.id}"/>
				Wyświetl nieprzetworzony
			</stripes:link>
			<br/><br/>
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuPodgladPlikuAction" event="plikPrzetworzony"
					title="Wyświetl szablon nieprzetworzony" target="_blank" class="button">
				<stripes:param name="szablonWydruku.id" value="${actionBean.szablonWydruku.id}"/>
				Wyświetl po wstępnym przetworzony XSLT
			</stripes:link>

			<br/><br/><br/>
			<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" event="lista"
					title="Powrót do listy szablonów" class="button">
				« Powrót lista szablonów
			</stripes:link>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
