<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleDepPKonto}.rodzaj"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data założenia</label>
	</div>
	<div class="col-md-5">
		<stripes:text name="${poleDepPKonto}.dataZalozenia" class="data required" title="Data" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDepPKonto}.dataZalozenia"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">kwota</label>
	</div>
	<div class="col-md-5">
		<stripes:text name="${poleDepPKonto}.kwota" class="kwota required" size="11" title="Kwota operacji" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleDepPKonto}.kwota"/>
	</div>
</div>
