<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data</label>
	</div>
	<div class="col-md-5">
		<stripes:text name="${poleDepPOdsetki}.data" class="data required" title="Data" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDepPOdsetki}.data"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">data księgowania</label>
	</div>
	<div class="col-md-5">
		<stripes:text name="${poleDepPOdsetki}.dataKsiegowania" class="data" title="Data" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDepPOdsetki}.dataKsiegowania"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">szablon wydruku</label>
	</div>
	<div class="col-md-5">
		<stripes:select name="${poleDepPOdsetki}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${poleDepPOdsetki}.szablonWydrukuId"/>
	</div>
</div>
