<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">kwota zwrotu<br/>(nadpłaty)</label>
	</div>
	<div class="col-md-5">
		<stripes:text name="${nazwaPolaWplata}.kwotaZwrot" class="kwota required" readonly="readonly"
				title="Kwota zwrotu z wpłaty, która stanowi nadwyżkę albo z góry ustaloną kwotę zwrotu" size="11"
				formatPattern="${DOUBLE_PRECISION_PATTERN}" value="0.00"/>
		<stripes:errors field="${nazwaPolaWplata}.kwotaZwrot"/>
	</div>
</div>
