<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- 
	Przy wyłączeniu wyboru wszystkich pól domyślnie ustawione
	jest by wyrażenie wskazuwało na wykonywanie 'każdego dnia jednokrotnie'.
--%>

<c:choose>
	<c:when test="${showMiesiace == true}">
		<div class="box">
			<span class="h3">Miesiące</span>
			<stripes:select name="cronExpression.miesiaceInfo" class="required" onchange="showHideCronElement(this);">
				<stripes:option label="każdego miesiąca" value="0"></stripes:option>
				<stripes:option label="w [x]" value="1"></stripes:option>
				<stripes:option label="co [x]" value="2"></stripes:option>
			</stripes:select>
			<stripes:errors field="cronExpression.miesiaceInfo"/>
			<div class="elem miesiaceInfoElem miesiaceInfoElem1">
				<stripes:errors field="cronExpression.miesiace"/>
				<ul class="toggleSelectable">
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 1) ? 'ui-toggleSelected' : ''}" id="m_1" title="x = 1 (styczeń)">
						styczeń
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="1"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 2) ? 'ui-toggleSelected' : ''}" id="m_2" title="x = 2 (luty)">
						luty
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="2"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 3) ? 'ui-toggleSelected' : ''}" id="m_3" title="x = 3 (marzec)">
						marzec
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="3"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 4) ? 'ui-toggleSelected' : ''}" id="m_4" title="x = 4 (kwiecień)">
						kwiecień
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="4"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 5) ? 'ui-toggleSelected' : ''}" id="m_5" title="x = 5 (maj)">
						maj
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="5"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 6) ? 'ui-toggleSelected' : ''}" id="m_6" title="x = 6 (czerwiec)">
						czerwiec
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="6"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 7) ? 'ui-toggleSelected' : ''}" id="m_7" title="x = 7 (lipiec)">
						lipiec
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="7"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 8) ? 'ui-toggleSelected' : ''}" id="m_8" title="x = 8 (sierpień)">
						sierpień
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="8"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 9) ? 'ui-toggleSelected' : ''}" id="m_9" title="x = 9 (wrzesień)">
						wrzesień
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="9"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 10) ? 'ui-toggleSelected' : ''}" id="m_10" title="x = 10 (październik)">
						październik
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="10"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 11) ? 'ui-toggleSelected' : ''}" id="m_11" title="x = 11 (listopad)">
						listopad
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="11"/>
					</li>
					<li class="miesiac ui-widget-content ${not empty actionBean.cronExpression.miesiace && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.miesiace, 12) ? 'ui-toggleSelected' : ''}" id="m_12" title="x = 12 (grudzień)">
						grudzień
						<stripes:checkbox class="checkbox" name="cronExpression.miesiace" value="12"/>
					</li>
				</ul>
			</div>
			<div class="elem miesiaceInfoElem miesiaceInfoElem2">
				<stripes:text name="cronExpression.coXMiesiac" class="numberInteger required" size="7"/>
				<stripes:errors field="cronExpression.coXMiesiac"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<stripes:hidden name="cronExpression.miesiaceInfo" value="0"/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${showDniMiesiaca == true}">
		<div class="box">
			<span class="h3">Dni miesiąca</span>
			<stripes:select name="cronExpression.dniInfo" class="required" onchange="showHideCronElement(this);">
				<stripes:option label="codziennie" value="0"></stripes:option>
				<stripes:option label="w [x]" value="1"></stripes:option>
				<stripes:option label="co [x] dni" value="2"></stripes:option>
			</stripes:select>
			<stripes:errors field="cronExpression.dniInfo"/>
			<div class="elem dniInfoElem dniInfoElem1">
				<stripes:errors field="cronExpression.dni"/>
				<ul class="toggleSelectable">
					<c:forEach begin="1" end="31" var="i">
						<li class="dzien ui-widget-content ${not empty actionBean.cronExpression.dni && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dni, i) ? 'ui-toggleSelected' : ''}" id="d_${i}" title="x = ${i}">
							${i}
							<stripes:checkbox class="checkbox" name="cronExpression.dni" value="${i}"/>
						</li>
					</c:forEach>
				</ul>
			</div>
			<div class="elem dniInfoElem dniInfoElem2">
				<stripes:text name="cronExpression.coXDni" class="numberInteger required" size="7"/>
				<stripes:errors field="cronExpression.coXDni"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<stripes:hidden name="cronExpression.dniInfo" value="0"/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${showDniTygodnia == true}">
		<div class="box">
			<span class="h3">Dni tygodnia</span>
			<stripes:select name="cronExpression.dniTygodniaInfo" class="required" onchange="showHideCronElement(this);">
				<stripes:option label="bez względu na" value="0"></stripes:option>
				<stripes:option label="co [x]" value="2"></stripes:option>
				<stripes:option label="określony (1-5) [x] miesiąca" value="3"></stripes:option>
				<stripes:option label="ostatni [x] miesiąca" value="4"></stripes:option>
			</stripes:select>
			<stripes:errors field="cronExpression.dniTygodniaInfo"/>
			<div class="elem dniTygodniaInfoElem dniTygodniaInfoElem2 dniTygodniaInfoElem3">
				<stripes:text name="cronExpression.coXTygodni" class="numberInteger required" value="1" title="1 (oznacza, ze w każdy lub pierwszy miesiąca, 2 - np. co drugi lub drugi wtorek)" size="7"/>
				<stripes:errors field="cronExpression.coXTygodni"/>
			</div>
			<div class="elem dniTygodniaInfoElem dniTygodniaInfoElem2 dniTygodniaInfoElem3 dniTygodniaInfoElem4">
				<stripes:errors field="cronExpression.dniTygodnia"/>
				<ul class="toggleSelectable">
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 1) ? 'ui-toggleSelected' : ''}" id="dt_0" title="x = niedziela">
						niedziela
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="1"/>
					</li>
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 2) ? 'ui-toggleSelected' : ''}" id="dt_1" title="x = poniedziałek">
						poniedziałek
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="2"/>
					</li>
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 3) ? 'ui-toggleSelected' : ''}" id="dt_2" title="x = wtorek">
						wtorek
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="3"/>
					</li>
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 4) ? 'ui-toggleSelected' : ''}" id="dt_3" title="x = środa">
						środa
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="4"/>
					</li>
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 5) ? 'ui-toggleSelected' : ''}" id="dt_4" title="x = czwartek">
						czwartek
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="5"/>
					</li>
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 6) ? 'ui-toggleSelected' : ''}" id="dt_5" title="x = piątek">
						piątek
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="6"/>
					</li>
					<li class="dzienTygodnia ui-widget-content ${not empty actionBean.cronExpression.dniTygodnia && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.dniTygodnia, 7) ? 'ui-toggleSelected' : ''}" id="dt_6" title="x = sobota">
						sobota
						<stripes:checkbox class="checkbox" name="cronExpression.dniTygodnia" value="7"/>
					</li>
				</ul>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<stripes:hidden name="cronExpression.dniTygodniaInfo" value="0"/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${showGodziny == true}">
		<div class="box">
			<span class="h3">Godziny</span>
			<stripes:select name="cronExpression.godzinyInfo" class="required" onchange="showHideCronElement(this);">
				<stripes:option label="każdej godziny" value="0"></stripes:option>
				<stripes:option label="w [x]" value="1"></stripes:option>
				<stripes:option label="co [x] godzin" value="2"></stripes:option>
			</stripes:select>
			<stripes:errors field="cronExpression.godzinyInfo"/>
			<div class="elem godzinyInfoElem godzinyInfoElem1">
				<stripes:errors field="cronExpression.godziny"/>
				<ul class="toggleSelectable">
					<li class="godzina ui-widget-content ${not empty actionBean.cronExpression.godziny && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.godziny, 0) ? 'ui-toggleSelected' : ''}" id="g_0" title="x = 0 (północ)">
						0
						<stripes:checkbox class="checkbox" name="cronExpression.godziny" value="0"/>
					</li>
					<c:forEach begin="1" end="23" var="i">
						<li class="godzina ui-widget-content ${not empty actionBean.cronExpression.godziny && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.godziny, i) ? 'ui-toggleSelected' : ''}" id="g_${i}" title="x = ${i}">
							${i}
							<stripes:checkbox class="checkbox" name="cronExpression.godziny" value="${i}"/>
						</li>
					</c:forEach>
				</ul>
			</div>
			<div class="elem godzinyInfoElem godzinyInfoElem2">
				<stripes:text name="cronExpression.coXGodzin" class="numberInteger required" size="7"/>
				<stripes:errors field="cronExpression.coXGodzin"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<stripes:hidden name="cronExpression.godzinyInfo" value="0"/>
		<stripes:hidden name="cronExpression.godziny" value="0"/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${showMinuty == true}">
		<div class="box">
			<span class="h3">Minuty</span>
			<stripes:select name="cronExpression.minutyInfo" class="required" onchange="showHideCronElement(this);">
				<stripes:option label="każdej minuty" value="0"></stripes:option>
				<stripes:option label="w [x]" value="1"></stripes:option>
				<stripes:option label="co [x] minut" value="2"></stripes:option>
			</stripes:select>
			<stripes:errors field="cronExpression.minutyInfo"/>
			<div class="elem minutyInfoElem minutyInfoElem1">
				<stripes:errors field="cronExpression.minuty"/>
				<ul class="toggleSelectable">
					<c:forEach begin="0" end="59" var="i">
						<li class="minuta ui-widget-content ${not empty actionBean.cronExpression.minuty && ttFn:collectionContainsToStringCompare(actionBean.cronExpression.minuty, i) ? 'ui-toggleSelected' : ''}" id="m_${i}" title="x = ${i}">
							${i}
							<stripes:checkbox class="checkbox" name="cronExpression.minuty" value="${i}"/>
						</li>
					</c:forEach>
				</ul>
			</div>
			<div class="elem minutyInfoElem minutyInfoElem2">
				<stripes:text name="cronExpression.coXMinut" class="numberInteger required" size="7"/>
				<stripes:errors field="cronExpression.coXMinut"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<stripes:hidden name="cronExpression.minutyInfo" value="0"/>
		<stripes:hidden name="cronExpression.minuty" value="0"/>
	</c:otherwise>
</c:choose>	
<div style="clear: both;">&nbsp;</div>

