<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${(not empty ewidencjaDps && stripes:enumName(ewidencjaDps.typ) == 'MIESZKANIEC') && (empty staleZameldowanieDom || !staleZameldowanieDom)}">
	<span class="fastView" title="zameldowany czasowo">&nbsp;MCz&nbsp;</span>
</c:if>
<c:catch>
	<c:if test="${empty ewidencjaDps && stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' && (empty staleZameldowanieDom || !staleZameldowanieDom)}">
		<span class="fastView" title="zameldowany czasowo">&nbsp;MCz&nbsp;</span>
	</c:if>
</c:catch>

<c:if test="${not empty listaInformacjiOMieszkancu}">
	<c:forEach items="${listaInformacjiOMieszkancu}" var="informacja">
		<span class="fastView" title="${informacja.opis}">${informacja.skrot}</span>
	</c:forEach>
</c:if>
<c:if test="${not empty ewidencjaDps}">
	<c:if test="${stripes:enumName(ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">
		<span class="fastView" title="Zmarł ${ttFn:formatDate(ewidencjaDps.dataOd, 'yyyy-MM-dd')}">&#8224;</span>
	</c:if>
</c:if>
