<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>
		Instrukcje dotyczące dalszego wprowadzania
	</legend>
	
	<div class="row">
		<div class="label">
			<label>
				<c:choose>
					<c:when test="${not empty labelPolaKontynuacja}">
						${labelPolaKontynuacja}
					</c:when>
					<c:otherwise>
						kontynuuj wprowadzanie<br/>
						dla innego mieszkańca
					</c:otherwise>
				</c:choose>
			</label>
		</div>
		<div class="input">
			<stripes:radio id="kontynuujWprowadzanie_TEN_SAM_MIESZKANIEC" name="kontynujWprowadzanie" value="TEN_SAM_MIESZKANIEC"
					title="kontynuuj dla tego mieszkańca"/>
			<label for="kontynuujWprowadzanie_TEN_SAM_MIESZKANIEC" class="cursorPointer"
					title="kontynuuj dla tego mieszkańca">ten mieszkaniec</label>
			<div style="margin-top: 6px;"></div>
			<stripes:radio id="kontynuujWprowadzanie_INNY_MIESZKANIEC" name="kontynujWprowadzanie" value="INNY_MIESZKANIEC"
					title="kontynuuj dla innego mieszkańca" checked="${empty actionBean.kontynujWprowadzanie ? 'INNY_MIESZKANIEC' : ''}"/>
			<label for="kontynuujWprowadzanie_INNY_MIESZKANIEC" class="cursorPointer"
					title="kontynuuj dla innego mieszkańca">inny mieszkaniec</label>
			<stripes:errors field="kontynujWprowadzanie"/>
		</div>
	</div>
</fieldset>
