<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj<br/>
			schorzenia
		</label>
	</div>
	<div class="input">
		<input type="text" id="${fn:replace(poleWyrobMedyczny, '.', '')}ICD10" name="podpowiedzRodzSch" style="width: 100%;"
				title="Wpisz początek nazwy schorzenia i wybierz go z listy" value=""
				placeholder="-- znajdź w wykazie schorzeń ICD-10 --"/>
		<br/><br/>
		kod ICD-10:<br/>
		<stripes:text id="${fn:replace(poleWyrobMedyczny, '.', '')}ICD10Kod" name="${poleWyrobMedyczny}.icd10" class="required"
				maxlength="3" size="5"/>
		<stripes:errors field="${poleWyrobMedyczny}.icd10"/>
	</div>
</div>
