<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			ulica, nr domu, nr lokalu
		</label>
	</div>
	<div class="input">
		${not empty adres.ulica ? adres.ulica : '-'}&nbsp;${adres.nrDomu}/${adres.nrLokalu}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			miejscowość
		</label>
	</div>
	<div class="input">
		${adres.miejscowosc}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			poczta
		</label>
	</div>
	<div class="input">
		${adres.sformatowanyKodPocztowy} ${adres.poczta}
	</div>
</div>
<div class="row" id="${nazwaPolaAdresu}AdrWojewDiv">
	<div class="label">
		<label>
			województwo
		</label>
	</div>
	<div class="input">
		${ttFn:enumLabel('pl.topteam.dps.enums.Wojewodztwo', adres.wojewodztwo, 'nazwa')}
	</div>
</div>
<div class="row" id="${nazwaPolaAdresu}AdrPowiatDiv">
	<div class="label">
		<label>
			powiat
		</label>
	</div>
	<div class="input">
		${adres.powiat}
	</div>
</div>
<div class="row" id="${nazwaPolaAdresu}AdrGminaDiv">
	<div class="label">
		<label>
			gmina
		</label>
	</div>
	<div class="input">
		${adres.gmina}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			od, do
		</label>
	</div>
	<div class="input">
		<fmt:formatDate value="${adres.dataOd}" pattern="${DATE_PATTERN}" /><c:if test="${not empty adres.dataOd || not empty adres.dataDo}">,</c:if>
		<fmt:formatDate value="${adres.dataDo}" pattern="${DATE_PATTERN}" />
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr telefonu
		</label>
	</div>
	<div class="input">
		${adres.telefon}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr faxu
		</label>
	</div>
	<div class="input">
		${adres.fax}
	</div>
</div>
