<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<stripes:hidden name="decyzjaKierujaca.typ" value="DECYZJA"/>
<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaKierujaca.nr" class="required" title="Nr urzędowy decyzji" size="25"/>
		<stripes:errors field="decyzjaKierujaca.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaKierujaca.dataWydania" class="data required" title="Data wydania" onchange="wybierzZasadyDlaDecyzji('decyzjaKierujaca.dataWydania', 'decyzjaKierujaca.wydanaNaZasadach');" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaKierujaca.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wpływu
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaKierujaca.dataWplywu" class="data required" title="Data wpływu" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaKierujaca.dataWplywu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data do
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaKierujaca.dataDo" class="data" title="Data do kiedy obowiązuje" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaKierujaca.dataDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wydana na zasadach
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="decyzjaKierujaca.wydanaNaZasadach" id="decKierWydZasadach" title="Decyzja wydana na zasadach">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.ZasadyWydawaniaDecyzjiKierujacych" label="opis"/>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="decyzjaKierujaca.wydanaNaZasadach"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ wydający decyzję
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="decyzjaKierujaca.ktoWydalId" id="decKierKtoWydal" title="Organ wydający decyzję">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodOrgWydajacyDecKierujacaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_ORGANU_WYDAJACEGO_DEC_KIERUJACA', 'decKierKtoWydal'); return false;"
				title="Wprowadź nowe słowo dla 'organ wydający decyzję'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="decyzjaKierujaca.ktoWydalId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rozpatrywana priorytetowo
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="decyzjaKierujaca.priorytet" title="Czy rozpatrywana priorytetowo?" value="4"/>
		<stripes:errors field="decyzjaKierujaca.priorytet"/>
	</div>
</div>
