<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<stripes:hidden name="decyzjaKierujaca.typ" value="POSTANOWIENIE_O_UMIESZCZENIU"/>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaKierujaca.dataWydania" class="data required" title="Data wydania" onchange="wybierzZasadyDlaDecyzji('decyzjaKierujaca.dataWydania', 'decyzjaKierujaca.wydanaNaZasadach');" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaKierujaca.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wpływu
		</label>
	</div>
	<div class="input">
		<stripes:text name="decyzjaKierujaca.dataWplywu" class="data required" title="Data wpływu" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="decyzjaKierujaca.dataWplywu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			zasady wyliczania odpłatności
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="decyzjaKierujaca.wydanaNaZasadach" id="decKierWydZasadach" title="Decyzja wydana na zasadach">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.ZasadyWydawaniaDecyzjiKierujacych" label="opis"/>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="decyzjaKierujaca.wydanaNaZasadach"/>
	</div>
</div>
<%-- postanowienie sądu należy uwzględnić oddzielnie na formatkach z uwagi na używanie tego JSPa przy wprowadzaniu nowego mieszkańca --%>

