<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%@ include file="polaDecyzjiOdplatnoscWspolne.jsp" %>

<div class="row">
	<div class="label">
		<label>
			całkowite zwolnienie z odpłatności
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="statusCalkowitegoZwolnienia" name="${poleDecyzjiOdplatnosc}.calkowiteZwolnienie" onchange="showHideByClass('calkowiteZwolnienie', 'table-row');"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.kwota"/>
	</div>
</div>
<div class="row calkowiteZwolnienie">
	<div class="label">
		<label>
			kwota odpłatności
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.kwota" class="kwota" title="Kwota jaką członek rodziny musi dopłacić"	
				formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.kwota"/>
	</div>
</div>
<div class="row calkowiteZwolnienie">
	<div class="label">
		<label>
			kwota zwolnienia z odpłatności
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDecyzjiOdplatnosc}.kwotaZwolniona" class="kwota required"
				title="Kwota na jaką członek rodziny jest zwolniony" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleDecyzjiOdplatnosc}.kwotaZwolniona"/>
	</div>
</div>
