<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj diagnozy
		</label>
	</div>
	<div class="input">
		<stripes:select id="${poleDiagnoza}SId" style="width: 400px" class="mySelect required" name="${poleDiagnoza}.slowoId" disabled="${not empty definicjaDisabled && definicjaDisabled ? definicjaDisabled : ''}">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${ttFn:extractCollection(actionBean.context, 'kodRodzajuWystawianejDiagnozySlownik')}" label="wartString" value="id"/>
		</stripes:select>
		<c:choose>
			<c:when test="${not empty definicjaDisabled && definicjaDisabled}">
				<stripes:hidden name="${poleDiagnoza}.slowoId"/>
			</c:when>
			<c:otherwise>
				<%-- definicja została zablokowana, nie można wprowadzać dodatkowych słów --%>
				&nbsp;&nbsp;
				<a class="imgButton noweSlowoButton"
						onclick="slowoWprowadzanieAjax('KOD_RODZAJU_DIAGNOZY', '${poleDiagnoza}SId'); return false;"
						title="Wprowadź nowe słowo dla 'rodzaj diagnozy'">
					<img src="${root}/img/icons/add.png" style="border: 0px;">
				</a>
			</c:otherwise>
		</c:choose>
		<div style="clear: both">
			<stripes:errors field="${poleDiagnoza}.slowoId"/>
		</div>
	</div>
</div>
