<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDiagnozaRealizacja}.data" class="data required" title="Data wystawienia diagnozy" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDiagnozaRealizacja}.data"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			def. diagnozy
		</label>
	</div>
	<div class="input">
		<stripes:select id="${poleDiagnozaRealizacja}defDiagnozy" style="width: 400px" class="mySelect required"
				name="${poleDiagnozaRealizacja}.diagnozaId" disabled="${readOnly}">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<c:forEach items="${listaDefDiagnoz}" var="defDiagnozy" varStatus="i">
				<c:set var="slowaSlownika" value="${kodRodzajuWystawianejDiagnozySlownik}"/>
				<c:set var="wartoscDoPorow" value="${defDiagnozy.slowoId}"/>
				<%@ include file="/jsp/templatePages/ustawWartStringZeSlownikaWgId.jsp" %>
				
				<stripes:option value="${defDiagnozy.id}">${wartoscZmiennejZeSlownika}</stripes:option>
			</c:forEach>
		</stripes:select>
		<c:if test="${not empty readOnly && readOnly}">
			<stripes:hidden name="${poleDiagnozaRealizacja}.diagnozaId"/>
		</c:if>
		<div style="clear: both">
			<stripes:errors field="${poleDiagnozaRealizacja}.diagnozaId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			czy wstępna
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${poleDiagnozaRealizacja}.czyWstepna" title="Czy jest to wstępna diagnoza ?"/>
		<stripes:errors field="${poleDiagnozaRealizacja}.czyWstepna"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			pracownik wykonał
		</label>
	</div>
	<div class="input">
		<stripes:select id="${poleDiagnozaRealizacja}polePracownikWykonal" style="width: 400px" class="mySelect required"
				name="${poleDiagnozaRealizacja}.pracownikWykonalId" disabled="disabled">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaPracownikowDPS}" label="nazwiskoImie" value="id"/>
		</stripes:select>
		<stripes:hidden name="${poleDiagnozaRealizacja}.pracownikWykonalId"/>
		<div style="clear: both">
			<stripes:errors field="${poleDiagnozaRealizacja}.pracownikWykonalId"/>
		</div>
	</div>
</div>
