<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj dodatku
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect required" name="${poleDodatek}.kodDodatkuId" id="kodDodatku${pobieraneSwiadczenie.id}PobierSwiad_${k}">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodDodatkuPobieranegoSwiadczeniaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton"
				onclick="slowoWprowadzanieAjax('KOD_DODATKU_POBIERANEGO_SWIADCZENIA', 'kodDodatku${pobieraneSwiadczenie.id}PobierSwiad_${k}'); return false;"
				title="Wprowadź nowe słowo dla 'rodzaj dodatku'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleDodatek}.kodDodatkuId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wartość
		</label>
	</div>
	<div class="input">
		<stripes:text id="kwotaPobier${pobieraneSwiadczenie.id}_${k}" class="doublePrecision required" name="${poleDodatek}.wartosc"
				title="Wysokość świadczenia" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;
		<stripes:select name="${poleDodatek}.jednostka" id="ekwiwalentPobier${pobieraneSwiadczenie.id}_${k}Jednostka" class="required" onchange="wylaczEkwiwalent(this);">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.JednostkaMiary" label="opis"/>
		</stripes:select>
		<stripes:errors field="${poleDodatek}.wartosc"/>
		<stripes:errors field="${poleDodatek}.jednostka"/>
	</div>
</div>
<div class="row" id="ekwiwalentPobier${pobieraneSwiadczenie.id}_${k}JednostkaEkwiwalent_div">
	<div class="label">
		<label>
			ekwiwalent
		</label>
	</div>
	<div class="input">
		<stripes:text id="ekwiwalentPobier${pobieraneSwiadczenie.id}_${k}JednostkaEkwiwalent" class="kwota" name="${poleDodatek}.ekwiwalent"
				title="Ekwiwalent pieniężny" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleDodatek}.ewkwiwalent"/>
	</div>
</div>
