<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleDowodOsobisty}.dataWprowadzenia"/>
<stripes:errors field="${poleDowodOsobisty}.dataWprowadzenia"/>

<div class="row">
	<div class="label">
		<label>
			seria i nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDowodOsobisty}.seriaNr" class="textACapitalize ${klasaWymagane}" title="Seria i nr dowodu osobistego"/>
		<stripes:errors field="${poleDowodOsobisty}.seriaNr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleDowodOsobisty}.dataWydania" class="data ${dataWydaniaKlasaWymagane}"
				onchange="dowodOsobisty(this.value, 'dataUrodzeniaD', 'dataWaznosciD');" title="Data wydania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDowodOsobisty}.dataWydania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data ważności
		</label>
	</div>
	<div class="input">
		<stripes:text id="dataWaznosciD" name="${poleDowodOsobisty}.dataWaznosci" class="data" title="Data ważności" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleDowodOsobisty}.dataWaznosci"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wydany przez
		</label>
	</div>
	<div class="input">
		<stripes:select id="${poleDowodOsobisty}dowodWydanyPrzezId" style="width:400px" class="mySelect" name="${poleDowodOsobisty}.wydanyPrzezId" title="Organ wydający dowód osobisty">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodOrganuWydDowodOsSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_ORGANU_WYDAJACEGO_DOWOD_OS', '${poleDowodOsobisty}dowodWydanyPrzezId'); return false;"
				title="Wprowadź nowe słowo dla 'wydany przez'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both;"></div>
		<stripes:errors field="${poleDowodOsobisty}.wydanyPrzezId"/>
	</div>
</div>
