<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			budynek
		</label>
	</div>
	<div class="input">
		<stripes:text name="${polePokoj}.budynek" title="Oznaczenie budynku"/>
		<stripes:errors field="${polePokoj}.budynek"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			piętro, nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${polePokoj}.pietro" class="numberInteger required" title="Piętro" size="8"/>
		<stripes:text name="${polePokoj}.nr" class="alignRight required" title="Numer pokoju" size="12"/>
		<stripes:errors field="${polePokoj}.pietro"/>
		<stripes:errors field="${polePokoj}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba miejsc
		</label>
	</div>
	<div class="input">
		<stripes:text name="${polePokoj}.liczbaMiejsc" class="numberInteger required" title="Liczba miejsc" size="8"/>
		<stripes:errors field="${polePokoj}.liczbaMiejsc"/>
	</div>
</div>
