<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="informacjaDodatkowa.nazwa" title="Nazwa"
			class="required" readonly="${empty wszystkoReadonly ? readOnly : wszystkoReadonly}" size="40"/>
		<stripes:errors field="informacjaDodatkowa.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			status
		</label>
	</div>
	<div class="input">
		<c:set var="__statusTypuInformacjiBeanFieldName" value="informacjaDodatkowa.status"/>
		<c:set var="__statusTypuInformacjiBeanFieldValue" value="${ttFn:extractProperty(actionBean, __statusTypuInformacjiBeanFieldName)}"/>
		<stripes:select name="${__statusTypuInformacjiBeanFieldName}" class="mySelect required" style="width: 350px;">
			<c:choose>
				<c:when test="${empty __statusTypuInformacjiBeanFieldValue}">
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<stripes:options-enumeration enum="pl.topteam.dps.enums.StatusTypuInformacjiDodatkowej" label="opis"/>
				</c:when>
				<c:otherwise>
					<c:forEach items="${__statusTypuInformacjiBeanFieldValue.transitions}" var="state">
						<stripes:option label="${state.opis}" value="${stripes:enumName(state)}"/>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="${__statusTypuInformacjiBeanFieldName}"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label title="Czy dla osoby zarejestrowanej w programie można wprowadzić tylko jedną taką informację dodatkową?">
			pojedynczy wpis
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="informacjaDodatkowa.pojedynczyWpis" title="Pojedynczy wpis"/>
		<stripes:errors field="informacjaDodatkowa.pojedynczyWpis"/>
	</div>
</div>
