<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jeżeli słownik oznacza dyżur pielęgniarski to ustaw domyślnie --%>
<%@ include file="polaInformacjaDodatkowaPoleSLOWNIK_DyzurPielegniarski.jsp" %>

<stripes:select id="poleSlownik${i.count - 1}" style="width: 400px" class="mySelect ${__required}"
		name="${__submitNazwaPola}.wartosc${stripes:enumName(informacjaPole.typ)}"
		value="${not empty __selectRodzajDyzuru ? __selectRodzajDyzuru : ''}">
	<c:choose>
		<c:when test="${not empty slowoWprowadzanieAjax}">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
		</c:when>
		<c:otherwise>
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
		</c:otherwise>
	</c:choose>
	<c:choose>
		<c:when test="${stripes:enumName(__nazwaSlownikPola.typSlownika) == 'WART_I'}">
			<stripes:options-collection collection="${ttFn:extractCollection(actionBean.context, __nazwaSlownikPola.nazwaServerContext)}" label="wartInt" value="id"/>
		</c:when>
		<c:when test="${stripes:enumName(__nazwaSlownikPola.typSlownika) == 'WART_S'}">
			<stripes:options-collection collection="${ttFn:extractCollection(actionBean.context, __nazwaSlownikPola.nazwaServerContext)}" label="wartString" value="id"/>
		</c:when>
	</c:choose>
</stripes:select>
<c:if test="${not empty slowoWprowadzanieAjax}">
	&nbsp;&nbsp;
	<a class="imgButton noweSlowoButton"
			onclick="slowoWprowadzanieAjax('${__nazwaSlownikPola}', 'poleSlownik${i.count - 1}'); return false;"
			title="Wprowadź nowe słowo dla '${__nazwaPola}'">
		<img src="${root}/img/icons/add.png" style="border: 0px;">
	</a>
</c:if>
<div style="clear: both">
	<stripes:errors field="${__nazwaPolaErrors}"/>
	<stripes:errors field="${__nazwaPolaErrors2}"/>
	<stripes:errors field="${__nazwaPolaErrors3}"/>
</div>
