<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:forEach items="${ttFn:extractCollection(actionBean.context, __nazwaSlownikPola.nazwaServerContext)}" var="slowo" varStatus="i">
	<div class="row">
		<div class="label">
			<c:choose>
				<c:when test="${stripes:enumName(__nazwaSlownikPola.typSlownika) == 'WART_I'}">
					${slowo.wartInt}
				</c:when>
				<c:when test="${stripes:enumName(__nazwaSlownikPola.typSlownika) == 'WART_S'}">
					${slowo.wartString}
				</c:when>
			</c:choose>
		</div>
		<div class="input nowrap">
			<stripes:hidden name="${__submitNazwaPola}.wartosc${stripes:enumName(informacjaPole.typ)}[${i.count - 1}].wartosc" value="${slowo.id}"/>
			<stripes:text name="${__submitNazwaPola}.wartosc${stripes:enumName(informacjaPole.typ)}[${i.count - 1}].liczbaI" class="${not empty __required ? 'numberInteger' : 'numberInteger'} nChkb ${__required}" size="8"></stripes:text><c:if test="${not empty informacjaPole.jednostkaMiary}">&nbsp;&nbsp;[${informacjaPole.jednostkaMiary.skrot}]</c:if>
			<stripes:errors field="${__nazwaPolaErrors}[${i.count - 1}]"/>
			<stripes:errors field="${__nazwaPolaErrors2}[${i.count - 1}]"/>
			<stripes:errors field="${__nazwaPolaErrors3}[${i.count - 1}]"/>
		</div>
	</div>
</c:forEach>
