<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaLek}.nazwa" title="Nazwa leku" readonly="${not empty readOnly ? readOnly : false}"
				class="required" size="45"/>
		<stripes:errors field="${nazwaPolaLek}.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dawka
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaLek}.dawka" title="Dawka leku" readonly="${not empty readOnly ? readOnly : false}"
				class="required" size="45"/>
		<stripes:errors field="${nazwaPolaLek}.dawka"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			postać leku
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaLek}.postac" title="Postać leku" readonly="${not empty readOnly ? readOnly : false}"
				class="required" size="30"/>
		<stripes:errors field="${nazwaPolaLek}.postac"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			jednostka pojemności<br/>
			opakowania
		</label>
	</div>
	<div class="input">
		<c:if test="${not empty readOnly}">
			<stripes:hidden name="${nazwaPolaLek}.opakowanieJednostkaPojemnosci"/>
		</c:if>
		<stripes:select name="${nazwaPolaLek}.opakowanieJednostkaPojemnosci" title="Jednostka pojemności opakowania"
				disabled="${not empty readOnly ? true : false}" class="required">
			<stripes:options-enumeration enum="pl.topteam.bazmed.enums.JednostkaPojemnosciOpakowania" label="opis"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaLek}.opakowanieJednostkaPojemnosci"/>
	</div>
</div>
