<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			opis z bazy<br/>
			BAZYL
		</label>
	</div>
	<div class="input">
		<stripes:textarea name="${nazwaPolaLek}.opakowanieOpisBazyl" class="required" title="Opis leku w bazie bazyl"
			readonly="${not empty readOnly ? readOnly : false}" cols="40" rows="5"/>
		<stripes:errors field="${nazwaPolaLek}.opakowanieOpisBazyl"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			postać
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaLek}.postac" class="required" title="Postać leku" size="45"/>
		<stripes:errors field="${nazwaPolaLek}.postac"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba jednostek<br/>
			w opakowaniu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaLek}.opakowanieIlosc" title="Ilość jednostek w opakowaniu" class="kwota required" size="11"
				formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${nazwaPolaLek}.opakowanieIlosc"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			jednostka pojemności
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaLek}.opakowanieJednostkaPojemnosci" class="required" title="Jednostka pojemności opakowania">
			<stripes:options-enumeration enum="pl.topteam.bazmed.enums.JednostkaPojemnosciOpakowania" label="opis"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaLek}.opakowanieJednostkaPojemnosci"/>
	</div>
</div>
