<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			NIP
		</label>
	</div>
	<div class="input">
		<stripes:text class="nip required" name="${nazwaPolaJednostka}.nip" size="20"/>
		<stripes:errors field="${nazwaPolaJednostka}.nip"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			pakiet
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaJednostka}.licencjaPakiet" class="required" title="Wskaż pakiet do aktywacji">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.Aktywacja" label="opis"/>
		</stripes:select>
		<stripes:errors field="pakiet"/>
	</div>
</div>
