<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<%@ include file="polaMagazynOperacjaKrotka.jsp" %>
<div class="row">
	<div class="label">
		<label>
			dotyczy dyżuru piel.
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleMagazynOperacja}.slowoId" value="${__magazyn_operacja_value}">
			<stripes:option value="" class="alignCenter">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<stripes:errors field="${poleMagazynOperacja}.slowoId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			${not empty poleMagazynOperacjaIloscLabel ? poleMagazynOperacjaIloscLabel : 'ilość'}
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleMagazynOperacja}.ilosc" class="doublePrecision required" title="Ilość" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleMagazynOperacja}.ilosc"/>
	</div>
</div>
