<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/templatePages/polaParametruSystemowegoWspolne.jsp" %>

<c:choose>
	<c:when test="${empty actionBean.parametrSystemowy.typ}">
		<font style="color: red; size: 20px;">BŁĄD IMPLEMENTACJI PROGRAMU !!!</font>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_DECIMAL'}">
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoDecimal.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_INTEGER'}">
		<c:set var="typParametru" value="${actionBean.parametrSystemowy.typ}"/>
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoInteger.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_STRING'}">
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoString.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_BOOLEAN'}">
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoBoolean.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'ENUM_OPIS'}">
		<c:set var="kolekcjaEnum" value="${actionBean.parametrSystemowy.typ.enumClass.canonicalName}"/>
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoEnumOpis.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_KOD_INT'}">
		<c:set var="kolekcjaSlow" value="${actionBean.parametrSystemowy.typ.collectionContextName}"/>
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoSlowoKodInt.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_KOD_STRING'}">
		<c:set var="kolekcjaSlow" value="${actionBean.parametrSystemowy.typ.collectionContextName}"/>
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoSlowoKodString.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_ID_INT'}">
		<c:set var="kolekcjaSlow" value="${actionBean.parametrSystemowy.typ.collectionContextName}"/>
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoSlowoIdInt.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(actionBean.parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_ID_STRING'}">
		<c:set var="kolekcjaSlow" value="${actionBean.parametrSystemowy.typ.collectionContextName}"/>
		<%@ include file="/jsp/templatePages/polaParametruSystemowegoSlowoIdString.jsp" %>
	</c:when>
	<c:otherwise>
		<font style="color: red; size: 20px;">BŁĄD IMPLEMENTACJI PROGRAMU !!!</font>
	</c:otherwise>
</c:choose>

