<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${empty actionBean.planWsparciaMieszkanca.planAktualizowanyId}">
	<div class="row">
		<div class="label">
			<label>
				nr
			</label>
		</div>
		<div class="input">
			<stripes:text name="planWsparciaMieszkanca.nr" class="required" size="50"
					title="${not empty actionBean.propAutoNrPlanu ? actionBean.propAutoNrPlanu : 'Numer planu wsparcia'}"/>
			<stripes:errors field="planWsparciaMieszkanca.nr"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			obowiązuje od
		</label>
	</div>
	<div class="input">
		<stripes:text name="planWsparciaMieszkanca.dataOd" class="data required" title="Data od kiedy obowiązuje" formatPattern="${DATE_PATTERN}"
				readonly="${readOnly}"/>
		<stripes:errors field="planWsparciaMieszkanca.dataOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data ważności
		</label>
	</div>
	<div class="input">
		<stripes:text name="planWsparciaMieszkanca.dataWaznosci" class="data" title="Dzień na który przewiduje się aktualizację planu" formatPattern="${DATE_PATTERN}"
				readonly="${not empty readOnly && readOnly == 'readonly' && not empty actionBean.planWsparciaMieszkanca.dataDo}"/>
		<stripes:errors field="planWsparciaMieszkanca.dataWaznosci"/>
	</div>
</div>
<c:if test="${not empty actionBean.planWsparciaMieszkanca.dataDo}">
	<div class="row">
		<div class="label">
			<label>
				obowiązuje do
			</label>
		</div>
		<div class="input">
			<stripes:text name="planWsparciaMieszkanca.dataDo" class="data" title="Data do kiedy obowiązuje" formatPattern="${DATE_PATTERN}" readonly="readonly"/>
			<stripes:errors field="planWsparciaMieszkanca.dataDo"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			pracownik PK
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="planWsparciaMieszkanca.pracownikPkId" id="selPracownikPkId">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodPracownikaPKSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton"
				onclick="slowoWprowadzanieAjax('KOD_PRACOWNIKA_PK', 'selPracownikPkId'); return false;"
				title="Wprowadź nowe słowo dla 'pracownik PK'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both;"></div>
		<stripes:errors field="planWsparciaMieszkanca.pracownikPkId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			opis
		</label>
	</div>
	<div class="input">
		<stripes:textarea name="planWsparciaMieszkanca.opis" style="width: 98%;" rows="20"/>
		<stripes:errors field="planWsparciaMieszkanca.opis"/>
	</div>
</div>
