<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			opis
		</label>
	</div>
	<div class="input">
		<stripes:text name="plikMigracji.opis" class="required" readonly="${readonly}" title="Opis pliku" size="70"/>
		<stripes:errors field="plikMigracji.opis"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data migracji
		</label>
	</div>
	<div class="input">
		<stripes:text name="plikMigracji.data" class="required" readonly="readonly" title="Data migracji" formatPattern="${TIMESTAMP_PATTERN}" size="20"/>
		<stripes:errors field="plikMigracji.data"/>
	</div>
</div>
<div style="padding-bottom: 10px;">
	treść
</div>
<div align="center">
	<div style="clear: both">
		<stripes:errors field="plikMigracji.tresc"/>
	</div>
	<stripes:textarea name="plikMigracji.tresc" id="tresc" style="width: 95%;" rows="40"/>
</div>
