<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			ilość
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaRealizacjaSwiadczenia}.ilosc" class="doublePrecision nChkb" title="Ilość zrealizowana w ramach decyzji"
				formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
		<stripes:errors field="${nazwaPolaRealizacjaSwiadczenia}.ilosc"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ilość zrezygnowano
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaRealizacjaSwiadczenia}.iloscRezygnacja" class="doublePrecision nChkb" title="Ilość rezygnacji w ramach decyzji"
				formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
		<stripes:errors field="${nazwaPolaRealizacjaSwiadczenia}.iloscRezygnacja"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ilość pełnopłatne
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaRealizacjaSwiadczenia}.iloscPelnoplatne" class="doublePrecision nChkb" title="Ilość realizacji pełnopłatnych"
				formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
		<stripes:errors field="${nazwaPolaRealizacjaSwiadczenia}.iloscPelnoplatne"/>
	</div>
</div>
