<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSkala}.nazwa" class="required" title="Nazwa skali oceny mieszkańca" size="55"/>
		<stripes:errors field="${nazwaPolaSkala}.nazwa"/>
	</div>
</div>
<c:choose>
	<c:when test="${not empty typDisabled && typDisabled}">
		<div class="row">
			<div class="label">
				<label>
					typ
				</label>
			</div>
			<div class="input">
				<stripes:select class="required" name="${nazwaPolaSkala}.typ" title="Typ definiowanej skali" disabled="disabled">
					<stripes:options-enumeration enum="pl.topteam.dps.enums.TypSkaliOceny" label="opis"/>
				</stripes:select>
				<div style="clear: both;"></div>
				<stripes:hidden name="${nazwaPolaSkala}.typ"/>
				<stripes:errors field="${nazwaPolaSkala}.typ"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<div class="row">
			<div class="label">
				<label>
					typ
				</label>
			</div>
			<div class="input">
				<stripes:select class="required" name="${nazwaPolaSkala}.typ" title="Typ definiowanej skali">
					<stripes:options-enumeration enum="pl.topteam.dps.enums.TypSkaliOceny" label="opis"/>
				</stripes:select>
				<div style="clear: both;"></div>
				<stripes:errors field="${nazwaPolaSkala}.typ"/>
			</div>
		</div>
	</c:otherwise>
</c:choose>

<div style="padding-bottom: 10px;">
	opis
</div>
<div align="center">
	<div style="clear: both">
		<stripes:errors field="${nazwaPolaSkala}.opis"/>
	</div>
	<stripes:textarea name="${nazwaPolaSkala}.opis" id="opis" style="width: 95%;" rows="15"/>
</div>

