<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			${not empty dataTitle ? dataTitle : 'dzień wolny'}
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${not empty changeFunc}">
				<stripes:text name="${nazwaPolaSwiadczenieDzienWolny}.data" class="data required" formatPattern="${DATE_PATTERN}"
						onchange="${changeFunc}"/>
			</c:when>
			<c:otherwise>
				<stripes:text name="${nazwaPolaSwiadczenieDzienWolny}.data" class="data required" formatPattern="${DATE_PATTERN}"/>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="${nazwaPolaSwiadczenieDzienWolny}.data"/>
	</div>
</div>
