<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			termin wypłaty
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleSwiadczenieWplata}.terminWyplatyId" class="required mySelect" title="Termin wypłaty świadczenia" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaTerminowWyplaty}" label="tekst" value="id"/>
		</stripes:select>
		<div style="clear: both;">
			<stripes:errors field="${poleSwiadczenieWplata}.terminWyplatyId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rok / miesiąc
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleSwiadczenieWplata}.rok" class="rok required" title="Stan na rok" size="5"/> /
		
		<c:set var="nazwaPola" value="${poleSwiadczenieWplata}.miesiac"/>
		<c:set var="_wartoscMiesiac" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
				
		<c:set var="poleMiesiac" value="${nazwaPola}"/>
		<c:set var="klasaWymagane" value="required"/>
		<c:set var="poleMiesiacValue" value="${_wartoscMiesiac}"/>
		<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
		
		<div style="clear: both;">
			<stripes:errors field="${poleSwiadczenieWplata}.rok"/>
			<stripes:errors field="${poleSwiadczenieWplata}.miesiac"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			instytucja
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleSwiadczenieWplata}.instytucjaId" class="mySelect" title="Instytucja, dla której generujemy" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${instytucjeDoplacajace}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${poleSwiadczenieWplata}.instytucjaId"/>
	</div>
</div>
					