<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		${not empty wplataZwrotKwotaOpis ? wplataZwrotKwotaOpis : 'kwota zwrotu'}
	</div>
	<div class="input">
		<c:if test="${not empty autoPoliczZwrotFunction}">
			<a href="" onclick="${autoPoliczZwrotFunction}(); return false;" title="Odśwież kwotę zwrotu">
				<img src="${root}/img/forward.png" style="margin-bottom: -5px;"/>
			</a>
		</c:if>
		<stripes:text name="${nazwaPolaWplata}.kwotaZwrot" class="kwota required"
				title="Kwota zwrotu z wpłaty, która stanowi nadwyżkę albo z góry ustaloną kwotę zwrotu" size="11"
				formatPattern="${DOUBLE_PRECISION_PATTERN}" value="0.00"/>
		<span id="kwotaZwrotTip" class="tip"></span>
		<stripes:errors field="${nazwaPolaWplata}.kwotaZwrot"/>
	</div>
</div>
