<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rok
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaZadluzenie}.rok" class="rok required"
				readonly="${poleZadluzenieReadOnly}" title="Rok, za który naliczamy płatność" size="11"/>
		<stripes:errors field="${nazwaPolaZadluzenie}.rok"/>
	</div>
</div>

<c:set var="klasaWymagane" value="required"/>
<c:set var="miesiacReadOnly" value="${poleZadluzenieReadOnly}"/>
<c:set var="poleMiesiac" value="${nazwaPolaZadluzenie}.miesiac"/>
<%@ include file="/jsp/templatePages/nazwyMiesiecy.jsp" %>
