<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label for="ulica">
			rodzaj zapomogi
		</label>
	</div>
	<div class="input">
		<stripes:select id="${poleZapomoga}zapomogaRodzajId"  name="${poleZapomoga}.rodzajZapomogiId" style="width:400px" class="mySelect required"  title="Rodzaj zapomogi">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuZapomogiSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_RODZAJU_ZAPOMOGI', '${poleZapomoga}zapomogaRodzajId'); return false;"
				title="Wprowadź nowe słowo dla 'rodzaj zapomogi'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both"></div>
		<stripes:errors field="${poleZapomoga}.rodzajZapomogiId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="ulica">
			data udzielenia
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZapomoga}.dataUdzielenia" class="data required" title="Data udzielenia" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleZapomoga}.dataUdzielenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="ulica">
			kwota
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZapomoga}.kwota" class="kwota required" title="Kwota zapomogi" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleZapomoga}.kwota"/>
	</div>
</div>