<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZebranieZTO}.dataPlan" class="data required" title="Data planowanego zebrania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleZebranieZTO}.dataPlan"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			godzina
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZebranieZTO}.godzinaPlan" class="numberInteger required" title="Godzina planowanego spotkania" size="7"/>
		<stripes:errors field="${poleZebranieZTO}.godzinaPlan"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			miejsce
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZebranieZTO}.miejscePlan" title="Miejsce planowanego spotkania" size="55"/>
		<stripes:errors field="${poleZebranieZTO}.miejscePlan"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="${poleZebranieZTO}.szablonWydrukuId" id="szablonyWydruku" title="Szablon wydruku planowanego">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleZebranieZTO}.szablonWydrukuId"/>
		</div>
	</div>
</div>
