<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			kod tytułu<br/>
			uprawnienia
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${poleZlecenieUprawnienie}.kodTytuluUpr"
				id="${poleUprawnienie}KodTytuluUpr" title="Kod tytułu uprawnienia">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodTytuluUprawnieniaSlownik}" label="wartString" value="kod"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleZlecenieUprawnienie}.kodTytuluUpr"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kod tytułu<br/>
			uprawnienia dodatkowego
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="${poleZlecenieUprawnienie}.kodTytuluUprDod"
				id="${poleUprawnienie}KodTytuluUprDod" title="Kod tytułu uprawnienia">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodTytuluUprawnieniaDodatkowegoSlownik}" label="wartString" value="kod"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleZlecenieUprawnienie}.kodTytuluUprDod"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data od
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZlecenieUprawnienie}.dataOd" class="data required" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleZlecenieUprawnienie}.dataOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data do
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZlecenieUprawnienie}.dataDo" class="data required" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleZlecenieUprawnienie}.dataDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kod
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleZlecenieUprawnienie}.kod" class="required" size="8"/>
		<stripes:errors field="${poleZlecenieUprawnienie}.kod"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kod zamiennika
		</label>
	</div>
	<div class="input">
		<c:set var="liczbaZamiennikow" value="3"/>
		<c:forEach begin="1" end="${liczbaZamiennikow}" step="1" var="i">
			<c:set var="nazwaPola" value="${poleZlecenieUprawnienie}.kodZam${i}"/>
			<stripes:text name="${nazwaPola}" size="8"/>
			<stripes:errors field="${nazwaPola}"/>
			<c:if test="${! stripes:hasErrors(actionBean, nazwaPola) && i != liczbaZamiennikow}"><br/></c:if>
		</c:forEach>
	</div>
</div>
