<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nr umowy
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWydanieWyrob}.nrUmowy" class="required" size="20"/>
		<stripes:errors field="${poleWydanieWyrob}.nrUmowy"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba sztuk
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWydanieWyrob}.liczbaSztuk" class="required numberInteger" size="8"/>
		<stripes:errors field="${poleWydanieWyrob}.liczbaSztuk"/>
	</div>
</div>
<div style="padding-bottom: 10px;">
	dane dotyczące SP
</div>
<div align="center">
	<div style="clear: both">
		<stripes:errors field="${poleWydanieWyrob}.daneWm"/>
	</div>
	<stripes:textarea name="${poleWydanieWyrob}.daneWm" class="required" style="width: 95%;" rows="6"/>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota NFZ
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWydanieWyrob}.kwotaNfz" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleWydanieWyrob}.kwotaNfz"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota<br/>
			świadczeniobiorca
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWydanieWyrob}.kwotaSwiadczeniobiorca" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleWydanieWyrob}.kwotaSwiadczeniobiorca"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data odbioru
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleWydanieWyrob}.dataOdbioru" class="data required" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleWydanieWyrob}.dataOdbioru"/>
	</div>
</div>
