<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		za okres
	</div>
	<div class="input">
		<stripes:hidden name="${nazwaPolaZwrot}.rok"/>
		<stripes:hidden name="${nazwaPolaZwrot}.miesiac"/>
		
		<c:set var="nazwaPola" value="${nazwaPolaZwrot}.rok"/>
		<c:set var="_wartoscRok" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>

		<c:set var="nazwaPola" value="${nazwaPolaZwrot}.miesiac"/>
		<c:set var="_wartoscMiesiac" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
		
		<c:set var="miesiacNumber" value="${_wartoscMiesiac}"/>
		${_wartoscRok} / <%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
		
		<div style="clear: both;">
			<stripes:errors field="${nazwaPolaZwrot}.rok"/>
			<stripes:errors field="${nazwaPolaZwrot}.miesiac"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dla instytucji
		</label>
	</div>
	<div class="input">
		<c:set var="nazwaPola" value="${nazwaPolaZwrot}.instytucjaDoplacajaca"/>
		<c:set var="_wartoscInstytucja" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
		
		${_wartoscInstytucja.nazwa}

		<stripes:errors field="${nazwaPolaZwrot}.instytucjaId"/>
		<stripes:errors field="${nazwaPolaZwrot}.instytucja.id"/>
		<stripes:errors field="${nazwaPolaZwrot}.instytucja.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data zwrotu
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaZwrot}.data" class="data required" title="Data odpisu" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaZwrot}.data"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data księgowania
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaZwrot}.dataKsiegowania" class="data" title="Data księgowania" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaZwrot}.dataKsiegowania"/>
	</div>
</div>
<div class="row">
	<div class="label">
		kwota
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaZwrot}.kwota" class="kwota required" title="Kwota zwrotu" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${nazwaPolaZwrot}.kwota"/>
	</div>
</div>
