<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<html>
	<head>
		<%@ include file="/jsp/biblioteki/base.jsp" %>
		<%@ include file="/jsp/biblioteki/mainStyle.jsp" %>

		<%@ include file="/jsp/biblioteki/mainBiblioteki.jsp" %>
		
		<script type="text/javascript">
			var count = 0;
			function updater() {
			    var complete = false;
				var progress;
			    count++;

				jQuery.get(window.location.href, {ajax: "true"}, function(content) {
			        jQuery("span.progress").html(jQuery(content).filter("span.progress").html());
			        jQuery("span.complete").html(jQuery(content).filter("span.complete").html());
			        
			        progress = jQuery(content).filter("span.progress").html();
			        complete = jQuery(content).filter("span.complete").html();
			        
			        jQuery(".ui-progressbar-value").css("width", progress + "%");
			        
			        if (complete == "true") {
			            window.location.reload();
			        } else {
			            updater();
			        }
				}, "html");
			}

			jQuery(function(){
				updater()
			});
			
			$(function() {
				$(".ui-progressbar-value").css("width", "0%");
			});
		</script>
	</head>

	<body>
	    <div>
	        Postęp: <span class="progress">0</span>
	    </div>
	    <div>
	        Czy wykonano: <span class="complete">false</span>
	    </div>
	     <div>
	       __WPI__: <c:if test="${actionBean.context.request.parameterMap['__WPI__'][0]}">${actionBean.context.request.parameterMap['__WPI__'][0]}</c:if>
	    </div>
	    
	    <div style="width: 37%;" id="progressbar" class="ui-progressbar ui-widget ui-widget-content ui-corner-all">
		 	<div class="ui-progressbar-value ui-widget-header ui-corner-left ui-corner-right"></div>
		 </div>
	    
	    <div style="clear: both;"></div>
	</body>
</html>