<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />
<c:choose>
	<c:when test="${empty header['Ajax-Async']}">
		<c:choose>
			<c:when test="${empty sessionPracownik}">
				<stripes:layout-render name="/jsp/layout/errorLayout/layout.jsp">
					<stripes:layout-component name="htmlHead">
						<%@ include file="exceptionHead.jsp" %>
					</stripes:layout-component>
					<stripes:layout-component name="content">
						<div class="formContainer">
							<%@ include file="exceptionBody.jsp" %>
							<br/><br/>
							<stripes:link beanclass="pl.topteam.dps.action.system.LoginAction" class="blink">
								Spróbuj ponownie
							</stripes:link>
						</div>
					</stripes:layout-component>
				</stripes:layout-render>
			</c:when>
			<c:otherwise>
				<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
					<stripes:layout-component name="htmlHead">
						<%@ include file="exceptionHead.jsp" %>
					</stripes:layout-component>
					<stripes:layout-component name="content">
						<div class="formContainer">
							<%@ include file="exceptionBody.jsp" %>
						</div>
					</stripes:layout-component>
				</stripes:layout-render>
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:otherwise>
		<div class="formContainer">
			<%@ include file="exceptionHead.jsp" %>
			<%@ include file="exceptionBody.jsp" %>
		</div>
	</c:otherwise>
</c:choose>
