<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes"
	uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<script>
	$(document).ready(function() {
		$("#showStos").click(function() {
			$("#stos").toggle(500);
		});
		$("#showPrzyczyna").click(function() {
			$("#przyczyna").toggle(500);
		});
	});
</script>
<h1 class="tytH1">Wystapił błąd systemu</h1>
<h2 class="tytH2">Komunikat</h2>
<p>
	<c:choose>
		<c:when test="${not empty e.message}">
			${e.message}
		</c:when>
		<c:otherwise>
			${e}
		</c:otherwise>
	</c:choose>
</p>
<h2 class="tytH2">
	<button id="showPrzyczyna" class="cursorPointer">Przyczyna</button>
</h2>
<pre id="przyczyna" style="display: none;">
	<c:choose>
		<c:when test="${not empty e.cause}">
			${e.message}
		</c:when>
		<c:otherwise>
			${e}
		</c:otherwise>
	</c:choose>
</pre>
<h2 class="tytH2">
	<button id="showStos" class="cursorPointer">Stos wywołań</button>
</h2>
<p id="stos" style="display: none;">
	<c:forEach items="${e.stackTrace}" var="st" begin="0" end="5">
		${st}<br />
	</c:forEach>
	...
</p>
<%@ include file="/jsp/server/tomcatLogi.jsp"%>
