<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaZlecenBezCzesciBActionURL" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ListaZlecenBezCzesciBAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
			    
			    setExportToLimit(id, "");
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaZlecenBezCzesciBActionURL}",
				    "listaFiltr=1&" + parameterString,
				    function(data) {
						$("#jmesaContainer").html(data);
						ukryjLoadImage();
					}
				);
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Zlecenia (Część "A") przeznaczone do uzupełnienia części "B"</h3>
		<div style="margin-bottom: 10px;">
			<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		</div>
		
		<div id="jmesaContainer">
			<%@ include file="listaBezCzescBFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
