<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.PotwierdzenieWydaniaAction" id="wyborMedForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="zlecenie.id"/>
				<stripes:hidden name="potwierdzenie.zlecenieId"/>
				<fieldset>
					<legend>
						Edycja potwierdzenie wydania zlecenia
					</legend>
					
					<c:set var="poleWydanieWyrob" value="potwierdzenie"/>
					<%@ include file="/jsp/templatePages/polaZlecenieWydanieWyrob.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZlecenieNaZaopatrzeniePodgladAction"
								class="button" event="podglad">
							<stripes:param name="zlecenie.id" value="${actionBean.potwierdzenie.zlecenieId}"></stripes:param>
							<stripes:param name="zakladka" value="zaklPotwierdzenie"></stripes:param>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
