<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_AdresOsobyActionURL" beanclass="pl.topteam.dps.action.utils.AdresOsobyAction" prependContext="true" scope="page" addSourcePage="false"/>

<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>

<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>

<c:set var="bibliotekiAutoComplete" value="false"/>
<c:set var="styleAutoComplete" value="false"/>
<%@ include file="/jsp/templatePages/podpowiedziHead/wyrobMedycznyByOpisPodpHead.jsp" %>
<%@ include file="/jsp/templatePages/podpowiedziHead/rodzajSchorzeniaByNazwaPodpHead.jsp" %>

<script type="text/javascript" src="${root}/js/jquery.simulate.js"></script>
<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
<script type="text/javascript" src="${root}/js/utils/toggleSelectable.js"></script>
<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
<script type="text/javascript" src="${root}/js/utils/adres.js"></script>
<script type="text/javascript" src="${root}/js/utils/uzupelnijAdres.js"></script>
<script type="text/javascript">
	function podpAdres(typ) {
		var idMieszkanca = 0;

		if($("input[name='osoba.id']").val() > 0) {
			idMieszkanca = $("input[name='osoba.id']").val();
		} else if($("input[name='mieszkaniec.id']").val() > 0) {
			idMieszkanca = $("input[name='mieszkaniec.id']").val();
		}
			
		if(idMieszkanca > 0) {
			pokazLoadImage();
			var parametry = "podpowiedzAdres=" +
				"&typAdresu=" + typ + "&osoba.id=" + idMieszkanca;
			
			$("#msgPodpAdres").html("");
			$.post("${_AdresOsobyActionURL}",
				parametry,
				function(data, textStatus, xhr) {
					if(xhr.getResponseHeader('Ajax-Success')) {
						uzupelnijAdres(jQuery.parseJSON(data), "adres");
						$("#msgPodpAdres").html("<span class=\"success\">Poprawnie uzupełniono adres</span>");
					} else {
						$("#msgPodpAdres").html("<span class=\"err\">Wystąpił błąd przy pobieraniu adresu</span>");
					}
					
					ukryjLoadImage();
				}, "text"
			);
		} else {
			$("#msgPodpAdres").html("<span class=\"err\">Najpierw wybierz mieszkańca z listy !!!</span>");
			$("#nazwiskoImieMieszkanca").focus();
		}
	}
</script>
