<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiOpakowaniaPodpHead.jsp" %>

		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// automatycznie ustawiaj najpierw na lek jeżeli pusty
				if($("#wyrobPostacKodBazyl").val() == '') {
					$("#wyrobPostac").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Wprowadzanie leku</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="pozycjaForm" beanclass="${ttFn:classCanonicalName(actionBean)}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Szczegóły opakowania
					</legend>
					
					<%@ include file="wyrobFaktura.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrokFaktura" value="« Powrót"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="wprowadzWyrobSpozaListy" value="Wprowadź na listę"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
