<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="wywiadXml.metryczka.dostawcaAplikacji"/>
<stripes:hidden name="wywiadXml.metryczka.nazwaAplikacji"/>
<stripes:hidden name="wywiadXml.metryczka.wersjaAplikacji"/>

<div class="row">
	<div class="label">
		<label>
			data utworzenia
		</label>
	</div>
	<div class="input">
		<fmt:formatDate value="${actionBean.wywiadXml.metryczka.dataUtworzenia.toDate()}" pattern="${DATE_PATTERN}" />
		
		<stripes:hidden name="wywiadXml.metryczka.dataUtworzenia"/>
		<stripes:errors field="wywiadXml.metryczka.dataUtworzenia"/>
	</div>
</div>
<hr/>
<div>Nadawca:</div>
<div class="row">
	<div class="label">
		<label>
			REGON
		</label>
	</div>
	<div class="input">
		${actionBean.wywiadXml.metryczka.nadawca.nazwa}
		<stripes:hidden name="wywiadXml.metryczka.nadawca.nazwa"/>
		<stripes:errors field="wywiadXml.metryczka.nadawca.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			REGON
		</label>
	</div>
	<div class="input">
		${actionBean.wywiadXml.metryczka.nadawca.kodREGON}
		<stripes:hidden name="wywiadXml.metryczka.nadawca.kodREGON"/>
		<stripes:errors field="wywiadXml.metryczka.nadawca.kodREGON"/>
	</div>
</div>
<c:set var="nazwaPolaAdresu" value="wywiadXml.metryczka.nadawca"/>
<c:set var="klasaWymagane" value="required"/>
<%@ include file="daneAdresowe.jsp" %>
<hr/>
<div>Osoba sporządzająca:</div>
<div class="row">
	<div class="label">
		<label>
			imię i nazwisko
		</label>
	</div>
	<div class="input">
		${actionBean.wywiadXml.metryczka.osobaSporzadzajaca.imieINazwisko}

		<stripes:hidden name="wywiadXml.metryczka.osobaSporzadzajaca.imieINazwisko"/>
		<stripes:errors field="wywiadXml.metryczka.osobaSporzadzajaca.imieINazwisko"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			e-mail
		</label>
	</div>
	<div class="input">
		<stripes:text name="wywiadXml.metryczka.osobaSporzadzajaca.eMail" title="e-mail kontaktowy" size="45"/>
		<stripes:errors field="wywiadXml.metryczka.osobaSporzadzajaca.eMail"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			telefon
		</label>
	</div>
	<div class="input">
		<stripes:text name="wywiadXml.metryczka.telefon" title="Telefon kontaktowy" size="25"/>
		<stripes:errors field="wywiadXml.metryczka.telefon"/>
	</div>
</div>
