<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">	
	<stripes:layout-component name="content">
		<h3>Wyzwalacz typu CRON</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweAction" style="width: 600px;">
				<stripes:hidden name="qrtzTriggers.jobName"/>
				<stripes:hidden name="qrtzTriggers.jobGroup"/>
				<stripes:hidden name="qrtzTriggers.triggerType"/>

				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
	
				<fieldset>
					<legend>
						Opis zadania
					</legend>
					<div class="row">
						<div class="label">
							<label>
								grupa wyzwalaczy
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzCronTriggers.triggerGroup.opis}
							<stripes:hidden name="qrtzCronTriggers.triggerGroup"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								nazwa wyzwalacza
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzCronTriggers.triggerName}
							<stripes:hidden name="qrtzCronTriggers.triggerName"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								wyrażenie
							</label>
						</div>
						<div class="input">
							<stripes:text name="qrtzCronTriggers.cronExpression" class="required" title="Wyrażenie cron" size="65"/>
							<stripes:errors field="qrtzCronTriggers.cronExpression"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ListaZadanAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
