<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Wyzwalacz typu SIMPLE</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweAction" style="width: 600px;">
				<stripes:hidden name="qrtzTriggers.jobName"/>
				<stripes:hidden name="qrtzTriggers.jobGroup"/>
				<stripes:hidden name="qrtzTriggers.triggerType"/>
	
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
	
				<fieldset>
					<legend>
						Opis zadania
					</legend>
					<div class="row">
						<div class="label">
							<label>
								grupa wyzwalaczy
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzSimpleTriggers.triggerGroup}
							<stripes:hidden name="qrtzSimpleTriggers.triggerGroup"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								nazwa wyzwalacza
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzSimpleTriggers.triggerName}
							<stripes:hidden name="qrtzSimpleTriggers.triggerName"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset>
					<legend>
						Specyfika uruchomień
					</legend>
					<div class="row">
						<div class="label">
							<label>
								uruchomiono już
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzSimpleTriggers.timesTriggered}
							<stripes:hidden name="qrtzSimpleTriggers.timesTriggered"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								liczba uruchomień
							</label>
						</div>
						<div class="input">
							<stripes:text name="qrtzSimpleTriggers.repeatCount" class="required" title="Liczba uruchomień"/>
							<stripes:errors field="qrtzSimpleTriggers.repeatCount"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								interwał uruchomień (sekundy)
							</label>
						</div>
						<div class="input">
							<stripes:text name="qrtzSimpleTriggers.repeatInterval" class="required" title="Interwał uruchomień"/>
							<stripes:errors field="qrtzSimpleTriggers.repeatInterval"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ListaZadanAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
