<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkZapomogHist");
				});
			</script>
			
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<c:choose>
						<c:when test="${not empty actionBean.lataZapomog}">
							<c:forEach items="${actionBean.lataZapomog}" var="rokZapomogi" varStatus="i">
								<c:set var="__kwota_zapomogi_ostrzezenie" value="${actionBean.mapaParametrow[rokZapomogi]}"/>
								<c:set var="listaZapomog" value="${actionBean.mapaZapomog[rokZapomogi]}"/>
			
								<fieldset>
									<legend align="center">
										${rokZapomogi}
									</legend>
		
									<%@ include file="listaStarszeLataFiltr.jsp" %>
								</fieldset>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<span class="warning">
								W tych latach nie wypłacono żadnych zapomóg dla
								<span class="daneWyroznione">${actionBean.osoba.nazwiskoImie}</span>
							</span>
						</c:otherwise>
					</c:choose>
					
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>