<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<link type="text/css" rel="stylesheet" href="${root}/css/szablonyPomoc.css"/>
<style>
	#tooltip {
		margin: 0px;
		padding: 1px;
		position: absolute;
		background-color: #F0F0EE;
		border: 1px solid #111111;
	}
	#tooltip h3 {
		color: red;
		background-color: #F0F0EE;
		padding: 1px 3px 1px 3px;
		font-size: 10px;
		letter-spacing: 1px;
	}
	#tooltip div.body {
		background-color: #FFFFFF;
		padding: 2px 5px 3px 5px;
		font-size: 11px;
	}
</style>

<script type="text/javascript" src="${root}/js/jquery.tooltip.pack.js"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$('.clickWordList li').tooltip({
			track: true,
			showBody: " - ",
			fade: 250
		});
	});
</script>
