SELECT
	os.NAZWISKO, os.IMIE,
	SUM(f.KWOTA_DOM) as KWOTA_DOM,
	SUM(f.KWOTA_M) as KWOTA_M
FROM UMOWA_KWOTA uk
	JOIN FAKTURA f ON uk.ID = f.UMOWA_APTEKA_KWOTA_ID
		AND uk.UMOWA_ID = ${idUmowyZApteka}
	JOIN REALIZACJA_RECEPTA rr ON f.ID = rr.FAKTURA_ID
	JOIN EWIDENCJA_DPS ewDps ON rr.EWIDENCJA_DPS_ID = ewDps.ID
	JOIN OSOBA os ON ewDps.OSOBA_ID = os.ID
GROUP BY os.ID
ORDER BY os.NAZWISKO, os.IMIE
